EFF's (Extended) Guide to the Internet:
A round trip through Global Networks, Life in Cyberspace, and Everything...

This is *Texinfo* edition 2.3 of `eegtti.texi' as of 12 September 1994.
This document was initially created by Joerg Heitkoetter on August 27, 1993.

The *Texinfo* edition originated from plain ASCII text file
`/pub/Net_info/Big_Dummy/bigdummy.txt' versions 1.0 to 2.2,
that was later renamed to `/pub/Net_info/EFF_Net_Guide/netguide.eff'
version 2.21, on the Electronic Frontier Foundation's server `ftp.eff.org'.

Redistribution, excerpting, republication, copying, archiving, and reposting
are permitted, provided that the work is not sold for profit, that EFF
contact information, copyright notice, and distribution information
remains intact, and that the work is not qualitatively modified (translation,
reformatting, and excerpting expressly permitted however--feel free to
produce versions of the Guide for use with typesetting, hypertext,
display, etc. applications, but please do not change the text other than to
translate it to another language.  Excerpts should be credited and follow
standard fair use doctrine.)

EFF's (Extended) Guide to the Internet
**************************************

A round trip through Global Networks, Life in Cyberspace, and Everything...
by Adam Gaffin with Joerg Heitkoetter

Copyright (c) 1993, 1994  EFF, The Electronic Frontier Foundation.
All rights reserved.

Published by The Electronic Frontier Foundation
1001 G Street, N.W., Suite 950 East, Washington, DC 20001, USA

Phone: (202) 347-5400. FAX: (202) 393-5509. Internet: <ask@eff.org>

EFF's Guide to the Internet License
***********************************

           Copyright (C) 1994 The Electronic Frontier Foundation

           1001 G Street NW, Suite 950 E, Washington DC 20001 USA

     Voice: +1 202 347 5400, Fax: +1 202 393 5509, BBS: +1 202 638 6120

                 FidoNet: 1:109/1108, Internet: ask@eff.org

     Internet fax gate: remote-printer.EFF@9.0.5.5.3.9.3.2.0.2.1.tpc.int

Distribution Policy
===================

This guide is available free of charge from the EFF online archives at
`ftp.eff.org', `gopher.eff.org', `http://www.eff.org', EFF BBS (+1 202
638 6120), AOL keyword EFF, CIS EFFSIG forum, and elsewhere.

   This guide may be freely reproduced & distributed electronically or
in hardcopy, provided the following conditions are met:

  1. Please do not qualitatively modify the guide, and leave all
     copyright, distribution, attribution, and EFF information intact.
     Permission expressly granted for translation to other languages
     and conversion to other formats.

  2. EFF has signed a contract with MIT Press to publish a hardcopy book
     version of the guide, entitled *Everybody's Guide to the Internet*.
     All other for-profit distribution of printed versions of the guide
     is forbidden.  However, you may print out copies and recoup the
     cost of printing and distribution by charging a nominal fee.

  3. Any for-profit non-paper distribution (such as shareware vendor
     diskettes, CD-ROM collections, etc.) must be approved by the
     Electronic Frontier Foundation (the time- and usage-based access
     fees of online services, bulletin boards, and network access
     providers are specifically exempted).  Donations appreciated.

  4. You may not charge a for-profit fee specifically for this guide,
     only for a collection containing the guide, with the exeception of
     a nominal copying charge (online usage fees exempted, as above).

   These conditions hold for any derived version of this guide.

G'day, folks!
*************

                                                        August 27, 1993

   I came across this guide while reading "EFFector Online Volume 5 No.
15, 8/20/1993" (A Publication of the Electronic Frontier Foundation,
ISSN 1062-9424), that is available via `comp.org.eff.news' and
immediately decided to get my hands on it. After browsing through the
raw ASCII text file, I thought that such a useful thing, should have a
more beautiful "face" (and fewer "bugs").

   As Shari points out, the EFF is still "fishing for a publisher." In
other words, it's far from being clear when this guide will be
available as hard copy, unless you want to print out the "buggy" ASCII
file.  Thus, I started over to make the bulk a *Texinfo* document,
loosely modelled after BRENDAN KEHOE's "Zen and the Art of the
Internet", originally written for Widener University's, Computer
Science Department, and later published as:

     Kehoe, B.P. (1992) "Zen and the Art of the Internet: A Beginner's
     Guide to the Internet." 2nd Edition (July). Prentice Hall,
     Englewood Cliffs, NJ. 112 pages.  The 1st Edition, (February, 2nd)
     is still available via anonymous ftp from `ftp.cs.widener.edu' and
     many other Internet archives.

   It was the first comprehensive book on the Internet available.
(Despite the "traditional" postings in `news.announce.newusers'
originated by ex-Net.god GENE SPAFFORD <spaf@cs.purdue.edu> of Purdue
University and the `news.answers' archive maintained by Net.demi-god
JONATHAN I. KAMENS <jik@security.ov.com> of MIT).

   Situation has changed dramatically, since. More and more books get
into the stores, and hopefully facilitate the life of "newbies" on the
Net. Just to mention some IMHO excellent examples:

     Krol, E. (1992) "The Whole Internet: Catalog & User's Guide."
     O'Reilly & Associates, Inc., Sebastopol, CA. 376 pages.

     LaQuey, T. and Ryer, J.C. (1992) "The Internet Companion: A
     Beginner's Guide to Global Networking." Addison-Wesley Publishing
     Co., Reading, MA. 208 pages.

     Gilster, P. (1993) "The Internet Navigator: The Essential Guide to
     Network exploration for the Individual Dial-Up User." Wiley & Sons,
     New York, NY. 470 pages.

     Hahn, H. (1993) "The Internet Complete Reference" Osborne
     McGraw-Hill. 800 pages.

   But, "the Net" in its present form would have never been evolved
without the hundreds of un-paid voluntary efforts (de facto Internet
still *is* run on voluntary basis), so here are *my* two cents: The
output of several night-shift editing sessions.

     "The BIG DUMMY'S GUIDE TO THE INTERNET is now available at your
     local laser printer..."

   See ya on the Net!

   p.s.: Although this guide is almost complete, and I really, really,
honestly, don't have the time to go over it once again, feel free to
report "bugs", or any inconsistencies you find.  Drop me "more quotes,"
further additions, requests for moral support, or "whatever-you-want"...
Just an e-mail away.

   p.p.s.: I'd like to say a BIG "thank you" to SHARI STEELE, for her
immediate excitement on this project. ADAM GAFFIN, who generously
accepted my changes to his initial ASCII version.  HOWARD RHEINGOLD,
who let me include his article, now serving as superb afterword of
long-year first hand experience in cyberspace (and yes, I mentioned
your new book, Howard `;-)').  And, last not least, thanks to BRUCE
STERLING, who also "gave away" an article for free.

   Again, BERND RAICHLE <raichle@informatik.uni-stuttgart.de> courtesy
of the University of Stuttgart, provided TeXpertize, when TeXpertize
was badly needed (see file `specials.texi' for your enlightenment).
BTW: Over the past 2 years, we've been doing some such projects,
although we haven't met F2F, yet. This is one of the effects of the Net.
(It thus should be termed "Net.effect".)

   Additional thanks to BRENDAN KEHOE <brendan@zen.org> for the
*Texinfo* release of "Zen", from which I borrowed this and that.  FYI:
Brendan works on the 3rd editition of his book, and might be able to
release the 2nd to the Net, depending on Prentice-Hall's legal
attorneys. So keep your fingers crossed.(1)

                                                     September 27, 1993

   Some more nights have passed, and "GNU Info" format is fully
supported, now. You can use either Emacs in INFO mode, or just GNU's
`info' browser (also available as `xinfo' for the X window system):
type `info -f bdgtti-2.3.info' and read "Dummy's" online in
hypertextual fashion.

   But since edition 1.01, "Dummy's" not only features an "Info"
version.  It also comes with HTML support, i.e. the HyperText Markup
Language format, that is used by the World-Wide Web project (see
World-Wide Web for some more ideas on this).  The
`bdgtti-2.3*.html' files can thus be browsed using the WWW tools: from
within `xmosaic', e.g. load `bdgtti-2.3_toc.html', and there you go!

   Finally, some more folks have helped along the way.

   Many thanks to LIONEL CONS <cons@dxcern.cern.ch> courtesy of CERN,
who immediately updated his `texi2html' to make it work for this
project.  (Note that you need LARRY WALL'S `perl' to run this program.)

   INGO DRESSLER <id@germany.eu.net> courtesy of EUnet Deutschland,
reserved a place on `ftp.germany.eu.net' to distribute the European A4
paper edition of this guide.  See under `/pub/ books/big-dummys-guide'
using traditional FTP, or point the Web to: `ftp://ftp.germany.
eu.net/pub/books/big-dummys-guide'.  This will be the default server
for the European editions.

     "The BIG DUMMY'S GUIDE TO THE INTERNET is now available in a
     variety of easily convertible formats, *and* at your local laser
     printer..."

                                                      December 17, 1993

   Welcome to the Christmas issue of one of the *most read* books on
the Internet! This time, we only fix the bugs that have been reported
from most the folks listed below.

   From this edition on, the standard A4, and US letter size versions
are merged into one directory. Moreoever, has the EFF a new online
activist, named STANTON MCCANDLISH <mech@eff.org> who really seems to
take care about this project, and has properly set up the EFF's FTP
site. So, the "EFF is out of pace" messages from former postings
entitled "FAQ: Big Dummy's Guide, Life and Everything...", (that also
serves as the README file to the Texinfo release), have become obsolete.

   A major rework of this guide, including an extensive overhaul of the
World-Wide Web chapter, and the HTML version is planned and scheduled
for "mid-of-next-year-or-so".  I thus recommend not to hold your
breath. You shouldn't expect Texinfo edition 1.04 to come out prior to
July '94.

   Thanks to all of you, who sent bug fixes, made suggestions, or just
dropped a "Thanks for all the Fish!" message.

                                                        January 1, 1994

   Never say never, folks. Adam Gaffin, released version 1.4 of his
ASCII version on December 20th, and I just couldn't resist to get the
Texinfo edition back into the game, and move it from 1.03 to 1.4.  So
here it is. Anyway, the statement from above still holds true, it just
needs a little bit of "adjustment."

     "I thus recommend not to hold your breath. You shouldn't expect
     Texinfo *edition 1.5* to come out prior to July '94."

                                                       February 2, 1994

   I know, I know, and I don't have any excuses this time.  Here's
edition 2.2. Be happy with it!

     "However, I still recommend not to hold your breath. You shouldn't
     expect Texinfo *edition 7.0* to come out prior to July 2004. (So
     God will... ;-)"

                                                        August 14, 1994

   Welcome back, folks! This an *interim* release of edition 2.3 since
we had to fix the name of the game due to legal problems. (It's very
hard to find a real new name for a book on Internet these days!)

   On July 1st, MIT Press published this guide, more precisely, its core
manual (Chapters 1 to 13), under the name "Everybody's Guide to the
Internet":

     Gaffin, A. (1994) "Everybody's Guide to the Internet." MIT Press,
     Cambridge, MA. 200 pages. $14.95. ISBN 9-780262-67105-7.

   Each month, Adam now posts an article with subject line "Everybody's
Update", containing new resources, corrections, et cetera.  These
articles are also individually available via the two main distribution
servers `ftp.eff.org' in `/pub/Net_info/EFF_Net_Guide/ updates' and
`ftp.germany.eu.net' in `/pub/books/eff-guide/updates'.  However, you
can subscribe to a mailing list, an then have updates automatically
delivered to you. Email subscription works by sending a message body of
"subscribe net-update" (without the quote) to <listserv@eff.org>

   The next major edition will come out, when Adam finishes his effort
to merge the essence of the "Everybody's Update" postings into ASCII
version 2.2, plus some more additions.

   Several translation projects of this guide into Italian, Hungarian,
German, and even Russian are also on their way. If you want to venture
into these voluntary efforts too, send e-mail to <ask@eff.org> for
information.

     BTW: "Have you been at Woodstock '94? Adam Curry made it available
     via http://metaverse.com/woodstock/index.html. And have you seen
     the pictures from the meeting of Jupiter and comet Shoemaker-Levy
     at ftp://ftp.iglou.com/comet/images/ or via WWW at
     http://meteor.anu.edu.au/mssso-observations.html?  What about
     ordering Pizza from PizzaNet at http://www.pizzahut.com?  Too bad
     they don't deliver pizzas to Germany, yet..."

   In the order the contributors appeared in my mailbox: Shari Steele,
Howard Rheingold, Bernd Raichle, Adam Gaffin, Brendan Kehoe, Bruce
Sterling, Jonathan I. Kamens, Gene Spafford, Greg Chartrand, Brad
Templeton, Olivier M. J. Crepin-Leblond, Ingo Dressler, David
Sternlight, Otto Lang, Christopher K. Davis, Iain O'Cain, Lionel Cons,
David J. Bianco, Achim Voermanek, Noel Hunter, Martin Schweikert, R.
Stewart Ellis, Mark Sanderson, Bo Frese Rasmussen, Chris Varner, Timo
Harmo, Rik Harris, James Grinter, Oscar Nierstrasz, Jeremy Payne, David
Trueman, Michael P. Urban, Mark Woodward, Iain Lea, David E. Fox, Peter
Smulders, Gert C. Van Rooyen, Patrick Nielsen Hayden, Robin Evans, Tim
Berners-Lee, Helen Trillian Rose Davis, Jon L. Spear, Alan Legatt, Paul
Brown, Larry W. Virden, Ted Shapin, Roman Schwartz, TAKADA Toshihiro,
Fred Schimmel, Antony Cooper, Lennat Tower, jr., Jon Bell, John
Campbell, Ed Moore, Axel Belinfante, Arthur Secret, Jason Schmit, Uri
S. Naishtut, Chris Ruprecht, Dan Brown, Keith Bostic, Clemens Schrimpe,
Reinhold Tokar, Jeff Dingbaum, Jim Meyering, Otmar Lendl, Warwick
Kau-Choon Chai, Pieter Immelman, Joseph Taylor Potts, Reiner Hoenig,
Steve Cisler, James Rice, Stephen C. Trier, James E. Burns, Rodrigo
Vanegas, Steve VanDevender, Reinier de Vos, Gerald Malitz, David Mason,
Volker Kunert, David Beasley, Anthony Rajakumar, Aniekan Akpaffiong, A.
Solomon Eaglstein, Jan Adlington, Elaine Jackson, John Sheckler, Larry
W. Virden, David Beasley, Dave Rosselle, Cristine Hollinshead, Wolfhang
Banzaf, Stoffel Erasmus, Stanton McCandlish, Robert E. Maas, Susanne
Spitzer, Bryan D. Boyle, Paul F. Mende, Michael A. Patton, Joseph E.
Sacco, Steinar Kjaernsrod, Luis Ochoa Giraldo, Thomas Gellekum, Moritz
D. Klingholz, Benedikt Homann, Holger Hoffstaette,  Maray Tamas,
Forrest Cook, Shmuel Browns, Roland H. Pesch, Richard Stallman, Dawn
Cooley, Rob Kabacoff, Andreas Gehmeyr, John O'Hare, George D. Greenwade,
Tony Sprinzl, Sean Lally, Roger Lighty, Jared Rhine, Kathy Lewis.
Erdal Taner, Eric Morgan, Steve Belczyk, Heiko Schlichting, Ping Huang,
Rob Kabacoff, Andreas Gehmeyr, Jonathan Granrose, John Aspden, A.U.
Weisshuhn, Markus Stumpf, Eric De Mund, Alfredo De Regil, Ed Simonds,
Danny Yang, Pete Ashdown, Jason Holt, Florin Neumann, Szymon Sokol,
Kimmo Ketolainen, Robert Schultz, Dan Stromberg, Computex, Kevin
Savetz, Larry Landweber, Jaroslaw Rafa, Arthur Britto, Adam Atkinson,
Thomas Neugebauer, Nicola Doering, Dirk Eddelbuettel, Chris Schmitt, and
Scott D. Yelich.

   Special thanks to Naomi Schulman, my "virtual granny" at Stanford,
and my virtual and non-virtual sisters: Monika, Oggi, Bettina, Gabi,
Christine, Kristina, Claudia, Christiane, Heidi, Marietta, Martina,
Angela, Astrid, Kirsten, Ilke, Kerstin, Renate, Rosie, Jenna, Heike,
Nicole, Cornelia, Susanne, Davika, Nora, Ute, Heike II, Jeanine,
Jaqueline and some other *long legged complex systems*, who contributed
passion to the *abstract hill* I compiled over the past years.

   Enjoy the trip!

                                                      Joerg Heitkoetter
                                                  <joke@Germany.EU.net>
                                                 EUnet Deutschland GmbH
                                        Techno-Park, Emil-Figge-Str. 80
                                                       D-44227 Dortmund
                                                      12 September 1994

                             *"It's kind of fun to do the impossible."*
                                                         -- Walt Disney

                                  *"If I have seen farther than others,
             it is because I was standing on the shoulders of giants."*
                                                    -- Sir Isaac Newton

                   *"A work of art is never finished, only abandoned."*
                                                           -- Anonymous

   ---------- Footnotes ----------

   (1)  Unfortunately the legal eagles of Prentice-Hall didn't

Welcome
*******

   *Welcome to EFF's Guide to the Internet, version 2.3.*

   The Electronic Frontier Foundation (EFF) is proud to have sponsored
the production of *EFF's Guide to the Internet*(1).  EFF is a nonprofit
organization based in Washington, D.C., dedicated to ensuring that
everyone has access to the newly emerging communications technologies
vital to active participation in the events of our world.  As more and
more information is available online, new doors open up for those who
have access to that information.  Unfortunately, unless access is
broadly encouraged, individuals can be disenfranchised and doors can
close, as well. EFF's Guide to the Internet was written to help open
some doors to the vast amounts of information available on the world's
largest network, the Internet.

   The spark for *EFF's Guide to the Internet* was ignited in a few
informal conversations that included myself and STEVE CISLER of Apple
Computer, Inc., in June of 1991.  With the support of Apple Computer,
EFF engaged ADAM GAFFIN to write the book and actually took on the
project in September of 1991.

   The idea was to write a guide to the Internet for people who had
little or no experience with network communications.  We intended to
post this guide to the Net in ASCII and HyperCard formats and to give
it away on disk, as well as have a print edition available.  We have
more than realized our goal.  Individuals from as geographically far
away as Germany, Italy, Canada, South Africa, Japan, Scotland, Norway,
and Antarctica have all sent electronic mail to say that they
downloaded EFF's Guide to the Internet.  The guide is now available in
a wide array of formats, including ACSCII text, HyperCard, World Wide
Web, PostScript and AmigaGuide.  And the guide will be published in a
printed format by MIT Press in June of 1994.

   EFF would like to thank author Adam Gaffin for doing a terrific job
of explaining the Net in such a nonthreatening way.  We'd also like to
thank the folks at Apple, especially Steve Cisler of the Apple Library,
for their support of our efforts to bring this guide to you.

   We invite you to join with EFF in our fight to ensure that equal
access to the networks and free speech are protected in newly emerging
technologies.  We are a membership organization, and through donations
like yours, we can continue to sponsor important projects to make
communications easier.  Information about the Electronic Frontier
Foundation and some of the work that we do can be found at the end of
this book.

   We hope that the *EFF's Guide to the Internet* helps you learn about
whole new worlds, where new friends and experiences are sure to be
yours.  Enjoy!

                                                            Mitch Kapor
                                                       <mkapor@eff.org>
                                                  Chairman of the Board
                                         Electronic Frontier Foundation
                                                      February 20, 1994

      For comments, questions, or requests regarding EFF or EFF's Guide
                          to the Internet, send a note to <ask@eff.org>

                     *"Not all German hackers work for the Russian KGB.
                                 Some even work for the American EFF!"*
                                                           -- Anonymous

   ---------- Footnotes ----------

   (1)  formerly known as "Big Dummy's Guide to the Internet"

Foreword
********

   By *Mitchell Kapor* <mkapor@eff.org>
Co-founder, Electronic Frontier Foundation.

   New communities are being built today.  You cannot see them, except
on a computer screen.  You cannot visit them, except through your
keyboard.  Their highways are wires and optical fibers; their language a
series of ones and zeroes.

   Yet these communities of cyberspace are as real and vibrant as any
you could find on a globe or in an atlas.  Those are real people on the
other sides of those monitors.  And freed from physical limitations,
these people are developing new types of cohesive and effective
communities - ones which are defined more by common interest and purpose
than by an accident of geography, ones on which what really counts is
what you say and think and feel, not how you look or talk or how old
you are.

   The oldest of these communities is that of the scientists, which
actually predates computers.  Scientists have long seen themselves as
an international community, where ideas were more important than
national origin.  It is not surprising that the scientists were the
first to adopt the new electronic media as their principal means of
day-to-day communication.

   I look forward to a day in which everybody, not just scientists, can
enjoy similar benefits of a global community.

   But how exactly does community grow out of a computer network? It
does so because the network enables new forms of communication.

   The most obvious example of these new digital communications media
is electronic mail, but there are many others.  We should begin to think
of mailing lists, newsgroups, file and document archives, etc. as just
the first generation of new forms of information and communications
media.  The digital media of computer networks, by virtue of their
design and the enabling technology upon which they ride, are
fundamentally different from the now dominant mass media of television,
radio, newspapers and magazines.  Digital communications media are
inherently capable of being more interactive, more participatory, more
egalitarian, more decentralized, and less hierarchical.

   As such, the types of social relations and communities which can be
built on these media share these characteristics.  Computer networks
encourage the active participation of individuals rather than the
passive non-participation induced by television narcosis.

   In mass media, the vast majority of participants are passive
recipients of information.  In digital communications media, the vast
majority of participants are active creators of information as well as
recipients.  This type of symmetry has previously only been found in
media like the telephone.  But while the telephone is almost entirely a
medium for private one-to-one communication, computer network
applications such as electronic mailing lists, conferences, and bulletin
boards, serve as a medium of group or "many-to-many" communication.

   The new forums atop computer networks are the great levelers and
reducers of organizational hierarchy.  Each user has, at least in
theory, access to every other user, and an equal chance to be heard.
Some U.S. high-tech companies, such as Microsoft and Borland, already
use this to good advantage: their CEO's - BILL GATES and PHILIPPE KAHN
- are directly accessible to all employees via electronic mail.  This
creates a sense that the voice of the individual employee really
matters.  More generally, when corporate communication is facilitated by
electronic mail, decision-making processes can be far more inclusive and
participatory.

   Computer networks do not require tightly centralized administrative
control.  In fact, decentralization is necessary to enable rapid growth
of the network itself.  Tight controls strangle growth.  This
decentralization promotes inclusiveness, for it lowers barriers to entry
for new parties wishing to join the network.

   Given these characteristics, networks hold tremendous potential to
enrich our collective cultural, political, and social lives and enhance
democratic values everywhere.

   And the Internet, and the UUCP and related networks connected to it,
represents an outstanding example of a computer network with these
qualities.  It is an open network of networks, not a single unitary
network, but an ensemble of interconnected systems which operate on the
basis of multiple implementations of accepted, non-proprietary
protocols, standards and interfaces.

   One of its important characteristics is that new networks, host
systems, and users may readily join the network - the network is open
to all.

   The openness (in all senses) of the Internet reflects, I believe,
the sensibilities and values of its architects.  Had the Internet
somehow been developed outside the world of research and education, it's
less likely to have had such an open architecture.  Future generations
will be indebted to this community for the wisdom of building these
types of open systems.

   Still, the fundamental qualities of the Net, such as its
decentralization, also pose problems.  How can full connectivity be
maintained in the face of an ever-expanding number of connected
networks, for example?  What of software bugs that bring down computers,
or human crackers who try to do the same?  But these problems can and
will be solved.

   Digital media can be the basis of new forms of political discourse,
in which citizens form and express their views on the important public
issues of the day. There is more than one possible vision of such
electronic democracy, however. Let's look at some examples of the
potential power, and problems, of the new digital media.

   The idea of something called an "electronic town meeting"  received
considerable attention in 1992 with ROSS PEROT's presidential campaign
(or, at least, its first incarnation).

   Perot's original vision, from 20 or so years ago,  was that viewers
would watch a debate on television and fill out punch cards which would
be mailed in and collated.  Now we could do it with 800 telephone
numbers.

   In the current atmosphere of disaffection, alienation and cynicism,
anything that promotes greater citizen involvement seems a good idea.
People are turned off by politicians in general - witness the original
surge of support for Perot as outsider who would go in and clean up the
mess - and the idea of going right to the people is appealing,

   What's wrong with this picture? The individual viewer is a passive
recipient of the views of experts.  The only action taken by the citizen
is in expressing a preference for one of three pre-constructed
alternatives.  While this might be occasionally useful, it's
unsophisticated and falls far short of the real potential of electronic
democracy. We've been reduced to forming our judgments on the basis of
mass media's portrayal of the personality and character of the
candidates.

   All this is in contrast to robust political debates already found on
various on-line computer systems, from CompuServe to Usenet.  Through
these new media, the issues of the day, ranging from national security
in the post-Cold War era to comparative national health care systems,
are fiercely discussed in a wide variety of bulletin boards,
conferences, and newsgroups.

   What I see in online debate are multiple active participants, not
just experts, representing every point of view, in discussions that
unfold over extended periods of time. What this shows is that, far from
being alienated and disaffected from the political process, people like
to talk and discuss - and take action - if they have the opportunity to
do so.  Mass media don't permit that.  But these new media are more
akin to a gathering around the cracker barrel at the general store -
only extended over hundreds, thousands of miles, in cyberspace, rather
than in one physical location.

   Recent years have shown the potential power of these new media.  We
have also seen several examples of where talk translated into action.

   In 1987, the Federal Communications Commission proposed changing the
way certain online providers paid for access to local phone service.
Online, this quickly became known as the "modem tax" and generated a
storm of protest.  The FCC withdrew the idea, but not quickly enough:
the "modem tax" has penetrated so deeply into the crevices of the Net
that it has taken up a permanent and ghostly residence as a kind of
virtual or cognitive virus, which periodically causes a re-infection of
the systems and its users.  FCC commissioners continue to receive
substantial mail on this even though the original issue is long dead; in
fact, it has generated more mail than any other issue in the history of
the FCC.

   More recently, JIM MANZI, chairman of Lotus Development Corp.,
received more than 30,000 e-mail messages when the company was getting
ready to sell a database containing records on tens of millions of
Americans.  The flood of electronic complaints about the threat to
privacy helped force the company to abandon the project.  Issues of
narrow but vital interest to the online community give a hint of the
organizing power of the Net.

   In August, 1991, the managers of a Soviet computer network known as
Relcom stayed online during an abortive coup, relaying eyewitness
accounts and news of actions against the coup to the West and to the
rest of Russia.

   And many public interest non-profit organizations and special
interest groups already use bulletin boards heavily as a means of
communicating among their members and organizing political activity.

   But all is not perfect online.  The quality of discourse is often
very low.  Discussion is often trivial and boring and bereft of
persuasive reason.  Discourse often sinks to the level of "flaming," of
personal attacks, instead of substantive discussion.  Flaming. Those
with the most time to spend often wind up dominating the debate - a
triumph of quantity of time available over quality of content.

   It seems like no place for serious discussion. Information overload
is also a problem.  There is simply far too much to read to keep up
with.  It is all without organization.  How can this be addressed?

   Recent innovations in the design of software used to connect people
to the Net and the process of online discussion itself reveal some hope.

   Flaming is universal, but different systems handle it in different
ways.  Both the technology and cultural norms matter.

   On Usenet, for instance, most news reader applications support a
feature known as a "killfile," which allows an individual to screen out
postings by a particular user or on a particular subject.  It is also
sometimes referred to as "the bozo filter."  This spares the user who
is sufficiently sophisticated from further flamage, but it does nothing
to stop the problem at its source.

   Censorship would be one solution. But what else can be done without
resorting to unacceptably heavy-handed tactics of censorship?  There is
a great tradition of respect for free speech on these systems, and to
censor public postings or even ban a poster for annoying or offensive
content is properly seen as unacceptable, in my opinion.

   Some systems use cultural norms, rather than software, to deal with
flame wars.  These online communities have developed practices which
rely more on a shared, internalized sense of appropriate behavior  than
on censorship, for instance.  The WELL (Whole Earth 'Lectronic Link) is
a relatively small online conferencing system based in the San Francisco
Bay area.  On the WELL, individuals who get into a fight are encouraged
to move the discussion out of the public conference and into e-mail.
The encouragement is provided not only by the host of the conference,
but also by the users.  It is part of the culture, not part of the
technology.

   WELL hosts are volunteers who facilitate the discussion of a
particular subject.  While they have the power to censor individual
postings, the power is very rarely used and only as a last resort, as it
has been found that dispute resolution by talking it out among the
parties is a superior method of problem solving in the long run.

   It is not an accident that the WELL has a uniquely high quality of
conversation.  Nor is it coincidental that it developed as a small and
originally isolated community (now on the Net) which gave it a chance
to develop its own norms or that key management of the system came from
"The Farm," a large, successful commune of the 1960's and 1970's led by
STEPHEN GASKIN.

   We still know very little about the facilitation of online
conversations.  It is a subject well worth further formal study and
experimentation.

   Some problems have to do with the unrefined and immature format and
structure of the discussion medium itself.  The undifferentiated stream
of new messages marching along in 80 columns of ASCII text creates a
kind of hypnotic trance.  Compare this with the typical multiplicity of
type fonts, varied layouts, images, and pictures of the printed page.

   New media take time to develop and to be shaped.  Reading text on a
terminal reminds me of looking at the Gutenberg Bible. The modern book
took a century to develop after the invention of printing with movable
type and the first Western printed books.  ALDUS MANUTIUS and the
inventions of modern typefaces, pagination, the table of contents, the
index, all of which gave the book its modern form, came later, were done
by different people, and were of a different order than the invention of
printing with movable type itself.  The new electronic media are
undergoing a similar evolution.

   Key inventions are occurring slowly, for example, development of
software tools that will allow the dissemination of audio and video
across the Net. This type of software has usually been done so far by
volunteers who have given away the results.  It's a great thing, but
it's not sufficient, given how hard it is to develop robust software.
Innovation in the application space will also be driven by entrepreneurs
and independent software vendors at such point as they perceive a
business opportunity to create such products (it would be nice if
creators did it for art's sake but this seems unlikely).

   There are some requirements to provide incentives to attract
additional software development.  This requires a competitive free
market in network services at all levels to serve the expanding user
demand for network services. It requires a technologically mature
network able to support these services.

   And there must be a user population, current or prospective,
interested in paying for better applications - and not just the current
base of technically sophisticated users and students, though they will
absolutely benefit.

   There are multiple classes of new application opportunities.  E-mail
is overloaded because there aren't readily available alternatives yet.
New and different kinds of tools are needed for collaborative work.
Computer conferencing, as it evolves, may be sufficient for discussion
and debate.  But by itself, it cannot really support collaborative work,
in the sense of readily enabling a group to make decisions efficiently,
represent and track the status of its work process.  Trying to run an
organization via e-mail mailing list is very different than trying to
have a discussion.

   Computer networks can only fully realize their potential as
innovative communications media in an environment which encourages free
and open expression.

   In some countries, legal principles of free speech protect freedom
of expression in traditional media such as the printed word.  But once
communication moves to new digital media and crosses international
borders, such legal protections fall away.  As JOHN PERRY BARLOW, the
co-founder of EFF puts it: "In Cyberspace, the First Amendment is a
local ordinance."  There is no international legal authority which
protects free expression on trans-national networks.  Article 19 of the
Universal Declaration of Human Rights calls for the protection of free
expression in all media, but the declaration falls far short of being
binding.

   And if we're to take seriously the idea of the electronic online
forum, we have to deal with the access issue.  If the only people with
access to the medium are well-educated, affluent, techno-literate elite,
it won't be sufficiently inclusive to represent all points of view.

   We also need, fundamentally, a better infrastructure (the highway
system for information).  As we move from the high-speed Internet to the
even more powerful National Research and Education Network, we need to
look at how to bring the power of these new media into the homes of
everybody who might want it.  Addressing this "last mile" problem (phone
networks are now largely digitized, fiber-optic systems, except for the
mile between your home and the nearest switching station) should be a
priority.

   Computer networks will eventually become ubiquitous around the
world.  We should therefore be concerned with the impact on society that
they have, the opportunities to improve society, and the dangers that
they pose.   Fundamentally, we are optimists who believe in the
potential of networks to enhance democratic values of openness,
diversity, and innovation.

   Because the medium is so new, it is important now to develop
policies at the national and international level that help achieve the
potential of computer networks for society as a whole. By the time
television was recognized as a vast wasteland it was already too late to
change. There is a rare opportunity to develop policies in advance of a
technologically and economically mature system which would be hard to
change.

            *"As a net is made up of a series of ties, so everything in
         this world is connected by a series of ties.  If anyone thinks
        that the mesh of a net is an independent, isolated thing, he is
        mistaken.  It is called a net because it is made up of a series
              of interconnected meshes, and each mesh has its place and
                          responsibility in relation to other meshes."*

                                                               - Buddha

Subject: "A Superhighway through the Wasteland?"
************************************************

   By *Mitchell Kapor* <mkapor@eff.org> and JERRY BERMAN
<jberman@eff.org> (1)
(Reprinted from article posted to `comp.org.eff.talk'; originally
published in the New York Times Op-Ed Page, Wednesday, November 24,
1993.)

                 A Superhighway Through the Wasteland?

     *Mitchell Kapor is chairman of the Electronic Frontier Foundation,
     a nonprofit group that promotes civil liberties in digital media.
     He was a founder of the Lotus Development Corporation, from which
     he resigned in 1986. Jerry Berman is executive director of the
     foundation.*

   *(Washington)* Telecommunications and cable TV executives, seeking to
allay concerns over their proposed megamergers, insist that the coming
electronic superhighway will be an educational and informational tool as
well as a cornucopia of interactive entertainment. Allow the marriage
between entertainment and communications giants, we are told, and they
will connect students with learning resources, provide a forum for
political discourse, increase economic competitiveness and speed us
into the multimedia information age.

   Both broadcast and cable TV were introduced with similar fanfare. The
results have been disappointing. Because of regulatory failure and the
limits of the technology, they failed to be saviors of education or
political life. We love the tube but recognize that it is largely a
cultural wasteland.

   For the Government to break this cycle of promise and disappointment,
communications mergers should be approved or barred based on detailed,
enforceable commitments that the electronic superhighway will meet
public goals. The amount of electronic material the superhighway can
carry is dizzying compared to the relatively narrow range of broadcast
TV and the limited number of cable channels. Properly constructed and
regulated, it could be open to all who wish to speak, publish and
communicate.

   None of the interactive services will be possible, however, if we
have an eight-lane data superhighway rushing into every home and only a
narrow footpath coming back out. Instead of settling for a multimedia
version of the same entertainment that is increasingly dissatisfying on
today's TV, we need a superhighway that encourages the production and
distribution of a broader, more diverse range of programming.

   The superhighway should be required to provide so-called open
platform services. In today's channel-based cable TV system, program
producers must negotiate for channel space with cable companies around
the country. In an open platform network, we would avoid that
bottleneck. Every person would have access to the entire superhighway,
so programmers could distribute information directly to consumers.

   Consumers would become producers: individuals and small organizations
could create and distribute programs to anyone on the highway who wants
them. Open platform services will spur diversity in the electronic
media, just as low production and distribution costs make possible a
wide variety of newspapers and magazines.

   To prevent abuses by media giants that because of recent Federal
court decisions will control the pipeline into the home and much of the
content delivered over it, we need new laws. Like today's phone
companies, the companies controlling the superhighway must be required
to carry other programmers' content, just as phone companies must
provide service to anyone who is willing to pay for it. We must
guarantee that anyone who, say, wants to start an alternative news
network or a forum for political discussion is given an outlet to do so.

   Americans will come to depend on the superhighway even more than they
need the telephone. The guarantee of universal telephone service must be
expanded to include universal access to the superhighway. Although
market forces will help keep the new technology affordable, we need
laws to protect consumers when competition fails.

   And because several companies will operate the highway, each must be
required to interconnect with the others. Likewise, the new computers
that will give us access to the superhighway should be built according
to commonly accepted standards.

   Also, even an open, competitive market will leave out organizations
with limited resources such as schools and libraries. To compensate for
market oversights, we must insure that money - whether through Federal
support or a tax on the companies that will control the superhighway -
is made available to these institutions. Finally, people won't use the
new technology unless they feel that their privacy is protected.
Technical means, such as recently developed encryption techniques, must
be made available to all users. And clear legal guidelines for
individual control over access to and reuse of personal information
must be established.  Companies that sell entertainment services will
have a record of what their customers' interests are; these records
must remain confidential.

   Bell Atlantic, T.C.I., Time-Warner, U.S. West and other companies
involved in proposed mergers have promised to allow the public full
access to the superhighway. But they are asking policy makers to trust
that, profits aside, they will use their new positions for the public
good.

   Rather than opposing mergers or blindly trusting competition to shape
the data highways, Congress should make the mergers hinge on detailed
commitments to provide affordable services to all Americans. Some
legislators, led by Representative Ed Markey, Democrat of Massachusetts,
are working to enact similar requirements; these efforts deserve
support.

   The best approach would be to amend these requirements to the
Communications Act of 1934. Still the central law on open access, an
updated Communications Act would codify the terms of a new social
contract between the the telecommunications industry and the American
people.

   ---------- Footnotes ----------

   (1)  Copyright (C) 1993 by New York Times Company.  All rights
reserved.

Preface
*******

   By *Adam Gaffin* <adamg@world.std.com>
Senior Writer, Network World, Framingham, Mass.

   Welcome to the Internet! You're about to start a journey through a
unique land without frontiers, a place that is everywhere at once - even
though it exists physically only as a series of electrical impulses.
You'll be joining a growing community of millions of people around the
world who use this global resource on a daily basis.

   With this book, you will be able to use the Internet to:

   * Stay in touch with friends, relatives and colleagues around the
     world, at a fraction of the cost of phone calls or even air mail.

   * Discuss everything from archaeology to zoology with people in
     several different languages.

   * Tap into thousands of information databases and libraries
     worldwide.

   * Retrieve any of thousands of documents, journals, books and
     computer programs.

   * Stay up to date with wire-service news and sports and with
     official weather reports.

   * Play live, "real time" games with dozens of other people at once.

   And you will have become the newest member of this ever growing
community. If you stay and contribute, the Net will be richer for it -
and so will you.

   But it will take a sense of adventure, a willingness to learn and an
ability to take a deep breath every once in awhile.

   Connecting to "the Net" today, takes something of a sense of
adventure, a willingness to learn and an ability to take a deep breath
every once in awhile. Visiting the Net today is a lot like journeying to
a foreign country.  There are so many things to see and do, but
everything at first will seem so, well, foreign.

   When you first arrive, you won't be able to read the street signs.
You'll get lost.  If you're unlucky, you may even run into some locals
who'd just as soon you went back to where you came from.  If this
weren't enough, the entire country is constantly under construction;
every day, it seems like there's something new for you to figure out.

   Fortunately, most of the locals are actually friendly.  In fact, the
Net actually has a rich tradition of helping out visitors and newcomers.
Until very recently, there were few written guides for ordinary people,
and the Net grew largely through an "oral" tradition in which the
old-timers helped the newcomers.

   Here's where you take a deep breath.  Fortunately, most of the
natives are actually friendly.  In fact, the Net actually has a rich
tradition of helping out visitors and newcomers.  With few written
guides for ordinary people, the Net has grown in large part one person
at a time - if somebody helps you learn your way around, it's almost
expected you'll repay the favor some day by helping somebody else.

   So when you connect, don't be afraid to ask for help.  You'll be
surprised at how many people will lend a hand!

   Without such folks, in fact, this guide would not be possible. My
thanks to all the people who have written with suggestion, additions and
corrections since the Big Dummy's Guide first appeared on the Internet
in 1993.

   Special thanks go to the following people, who, whether they know it
or not, provided particular help - and to my loving wife Nancy:

   Rhonda Chapman, Jim Cocks, Tom Czarnik, Christopher Davis, David
DeSimone, Jeanne deVoto, Phil Eschallier, Nico Garcia, Jon Granrose,
Joerg Heitkoetter, Joe Ilacqua, Jonathan Kamens, Peter Kaminski, Thomas
A. Kreeger, Stanton McCandlish, Leanne Phillips, Nancy Reynolds, Helen
Trillian Rose, Barry Shein, Jennifer "Moira" Smith, Gerard van der Leun
and Scott Yanoff.

   If you have any suggestions or comments on how to make this guide
better, I'd love to hear them.  You can reach me via e-mail at
<adamg@world.std.com>.

   Boston, Mass., January, 1994.

                                                      "Stop the murder!
                                      Support dolphin-free networking."
                                          -- Brendan Kehoe's .signature

                          "On the Internet, no one knows you're a dog."
                                                -- Adam's favorite one.

Setting up and Jacking in
*************************

Ready, Set...
=============

   The world is just a phone call away.  With a computer and modem,
you'll be able to connect to the Internet, the world's largest computer
network (and if you're lucky, you won't even need the modem; many
colleges and companies now give their students or employees direct
access to the Internet).

   The phone line can be your existing voice line - just remember that
if you have any extensions, you (and everybody else in the house or
office) won't be able to use them for voice calls while you are
connected to the Net.

   A modem is a sort of translator between computers and the phone
system. It's needed because computers and the phone system process and
transmit data, or information, in two different, and incompatible ways.
Computers "talk" digitally; that is, they store and process
information as a series of discrete numbers.  The phone network relies
on analog signals, which on an oscilloscope would look like a series of
waves.  When your computer is ready to transmit data to another
computer over a phone line, your modem converts the computer numbers
into these waves (which sound like a lot of screeching) - it
"modulates" them.  In turn, when information waves come into your
modem, it converts them into numbers your computer can process, by
"demodulating" them.

   Increasingly, computers come with modems already installed. If yours
didn't, you'll have to decide what speed modem to get.  Modem speeds
are judged in "bps rate" or bits per second.  One bps means the modem
can transfer roughly one bit per second; the greater the bps rate, the
more quickly a modem can send and receive information.  A letter or
character is made up of eight bits.

   You can now buy a 2400-bps modem for well under $60 - and most now
come with the ability to handle fax messages as well.  At prices that
now start around $150, you can buy a modem that can transfer data at
14,400 bps (and often even faster, using special compression
techniques).  If you think you might be using the Net to transfer large
numbers of files, a faster modem is always worth the price. It will
dramatically reduce the amount of time your modem or computer is tied
up transferring files and, if you are paying for Net access by the
hour, will save you quite a bit in online charges.

   Like the computer to which it attaches, a modem is useless without
software to tell it how to work.  Most modems today come with
easy-to-install software.  Try the program out. If you find it
difficult to use or understand, consider a trip to the local software
store to find a better program.  You can spend several hundred dollars
on a communications program, but unless you have very specialized
needs, this will be a waste of money, as there are a host of excellent
programs available for around $100 or less.  Among the basic features
you want to look for are a choice of different "protocols" (more on
them in a bit) for transferring files to and from the Net and the
ability to write "script" or "command" files that let you automate such
steps as logging into a host system.

   When you buy a modem and the software, ask the dealer how to install
and use them.  Try out the software if you can.  If the dealer can't
help you, find another dealer.  You'll not only save yourself a lot of
frustration, you'll also have practiced the prime Internet directive:
*"Ask. People Know."*

   To fully take advantage of the Net, you must spend a few minutes
going over the manuals or documentation that comes with your software.
There are a few things you should pay special attention to: uploading
and downloading; screen capturing (sometimes called "screen dumping");
logging; how to change protocols; and terminal emulation.  It is also
essential to know how to convert a file created with your word
processing program into "ASCII" or "text" format, which will let you
share your thoughts with others across the Net.

   Uploading is the process of sending a file from your computer to a
system on the Net. Downloading is retrieving a file from somewhere on
the Net to your computer. In general, things in cyberspace go "up" to
the Net and come "down" to you.

   Chances are your software will come with a choice of several
"protocols" to use for these transfers.  These protocols are systems
designed to ensure that line noise or static does not cause errors that
could ruin whatever information you are trying to transfer.
Essentially, when using a protocol, you are transferring a file in a
series of pieces.  After each piece is sent or received, your computer
and the Net system compare it. If the two pieces don't match exactly,
they transfer it again, until they agree that the information they both
have is identical.  If, after several tries, the information just
doesn't make it across, you'll either get an error message or your
screen will freeze.  In that case, try it again.  If, after five tries,
you are still stymied, something is wrong with a) the file; b) the
telephone line; c) the system you're connected to; or d) your own
computer.

   From time to time, you will likely see messages on the Net that you
want to save for later viewing - a recipe, a particularly witty remark,
something you want to write your congressman about, whatever.  This is
where screen capturing and logging come in.

   When you tell your communications software to capture a screen, it
opens a file in your computer (usually in the same directory or folder
used by the software) and "dumps" an image of whatever happens to be on
your screen at the time.

   Logging works a bit differently.  When you issue a logging command,
you tell the software to open a file (again, usually in the same
directory or folder as used by the software) and then give it a name.
Then, until you turn off the logging command, everything that scrolls
on your screen is copied into that file, sort of like recording on
videotape.  This is useful for capturing long documents that scroll for
several pages - using screen capture, you would have to repeat the same
command for each new screen.

   Terminal emulation is a way for your computer to mimic, or emulate,
the way other computers put information on the screen and accept
commands from a keyboard.  In general, most systems on the Net use a
system called VT100.  Fortunately, almost all communications programs
now on the market support this system as well - make sure yours does.

   You'll also have to know about protocols.  There are several
different ways for computers to transmit characters.  Fortunately,
there are only two protocols that you're likely to run across: 8-1-N
(which stands for "8 bits, 1 stop bit, no parity" - yikes!) and 7-1-E
(7 bits, 1 stop bit, even parity).

   In general, Unix-based systems use 7-1-E, while MS-DOS-based systems
use 8-1-N.  What if you don't know what kind of system you're
connecting to?  Try one of the settings.  If you get what looks like
gobbledygook when you connect, you may need the other setting.  If so,
you can either change the setting while connected, and then hit enter,
or hang up and try again with the other setting.  It's also possible
your modem and the modem at the other end can't agree on the right bps
rate.  If changing the protocols doesn't work, try using another bps
rate (but no faster than the one listed for your modem).  Don't worry,
remember, you can't break anything!  If something looks wrong, it
probably is wrong.  Change your settings and try again.  Nothing is
learned without trial, error and effort.  Those are the basics. Now on
to the Net!

Go!
===

   Once, only people who studied or worked at an institution directly
tied to the Net could connect to the world.  Today, though, an
ever-growing number of "public-access" systems provide access for
everybody.  These systems can now be found in several states, and there
are a couple of sites that can provide access across the country.

   There are two basic kinds of these host systems.  The more common
one is known as a UUCP site (UUCP being a common way to transfer
information among computers using the Unix operating system) and offers
access to international electronic mail and conferences.

   However, recent years have seen the growth of more powerful sites
that let you tap into the full power of the Net.  These Internet sites
not only give you access to electronic mail and conferences but to such
services as databases, libraries and huge file and program collections
around the world.  They are also fast - as soon as you finish writing a
message, it gets zapped out to its destination.

   Some sites are run by for-profit companies; others by non-profit
organizations.  Some of these public-access, or host, systems, are free
of charge.  Others charge a monthly or yearly fee for unlimited access.
And a few charge by the hour. Systems that charge for access will
usually let you sign up online with a credit card.  Some also let you
set up a billing system.

   But cost should be only one consideration in choosing a host system,
especially if you live in an area with more than one provider.  Most
systems let you look around before you sign up.  What is the range of
each of their services?  How easy is each to use? What kind of support
or help can you get from the system administrators?

   The last two questions are particularly important because many
systems provide no user interface at all; when you connect, you are
dumped right into the Unix operating system.  If you're already
familiar with Unix, or you want to learn how to use it, these systems
offer phenomenal power - in addition to Net access, most also let you
tap into the power of Unix to do everything from compiling your own
programs to playing online games.

   But if you don't want to have to learn Unix, there are other
public-access systems that work through menus (just like the ones in
restaurants; you are shown a list of choices and then you make your
selection of what you want), or which provide a "user interface" that
is easier to figure out than the ever cryptic Unix.

   If you don't want or need access to the full range of Internet
services, a UUCP site makes good financial sense.  They tend to charge
less than commercial Internet providers, although their messages may
not go out as quickly.

   Some systems also have their own unique local services, which can
range from extensive conferences to large file libraries.

Public-Access Internet Providers
================================

   When you have your communications program dial one of these host
systems, one of two things will happen when you connect.  You'll either
see a lot of gibberish on your screen, or you'll be asked to log in.
If you see gibberish, chances are you have to change your software's
parameters (to 7-1-E or 8-1-N as the case may be).  Hang up, make the
change and then dial in again.

   When you've connected, chances are you'll see something like this:

     Welcome to THE WORLD
     Public Access UNIX for the '90s
     Login as `new' if you do not have an account

     login:

   That last line is a prompt asking you to do something.  Since this
is your first call, type

     new

   and hit enter.  Often, when you're asked to type something by a host
system, you'll be told what to type in quotation marks (for example,
`new' above).  Don't include the quotation marks.  Repeat: Don't
include the quotation marks.

   What you see next depends on the system, but will generally consist
of information about its costs and services (you might want to turn on
your communication software's logging function, to save this
information).  You'll likely be asked if you want to establish an
account now or just look around the system.

   You'll also likely be asked for your "user name."  This is not your
full name, but a one-word name you want to use while online.  It can be
any combination of letters or numbers, all in lower case.  Many people
use their first initial and last name (for example, "jdoe"); their
first name and the first letter of their last name (for example,
"johnd"); or their initials ("jxd").  Others use a nickname.  You might
want to think about this for a second, because this user name will
become part of your electronic-mail address (see Electronic Mail.).
The one exception is the various Free-Net systems, all of which assign
you a user name consisting of an arbitrary sequence of letters and
numbers.

   You are now on the Net.  Look around the system.  See if there are
any help files for you to read.  If it's a menu-based host system,
choose different options just to see what happens.  Remember: You can't
break anything.  The more you play, the more comfortable you'll be.

   What follows is a list of public-access Internet sites, which are
computer systems that offer access to the Net.  All offer international
e-mail and Usenet (international conferences).  In addition, they offer:

FTP
     File-transfer protocol - access to hundreds of file libraries
     (everything from computer software to historical documents to song
     lyrics).  You'll be able to transfer these files from the Net to
     your own computer.

Telnet
     Access to databases, computerized library card catalogs, weather
     reports and other information services, as well as live, online
     games that let you compete with players from around the world.

   Additional services that may be offered include:

WAIS
     Wide-area Information Server; a program that can search dozens of
     databases in one search.

Gopher
     A program that gives you easy access to dozens of other online
     databases and services by making selections on a menu. You'll also
     be able to use these to copy text files and some programs to your
     mailbox.

IRC
     Internet Relay Chat, a CB simulator that lets you have live
     keyboard chats with people around the world.

   However, even on systems that do not provide these services
directly, you will be able to use a number of them through telnet
(see Telnet.). In the list that follows, systems that let you
access services through menus are noted; otherwise assume that when you
connect, you'll be dumped right into Unix (a.k.a.  MS-DOS with a
college degree). Several of these sites are available nationwide
through national data networks such as the CompuServe Packet Network
and SprintNet.

   Please note that all listed charges are subject to change.  Many
sites require new or prospective users to log on a particular way on
their first call; this list provides the name you'll use in such cases.

Alabama
-------

   Huntsville.  Nuance.  Call voice number for modem number. $35 setup;
$25 a month.  Voice: (205) 533-4296.

Alaska
------

   Anchorage.  University of Alaska Southeast, Tundra Services, (907)
789-1314; has local dial-in service in several other cities. $20 a
month.  Voice: (907) 465-6453.

Alberta
-------

   Edmonton. CCI Networks.  Terminal or UUCP access: Registration: $25.
$20 per month plus $5 per hour.  SLIP or PPP TCP/IP access: Reg: $40;
$40/month plus $6/hour.  Dedicated dialup: Reg. $350; $450/month, no
hourly charge.  Contact: <info@ccinet.ab.ca>, Voice: (403) 450 6787;
Fax: (403) 450 9143.

Arizona
-------

   Tucson.  Data Basics, (602) 721-5887. $25 a month or $180 a year.
Voice: (602) 721-1988.

   Phoenix/Tucson.  Internet Direct, (602) 274-9600 (Phoenix); (602)
321-9600 (Tucson).  Log on as: guest. $20 a month.  Voice: (602)
274-0100 (Phoenix); (602) 324-0100 (Tucson).

British Columbia
----------------

   Victoria  Victoria Free-Net, (604) 595-2300.  Menus.  Access to all
features requires completion of a written form.  Users can "link" to
other Free-Net systems in Canada and the United States. Free. Log on as:
guest. Voice: (604) 389-6026.

California
----------

   Berkeley.  Holonet. Menus. For free trial, modem number is (510)
704-1058. For information or local numbers, call the voice number.  $60
a year for local access, $2 an hour during offpeak hours. Voice:  (510)
704-0160.

   Cupertino.  Portal.  Both Unix and menus.  (408) 725-0561 (2400
bps); (408) 973-8091 (9600/14,400 bps). $19.95 setup fee, $19.95 a
month.  Voice: (408) 973-9111.

   Encinitas.  Cyber Station, (619) 634-1376.  Unix.  Log on as: guest.
Charges: $20 a month for one hour a day; $10 setup fee.

   Los Angeles, Oakland, Pasadena  and Irvine.  For more information,
call voice (800) 876-CERF or (619) 534-5087.  $50 setup fee; $20 a
month plus $5 an hour ($3 on weekends).  Voice: (800) 876-2373.

   Los Angeles/Orange County.  Kaiwan Public Access Internet, (714)
539-5726; (310) 527-7358.  $15 signup; $11 a month (credit card). Voice:
(714) 638-2139.

   Palo Alto.  Institute for Global Communications., (415) 322-0284.
Unix.  Local conferences on environmental/peace issues. Log on as: new.
$10 a month and $3 an hour after first hour.  Voice: (415) 442-0220.

   San Diego. Dial N' CERF USA, run by the California Education and
Research Federation. Provides local dial-up numbers in San Diego, Los
Angeles, Oakland, Pasadena  and Irvine.  For more information, call
voice (800) 876-CERF or (619) 534-5087.  $50 setup fee; $20 a month
plus $5 an hour ($3 on weekends). Voice: (800) 876-2373.

   San Diego.  CTS Network Services, (619) 637-3660. Log on as: help.
$15 set-up fee, monthly fee of $10 to $23 depending on services used.
Voice: (619) 637-3637.

   San Diego.  Cyberspace Station, (619) 634-1376.  Unix.  Log on as:
guest. Charges: $10 sign-up fee; $15 a month or $60 for six months.

   San Francisco.  Pathways, call voice number for number. Menus. $25
setup fee; $8 a month and $3 an hour. Voice: (415) 346-4188.

   San Jose. Netcom, (510) 865-9004 or 426-6610; (408) 241-9760; (415)
424-0131, up to 9600 bps. Unix.  Maintains archives of Usenet postings.
Log on as: guest. $15 startup fee and then $17.50 a month for
unlimited use if you agree to automatic billing of your credit-card
account (otherwise $19.50 a month for a monthly invoice).  Voice: (408)
554-UNIX.

   San Jose.  A2i, (408) 293-9010. Log on as: guest. $20 a month; $45
for three months; $72 for six months.

   Sausalito.  The Whole Earth 'Lectronic Link (WELL), (415) 332-6106.
Uses moderately difficult Picospan software, which is sort of a cross
between Unix and a menu system.  New users get a written manual.  More
than 200 WELL-only conferences.  Log on as: newuser. $15 a month plus
$2 an hour.  Access through the nationwide CompuServe Packet Network
available for another $4.50 an hour.  Voice: (415) 332-4335.  Recorded
message about the system's current status: (800) 326-8354 (continental
U.S.  only).

Colorado
--------

   Colorado Springs/Denver. CNS, (719) 570-1700 (Colorado Springs);
(303) 758-2656 (Denver).  Local calendar listings and ski and stock
reports. Users can choose between menus or Unix. Log on as: new.  $35
setup fee; $2.75 an hour (minimum fee of $10 a month).  Voice: (719)
592-1240

   Colorado Springs.  Old Colorado City Communications, (719) 632-4111.
Log on as: newuser. $25 a month. Voice: (719) 632-4848.

   Denver.  Denver Free-Net, (303) 270-4865.  Menus.  Access to all
services requires completion of a written form.  Users can "link" to
other Free-Net systems across the country.  Free.  Log on as: guest.

   Golden.  Colorado SuperNet.  E-mail to fax service. Available only
to Colorado residents. Local dial-in numbers available in several
Colorado cities. For dial-in numbers, call the number below. $3 an hour
($1 an hour between midnight and 6 a.m.); one-time $20 sign-up fee.
Voice: (303) 273-3471.

Delaware
--------

   Middletown.  Systems Solutions, (302) 378-1881. $20 setup fee; $25 a
month for full Internet access.  Voice: (800) 331-1386

Florida
-------

   Talahassee.  Talahassee Free-Net, (904) 488-5056. Menus. Full access
requires completion of a registration form.  Can "link" to other
Free-Net systems around the country. Voice: (904) 488-5056.

Illinois
--------

   Champaign.  Prarienet Free-Net, (217) 255-9000.  Menus.  Log on as:
visitor. Free for Illinois residents; $25 a year for others. Voice:
(217) 244-1962.

   Chicago. MCSNet, (312) 248-0900.  $25/month or $65 for three months
of unlimited access; $30 for three months of access at 15 hours a month.
Voice: (312) 248-UNIX.

   Peoria.  Peoria Free-Net, (309) 674-1100.  Similar to Cleveland
Free-Net (see Ohio, below).  Users can "link" to the larger Cleveland
system for access to Usenet and other services.  There are also Peoria
Free-Net public-access terminals in numerous area libraries, other
government buildings and senior-citizen centers.  Contact the number
below for specific locations.  Full access (including access to e-mail)
requires completion of a written application. Free.  Voice: (309)
677-2544.

Maryland
--------

   Baltimore.  Express Access, (410) 766-1855; (301) 220-0462; (714)
377-9784.  Log on as: new. $20 setup fee; $25 a month or $250 a year.
Voice: (800 969-9090.

   Baltimore.  Clarknet, (410) 730-9786; (410) 995-0271; (301) 596-
1626; (301) 854-0446.  Log on as: guest. $23 a month, $126 for six
months or $228 a year. Voice: (410) 730-9765.

Massachusetts
-------------

   Bedford.  The Internet Access Company, (617) 275-0331.  To log on,
follow on-line prompts.  $20 setup fee; $19.50 a month.  Voice: (617)
275-2221.

   Brookline.  The World, (617) 739-9753. "Online Book Initiative"
collection of electronic books, poetry and other text files. Log on as:
new. $5 a month plus $2 an hour or $20 for 20 hours a month. Available
nationwide through the CompuServe Packet Network for another $5.60 an
hour.  Voice: (617) 739-0202.

   Lynn.  North Shore Access, (617) 593-4557.  Log on as: new. $10 for
10 hours a month; $1 an hour after that. Voice: (617) 593-3110.

   Worcester.  NovaLink, (508) 754-4009.  Log on as: info. $12.95
sign-up (includes first two hours); $9.95 a month (includes five
daytime hours), $1.80 an hour after that.  Voice: (800) 274-2814.

   Worcester. Public Access UNIX for Worcester County. 8 Grove Heights
Dr., Worcester, MA 01605-3146. (508)853-0340. Log on as: guest.
$5/month incl. 2.5hrs, $2/hr. Voice:(508)-853-0258 other services:
uucp, slip, ppp.

Michigan
--------

   Ann Arbor.  MSEN.  Call voice number for dial-in number.  Unix.
Charges: $20 setup; $20 a month. Voice: (313) 998-4562.

   Ann Arbor. Michnet. Has local dial-in numbers in several Michigan
numbers.  For local numbers, call voice number below. $35 a month plus
one-time $40 sign-up fee.  Additional network fees for access through
non-Michnet numbers. Voice: (313) 764-9430.

New Hampshire
-------------

   Manchester.  MV Communications, Inc.  For local dial-up numbers call
voice line below.  $5 a month mininum plus variable hourly rates
depending on services used. Voice: (603) 429-2223.

New Jersey
----------

   New Brunswick.  Digital Express, (908) 937-9481.  Log on as: new.
$20 setup fee; $25 a month or $250 a year.  Voice: (800) 969-9090.

New York
--------

   New York. Panix, (212) 787-3100.  Unix or menus.  Log on as:
newuser. $40 setup fee; $19 a month or $208 a year.  Voice:  (212)
877-4854.

   New York.  Echo, (212) 989-8411.  Unix, but with local conferencing
software. Log on as: newuser.  $19.95 ($13.75 students and seniors) a
month.  Voice:  (212) 255-3839.

   New York.  MindVox, (212) 989-4141.  Local conferences. Log on as:
guest.  $10 setup fee for non-credit-card accounts; $15 a month. Voice:
(212) 989-2418.

   New York.  Pipeline, (212) 267-8606 (9600 bps and higher); (212)
267-7341 (2400 bps). Offers graphical interface for Windows for $90.
Log on as: guest. $20 a month and $2 an hour after first 20 hours or
$35 a month unlimited hours.  Voice: (212) 267-3636.

   New York.  Maestro, (212) 240-9700. Log on as: newuser. $12 a month
or $140 a year. Voice: (212) 240-9600.

North Carolina
--------------

   Charlotte.  Vnet Internet Access, (704) 347-8839; (919) 406-1544.
Log on as: new. $25 a month. Voice: (704) 374-0779.

   Triangle Research Park.  Rock Concert Net.  Call number below for
local modem numbers in various North Carolina cities.  $30 a month;
one-time $50 sign-up fee. Voice: (919) 248-1999.

Ohio
----

   Cleveland.  Cleveland Free-Net, (216) 368-3888.  Ohio and US Supreme
Court decisions, historical documents, many local conferences.  Full
access (including access to e-mail) requires completion of a written
application. Free. Voice:  (216) 368-8737.

   Cincinnati.  Tri-State Online, (606) 781-5575.  Similar to Cleveland
Free-Net. Full access (including access to e-mail) requires completion
of a written application. Free.

   Cleveland.  Wariat, (216) 481-9436. Unix or menus. $20 setup fee;
$35 a month.  Voice: (216) 481-9428.

   Dayton.  Freelance Systems Programming, (513) 258-7745. $20 setup
fee; $1 an hour. Voice: (513) 254-7246.

   Lorain.  Lorain County Free-Net, (216) 277-2359 or 366-9753.
Similar to Cleveland Free-Net.  Users can "link" to the larger
Cleveland system for additional services.  Full access (including
access to e-mail) requires completion of a written application. Free.
Voice: (216) 366-4200.

   Medina.  Medina Free-Net, (216) 723-6732, 225-6732 or 335-6732.
Users can "link" to the larger Cleveland Free-Net for additional
services.  Full access (including access to e-mail) requires completion
of a written application. Free.

   Youngstown.  Youngstown Free-Net, (216) 742-3072.  Users can "link"
to the Cleveland system for services not found locally.  Full access
(including access to e-mail) requires completion of a written
application. Free.

Ontario
-------

   Ottawa.  National Capital FreeNet, (613) 780-3733 or (613) 564-3600.
Free, but requires completion of a written form for access to all
services.

   Toronto.  UUNorth.  Call voice number below for local dial-in
numbers. $20 startup fee; $25 for 20 hours a month of offpeak use.
Voice: (416) 225-8649.

   Toronto.  Internex Online, (416) 363-3783.  Both Unix and menus. $40
a year for one hour a day. Voice: (416) 363-8676.

Oregon
------

   Portland.  Agora, (503) 293-1772 (2400 bps), (503) 293-2059 (9600
bps or higher). Log on as: apply. $6 a month for one hour per day.

   Portland.  Teleport, (503) 220-0636 (2400 bps); (503) 220-1016 (9600
and higher).  Log on as: new.  $10 a month for one hour per day.
Voice: (503) 223-4245.

Pennsylvania
------------

   Pittsburgh.  Telerama, (412) 481-5302. $6 for 10 hours a month, 60
cents for each additional hour. Voice: (412) 481-3505.

Quebec
------

   Montreal.  Communications Accessibles Montreal, (514) 931-7178 (9600
bps); (514) 931-2333 (2400 bps). $25 a month. Voice: (514) 931-0749.

Rhode Island
------------

   East Greenwich.  IDS World Network, (401) 884-9002.  In addition to
Usenet, has conferences from the Fidonet and RIME networks.  $10 a
month; $50 for six months; $100 for a year.

   Providence/Seekonk.  Anomaly, (401) 331-3706.  $125 for six months
or $200 a year. Educational rate of $75 for six months or $125 a year.
Voice: (401) 273-4669.

Texas
-----

   Austin.  RealTime Communications, (512) 459-4391.  Log on as: new.
$75 a year. Voice: (512) 451-0046.

   Dallas.  Texas Metronet, (214) 705-2901; (817) 261-1127.  Log on as:
info or signup. $10 to $35 setup fee, depending on service; $10 to $45 a
month, depending on service. Voice: (214) 705-2900 or (817) 543-8756.

   Houston.  The Black Box, (713) 480-2686.  $21.65 a month. Voice:
(713) 480-2684.

Utah
----

   XMission.  Modem: (801) 539-0900  Voice: (801) 539-0852.  Menu and
UNIX shell dialup.  CSLIP/PPP usage no extra charge.  $5 first month,
$19 continuing months, $102 for six months.  Flat rate, no extra
charges.  Business and domain accounts available.  2400 - 19200 (ZyXEL)
bps.

Virginia
--------

   Norfolk/Peninsula.  Wyvern Technologies, (804) 627-1828 (Norfolk);
(804) 886-0662 (Peninsula).  $10 startup fee; $15 a month or $144 a
year.  Voice: (804) 622-4289.

Washington, DC
--------------

   The Meta Network.  Call voice number below for local dial-in
numbers.  Caucus conferencing, menus. $15 setup fee; $20 a month. Voice:
(703) 243-6622.

   CapAccess, (202), 785-1523.  Log on as guest with a password of
visitor.  A Free-Net system (see under Cleveland, Ohio, for
information).  Free. Voice: (202) 994-4245.

   See also: listing under Baltimore, MD for Express Access and
Clarknet.

Washington State
----------------

   Seattle.  Eskimo North, (206) 367-3837 (all speeds), (206) 362-6731
(9600/14.4K bps).  $10 a month or $96 a year. Voice: (206) 367-7457.

   Seattle. Halcyon, (206) 382-6245.  Users can choose between menus
and Unix.  Log on as: new.  $10 setup fee; $60 a quarter or $200 a year.
Voice: (206) 955-1050.

Germany
-------

   BelWue, BelWue-Koordination, Rechenzentrum, Uni Stuttgart,
Allmandring 30, 70550 Stuttgart.  E-mail: <info@belwue.de>

   DFN-Verein, Pariser Str. 44, 10707 Berlin.  Tel. (030) 884299-22.
Fax: (030) 884299-70.  Gopher: `gopher.dfn.de' FTP: `ftp.dfn.de'

   Nutzergruppe Studierende im DFN, Einsteinstr. 60, 48149 Muenster.
E-mail: <ng-studis@dfn. de> FTP: `ftp.uni-stuttgart.de' in
`/pub/org/uni-s/faveve/ Arbeitskreise/Computer/NG-Studis'

   EUnet Deutschland GmbH, Emil-Figge-Str.80, 44227 Dortmund.  Tel.
(0231) 972-00.  Fax: (0231) 972-1111.  E-mail: <info@Germany.EU.net>
FTP: `ftp.germany.eu.net'

   Individual Network e.V., Geschaeftsstelle, Scheideweg 65, D-26121
Oldenburg.  Tel. (0441) 9808556.  Fax: (0441) 9808557, E-mail:
<IN-Info@Individual.NET> (Informationen) FTP: `ftp.fu-berlin.de' in
`/pub/doc/IN' UUCP: 10-30 DM/month, IP(SLIP/PPP): 20-50 DM/month.

   MAZ, Mikroelektronik Anwendungszentrum Hamburg GmbH Kamappstr. 20,
21079 Hamburg.  E-mail: <info@maz.net>

   NTG Netzwerk und Telematic GmbH, Geschaeftsbereich XLink,
Vincenz-Priessnitz-Str. 3, 76131 Karlsruhe.  Tel. (0721) 9652-0.  Fax:
(0721) 9652-10.  E-mail: <info@xlink.net> FTP: `ftp.xlink.net'

   subNetz e.V., Geschaeftsstelle, c/o Heiko Rupp, Gerwigstr. 5, 76131
Karlsruhe.  Fax: (0721) 661937.  E-mail: <info@subnet.sub.net>

Italy
-----

   Rome. Agora'C. c/o Vittorio Emanuele II, 39, 00186 Roma.  Tel. (06)
6991742/3.  Fax: (06) 69920123.  Modem: (06) 69920412 (up to 2400 baud).
(06) 6990532 (up to 9600 baud).  (06) 52271093 (up to 14400 baud) (all
N81 MNP5).  28800 baud connections possible too.  ITAPAC: NUA 26430303,
26420265 (1200 baud, E71).  BT Tymnet (logon: agora) Internet domain:
`agora.stm.it' Sprint International: agora.  ISDN: 52271470.  Two
alternative ways to pay: (i) 200 thousand lire a year plus VAT, do as
much as you like of whatever you like (unless of course you connect to
private services which cost money), not counting reverse charge ITAPAC
calls or similar if you connect to Agora that way.  (ii) nothing a year
base fee, but messages to or from anyone not on Agor cost 100 lire each
plus 10 lire per K, and telnet, ftp, archie, gopher and so on cost
about 10 lire per K or 100 lire a minute.

   Rome. MC-link Technimedia Srl.  Via Carlo Perrier 9 00157 Roma.
Tel. (06) 418921.  Fax: (06) 41732169.  (monthly fee 18 thousand, or 24
thousand if you pay quarterly rather than annually. No extra charges
for anything unless you use reverse charge ITAPAC calls to connect to
the system, in which case of course they'll make you pay them for that.)
Modem: (06) 4180440 (N81 300-14400 CCITT, 19200 ZyX, V32bis, V42bis,
MNP5); (06) 4180660 (US Robotics).  ITAPAC: NUA 26410420.  Internet
domain: `mclink.it' (but using Telnet it's `mclink.mclink.it')

   Milan. Galactica.  Via Turati, 40, 20121 Milano.  Tel. (02) 29006150.
Fax: (02) 29006153.  Office open Monday to Friday, 9.00 to 13.00 and
14.00 to 18.00.  12 lines V32bis 14.400 MNP5 (02) 29006091.  12 lines
V22bis  2.400 MNP5 (02) 29006058.  E-mail: <staff@galactica.it> 24.000
for a month, 71400 for 3 months, 107100 for 6 months or 178500 for a
year. (IVA included, all internet services free, including Usenet news
and Fidonet.) Businesses pay 300000 plus IVA for a one year
subscription.  Sprint access available by the time this article is
published.  If you live anywhere else, then it's probably best to use
ITAPAC to call MC-link or Agor as Galactica is not currently set up for
it.

   Milan. IUnet. (EUnet Italy).  c/o Caterina Bonino, i2u srl, Viale
Monza 253, I-20126 Milano, Italy.  Tel. +39 2 2700 2528.  Fax: +39 2
2700 1322.  E-mail: <info@Italy.EU.net>

United Kingdom
--------------

   London. Demon Internet Systems, +44 (0)81 343 4848.  12.50 setup fee;
10 a month or  132.50 a year. Voice: +44 (0)81 349 0063

   Kent. EUnet GB (GBnet Ltd).  Wilson House, John Wilson Business Park,
Whitstable, Kent CT5 3QY, UK.  Support Group: Tel. +44 227 266466.
Fax: +44 227 266477 E-mail: <info@Britain.EU.net>

Australia
---------

   Melbourne, Victoria. Suburbia BBS.  We are connected 24 hours a day
into the Internet, offering users a full range of services.

   Suburbia is not a business venture, it is a non-profit system run by
people who like to use the facilities as much as you will. Suburbia BBS
allows users to dial in on multiple phone lines, all on the one rotary
number of (+613) 596 8366. New users login as `register'.  If you have
any further inquiries please feel free to mail the system
administrators; <zerohour@suburbia.apana.org.au> or
<mda@suburbia.apana.org.au>.

If your Town doesn't have Direct Access
=======================================

   If you don't live in an area with a public-access site, you'll still
be able to connect to the Net.  Several services offer access through
national data networks such as the CompuServe Packet Network and
SprintNet, which have dozens, even hundreds of local dial-in numbers
across the country.  These include Holonet in Berkeley, Calf., Portal in
Cupertino, Calf., the WELL in Sausalito, Calf., Dial 'N CERF in San
Diego, Calf., the World in Brookline, Mass., and Michnet in Ann Arbor,
Mich.  Dial 'N CERF offers access through an 800 number.  Expect to pay
from $2 to $12 an hour to use these networks, above each provider's
basic charges.  The exact amount depends on the network, time of day
and type of modem you use.  For more information, contact the above
services.

   Four other providers deliver Net access to users across the country:

   Delphi, based in Cambridge, Mass., is a consumer-oriented network
much like CompuServe or America On-Line - only it now offers
subscribers access to Internet services.

   Charges: $3 a month for Internet access, in addition to standard
charges.  These are $10 a month for four hours of off-peak (non-working
hours) access a month and $4 an hour for eachs additional hour or $20
for 20 hours of access a month and $1.80 an hour for each additional
hour.  For more information, call (800) 695-4005.

   PSI, based in Reston, Va., provides nationwide access to Internet
services through scores of local dial-in numbers to owners of IBM and
compatible computers.  PSILink. which includes access to e-mail, Usenet
and ftp, costs $29 a month, plus a one-time $19 registration fee.
Special software is required, but is available free from PSI.  PSI's
Global Dialup Service provides access to telnet for $39 a month plus a
one-time $39 set-up fee.  For more information, call (800) 82PSI82 or
(703) 620-6651.

   BIX (the Byte Information Exchange) offers FTP, Telnet and e-mail
access to the Internet as part of their basic service. Owned by the same
company as Delphi, it also offers 20 hours of access a month for $20.
For more information, call (800) 695-4775.

   NovX Systems Integration, based in Seattle, Washington, offers full
Internet access through an 800 number reachable across the United
States.  There is a $24.95 setup fee, in addition to a monthly fee of
$19.95 and a $10.5 hourly charge.  For more information, call (206)
447-0800.

Net Origins
===========

   In the 1960s, researchers began experimenting with linking computers
to each other and to people through telephone hook-ups, using funds
from the U.S Defense Department's Advanced Research Projects Agency
(ARPA).

   ARPA wanted to see if computers in different locations could be
linked using a new technology known as packet switching, which had the
promise of letting several users share just one communications line.
Previous computer networking efforts had required a line between each
computer on the network, sort of like a train track on which only one
train can travel at a time.  The packet system allowed for creation of
a data highway, in which large numbers of vehicles could essentially
share the same lane.  Each packet was given the computer equivalent of
a map and a time stamp, so that it could be sent to the right
destination, where it would then be reassembled into a message the
computer or a human could use.

   This system allowed computers to share data and the researchers to
exchange electronic mail, or e-mail.  In itself, e-mail was something
of a revolution, offering the ability to send detailed letters at the
speed of a phone call.

   As this system, known as ARPANet, grew, some enterprising college
students (and one in high school) developed a way to use it to conduct
online conferences.  These started as science-oriented discussions, but
they soon branched out into virtually every other field, as people
recognized the power of being able to "talk" to hundreds, or even
thousands, of people around the country.

   In the 1970s, ARPA helped support the development of rules, or
protocols, for transferring data between different types of computer
networks.  These "internet" (from "internetworking") protocols made it
possible to develop the worldwide Net we have today that links all sorts
of computers across national boundaries. By the close of the 1970s,
links developed between ARPANet and counterparts in other countries.
The world was now tied together in a computer web.

   By the close of the 1970s, links developed between ARPANet and
counterparts in other countries.  The world was now tied together in a
computer web.

   In the 1980s, this network of networks, which became known
collectively as the Internet, expanded at a phenomenal rate.  Hundreds,
then thousands, of colleges, research companies and government agencies
began to connect their computers to this worldwide Net.  Some
enterprising hobbyists and companies unwilling to pay the high costs of
Internet access (or unable to meet stringent government regulations for
access) learned how to link their own systems to the Internet, even if
"only" for e-mail and conferences.  Some of these systems began
offering access to the public. Now anybody with a computer and modem -
and persistence - could tap into the world.

   In the 1990s, the Net grows at exponential rates.  Some estimates
are that the volume of messages transferred through the Net grows 20
percent a month.  In response, government and other users have tried in
recent years to expand the Net itself.  Once, the main Net "backbone" in
the U.S. moved data at 1.5 million bits per second.  That proved too
slow for the ever increasing amounts of data being sent over it, and in
recent years the maximum speed was increased to 1.5 million and then 45
million bits per second. Even before the Net was able to reach that
latter speed, however, Net experts were already figuring out ways to
pump data at speeds of up to 2 billion bits per second - fast enough to
send the entire Encyclopedia Britannica across the country in just one
or two seconds.

   Another major change has been the development of commercial services
that provide internetworking services at speeds comparable to those of
the government system.  In fact, by mid-1994, the U.S.  government will
remove itself from any day-to-day control over the workings of the Net,
as regional and national providers continue to expand.

How it Works
============

   The worldwide Net is actually a complex web of smaller regional
networks.  To understand it, picture a modern road network of
trans-continental superhighways connecting large cities.  From these
large cities come smaller freeways and parkways to link together small
towns, whose residents travel on slower, narrow residential ways.

   The Net superhighway is the high-speed Internet.  Connected to this
are computers that use a particular system of transferring data at high
speeds.  In the U.S., the major Internet "backbone" theoretically can
move data at rates of 45 million bits per second (compare this to the
average home modem, which has a top speed of roughly 9,600 to 14,400
bits per second).  This internetworking "protocol" lets network users
connect to computers around the world.

   Connected to the backbone computers are smaller networks serving
particular geographic regions, which generally move data at speeds
around 1.5 million bits per second.

   Feeding off these in turn are even smaller networks or individual
computers.

   Unlike commercial networks such as CompuServe or Prodigy, the
Internet is not run by one central computer or computers.  This is both
its greatest strength and its greatest weakness.   The approach means
it is virtually impossible for the entire Net to crash at once - even
if one computer shuts down, the rest of the network stays up.  The
design also reduces the costs for an individual or organization to get
onto the network.  But thousands of connected computers can also make it
difficult to navigate the Net and find what you want - especially as
different computers may have different commands for plumbing their
resources.  It is only recently that Net users have begun to develop the
sorts of navigational tools and "maps" that will let neophytes get
around without getting lost.

   Nobody really knows how many computers and networks actually make up
this Net.  Some estimates say there are now as many as 5,000 networks
connecting nearly 2 million computers and more than 15 million people
around the world.  Whatever the actual numbers, however, it is clear
they are only increasing.

   The Net is more than just a technological marvel. It is human
communication at its most fundamental level.  The pace may be a little
quicker when the messages race around the world in a few seconds, but
it's not much different from a large and interesting party. You'll see
things in cyberspace that will make you laugh; you'll see things that
will anger you.  You'll read silly little snippets and new ideas that
make you think.  You'll make new friends and meet people you wish would
just go away.

   Major network providers continue to work on ways to make it easier
for users of one network to communicate with those of another.  Work is
underway on a system for providing a universal "white pages" in which
you could look up somebody's electronic-mail address, for example.
This connectivity trend will likely speed up in coming years as users
begin to demand seamless network access, much as telephone users can
now dial almost anywhere in the world without worrying about how many
phone companies actually have to connect their calls.

   And today, the links grow ever closer between the Internet and such
commercial networks as CompuServe and Prodigy, whose users can now
exchange electronic mail with their Internet friends.  Some commercial
providers, such as Delphi and America Online, are working to bring their
subscribers direct access to Internet services.

   And as it becomes easier to use, more and more people will join this
worldwide community we call the Net.

   Being connected to the Net takes more than just reading conferences
and logging messages to your computer; it takes asking and answering
questions, exchanging opinions - getting involved.

   If you choose to go forward, to use and contribute, you will become
a "citizen of Cyberspace."  If you're reading these words for the first
time, this may seem like an amusing but unlikely notion - that one
could "inhabit" a place without physical space.  But put a mark beside
these words.  Join the Net and actively participate for a year.  Then
re-read this passage.  It will no longer seem so strange to be a
"citizen of Cyberspace."  It will seem like the most natural thing in
the world.

   And that leads to a fundamental thing to remember:

                       You can't break the Net!

   As you travel the Net, your computer may freeze, your screen may
erupt into a mass of gibberish.  You may think you've just disabled a
million-dollar computer somewhere - or even your own personal computer.
Sooner or later, this feeling happens to everyone - and likely more
than once. But the Net and your computer are hardier than you think, so
relax.  You can no more break the Net than you can the phone system.
If something goes wrong, try again.  If nothing at all happens, you can
always disconnect.   If worse comes to worse, you can turn off your
computer.  Then take a deep breath.  And dial right back in. Leave a
note for the person who runs the computer to which you've connected to
ask for advice.  Try it again. Persistence pays.

   Stay and contribute.  The Net will be richer for it - and so will
you.

When things go wrong
====================

   * Your computer connects with a public-access site and get gibberish
     on your screen.  If you are using parameters of 8-1-N, try 7-1-e
     (or vice-versa).  If that doesn't work, try another modem speed.

   * You have your computer dial a public-access site, but nothing
     happens.  Check the phone number you typed in.  If correct, turn
     on your modem's speaker (on Hayes-compatible modems, you can
     usually do this by typing ATM1 in your communications software's
     "terminal mode").  If the phone just rings and rings, the
     public-access site could be down for maintenance or due to a crash
     or some other problem.  If you get a "connect" message, but
     nothing else, try hitting enter or escape a couple of times.

   * You try to log in, but after you type your password, nothing
     happens, or you get a "timed out" message followed by a disconnect.
     Re-dial the number and try it again.

   * Always remember, if you have a problem that just doesn't go away,
     ask! Ask your system administrator, ask a friend, but ask.
     Somebody will know what to do.

FYI:
====

   The Net grows so fast that even the best guide to its resources
would be somewhat outdated the day it was printed.  At the end of each
chapter, however, you'll find FYI pointers to places on the Net where
you can go for more information or to keep updated on new resources and
services.

   PETER KAMINSKI maintains a list of systems that provide public
access to Internet services.  It's availble on the network itself,
which obviously does you little good if you currently have no access,
but which can prove invaluable should you move or want to find a new
system.  Look for his "PDIAL" file in the `alt.bbs.lists' or
`news.answers' newsgroups in Usenet (for information on accessing
Usenet, see Global Watering Hole.).

   Steven Levy's book, "Hackers: Heroes of the Computer Revolution",
(Anchor Press/Doubleday, 1984), describes the early culture and ethos
that ultimately resulted in the Internet and Usenet.

   John Quarterman, "The Matrix: Computer Networks and Conferencing
Systems Worldwide" (Digital Press, 1990), is an exhaustive look at
computer networks and how they connect with each other.  You'll find
numerous documents about the Internet, its history and its resources in
the `pub/Net_info' directory on the Electronic Frontier Foundation's
FTP server (see FTP. to decipher this).

   "FYI on Where to Start - A Bibliography of Internetworking
Information",  by Tracy LaQuey, Joyce K. Reynolds, Karen Roubicek, Mary
Stahl and Aileen Yuan (August, 1990), is an excellent list of articles,
books, newsletters and other sources of information about the Internet.
It's available via ftp from `nic.ddn.mil' in the `rfc' directory as
`rfc1175.txt' (see FTP. for information on getting documents
through FTP).

           *"Ah! Dear Watson, now we enter the mystic room of wizardry,
         where even the most brilliant of all logic minds might fail."*
                                              -- Sir Arthur Conan Doyle

                                      *"Welcome to the Pleasure Dome!"*
                                           -- Frankie goes to Hollywood

Electronic Mail
***************

The Basics
==========

   Electronic mail, or e-mail, is your personal connection to the world
of the Net.

   All of the millions of people around the world who use the Net have
their own e-mail addresses.  A growing number of "gateways" tie more
and more people to the Net every day.  When you logged onto the host
system you are now using, it automatically generated an address for you,
as well.

   The basic concepts behind e-mail parallel those of regular mail.
You send mail to people at their particular addresses.  In turn, they
write to you at your e-mail address.  You can subscribe to the
electronic equivalent of magazines and newspapers. You might even get
electronic junk mail.

   E-mail has two distinct advantages over regular mail.  The most
obvious is speed. Instead of several days, your message can reach the
other side of the world in hours, minutes or even seconds (depending on
where you drop off your mail and the state of the connections between
there and your recipient).  The other advantage is that once you master
the basics, you'll be able to use e-mail to access databases and file
libraries.  You'll see how to do this later, along with learning how to
transfer program and data files through e-mail.

   E-mail also has advantages over the telephone.  You send your
message when it's convenient for you.  Your recipients respond at their
convenience.  No more telephone tag.  And while a phone call across the
country or around the world can quickly result in huge phone bills,
e-mail lets you exchange vast amounts of mail for only a few pennies -
even if the other person is in New Zealand.

   E-mail is your connection to help - your Net lifeline.  The Net can
sometimes seem a frustrating place!  No matter how hard you try, no
matter where you look, you just might not be able to find the answer to
whatever is causing you problems. But when you know how to use e-mail,
help is often just a few keystrokes away: you can ask your system
administrator or a friend for help in an e-mail message.

   The quickest way to start learning e-mail is to send yourself a
message.  Most public-access sites actually have several different types
of mail systems, all of which let you both send and receive mail. We'll
start with the simplest one, known, appropriately enough, as "mail," and
then look at a couple of other interfaces. At your host system's command
prompt, type:

     mail username

   where username is the name you gave yourself when you first logged
on.  Hit enter.  The computer might respond with

     Subject:

   Type

     test

   or, actually, anything at all (but you'll have to hit enter before
you get to the end of the screen). Hit enter.

   The cursor will drop down a line. You can now begin writing the
actual message. Type a sentence, again, anything at all.  And here's
where you hit your first Unix frustration, one that will bug you
repeatedly: you have to hit enter before you get to the very end of the
line.  Just like typewriters, many Unix programs have no
word-wrapping.(1)

   When done with your message, hit return. Now hit control-D (the
control and the D keys at the same time).  This is a Unix command that
tells the computer you're done writing and that it should close your
"envelope" and mail it off (you could also hit enter once and then, on
a blank line, type a period at the beginning of the line and hit enter
again).

   You've just sent your first e-mail message.  And because you're
sending mail to yourself, rather than to someone somewhere else on the
Net, your message has already arrived, as we'll see in a moment.

   If you had wanted, you could have even written your message on your
own computer and then uploaded it into this electronic "envelope."
There are a couple of good reasons to do this with long or involved
messages.  One is that once you hit enter at the end of a line in
"mail" you can't readily fix any mistakes on that line (unless you use
some special commands to call up a Unix text processor).  Also, if you
are paying for access by the hour, uploading a prepared message can
save you money.  Remember to save the document in ASCII or text format.
Uploading a document you've created in a word processor that uses
special formatting commands (which these days means many programs) will
cause strange effects.

   When you get that blank line after the subject line, upload the
message using the ASCII protocol.  Or you can copy and paste the text,
if your software allows that. When done, hit control-D as above.

   Now you have mail waiting for you.  Normally, when you log on, your
public-access site will tell you whether you have new mail waiting.  To
open your mailbox and see your waiting mail, type

     mail

   and hit enter.

   When the host system sees "mail" without a name after it, it knows
you want to look in your mailbox rather than send a message.  Your
screen, on a plain-vanilla Unix system will display:

     Mail version SMI 4.0 Mon Apr 24 18:34:15 PDT 1989  Type ? for help.
     ``/usr/spool/mail/adamg'': 1 message 1 new 1 unread

     >N 1 adamg              Sat Jan 15 20:04   12/290   test

   Ignore the first line; it's just computerese of value only to the
people who run your system. You can type a question mark and hit
return, but unless you're familiar with Unix, most of what you'll see
won't make much sense at this point.

   The second line tells you the directory on the host system where
your mail messages are put, which again, is not something you'll likely
need to know.  The second line also tells you how many messages are in
your mailbox, how many have come in since the last time you looked and
how many messages you haven't read yet.

   It's the third line that is of real interest - it tells you who the
message is from, when it arrived, how many lines and characters it
takes up, and what the subject is.  The "N" means it is a new message -
it arrived after the last time you looked in your mailbox.  Hit enter.
And there's your message - only now it's a lot longer than what you
wrote!

     Message 1:
     From adamg Jan 15 20:04:55 1994
     Received: by eff.org id AA28949
     (5.65c/IDA-1.4.4/pen-ident for adamg); Sat, 15 Jan 1994 20:04:55 -0400
     (ident-sender: adamg@eff.org)
     Date: Sat, 15 Jan 1994 21:34:55 -0400
     From: Adam Gaffin <adamg>
     Message-Id: <199204270134.AA28949@eff.org>
     To: adamg
     Subject: test
     Status: R

     This is only a test!

   Whoa! What is all that stuff? It's your message with a postmark gone
mad.  Just as the postal service puts its marks on every piece of mail
it handles, so do Net postal systems.  Only it's called a "header"
instead of a postmark. Each system that handles or routes your mail
puts its stamp on it.  Since many messages go through a number of
systems on their way to you, you will often get messages with headers
that seem to go on forever.  Among other things, a header will tell you
exactly when a message was sent and received (even the difference
between your local time and Greenwich Mean Time (GMT) - as at the end
of line 4 above).

   If this had been a long message, it would just keep scrolling across
and down your screen - unless the people who run your public-access
site have set it up to pause every 24 lines.  One way to deal with a
message that doesn't stop is to use your telecommunication software's
logging or text-buffer function.  Start it before you hit the number of
the message you want to see.  Your computer will ask you what you want
to call the file you're about to create. After you name the file and
hit enter, type the number of the message you want to see and hit
enter.  When the message finishes scrolling, turn off the text-buffer
function. The message is now saved in your computer.  This way, you can
read the message while not connected to the Net (which can save you
money if you're paying by the hour) and write a reply offline.

   But in the meantime, now what?  You can respond to the message,
delete it or save it.  To respond, type a lowercase "r" and hit enter.
You'll get something like this:

     To: adamg
     Subject: Re: test

   Note that this time, you don't have to enter a user name.  The
computer takes it from the message you're replying to and automatically
addresses your message to its sender. The computer also automatically
inserts a subject line, by adding "Re:" to the original subject.  From
here, it's just like writing a new message. But say you change your
mind and decide not to reply after all. How do you get out of the
message? Hit control-C once. You'll get this:

     (Interrupt -- one more to kill letter)

   If you hit control-C once more, the message will disappear and you'll
get back to your mail's command line.

   Now, if you type a lowercase "d" and then hit enter, you'll delete
the original message.  Type a lowercase "q" to exit your mailbox.

   If you type a "q" without first hitting "d", your message is
transferred to a file called mbox.  This file is where all read, but
un-deleted messages go.  If you want to leave it in your mailbox for
now, type a lowercase "x" and hit enter.  This gets you out of mail
without making any changes.

   The mbox file works a lot like your mailbox.  To access it, type

     mail -f mbox

   at your host system's command line and hit enter.

   You'll get a menu identical to the one in your mailbox from which
you can read these old messages, delete them or respond to them.  It's
probably a good idea to clear out your mailbox and mbox file from time
to time, if only to keep them uncluttered.

   Are there any drawbacks to e-mail?  There are a few.  One is that
people seem more willing to fly off the handle electronically than in
person, or over the phone.  Maybe it's because it's so easy to hit R
and reply to a message without pausing and reflecting a moment.  That's
why we have smileys (see Smileys.)!  There's no online equivalent
yet of a return receipt: chances are your message got to where it's
going, but there's no absolute way for you to know for sure unless you
get a reply from the other person.

   So now you're ready to send e-mail to other people on the Net.  Of
course, you need somebody's address to send them mail.  How do you get
it?

   Alas, the simplest answer is not what you'd call the most elegant:
you call them up on the phone or write them a letter on paper and ask
them.  Residents of the electronic frontier are only beginning to
develop the equivalent of phone books, and the ones that exist today
are far from complete (still, later on, see Telnet., we'll show you
how to use some of these directories).

   Eventually, you'll start corresponding with people, which means
you'll want to know how to address mail to them.  It's vital to know
how to do this, because the smallest mistake - using a comma when you
should have used a period, for instance, can bounce the message back to
you, undelivered.  In this sense, Net addresses are like phone numbers:
one wrong digit and you get the wrong person.  Fortunately, most net
addresses now adhere to a relatively easy-to-understand system.

   Earlier, you sent yourself a mail message using just your user-name.
This was sort of like making a local phone call - you didn't have to
dial a 1 or an area code.  This also works for mail to anybody else who
has an account on the same system as you.

   Sending mail outside of your system, though, will require the use of
the Net equivalent of area codes, called "domains." A basic Net address
will look something like this:

     tomg@world.std.com

   Tomg is somebody's user ID, and he is at (hence the  sign) a site
(or in Internetese, a "domain") known as `std.com'.  Large organizations
often have more than one computer linked to the Internet; in this case,
the name of the particular machine is world (you will quickly notice
that, like boat owners, Internet computer owners always name their
machines).

   Domains tell you the name of the organization that runs a given
e-mail site and what kind of site it is or, if it's not in the U.S.,
what country it's located in.  Large organizations may have more than
one computer or gateway tied to the Internet, so you'll often see a
two-part domain name; and sometimes even three- or four-part domain
names.

   In general, American addresses end in an organizational suffix, such
as ".edu," which means the site is at a college or university.  Other
American suffixes include:

`.com'
     for businesses

`.org'
     for non-profit organizations

`.gov'
`.mil'
     for government and military agencies

`.net'
     for companies or organizations that run large networks.

   Sites in the rest of the world tend to use a two-letter code that
represents their country.  Most make sense, such as `.ca' for Canadian
sites, but there are a couple of seemingly odd ones, at least if you
don't know the ISO 3166 standard international abbreviations.  (see
Connectivity. for a list of the rest of the world.) E.g., swiss sites
end in `.ch' (Confederatio Helvetica), German sites end in `.de'
(DEutschland), while South African ones end in `.za' (from the archaic
spelling Zuid Afrika).  Some U.S. sites have followed this
international convention (such as well.sf.ca.us).

   You'll notice that the above addresses are all in lowercase.  Unlike
almost everything else having anything at all to do with Unix, most Net
mailing systems don't care about case, so you generally don't have to
worry about capitalizing e-mail addresses.  Alas, there are a few
exceptions - some public-access sites do allow for capital letters in
user names.  When in doubt, ask the person you want to write to, or let
her send you a message first (recall how a person's e-mail address is
usually found on the top of her message). The domain name, the part of
the address after the @ sign, never has to be capitalized.

   It's all a fairly simple system that works very well, except, again,
it's vital to get the address exactly right - just as you have to dial
a phone number exactly right.  Send a message to `tomg@unm.edu' (which
is the University of New Mexico) when you meant to send it to
`tomg@umn.edu' (the University of Minnesota), and your letter will
either bounce back to you undelivered, or go to the wrong person.

   If your message is bounced back to you as undeliverable, you'll get
an ominous looking-message from MAILER-DAEMON (actually a rather benign
Unix program that exists to handle mail), with an evil-looking header
followed by the text of your message. Sometimes, you can tell what went
wrong by looking at the first few lines of the bounced message.
Besides an incorrect address, it's possible your host system does not
have the other site in the "map" it maintains of other host systems. Or
you could be trying to send mail to another network, such as Bitnet or
CompuServe, that has special addressing requirements.

   Sometimes, figuring all this out can prove highly frustrating.  But
remember the prime Net commandment: Ask.  Send a message to your system
administrator.  He or she might be able to help decipher the problem.

   There is one kind of address that may give your host system
particular problems.  There are two main ways that Unix systems
exchange mail.  One is known as UUCP and started out with a different
addressing system than the rest of the Net.  Most UUCP systems have
since switched over to the standard Net addressing system, but a few
traditional sites still cling to their original type, which tends to
have lots of exclamation points in it, like this:

     uunet!somesite!othersite!mybuddy

   The problem for many host sites is that exclamation points (also
known as "bangs") now mean something special in the more common systems
or "shells" used to operate many Unix computers. This means that
addressing mail to such a site (or even responding to a message you
received from one) could confuse the poor computer to no end and your
message never gets sent out. If that happens, try putting backslashes in
front of each exclamation point, so that you get an address that looks
like this:

     uunet\!somesite\!othersite\!mybuddy

   Note that this means you may not be able to respond to such a message
by typing a lowercase `r'  - you may get an error message and you'll
have to create a brand-new message.

   If you want to get a taste of what's possible through e-mail, start
an e-mail message to

     almanac@oes.orst.edu

   Leave the "Subject:" line blank.  As a message, write this:

     send quote

   Or, if you're feeling a little down, write this instead:

     send moral-support

   In either case, you will get back a message within a few seconds to
a few hours (depending on the state of your host system's Internet
connection).  If you simply asked for a quote, you'll get back a
fortune-cookie-like saying.  If you asked for moral support, you'll also
get back a fortune-cookie-like saying, only supposedly more uplifting.

   This particular "mail server" is run by Oregon State University.
Its main purpose is actually to provide a way to distribute agricultural
information via e-mail.  If you'd like to find out how to use the
server's full range of services, send a message to its address with this
line in it:

     send help

   You'll quickly get back a lengthy document detailing just what's
available and how to get it.

   Feeling opinionated?  Want to give the President of the United States
a piece of your mind?  Send a message to <president@whitehouse.gov>.
Or if the vice president will do, write <vice-president@whitehouse.gov>.

   The "mail" program is actually a very powerful one and a Netwide
standard, at least on Unix computers.  But it can be hard to figure out
- you can type a question mark to get a list of commands, but these may
be of limited use unless you're already familiar with Unix.
Fortunately, there are a couple of other mail programs that are easier
to use.

   ---------- Footnotes ----------

   (1)  Although using `emacs' you'd simply say `M-x auto-fill-mode' to
turn on (off) automatic word wrap.

ELM - A better way
==================

   Elm is a combination mailbox and letter-writing system that uses
menus to help you navigate through mail.  Most Unix-based host systems
now have it online. To use it, type

     elm

   and hit enter.  You'll get a menu of your waiting mail, along with a
list of commands you can execute, that will look something like this:

     Mailbox is '/usr/spool/mail/adamg' with 38 messages [ELM 2.3 PL11]

     1   Sep 1  Christopher Davis  (13)   here's another message.
     2   Sep 1  Christopher Davis  (91)   This is a message from Eudora
     3   Aug 31 Rita Marie Rouvali (161)  First Internet Hunt !!! (fwd)
     4   Aug 31 Peter Scott/Manage (69)   New File <UK077> University of Londo
     5   Aug 30 Peter Scott/Manage (64)   New File <DIR020> X.500 service at A
     6   Aug 30 Peter Scott/Manage (39)   New File <NET016> DATAPAC Informatio
     7   Aug 28 Peter Scott/Manage (67)   Proposed Usenet group for HYTELNET n
     8   Aug 28 Peter Scott/Manage (56)   New File <DIR019> JANET Public Acces
     9   Aug 26 Helen Trillian Ros (15)   Tuesday
     10  Aug 26 Peter Scott/Manage (151)  Update <CWK004> Oxford University OU

     You can use any of the following commands by pressing the first character;
     d)elete or u)ndelete mail, m)ail a message, r)eply or f)orward mail, q)uit
     To read a message, press <return>. j = move down, k = move up, ? = help

   Each line shows the date you received the message, who sent it, how
many lines long the message is, and the message's subject.

   If you are using VT100 emulation, you can move up and down the menu
with your up and down arrow keys.  Otherwise, type the line number of
the message you want to read or delete and hit enter.

   When you read a message, it pauses every 24 lines, instead of
scrolling until it's done.  Hit the space bar to read the next page.
You can type a lowercase "r" to reply or a lowercase "q" or "i" to get
back to the menu (the I stands for "index").

   At the main menu, hitting a lowercase "m" followed by enter will let
you start a message.  To delete a message, type a lowercase "d".  You
can do this while reading the message.  Or, if you are in the menu,
move the cursor to the message's line and then hit D.

   When you're done with Elm, type a lowercase "q".  The program will
ask if you really want to delete the messages you marked. Then, it will
ask you if you want to move any messages you've read but haven't marked
for deletion to a "received" file.  For now, hit your "n" key.

   Elm has a major disadvantage for the beginner. The default text
editor it generally calls up when you hit your "r" or "m" key is often
a program called emacs. Unixoids swear by emacs, but everybody else
almost always finds it impossible.  Unfortunately, you can't always get
away from it (or vi, another text editor often found on Unix systems),
so later on we'll talk about some basic commands that will keep you
from going totally nuts.

   If you want to save a message to your own computer, hit "s", either
within the message or with your cursor on the message entry in the elm
menu.  A filename will pop up.  If you do not like it, type a new name
(you won't have to backspace).  Hit enter, and the message will be saved
with that file name in your "home directory" on your host system.  After
you exit elm, you can now download it (ask your system administrator for
specifics on how to download - and upload - such files).

PINE - An even better way
=========================

   Pine is based on elm but includes a number of improvements that make
it an ideal mail system for beginners.   Like elm, pine starts you with
a menu.  It also has an "address book" feature that is handy for people
with long or complex e-mail addresses. Hitting A at the main menu puts
you in the address book, where you can type in the person's first name
(or nickname) followed by her address. Then, when you want to send that
person a message, you only have to type in her first name or nickname,
and pine automatically inserts her actual address. The address book
also lets you set up a mailing list.  This feature allows you to send
the same message to a number of people at once.

   What really sets pine apart is its built-in text editor, which looks
and feels a lot more like word-processing programs available for MS-DOS
and Macintosh users.  Not only does it have word wrap (a revolutionary
concept if ever there was one), it also has a rwspell-checker and a
search command. Best of all, all of the commands you need are listed in
a two-line mini-menu at the bottom of each screen.  The commands look
like this:

     ^W Where is

   The little caret is a synonym for the key marked "control" on your
keyboard.  To find where a particular word is in your document, you'd
hit your control key and your W key at the same time, which would bring
up a prompt asking you for the word to look for.

   Some of pine's commands are a tad peculiar (control-V for "page
down" for example), which comes from being based on a variant of emacs
(which is utterly peculiar).  But again, all of the commands you need
are listed on that two-line mini-menu, so it shouldn't take you more
than a couple of seconds to find the right one.

   To use pine, type

     pine

   at the command line and hit enter.  It's a relatively new program, so
many systems may not yet have it online.  But it's so easy to use, you
should probably send e-mail to your system administrator urging him to
get it!

Smileys
=======

   When you're involved in an online discussion, you can't see the
smiles or shrugs that the other person might make in a live
conversation to show he's only kidding.  But online, there's no body
language. So what you might think is funny, somebody else might take as
an insult.  To try to keep such misunderstandings from erupting into
bitter disputes, we have smileys.  Tilt your head to the left and look
at the following sideways. `:-)'.  Or simply `:)'.  This is your basic
"smiley." Use it to indicate people should not take that comment you
just made as seriously as they might otherwise.  You make a smiley by
typing a colon, a hyphen and a right parenthetical bracket. Some people
prefer using the word "grin," usually in this form:

     <grin>

   Sometimes, though, you'll see it as *grin* or even just <g> for
short.  Some other smileys include:

`;-)'
     Wink;

`:-('
     Frown;

`:-O'
     Surprise;

`8-)'
     Wearing glasses;

`=|:-)='
     Abe Lincoln.

   OK, so maybe the last two are a little bogus `:-)', but for some
really fancy ones, see Smiley Dictionary..

E-Mail to other Networks
========================

   There are a number of computer networks that are not directly tied
to the Net, but to which you can still send e-mail messages.  Here's a
list of some of the larger networks, how to send mails to them and how
their users can send mail to you:

America Online
--------------

   Remove any spaces from a user's name and append `@aol.com', to get

     user@aol.com

   America Online users who want to send mail to you need only put your
Net address in the "to:" field before composing a message.

ATTMail
-------

   Address your message to <user@attmail.com>.  From ATTMail, a user
would send mail to you in this form:

     internet!domain!user

   So if your address were <nancyr@world.std.com>, your correspondent
would send a message to you at

     internet!world.std.com!nancyr

Bitnet
------

   Users of Bitnet (and NetNorth in Canada and EARN in Europe) often
have addresses in this form: <IZZY@INDVMS>.  If you're lucky, all you'll
have to do to mail to that address is add "bitnet" at the end, to get
<izzy@indvms.bitnet>.  Sometimes, however, mail to such an address will
bounce back to you, because Bitnet addresses do not always translate
well into an Internet form.  If this happens, you can send mail through
one of two Internet/Bitnet gateways. First, change the `@' in the
address to a `%', so that you get <user%site.bitnet>.  Then add either
`@vm.marist.edu' or `@cunyvm.cuny.edu', so that, with the above
example, you would get <izzy%indyvms.bitnet@vm.marist.edu> or
<izzy%indvyvms.bitnet@cunyvm.cuny.edu>

   Bitnet users have it a little easier: They can usually send mail
directly to your e-mail address without fooling around with it at all.
So send them your address and they should be OK.

CompuServe
----------

   CompuServe users have numerical addresses in this form: `73727,545'.
To send mail to a CompuServe user, change the comma to a period and add
`@compuserve.com'; for example: <73727.545@compuserve.com>.

   Note that some CompuServe users must pay extra to receive mail from
the Internet.

   If you know CompuServe users who want to send you mail, tell them to
GO MAIL and create a mail message. In the address area, instead of
typing in a CompuServe number, have them type your address in this form:

     >INTERNET:YourID@YourAddress.

   For example, `>INTERNET:adamg@world.std.com'.  Note that both the
`>' and the `:' are required.

Delphi
------

   To send mail to a Delphi user, the form is <user@delphi.com>.

Fidonet
-------

   To send mail to people using a Fidonet BBS, you need the name they
use to log onto that system and its "node number."  Fidonet node
numbers or addresses consist of three numbers, in this form:
`1:322/190'.  The first number tells which of several broad geographic
zones the BBS is in (1 represents the U.S. and Canada, 2 Europe and
Israel, 3 Pacific Asia, 4 South America).  The second number represents
the BBS's network, while the final number is the BBS's "FidoNode"
number in that network. If your correspondent only gives you two
numbers (for example, `322/190'), it means the system is in zone 1.

   Now comes the tricky part. You have to reverse the numbers and add
to them the letters `f', `n' and `z' (which stand for "FidoNode,"
"network," and "zone'). For example, the address above would become

     f190.n322.

   Now add `fidonet.org' at the end, to get `f190.n322.
z1.fidonet.org'.(1) Then add `First Name.LastName@', to get

     FirstName.LastName@f190.n322.z1.fidonet.org.

   Note the period between the first and last names.  Whew!

   The reverse process is totally different. First, the person has to
have access to his or her BBS's "net mail" area and know the Fidonet
address of his or her local Fidonet/UUCP gateway (often their system
operator will know it).  Your Fidonet correspondent should address a
net-mail message to UUCP (not your name) in the "to:" field.  In the
node-number field, they should type in the node number of the
Fidonet/UUCP gateway (if the gateway system is in the same regional
network as their system, they need only type the last number, for
example, `390' instead of `322/390').  Then, the first line of the
message has to be your Internet address, followed by a blank line.
After that, the person can write the message and send it.

   Because of the way Fidonet moves mail, it could take a day or two
for a message to be delivered in either direction.  Also, because many
Fidonet systems are run as hobbies, it is considered good form to ask
the gateway sysop's permission if you intend to pass large amounts of
mail back and forth. Messages of a commercial nature are strictly
forbidden (even if it's something the other person asked for). Also,
consider it very likely that somebody other than the recipient will
read your messages.

   ---------- Footnotes ----------

   (1)  Note that some countries have their own national FidoNet
backbones, and thus the address part `fidonet.org', should better be
replaced with the national Internet domain name, to prevent superfluous
routing of mail; e.g. in Germany, you might address a Fido node via
`fido.de', and get `FirstName.LastName@f190.n322.z2.fido.de' instead of
the example provided above.

GEnie
-----

   To send mail to a  GEnie user, add `@genie.geis.com' to the end of
the GEnie user name, for example, <walt@genie.geis.com>.  Incoming and
outbound Internet mail is available to all GEnie users for no extra
charge.

   If you know GEnie users who want to send mail to you, tell them to go
the the mail menu and create a mail message as they normally would. At
the `TO:' prompt they can enter your address in this form:

     YourID@YourAddress@INET#

   For example, `adamg@world.std.com@INET#'.

MCIMail
-------

   To send mail to somebody with an MCIMail account, add `@mcimail.com'
to the end of their name or numerical address. For example:

     555-1212@mcimail.com

   or

     jsmith@mcimail.com

   Note that if there is more than one MCIMail subscriber with that
name, you will get a mail message back from MCI giving you their names
and numerical addresses. You'll then have to figure out which one you
want and re-send the message.

   From MCI, a user would type: *Your Name* `(EMS)' at the "To:"
prompt.  At the EMS prompt, he or she would type `internet' followed by
your Net address at the "Mbx:" prompt.

Peacenet
--------

   To send mail to a Peacenet user, use this form:

     username@igc.org
   Peacenet subscribers can use your regular address to send you mail.

Prodigy
-------

   <userID@prodigy.com>.  Note that Prodigy users must pay extra for
Internet e-mail.

Seven UNIX Commands you can't live without:
===========================================

   If you connect to the Net through a Unix system, eventually you'll
have to come to terms with Unix.  For better or worse, most Unix
systems do NOT shield you from their inner workings - if you want to
copy a Usenet posting to a file, for example, you'll have to use some
Unix commands if you ever want to do anything with that file.

   Like MS-DOS, Unix is an operating system - it tells the computer how
to do things.  Now while Unix may have a reputation as being even more
complex than MS-DOS, in most cases, a few basic, and simple, commands
should be all you'll ever need.

   If your own computer uses MS-DOS or PC-DOS, the basic concepts will
seem very familiar - but watch out for the cd command, which works
differently enough from the similarly named DOS command that it will
drive you crazy.  Also, unlike MS-DOS, Unix is case sensitive - if you
type commands or directory names in the wrong case, you'll get an error
message.

   If you're used to working on a Mac, you'll have to remember that Unix
stores files in "directories" rather than "folders."  Unix directories
are organized like branches on a tree. At the bottom is the "root"
directory, with sub-directories branching off that (and sub-directories
in turn can have sub-directories). The Mac equivalent of a Unix
sub-directory is a folder within another folder.

`cat'
     Equivalent to the MS-DOS "type" command.  To pause a file every
     screen, type `cat file |more', better: `more file', where "file"
     is the name of the file you want to see.  Hitting control-C will
     stop the display.  You can also use `cat' for writing or uploading
     text files to your name or home directory (similar to the MS-DOS
     `copy con:' command).  If you type `cat >test' you start a file
     called "test".  You can either write something simple (no editing
     once you've finished a line and you have to hit return at the end
     of each line) or upload something into that file using your
     communications software's ASCII protocol).  To close the file, hit
     control-D.

`cd'
     The "change directory" command.  To change from your present
     directory to another, type `cd directory' and hit enter. Unlike
     MS-DOS, which uses a \ to denote sub-directories (for example:
     stuff\text), Unix uses a / (for example: stuff/text).  So to
     change from your present directory to the stuff/text
     sub-directory,  you would type `cd stuff/text' and then hit enter.
     As in MS-DOS, you do not need the first backslash if the
     subdirectory comes off the directory you're already in.  To move
     back up a directory tree, you would type `cd ..' followed by
     enter. Note the space between the `cd' and the two periods - this
     is where MS-DOS users will really go nuts.

`cp'
     Copies a file. The syntax is `cp file1 file2' which would copy
     file1 to file2 (or overwrite file2 with file1).

`ls'
     This command, when followed by enter, tells you what's in the
     directory, similar to the DOS `dir' command, except in
     alphabetical order.

`ls |more'
     will stop the listing every 24 lines - handy if there are a lot of
     things in the directory. The basic ls command does not list
     "hidden" files, such as the `.login' file that controls how your
     system interacts with Unix. To see these files, type `ls -a' or
     `ls -a |more'

     `ls -l' will tell you the size of each file in bytes and tell you
     when each was created or modified.

`mv'
     Similar to the MS-DOS rename command. In fact, `mv file1 file2'
     will rename file1 as file2, The command can also be used to move
     files between directories.

     `mv file1 News' would move file1 to your News directory.

`rm'
     Deletes a file.  Type `rm filename' and hit enter (but beware:
     when you hit enter, it's gone for good).

Wildcards
---------

   When searching for, copying or deleting files, you can use
"wildcards" if you are not sure of the file's exact name.

     ls man*

   would find the following files:

     manual, manual.txt, man-o-man.

   Use a question mark when you're sure about all but one or two
characters.  For example,

     ls man?

   would find a file called mane, but not one called manual.

When things go wrong:
=====================

   * You send a message but get back an ominous looking message from
     MAILER-DAEMON containing up to several dozen lines of computerese
     followed by your message.

     Somewhere in those lines you can often find a clue to what went
     wrong.  You might have made a mistake in spelling the e-mail
     address.  The site to which you're sending mail might have been
     down for maintenance or a problem. You may have used the wrong
     "translation" for mail to a non-Internet network.

   * You call up your host system's text editor to write a message or
     reply to one and can't seem to get out.

     If it's emacs, try control-X, control-C (in other words, hit your
     control key and your X key at the same time, followed by control
     and C).  If worse comes to worse, you can hang up.

   * In Elm, you accidentally hit the D key for a message you want to
     save.  Type the number of the message, hit enter and then U, which
     will "un-delete" the message.  This works only before you exit
     Elm; once you quit, the message is gone.

   * You try to upload an ASCII message you've written on your own
     computer into a message you're preparing in Elm or Pine and you
     get a lot of left brackets, capital Ms, Ks and Ls and some
     funny-looking characters.

     Believe it or not, your message will actually wind up looking
     fine; all that garbage is temporary and reflects the problems some
     Unix text processors have with ASCII uploads.  But it will take
     much longer for your upload to finish.  One way to deal with this
     is to call up the simple mail program, which will not produce any
     weird characters when you upload a text file into a message.
     Another way (which is better if your prepared message is a
     response to somebody's mail), is to create a text file on your
     host system with cat, for example,

          cat >file

     and then upload your text into that.  Then, in Elm or Pine, you
     can insert the message with a simple command (control-R in Pine,
     for example); only this time you won't see all that extraneous
     stuff.

FYI:
====

   SCOTT YANOFF posts a very long list of existing cross-connections of
almost any sub-nets to "newsgroups" (see Global Watering Hole. for
an explanation of this term) `comp.mail', `comp.answers', and
`news.answers'.  Just to mention a few: AppleLink, BIX, GreeNet,
MausNet, SprintMail, etc.  Get your hands on the `inter-network-guide',
that's kept on `rtfm.mit.edu' in directory `pub/usenet/comp.mail'.
See Advanced E-mail or FTP to find out how to access this
Internet treasure chest.

                                  *"...and the first lesson learned is:
                         Never lose the alternative way out of sight."*
                                              -- Sir Arthur Conan Doyle

                                *"If all else fails, read the manual."*
                                                           -- PC Wizard

                           *"If all else fails, read the manual page."*
                                                         -- Unix Wizard

Usenet: the Global Watering Hole
********************************

The Global Watering Hole
========================

   Imagine a conversation carried out over a period of hours and days,
as if people were leaving messages and responses on a bulletin board.
Or imagine the electronic equivalent of a radio talk show where
everybody can put their two cents in and no one is ever on hold.

   Unlike e-mail, which is usually "one-to-one,"  Usenet is
"many-to-many." Usenet is the international meeting place, where people
gather to meet their friends, discuss the day's events, keep up with
computer trends or talk about whatever's on their mind.  Jumping into a
Usenet discussion can be a liberating experience.  Nobody knows what
you look or sound like, how old you are, what your background is.
You're judged solely on your words, your ability to make a point.

   To many people, Usenet IS the Net. In fact, it is often confused
with Internet.  But it is a totally separate system. All Internet sites
CAN carry Usenet, but so do many non-Internet sites, from sophisticated
Unix machines to old XT clones and Apple IIs.

   Technically, Usenet messages are shipped around the world, from host
system to host system, using one of several specific Net protocols.
Your host system stores all of its Usenet messages in one place, which
everybody with an account on the system can access. That way, no matter
how many people actually read a given message, each host system has to
store only one copy of it. Many host systems "talk" with several others
regularly in case one or another of their links goes down for some
reason.  When two host systems connect, they basically compare notes on
which Usenet messages they already have.  Any that one is missing the
other then transmits, and vice-versa.  Because they are computers, they
don't mind running through thousands, even millions, of these
comparisons every day.

   Yes, millions.  For Usenet is huge.  Every day, Usenet users pump
upwards of 40 million characters a day into the system - roughly the
equivalent of volumes A-G of the Encyclopedia Britannica. Obviously,
nobody could possibly keep up with this immense flow of messages.  Let's
look at how to find conferences and discussions of interest to you.

   The basic building block of Usenet is the newsgroup, which is a
collection of messages with a related theme (on other networks, these
would be called conferences, forums, boards or special-interest
groups).  There are now more than 5,000 of these newsgroups, in several
diferent languages, covering everything from art to zoology, from
science fiction to South Africa.

   Some public-access systems, typically the ones that work through
menus, try to make it easier by dividing Usenet into several broad
categories.  Choose one of those and you're given a list of newsgroups
in that category.  Then select the newsgroup you're interested in and
start reading.

   Other systems let you compile your own "reading list" so that you
only see messages in conferences you want.  In both cases, conferences
are arranged in a particular hierarchy devised in the early 1980s.
Newsgroup names start with one of a series of broad topic names.  For
example, newsgroups beginning with "comp." are about particular
computer-related topics.  These broad topics are followed by a series of
more focused topics (so that `comp.unix' groups are limited to
discussion about Unix).  The main hierarchies are:

`bionet'
     Research biology

`bit.listserv'
     Conferences originating as Bitnet mailing lists

`biz'
     Business

`comp'
     Computers and related subjects

`misc'
     Discussions that don't fit anywhere else

`news'
     News about Usenet itself

`rec'
     Hobbies, games and recreation

`sci'
     Science other than research biology

`soc'
     "Social" groups, often ethnically related

`talk'
     Politics and related topics

`alt'
     Controversial or unusual topics; not carried by all sites

   In addition, many host systems carry newsgroups for a particular
city, state or region.  For example, `ne.housing' is a newsgroup where
New Englanders look for apartments.  A growing number also carry K12
newsgroups, which are aimed at elementary and secondary teachers and
students.  And a number of sites carry clari newsgroups, which is
actually a commercial service consisting of wire-service stories and a
unique online computer news service (see News of the World.).

Navigating Usenet with nn
=========================

   How do you dive right in?  As mentioned, on some systems, it's all
done through menus - you just keep choosing from a list of choices until
you get to the newsgroup you want and then hit the "read" command.  On
Unix systems, however, you will have to use a "newsreader" program.  Two
of the more common ones are known as rn (for "read news") and nn (for
"no news" - because it's supposed to be simpler to use).

   For beginners, nn may be the better choice because it works with
menus - you get a list of articles in a given newsgroup and then you
choose which ones you want to see.  To try it out, connect to your host
system and, at the command line, type

     nn news.announce.newusers

   and hit enter.  After a few seconds, you should see something like
this:

     Newsgroup: news.announce.newusers                  Articles: 22 of 22/1 NEW

     a Gene Spafford   776  Answers to Frequently Asked Questions
     b Gene Spafford   362  A Primer on How to Work With the Usenet Community
     c Gene Spafford   387  Emily Postnews Answers Your Questions on Netiquette
     d Gene Spafford   101  Hints on writing style for Usenet
     e Gene Spafford    74  Introduction to news.announce
     f Gene Spafford   367  USENET Software: History and Sources
     g Gene Spafford   353  What is Usenet?
     h taylor          241  A Guide to Social Newsgroups and Mailing Lists
     i Gene Spafford   585  Alternative Newsgroup Hierarchies, Part I
     j Gene Spafford   455  Alternative Newsgroup Hierarchies, Part II
     k David C Lawrenc 151  How to Create a New Newsgroup
     l Gene Spafford   106  How to Get Information about Networks
     m Gene Spafford   888  List of Active Newsgroups
     n Gene Spafford   504  List of Moderators
     o Gene Spafford  1051  Publicly Accessible Mailing Lists, Part I
     p Gene Spafford  1123  Publicly Accessible Mailing Lists, Part II
     q Gene Spafford  1193  Publicly Accessible Mailing Lists, Part III
     r Jonathan Kamens 644  How to become a USENET site
     s Jonathan Kamen 1344  List of Periodic Informational Postings, Part I

     -- 15:52 -- SELECT -- help:? -----Top 85%-----
     Explanatory postings for new users. (Moderated)

   Obviously, this is a good newsgroup to begin your exploration of
Usenet!  Here's what all this means:  The first letter on each line is
the letter you type to read that particular "article" (it makes sense
that a "newsgroup" would have "articles").  Next comes the name of the
person who wrote that article, followed by its length, in lines, and
what the article is about. At the bottom, you see the local time at your
access site, what you're doing right now (i.e., SELECTing articles),
which key to hit for some help (the ? key) and how many of the articles
in the newsgroup you can see on this screen. The "(moderated)" means the
newsgroup has a "moderator" who is the only one who can directly post
messages to it.  This is generally limited to groups such as this, which
contain articles of basic information, or for digests, which are
basically online magazines (more on them in a bit).

   Say you're particularly interested in what "Emily Postnews" (see
Dear Emily.) has to say about proper etiquette on Usenet. Hit your c
key (lower case!), and the line will light up.  If you want to read
something else, hit the key that corresponds to it.  And if you want to
see what's on the next page of articles, hit return or your space bar.

   But you're impatient to get going, and you want to read that article
now.  The command for that in nn is a capital Z.  Hit it and you'll see
something like this:

     Gene Spafford: Emily Postnews Answers Your Questions on Netiquette
     Original-author: brad@looking.on.ca (Brad Templeton)
     Archive-name: emily-postnews/part1
     Last-change: 30 Nov 91 by brad@looking.on.ca (Brad Templeton)

     **NOTE: this is intended to be satirical.  If you do not recognize
     it as such, consult a doctor or professional comedian.  The
     recommendations in this article should recognized for what
     they are -- admonitions about what NOT to do.

     ``Dear Emily Postnews''

     Emily Postnews, foremost authority on proper net behaviour,
     gives her advice on how to act on the net.

     =========================================================================

     Dear Miss Postnews: How long should my signature be? -- verbose@noisy

     A: Dear Verbose: Please try and make your signature as long as you
     -- 09:57 --.announce.newusers-- LAST --help:?--Top 4%--

   The first few lines are the message's header, similar to the header
you get in e-mail messages.  Then comes the beginning of the message.
The last line tells you the time again, the newsgroup name (or part of
it, anyway), the position in your message stack that this message
occupies, how to get help, and how much of the message is on screen.  If
you want to keep reading this message, just hit your space bar (not your
enter key!) for the next screen and so on until done. When done, you'll
be returned to the newsgroup menu.  For now hit Q (upper case this
time), which quits you out of nn and returns you to your host system's
command line.

   To get a look at another interesting newsgroup, type

     nn comp.risks

   and hit enter.  This newsgroup is another moderated group, this time
a digest of all the funny and frightening ways computers and the people
who run and use them can go wrong.  Again, you read articles by
selecting their letters.  If you're in the middle of an article and
decide you want to go onto the next one, hit your n key.

   Now it's time to look for some newsgroups that might be of
particular interest to you.  Unix host systems that have nn use a
program called nngrep (ever get the feeling Unix was not entirely
written in English?) that lets you scan newsgroups.  Exit nn and at
your host system's command line, type

     nngrep word

   where word is the subject you're interested in.  If you use a
Macintosh computer, you might try

     nngrep mac

   You'll get something that looks like this:

     alt.music.machines.of.loving.grace
     alt.religion.emacs
     comp.binaries.mac
     comp.emacs
     comp.lang.forth.mac
     comp.os.mach
     comp.sources.mac
     comp.sys.mac.announce
     comp.sys.mac.apps
     comp.sys.mac.comm
     comp.sys.mac.databases
     comp.sys.mac.digest
     comp.sys.mac.games
     comp.sys.mac.hardware
     comp.sys.mac.hypercard
     comp.sys.mac.misc
     comp.sys.mac.programmer
     comp.sys.mac.system
     comp.sys.mac.wanted
     gnu.emacs.announce
     gnu.emacs.bug
     gnu.emacs.gnews
     gnu.emacs.gnus
     gnu.emacs.help
     gnu.emacs.lisp.manual
     gnu.emacs.sources
     gnu.emacs.vm.bug
     gnu.emacs.vm.info
     gnu.emacs.vms

   Note that some of these obviously have something to do with
Macintoshes while some obviously do not; nngrep is not a perfect system.
If you want to get a list of ALL the newsgroups available on your host
system, type

     nngrep -a |more
   or
     nngrep -a |pg

   and hit enter (which one to use depends on the Unix used on your host
system; if one doesn't do anything, try the other). You don't
absolutely need the |more or |pg, but if you don't include it, the list
will keep scrolling, rather than pausing every 24 lines.  If you are in
nn, hitting a capital Y will bring up a similar list.

   Typing `nn newsgroup' for every newsgroup can get awfully tiring
after awhile.  When you use nn, your host system looks in a file called
`.newsrc'.  This is basically a list of every newsgroup on the host
system along with notations on which groups and articles you have read
(all maintained by the computer).  You can also use this file to create
a "reading list" that brings up each newsgroup to which you want to
"subscribe."  To try it out, type

     nn

   without any newsgroup name, and hit enter.

   Unfortunately, you will start out with a `.newsrc' file that has you
"subscribed" to every single newsgroup on your host system!  To delete
a newsgroup from your reading list, type a capital U while its menu is
on the screen.  The computer will ask you if you're sure you want to
"unsubscribe."  If you then hit a Y, you'll be unsubscribed and put in
the next group.

   With many host systems carrying thousands of newsgroups, this will
take you forever.

   Fortunately, there are a couple of easier ways to do this.  Both
involve calling up your `.newsrc' file in a word or text processor.  In
a `.newsrc' file, each newsgroup takes up one line, consisting of the
group's name, an exclamation point or a colon and a range of numbers.

   Newsgroups with a colon are ones to which you are subscribed; those
followed by an exclamation point are "un-subscribed."  To start with a
clean slate, then, you have to change all those colons to exclamation
points.  If you know some UNIX, it's a one-liner, just type:

     tr ':' '!' < .newsrc > temprc

   and you're done. Without the `tr' command you must use a text editor.

   If you know how to use emacs or vi, call up the `.newsrc' file (you
might want to make a copy of `.newsrc' first, just in case), and use the
search-and-replace function to make the change.

   If you're not comfortable with these text processors, you can
download the `.newsrc' file, make the changes on your own computer and
then upload the revised file.  Before you download the file, however,
you should do a couple of things.  One is to type

     cp .newsrc temprc

   and hit enter.  You will actually download this temprc file (note the
name does not start with a period - some computers, such as those using
MS-DOS, do not allow file names starting with periods).  After you
download the file, open it in your favorite word processor and use its
search-and-replace function to change the exclamation points to colons.
Be careful not to change anything else!  Save the document in ASCII or
text format.  Dial back into your host system.  At the command line,
type

     cp temprc temprc1

   and hit enter.  This new file will serve as your backup `.newsrc'
file just in case something goes wrong. Upload the temprc file from your
computer.  This will overwrite the Unix system's old temprc file.  Now
type

     cp temprc .newsrc

   and hit enter.  You now have a clean slate to start creating a
reading list.

nn Commands
===========

   To mark a specific article for reading, type the letter next to it
(in lower case).  To mark a specific article and all of its responses,
type the letter and an asterisk, for example:

     a*

   To un-select an article, type the letter next to it (again, in lower
case).

`C'
     Cancels an article (around the world) that you wrote.  Every
     article posted on Usenet has a unique ID number.  Hitting a
     capital `C' sends out a new message that tells host systems that
     receive it to find earlier message and delete it.

`F'
     To post a public response, or follow-up. If selected while still
     on a newsgroup "page", asks you which article to follow up.  If
     selected while in a specific article, will follow up that article.
     In either case, you'll be asked if you want to include the
     original article in yours. Caution: puts you in whatever text
     editor is your default.

`N'
     Goes to the next subscribed newsgroup with unread articles.

`P'
     Goes to the previous subscribed newsgroup with unread articles.

`G news.group'
     Goes to a specific newsgroup. Can be used to subscribe to new
     newsgroups.  Hitting `G' brings up a sub-menu:

    `u'
          Goes to the group and shows only un-read articles.

    `a'
          Goes to the group and shows all articles, even ones you've
          already read.

    `s'
          Will show you only articles with a specific subject.

    `n'
          Will show you only articles from a specific person.

`M'
     Mails a copy of the current article to somebody.  You'll be asked
     for the recipient's e-mail address and whether you want to add any
     comments to the article before sending it off.  As with `F', puts
     you in the default editor.

`:post'
     Post an article. You'll be asked for the name of the group.

`Q'
     Quit, or exit, nn.

`U'
     Un-subscribe from the current newsgroup.

`R'
     Responds to an article via e-mail.

`space'
     Hitting the space bar brings up the next page of articles.

`X'
     If you have selected articles, this will show them to you and then
     take you to the next subscribed newsgroup with unread articles. If
     you don't have any selected articles, it marks all articles as
     read and takes you to the next unread subscribed newsgroup.

`=word'
     Finds and marks all articles in the newsgroup with a specific word
     in the "Subject:" line, for example: `=modem'

`Z'
     Shows you selected articles immediately and then returns you to
     the current newsgroup.

`?'
     Brings up a help screen.

`<'
     Goes to the previous page in the newsgroup.

`>'
     Goes to the next page in the newsgroup.

`$'
     Goes to the last page in an article.

`^'
     Goes to the first page in an article.

Using rn
========

   Some folks prefer this older newsreader.  It's a little easier to do
this in rn,  so let's try that out, and as long as where there, see how
it works.

   If you type

     rn news.announce.newusers

   at your host system's command line, you'll see something like this:

     ********  21 unread articles in news.announce.newusers--read now? [ynq]

   If you hit your Y key, the first article will appear on your screen.
If you want to see what articles are available first, though, hit your
computer's `=' key and you'll get something like this:

     152 Introduction to news.announce
     153 A Primer on How to Work With the Usenet Community
     154 What is Usenet?
     155 Answers to Frequently Asked Questions
     156 Hints on writing style for Usenet
     158 Alternative Newsgroup Hierarchies, Part I
     159 Alternative Newsgroup Hierarchies, Part II
     160 Emily Postnews Answers Your Questions on Netiquette
     161 USENET Software: History and Sources
     162 A Guide to Social Newsgroups and Mailing Lists
     163 How to Get Information about Networks
     164 How to Create a New Newsgroup
     169 List of Active Newsgroups
     170 List of Moderators
     171 Publicly Accessible Mailing Lists, Part I
     172 Publicly Accessible Mailing Lists, Part II
     173 Publicly Accessible Mailing Lists, Part III
     174 How to become a USENET site
     175 List of Periodic Informational Postings, Part I
     176 List of Periodic Informational Postings, Part II
     177 List of Periodic Informational Postings, Part III
     End of article 158 (of 178)--what next? [npq]

   Notice how the messages are in numerical order this time, and don't
tell you who sent them.  Article 154 looks interesting.  To read it,
type in 154 and hit enter.  You'll see something like this:

     Article 154 (20 more) in news.announce.newusers (moderated):
     From: spaf@cs.purdue.EDU (Gene Spafford)
     Newsgroups: news.announce.newusers,news.admin,news.answers
     Subject: What is Usenet?
     Date: 20 Sep 92 04:17:26 GMT
     Followup-To: news.newusers.questions
     Organization: Dept. of Computer Sciences, Purdue Univ.
     Lines: 353
     Supersedes: <spaf-whatis_715578719@cs.purdue.edu>

     Archive-name: what-is-usenet/part1
     Original from: chip@tct.com (Chip Salzenberg)
     Last-change: 19 July 1992 by spaf@cs.purdue.edu (Gene Spafford)

     The first thing to understand about Usenet is that it is widely
     misunderstood.  Every day on Usenet, the ``blind men and the elephant''
     phenomenon is evident, in spades.  In my opinion, more flame wars
     arise because of a lack of understanding of the nature of Usenet than
     from any other source.  And consider that such flame wars arise, of
     necessity, among people who are on Usenet.  Imagine, then, how poorly
     understood Usenet must be by those outside!

     --MORE--(7%)

   This time, the header looks much more like the gobbledygook you get
in e-mail messages.  To keep reading, hit your space bar.  If you hit
your n key (lower case), you'll go to the next message in the numerical
order.

   To escape rn, just keep hitting your q key (in lower case), until
you get back to the command line.  Now let's set up your reading list.
Because rn uses the same `.newsrc' file as nn, you can use one of the
search-and-replace methods described above.  Or you can do this:  Type

     rn

   and hit enter.  When the first newsgroup comes up on your screen, hit
your u key (in lower case).  Hit it again, and again, and again.  Or
just keep it pressed down (if your computer starts beeping, let up for a
couple of seconds).  Eventually, you'll be told you're at the end of the
newsgroups, and asked what you want to do next.

   Here's where you begin entering newsgroups.  Type

     g newsgroup

   (for example, `g comp.sys.mac.announce') and hit enter.  You'll be
asked if you want to "subscribe." Hit your y key.  Then type

     g next newsgroup

   (for example, `g comp.announce.newusers') and hit enter.  Repeat
until done.  This process will also set up your reading list for nn, if
you prefer that newsreader. But how do you know which newsgroups to
subscribe?  Typing a lowercase l and then hitting enter will show you a
list of all available newsgroups.  Again, since there could be more than
2,000 newsgroups on your system, this might not be something you want to
do.  Fortunately, you can search for groups with particular words in
their names, using the l command.  Typing

     l mac

   followed by enter, will bring up a list of newsgroups with those
letters in them (and as in nn, you will also see groups dealing with
emacs and the like, in addition to groups related to Macintosh
computers).

   Because of the vast amount of messages transmitted over Usenet, most
systems carry messages for only a few days or weeks.  So if there's a
message you want to keep, you should either turn on your computer's
screen capture or save it to a file which you can later download).  To
save a message as a file in rn, type

     s filename

   where filename is what you want to call the file. Hit enter.  You'll
be asked if you want to save it in "mailbox format."  In most cases, you
can answer with an n (which will strip off the header).  The message
will now be saved to a file in your News directory (which you can access
by typing `cd News' and then hitting enter).

   Also, some newsgroups fill up particularly quickly - go away for a
couple of days and you'll come back to find hundreds of articles!  One
way to deal with that is to mark them as "read" so that they no longer
appear on your screen.  In nn, hit a capital J; in rn, a small c.

rn Commands
===========

   Different commands are available to you in rn depending on whether
you are already in a newsgroup or reading a specific article. At any
point, typing a lowercase `h' will bring up a list of available commands
and some terse instructions for using them. Here are some of them:

   After you've just called up rn, or within a newsgroup:

`c'
     Marks every article in a newsgroup as read (or "caught up") so
     that you don't have to see them again. The system will ask you if
     you are sure. Can be done either when asked if you want to read a
     particular newsgroup or once in the newsgroup.

`g'
     Goes to a newsgroup, in this form:

`g news.group'
     Use this both for going to groups to which you're already
     subscribed and subscribing to new groups.

`h'
     Provides a list of available commands with terse instructions.

`l'
     Gives a list of all available newsgroups.

`p'
     Goes to the first previous subscribed newsgroup with un-read
     articles.

`q'
     Quits, or exits, rn if you have not yet gone into a newsgroup.  If
     you are in a newsgroup, it quits that one and brings you to the
     next subscribed newsgroup.

   Only within a newsgroup:

`='
     Gives a list of all available articles in the newsgroup.

`m'
     Marks a specific article or series of articles as "un-read" again
     so that you can come back to them later. Typing `1700m' and
     hitting enter would mark just that article as un-read.  Typing
     `1700-1800m' and hitting enter would mark all of those articles as
     un-read.

`s file'
     Copies the current article to a file in your News directory, where
     "file" is the name of the file you want to save it to.  You'll be
     asked if you want to use "mailbox" format when saving. If you
     answer by hitting your `N' key, most of the header will not be
     saved.

`space'
     Brings up the next page of article listings.  If already on the
     last page, displays the first article in the newsgroup.

`u'
     Un-subscribe from the newsgroup.

`/text/'
     Searches through the newsgroup for articles with a specific word
     or phrase in the "Subject:" line, from the current article to the
     end of the newsgroup. For example,

`/EFF/'
     would bring you to the first article with "EFF" in the "Subject:"
     line.

`?text?'
     The same as `/text/' except it searches in reverse order from the
     current article.

   Only within a specific article:

`C'
     If you post an article and then decide it was a mistake, call it
     up on your host system and hit this.  The message will soon begin
     disappearing on systems around the world.

`F'
     Post a public response in the newsgroup to the current article.
     Includes a copy of her posting, which you can then edit down using
     your host system's text editor.

`f'
     The same as above except it does not include a copy of the
     original message in yours.

`m'
     Marks the current article as "un-read" so that you can come back
     to it later.  You do not have to type the article number.

`Control-N'
     Brings up the first response to the article. If there is no
     follow-up article, this returns you to the first unread article in
     the newsgroup).

`Control-P'
     Goes to the message to which the current article is a reply.

`n'
     Goes to the next unread article in the newsgroup.

`N'
     Takes you to the next article in the newsgroup even if you've
     already read it.

`q'
     Quits, or exits, the current article. Leaves you in the current
     newsgroup.

`R'
     Reply, via e-mail only, to the author of the current article.
     Includes a copy of his message in yours.

`r'
     The same as above, except it does not include a copy of his
     article.

`s |mail user'
     Mails a copy of the article to somebody. For "user" substitute an
     e-mail address. Does not let you add comments to the message
     first, however.

`space'
     Hitting the space bar shows the next page of the article, or, if
     at the end, goes to the next un-read article.

Essential Newsgroups
====================

   With so much to choose from, everybody will likely have their own
unique Usenet reading list.  But there are a few newsgroups that are
particularly of interest to newcomers.  Among them:

     `news.announce.newusers' This group consists of a series of
     articles that explain various facets of Usenet.

     `news.newusers.questions' This is where you can ask questions
     (we'll see how in a bit) about how Usenet works.

     `news.announce.newsgroups' Look here for information about new or
     proposed newsgroups.

     `news.answers' Contains lists of "Frequently Asked Questions"
     (FAQs) and their answers from many different newsgroups.  Learn
     how to fight jet lag in the FAQ from `rec.travel.air'; look up
     answers to common questions about Microsoft Windows in an FAQ from
     `comp.os.ms-windows'; etc.

     `alt.internet.services' Looking for something in particular on the
     Internet?  Ask here.

     `alt.infosystems.announce' People adding new information services
     to the Internet will post details here.

Speaking up
===========

   "Threads" are an integral part of Usenet.  When somebody posts a
message, often somebody else will respond.  Soon, a thread of
conversation begins.  Following these threads is relatively easy.  In
nn, related messages are grouped together.  In rn, when you're done
with a message, you can hit control-N to read the next related message,
or followup.  As you explore Usenet, it's probably a good idea to read
discussions for a while before you jump in.  This way, you can get a
feel for the particular newsgroup - each has its own rhythms.

   Eventually, though, you'll want to speak up.  There are two main
ways to do this.  You join an existing conversation, or you can start a
whole new thread.

   If you want to join a discussion, you have to decide if you want to
include portions of the message you are responding to in your message.
The reason to do this is so people can see what you're responding to,
just in case the original message has disappeared from their system
(remember that most Usenet messages have a short life span on the
average host system) or they can't find it.

   If you're using a Unix host system, joining an existing conversation
is similar in both nn and rn: hit your F key when done with a given
article in the thread.  In rn, type a small f if you don't want to
include portions of the message you're responding to; an uppercase F if
you do. In nn, type a capital F.  You'll then be asked if you want to
include portions of the original message.

   And here's where you hit another Unix wall.  When you hit your F
key, your host system calls up its basic Unix text editor.  If you're
lucky, that'll be Pico, a very easy system.  More likely, however,
you'll get dumped into emacs (or possibly vi), which you've already met
in the chapter on e-mail.

   The single most important emacs command is

     control-x control-c

   This means, depress your control key and hit x.  Then depress the
control key and hit c.  Memorize this.  In fact, it's so important, it
bears repeating:

     control-x control-c

   These keystrokes are how you get out of emacs.  If they work well,
you'll be asked if you want to send, edit, abort or list the message you
were working on.  If they don't work well (say you accidentally hit some
other weird key combination that means something special to emacs) and
nothing seems to happen, or you just get more weird-looking emacs
prompts on the bottom of your screen, try hitting control-g. This should
stop whatever emacs was trying to do (you should see the word "quit" on
the bottom of your screen), after which you can hit control-x control-c.
But if this still doesn't work, remember that you can always disconnect
and dial back in!

   If you have told your newsreader you do want to include portions of
the original message in yours, it will automatically put the entire
thing at the top of your message.  Use the arrow keys to move down to
the lines you want to delete and hit control-K, which will delete one
line at a time.

   You can then write your message.  Remember that you have to hit
enter before your cursor gets to the end of the line, because emacs
does not have word wrapping.

   When done, hit control-X control-C.  You'll be asked the question
about sending, editing, aborting, etc.  Chose one.  If you hit Y, your
host system will start the process to sending your message across the
Net.

   The nn and rn programs work differently when it comes to posting
entirely new messages.  In nn, type

     :post

   and hit enter in any newsgroup.  You'll be asked which newsgroup to
post a message to.  Type in its name and hit enter.  Then you'll be
asked for "keywords."  These are words you'd use to attract somebody
scanning a newsgroup.  Say you're selling your car.  You might type the
type of car here.  Next comes a "summary" line, which is somewhat
similar.  Finally, you'll be asked for the message's "distribution."
This is where you put how widely you want your message disseminated.
Think about this one for a second.  If you are selling your car, it
makes little sense to send a message about it all over the world.  But
if you want to talk about the environment, it might make a lot of
sense.  Each host system has its own set of distribution
classifications, but there's generally a local one (just for users of
that system), one for the city, state or region it's in, another for
the country (for example, usa), one for the continent (for Americans
and Canadians, na) and finally, one for the entire world (usually:
world).

   Which one to use?  Generally, a couple of seconds' thought will help
you decide.  If you're selling your car, use your city or regional
distribution - people in Australia won't much care and may even get
annoyed.  If you want to discuss presidential politics, using a USA
distribution makes more sense.  If you want to talk about events in the
Middle East, sending your message to the entire world is perfectly
acceptable.

   Then you can type your message.  If you've composed your message
offline (generally a good idea if you and emacs don't get along), you
can upload it now.  You may see a lot of weird looking characters as it
uploads into emacs, but those will disappear when you hit control-X and
then control-C.  Alternately: "save" the message (for example, by
hitting m in rn), log out, compose your message offline, log back on and
upload your message into a file on your host system.  Then call up
Usenet, find the article you "saved." Start a reply, and you'll be asked
if you want to include a prepared message.  Type in the name of the file
you just created and hit enter.

   In rn, you have to wait until you get to the end of a newsgroup to
hit F, which will bring up a message-composing system.  Alternately, at
your host system's command line, you can type

     Pnews

   and hit enter.  You'll be prompted somewhat similarly to the nn
system, except that you'll be given a list of possible distributions.
If you chose "world," you'll get this message:

   This program posts news to thousands of machines throughout the
entire civilized world.  Your message will cost the net hundreds if not
thousands of dollars to send everywhere.  Please be sure you know what
you are doing.

   *Are you absolutely sure that you want to do this? [ny]*

   Don't worry - your message won't really cost the Net untold amounts,
although, again, it's a good idea to think for a second whether your
message really should go everywhere.

   If you want to respond to a given post through e-mail, instead of
publicly, hit R in nn or r or R in rn.  In rn, as with follow-up
articles, the uppercase key includes the original message in yours.

   Most newsgroups are unmoderated, which means that every message you
post will eventually wind up on every host system within the geographic
region you specified that carries that newsgroup.

   Some newsgroups, however, are moderated, as you saw earlier with
`comp.risks'.  In these groups, messages are shipped to a single
location where a moderator, acting much like a magazine editor, decides
what actually gets posted.  In some cases, groups are moderated like
scholarly journals.  In other cases, it's to try to cut down on the
massive number of messages that might otherwise be posted.

   You'll notice that many articles in Usenet end with a fancy
"signature" that often contains some witty saying, a clever drawing
and, almost incidentally, the poster's name and e-mail address.  You
too can have your own "signature" automatically appended to everything
you post.  On your own computer, create a signature file.  Try to keep
it to four lines or less, lest you annoy others on the Net.  Then,
while connected to your host system, type

     cat >.signature

   and hit enter (note the period before the s).  Upload your signature
file into this using your communications software's ASCII upload
protocol.  When done, hit control-D, the Unix command for closing a
file.  Now, every time you post a message, this will be appended to it.

   There are a few caveats to posting.  Usenet is no different from a
Town Meeting or publication: you're not supposed to break the law,
whether that's posting copyrighted material or engaging in illegal
activities.  It is also not a place to try to sell products (except in
certain `biz.*' and explicit for-sale newsgroups).

Cross-posting
=============

   Sometimes, you'll have an issue you think should be discussed in
more than one newsgroup.  Rather than posting individual messages in
each group, you can post the same message in several groups at once,
through a process known as cross-posting.

   Say you want to start a discussion about the political ramifications
of importing rare tropical fish from Brazil.  People who read
`rec.aquaria' might have something to say. So might people who read
`alt.politics.animals' and `talk.politics.misc'.

   Cross-posting is easy.  It also should mean that people on other
systems who subscribe to several newsgroups will see your message only
once, rather than several times - news-reading software can cancel out
the other copies once a person has read the message.  When you get ready
to post a message (whether through Pnews for rn or the `:post' command
in nn), you'll be asked in which newsgroups.  Type the names of the
various groups, separated by a comma, but no space, for example:

     rec.aquaria,alt.politics.animals,talk.politics.misc

   and hit enter.  After answering the other questions (geographic
distribution, etc.), the message will be posted in the various groups
(unless one of the groups is moderated, in which case the message goes
to the moderator, who decides whether to make it public).

   It's considered bad form to post to an excessive number of
newsgroups, or inappropriate newsgroups.  Probably, you don't really
have to post something in 20 different places.  And while you may think
your particular political issue is vitally important to the fate of the
world, chances are the readers of `rec.arts.comics' will not, or at
least not important enough to impose on them.  You'll get a lot of
nasty e-mail messages demanding you restrict your messages to the
"appropriate" newsgroups.

     --
       ___________________  *       _-_
       \==============_=_/ ____.---'---`---.____   *
                   \_ \    \----._________.----/
              *      \ \   /  /    `-_-'              *
       *         __,--`.`-'..'-_
                /____          ||             *
                     `--.____,-'   ...to boldly go where no man has gone before!

     --
     Disclaimer - These opiini^H^H damn! ^H^H ^Q ^[ .... :w  :q  :wq  :wq! ^d  X ^?
     exit X Q  ^C ^? :quitbye  CtrlAltDel   ~~q  :~q  logout  save/quit :!QUIT
     ^[zz ^[ZZZZZZ ^H  man vi ^  ^L  ^[c  ^# ^E ^X ^I ^T ? help  helpquit ^D  ^d
     man help ^C ^c help exit ?Quit ?q CtrlShftDel"Hey, what does this button d..."

                                                       -- .signature(s)

Usenet: from Flame Wars to Killfiles
************************************

Flame, Blather and Spew
=======================

   Something about online communications seems to make some people
particularly irritable.  Perhaps it's the immediacy and semi-anonymity
of it all.  Whatever it is, there are whole classes of people you will
soon think seem to exist to make you miserable.

   Rather than pausing and reflecting on a message as one might do with
a letter received on paper, it's just so easy to hit your R key and
tell somebody you don't really know what you really think of them.
Even otherwise calm people sometimes find themselves turning into
raving lunatics.  When this happens, flames erupt.

   A flame is a particularly nasty, personal attack on somebody for
something he or she has written.  Periodically, an exchange of flames
erupts into a flame war that begin to take up all the space in a given
newsgroup (and sometimes several; flamers like cross-posting to let the
world know how they feel).  These can go on for weeks (sometimes they go
on for years, in which case they become "holy wars," usually on such
topics as the relative merits of Macintoshes and IBMs).  Often, just
when they're dying down, somebody new to the flame war reads all the
messages, gets upset and issues an urgent plea that the flame war be
taken to e-mail so everybody else can get back to whatever the
newsgroup's business is.  All this usually does, though, is start a
brand new flame war, in which this poor person comes under attack for
daring to question the First Amendment, prompting others to jump on the
attackers for impugning this poor soul...  You get the idea.

   Every so often, a discussion gets so out of hand that somebody
predicts that either the government will catch on and shut the whole
thing down or somebody will sue to close down the network, or maybe
even the wrath of God will smote everybody involved.  This brings what
has become an inevitable rejoinder from others who realize that the
network is, in fact, a resilient creature that will not die easily:
*"Imminent death of Usenet predicted. Film at 11."*

   Flame wars can be tremendously fun to watch at first.  They quickly
grow boring, though.  And wait until the first time you're attacked!

   *Flamers* are not the only Net.characters to watch out for.

   *Spewers* assume that whatever they are particularly concerned about
either really is of universal interest or should be rammed down the
throats of people who don't seem to care - as frequently as possible.

   You can usually tell a spewer's work by the number of articles he
posts in a day on the same subject and the number of newsgroups to
which he then sends these articles - both can reach well into double
digits.  Often, these messages relate to various ethnic conflicts
around the world. Frequently, there is no conceivable connection
between the issue at hand and most of the newsgroups to which he posts.
No matter.  If you try to point this out in a response to one of these
messages, you will be inundated with angry messages that either accuse
you of being an insensitive racist/American/whatever or ignore your
point entirely to bring up several hundred more lines of commentary on
the perfidy of whoever it is the spewer thinks is out to destroy his
people.

   Closely related to these folks are the Holocaust revisionists, who
periodically inundate certain groups (such as `soc.history') with long
rants about how the Holocaust never really happened.  Some people
attempt to refute these people with facts, but others realize this only
encourages them.

   *Blatherers* tend to be more benign.  Their problem is that they
just can't get to the point - they can wring three or four screenfuls
out of a thought that others might sum up in a sentence or two.  A
related condition is excessive quoting.  People afflicted with this will
include an entire message in their reply rather than excising the
portions not relevant to whatever point they're trying to make.  The
worst quote a long message and then add a single line:

   "I agree!" or some such, often followed by a monster .signature
(see Big Sig.).  There are a number of other Usenet denizens you'll
soon come to recognize.  Among them:

Net.weenies
     These are the kind of people who enjoy Insulting others, the kind
     of people who post nasty messages in a sewing newsgroup just for
     the hell of it.

Net.geeks
     People to whom the Net is Life, who worry about what happens when
     they graduate and they lose their free, 24-hour access.

Net.gods
     The old-timers; the true titans of the Net and the keepers of its
     collective history. They were around when the Net consisted of a
     couple of computers tied together with baling wire.

Lurkers
     Actually, you can't tell these people are there, but they are.
     They're the folks who read a newsgroup but never post or respond.

Wizards
     People who know a particular Net-related topic inside and out.
     Unix wizards can perform amazing tricks with that operating
     system, for example.

Net.saints
     Always willing to help a newcomer, eager to share their knowledge
     with those not born with an innate ability to navigate the Net,
     they are not as rare as you might think.  Post a question about
     something and you'll often be surprised how many responses you get.

   The last group brings us back to the Net's oral tradition.  With few
written guides, people have traditionally learned their way around the
Net by asking somebody, whether at the terminal next to them or on the
Net itself.  That tradition continues: if you have a question, ask.

   Today, one of the places you can look for help is in the
`news.newusers.questions' newsgroup, which, as its name suggests, is a
place to learn more about Usenet.  But be careful what you post.  Some
of the Usenet wizards there get cranky sometimes when they have to
answer the same question over and over again. Oh, they'll eventually
answer your question, but not before they tell you should have asked
your host system administrator first or looked at the postings in
`news.announce.newusers'.

Killfiles - The cure for all that ails you
==========================================

   As you keep reading Usenet, you are going to run across things or
people that really drive you nuts - or that you just get tired of
seeing.

   Killfiles are just the thing for you. When you start your
newsreader, it checks to see if you have any lists of words, phrases or
names you don't want to see.  If you do, then it blanks out any
messages containing those words.

   Such as cascades.

   As you saw earlier, when you post a reply to a message and include
parts of that message, the original lines show up with a > in front of
them.  Well, what if you reply to a reply?  Then you get a >> in front
of the line.  And if you reply to that reply? You get >>>.  Keep this
up, and soon you get a triangle of >'s building up in your message.

   There are people who like building up these triangles, or cascades.
They'll "respond" to your message by deleting everything you've said,
leaving only the "In message 123435, you said:" part and the last line
of your message, to which they add a nonsensical retort.  On and on
they go until the triangle has reached the right end of the page. Then
they try to expand the triangle by deleting one with each new line.
Whoever gets to finish this mega-triangle wins.

   There is even a newsgroup just for such folks: alt.cascade.
Unfortunately, cascaders would generally rather cascade in other
newsgroups. Because it takes a lot of messages to build up a completed
cascade, the targeted newsgroup soon fills up with these messages. Of
course, if you complain, you'll be bombarded with messages about the
First Amendment and artistic expression - or worse, with another
cascade. The only thing you can do is ignore them, by setting up a
killfile.

   There are also certain newsgroups where killfiles will come in handy
because of the way the newsgroups are organized.  For example, readers
of `rec.arts.tv.soaps' always use an acronym in their "Subject:" line
for the show they're writing about (AMC, for example, for "All My
Children").  This way, people who only want to read about "One Life to
Live" can blank out all the messages about "The Young and the Restless"
and all the others (to keep people from accidentally screening out
messages that might contain the letters "gh" in them, "General
Hospital" viewers always use "gh:" in their subject lines).

   Both nn and rn let you create killfiles, but in different ways.

   To create a killfile in nn, go into the newsgroup with the offending
messages and type a capital `K'.  You'll see this at the bottom of your
screen:

     AUTO (k)ill or (s)elect (CR => Kill subject 30 days)

   If you hit return, nn will ask you which article's subject you're
tired of. Chose one and the article and any follow-ups will disappear,
and you won't see them again for 30 days.  If you type a lower-case `k'
instead, you'll get this:

     AUTO KILL on (s)ubject or (n)ame  (s)

   If you hit your `S' key or just enter,  you'll see this:

     KILL Subject: (=/)

   Type in the name of the offending word or phrase and hit enter.
You'll then be prompted:

     KILL in (g)roup 'eff.test' or in (a)ll groups  (g)

   except that the name of the group you see will be the one you're
actually in at the moment.  Because cascaders and other annoying people
often cross-post their messages to a wide range of newsgroups, you
might consider hitting `a' instead of `g'.  Next comes:

     Lifetime of entry in days (p)ermanent  (30)

   The P key will screen out the offending articles forever, while
hitting enter will do it for 30 days.  You can also type in a number of
days for the blocking.

   Creating killfiles in rn works differently - its default killfile
generator only works for messages in specific groups, rather than
globally for your entire newsgroup list.  To create a global killfile,
you'll have to write one yourself.

   To create a killfile in rn, go into the newsgroup where the
offending messages are and type in its number so you get it on your
screen. Type a capital `K'.  From now on, any message with that subject
line will disappear before you read the group. You should probably
choose a reply, rather than the original message, so that you will get
all of the followups (the original message won't have a "Re: " in its
subject line). The next time you call up that newsgroup, rn will tell
you it's killing messages. When it's done, hit the space bar to go back
into reading mode.

   To create a "global" kill file that will automatically wipe out
articles in all groups you read, start rn and type control-K.  This
will start your whatever text editor you have as your default on your
host system and create a file (called `KILL', in your `News'
subdirectory).

   On the first line, you'll type in the word, phrase or name you don't
want to see, followed by commands that tell rn whether to search an
entire message for the word or name and then what to do when it finds
it.

   Each line must be in this form

     /pattern/modifier:j

   "Pattern" is the word or phrase you want rn to look for.  It's
case-insensitive: both "test" and "Test" will be knocked out.  The
modifier tells rn whether to limit its search to message headers (which
can be useful when the object is to never see messages from a
particular person):

`a:'
     Looks through an entire message

`h:'
     Looks just at the header

   You can leave out the modifier command, in which case rn will only
look at the subject line of messages. The `j' at the end tells rn to
screen out all articles with the offending word.

   So if you never want to see the word "foo" in any header, ever again,
type this:

     /foo/h:j

   This is particularly useful for getting rid of articles from people
who post in more than one newsgroup, such as cascaders, since an
article's newsgroup name is always in the header.

   If you just want to block messages with a subject line about
cascades, you could try:

     /foo/:j

   To kill anything that is a followup to any article, use this pattern:

     /Subject: *Re:/:j

   When done writing lines for each phrase to screen, exit the text
editor as you normally would, and you'll be put back in rn.

   One word of caution: go easy on the global killfile.  An extensive
global killfile, or one that makes frequent use of the `a:' modifier
can dramatically slow down rn, since the system will now have to look
at every single word in every single message in all the newsgroups you
want to read.

   If there's a particular person whose posts you never want to see
again, first find his or address (which will be in the "from:" line of
his postings) and then write a line in your killfile like this:

     /From: *name@address\.all/h:j

Some Usenet hints
=================

   Case counts in Unix - most of the time.  Many Unix commands,
including many of those used for reading Usenet articles, are case
sensitive.  Hit a `d' when you meant a `D' and either nothing will
happen, or something completely different from what you expected will
happen.  So watch that case!

   In nn, you can get help most of the time by typing a question mark
(the exception is when you are writing your own message, because then
you are inside the text-processing program).  In rn, type a lower-case
`h' at any prompt to get some online help.

   When you're searching for a particular newsgroup, whether through
the l command in rn or with nngrep for nn, you sometimes may have to
try several keywords.  For example, there is a newsgroup dedicated to
the GRATEFUL DEAD, but you'd never find it if you tried, say, `l
grateful dead', because the name is `rec.music.gdead'.  In general, try
the smallest possible part of the word or discussion you're looking
for, for example, use "trek" to find newsgroups about "Star Trek."  If
one word doesn't produce anything, try another.

The Brain-tumor Boy and the Modem Tax an the Chain Letter
=========================================================

   Net users sometimes like to think they are smarter or somehow better
than everybody else.  They're not.  If they were, nobody on the Net
would ever have heard of Craig Shergold, the Brain-Tumor Boy, or the
evil FCC's plan to tax your modem. And you wouldn't keep seeing the
same dumb chain letter. Alas, all of these are here to stay.  Just when
they seem to have died off, somebody posts a message about one or the
other, starting a whole new round of flame wars on the subject.  For
the record, here are the stories then:

Craig Shergold
--------------

   There once was a seven-year-old boy in England named Craig Shergold
who was diagnosed with a seemingly incurable brain tumor.  As he lay
dying, he wished only to have friends send him postcards.  The local
newspapers got a hold of the tear-jerking story.  Soon, the boy's wish
had changed: he now wanted to get into the Guinness Book of World
Records for the largest postcard collection.  Word spread around the
world. People by the millions sent him postcards.

   Miraculously, the boy lived.  An American billionaire even flew him
to the U.S. for surgery to remove what remained of the tumor.  And his
wish succeeded beyond his wildest dreams - he made the Guinness Book of
World Records.

   But with Craig now well into his teens, his dream has turned into a
nightmare for the post office in the small town outside London where he
lives.  Like Craig himself, his request for cards just refuses to die,
inundating the post office with millions of cards every year.  Just
when it seems like the flow is slowing, along comes somebody else who
starts up a whole new slew of requests for people to send Craig post
cards (or greeting cards or business cards - Craig letters have truly
taken on a life of their own and begun to mutate). Even Dear Abby has
asked people to stop!

   What does any of this have to do with the Net? The Craig letter
seems to pop up on Usenet as often as it does on cork boards at major
corporations.  No matter how many times somebody like Gene Spafford
posts periodic messages to ignore them or spend your money on something
more sensible (a donation to the local Red Cross, say), somebody
manages to post a letter asking readers to send cards to poor little
Craig.

The Modem Tax
-------------

   In 1987, the Federal Communications Commission considered removing a
tax break it had granted CompuServe and other large commercial computer
networks for use of the national phone system.  The FCC quickly
reconsidered after alarmed users of bulletin-board systems bombarded it
with complaints about this "modem tax."

   Now, every couple of months, somebody posts an "urgent" message
warning Net users that the FCC is about to impose a modem tax.  This is
NOT true.  The way you can tell if you're dealing with the hoax story
is simple: it ALWAYS mentions an incident in which a talk-show host on
KGO radio in San Francisco becomes outraged on the air when he reads a
story about the tax in the New York Times.

   Another way to tell it's not true is that it never mentions a
specific FCC docket number or closing date for comments.  Save that
letter to your congressman for something else.

The Chain Letter
----------------

   Sooner or later, you're going to run into a message titled "Make
Money Fast."  It's your basic chain letter.  The Usenet version is
always about some guy named Dave Rhodes who was on the verge of death,
or something, when he discovered a perfectly legal way to make tons of
money - by posting a chain letter on computer systems around the world.
Yeah, right.

Big Sig
=======

   There are .sigs and there are .sigs.  Many people put only bare-bones
information in their .sig files - their names and e-mail addresses,
perhaps their phone numbers.  Others add a quotation they think is
funny or profound and a disclaimer that their views are not those of
their employer.  Still others add some ASCII-art graphics.  And then
there are those who go totally berserk, posting huge creations with
multiple quotes, hideous ASCII "barfics" and more e-mail addresses than
anybody could humanly need.  College freshmen unleashed on the Net seem
to excel at these.   You can see the best of the worst in the
`alt.fan.warlord' newsgroup, which exists solely to critique .sigs that
go too far, such as:

     ___________________________________________________________________________
     |#########################################################################|
     |#|                                                                     |#|
     |#|   *****  *    *  *****    *   *  *****  *****  *****                |#|
     |#|     *    *    *  *        ** **  *      *      *   *                |#|
     |#|     *    ******  ***      * * *  ***    *  **  *****   *****        |#|
     |#|     *    *    *  *        *   *  *      *   *  *   *                |#|
     |#|     *    *    *  *****    *   *  *****  *****  *   *                |#|
     |#|                                                                     |#|
     |#|   ****   *****  *****         *****  *****  *****    *****  *****   |#|
     |#|   *  **    *    *             *        *    *        *      *   *   |#|
     |#|   ****     *    *  **         *****    *    *  **    *      *   *   |#|
     |#|   *  **    *    *   *     **      *    *    *   *    *      *   *   |#|
     |#|   ****   *****  *****     **  *****  *****  *****    *****  *****   |#|
     |#|                                                                     |#|
     |#|            T-H-E  M-E-G-A  B-I-G  .S-I-G  C-O-M-P-A-N-Y             |#|
     |#|                  ~-----------------------------~                    |#|
     |#|  "Annoying people with huge net.signatures for over 20 years..."    |#|
     |#|                                                                     |#|
     |#|---------------------------------------------------------------------|#|
     |#| "The difference between a net.idiot and a bucket of shit is that at |#|
     |#|  least a bucket can be emptied.  Let me further illustrate my point |#|
     |#|  by comparing these charts here. (pulls out charts)  Here we have a |#|
     |#|  user who not only flames people who don't agree with his narrow-   |#|
     |#|  minded drivel, but he has this huge signature that takes up many   |#|
     |#|  pages with useless quotes.  This also makes reading his frequented |#|
     |#|  newsgroups a torture akin to having at 300 baud modem on a VAX. I  |#|
     |#|  might also add that his contribution to society rivals only toxic  |#|
     |#|  dump sites."                                                       |#|
     |#|                     -- Robert A. Dumpstik, Jr                       |#|
     |#|                        President of The Mega Big Sig Company        |#|
     |#|                        September 13th, 1990 at 4:15pm               |#|
     |#|                        During his speech at the "Net.abusers        |#|
     |#|                        Society Luncheon" during the                 |#|
     |#|                        "1990 Net.idiots Annual Convention"          |#|
     |#|_____________________________________________________________________|#|
     |#|                                                                     |#|
     |#| Thomas Babbit, III: 5th Assistant to the Vice President of Sales    |#|
     |#|      __                                                             |#|
     |#|  ==========    ______             Digital Widget Manufacturing Co.  |#|
     |#|         \\     /                  1147 Complex Incorporated Drive   |#|
     |#|        )-=======                  Suite 215                         |#|
     |#|                                   Nostromo, VA 22550-1147           |#|
     |#| #NC-17 Enterpoop Ship :)          Phone # 804-844-2525              |#|
     |#|    ----------------               Fax # 804-411-1115                |#|
     |#| "Shut up, Wesley!"                Online Service # 804-411-1100     |#|
     |#|                  -- Me            at 300-2400, and now 9600 baud!   |#|
     |#|                                   PUNet: tbabb!digwig!nostromo      |#|
     |#| Home address:                     InterNet: dvader@imperial.emp.com |#|
     |#| Thomas Babbit, III                Prodigy: Still awaiting author-   |#|
     |#| 104 Luzyer Way                             ization                  |#|
     |#| Sulaco, VA 22545                  "Manufacturing educational widget |#|
     |#| Phone # 804-555-1524               design for over 3 years..."      |#|
     |#|=====================================================================|#|
     |#|                                                                     |#|
     |#|  Introducing:                                                       |#|
     |#|                                 ______                              |#|
     |#|  The  |\  /|                         /                              |#|
     |#|       | \/ |                        /                               |#|
     |#|       |    |                       /                                |#|
     |#|       |    |                      /                                 |#|
     |#|       |    | ETELHED             /_____ ONE                         |#|
     |#|'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'`'|#|
     |#| 50Megs Online!  The k00l BBS for rad teens!  Lots of games and many |#|
     |#| bases for kul topix!  Call now and be validated to the Metelhed Zone|#|
     |#|                      -- 804-555-8500 --                             |#|
     |#|\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\V/////////////////////////////////////|#|
     |#| "This is the end, my friend..."      -- The Doors                   |#|
     |#########################################################################|
     ---------------------------------------------------------------------------
     Hit ``b'' to continue

     Hahahha... fooled u!

The First Amendment as Local Ordinance
======================================

   Usenet's international reach raises interesting legal questions that
have yet to be fully resolved.  Can a discussion or posting that is
legal in one country be transmitted to a country where it is against
the law?  Does the posting even become illegal when it reaches the
border?  And what if that country is the only path to a third country
where the message is legal as well?  Several foreign colleges and other
institutions have cut off feeds of certain newsgroups where Americans
post what is, in the U.S., perfectly legal discussions of drugs or
alternative sexual practices.  Even in the U.S., some universities have
discontinued certain newsgroups their administrators find offensive,
again, usually in the `alt.*' hierarchy.

Usenet History
==============

   In the late 1970s, Unix developers came up with a new feature: a
system to allow Unix computers to exchange data over phone lines.

   In 1979, two graduate students at Duke University in North Carolina,
TOM TRUSCOTT and JIM ELLIS, came up with the idea of using this system,
known as UUCP (for Unix-to-Unix CoPy), to distribute information of
interest to people in the Unix community.  Along with STEVE BELLOVIN, a
graduate student at the University of North Carolina and STEVE DANIEL,
they wrote conferencing software and linked together computers at Duke
and UNC.

   Word quickly spread and by 1981, a graduate student at Berkeley,
MARK HORTON and a nearby high school student, MATT GLICKMAN, had
released a new version that added more features and was able to handle
larger volumes of postings - the original North Carolina program was
meant for only a few articles in a newsgroup each day.

   Today, Usenet connects tens of thousands of sites around the world,
from mainframes to Amigas.  With more than 3,000 newsgroups and untold
thousands of readers, it is perhaps the world's largest computer
network.

When things go wrong:
=====================

   * When you start up rn, you get a "warning" that "bogus newsgroups"
     are present.

     Within a couple of minutes, you'll be asked whether to keep these
     or delete them.  Delete them.  Bogus newsgroups are newsgroups
     that your system administrator or somebody else has determined are
     no longer needed.

   * While in a newsgroup in rn, you get a message: "skipping
     unavailable article."  This is usually an article that somebody
     posted and then decided to cancel.

   * You upload a text file to your Unix host system for use in a
     Usenet message or e-mail, and when you or your recipient reads the
     file, every line ends with a `^M'.

     This happens because Unix handles line endings differently than MS-
     DOS or Macintosh computers.  Most Unix systems have programs to
     convert incoming files from other computers. To use it, upload
     your file and then, at your command line, type

          dos2unix filename filename

     or

          mac2unix filename filename

     depending on which kind of computer you are using and where
     filename is the name of the file you've just uploaded.  A similar
     program can prepare text files for downloading to your computer,
     for example:

          unix2dos filename filename

     or

          unix2mac filename filename

     will ensure that a text file you are about to get will not come out
     looking odd on your computer.

FYI:
====

   Leanne Phillips periodically posts a list of frequently asked
questions (and answers) about use of the rn killfile function in the
`news.newusers.questions' and `news.answers' newsgroups on Usenet.
Bill Wohler posts a guide to using the nn newsreader in the
`news.answers' and `news.software' newsgroups.  Look in the
`news.announce.newusers' and `news.groups' newsgroups on Usenet for "A
Guide to Social Newsgroups and Mailing Lists", which gives brief
summaries of the various `soc.*' newsgroups.

   "Managing UUCP and Usenet" by Tim O'Reilly and Grace Todino
(O'Reilly & Associates, 1992) is a good guide for setting up your own
Usenet system.

                           *"Somehow, that News fails to disquiet me."*
                                                  -- Cyrano de Bergerac

      *"Welcome, to the watering hole, to the death of objectivity, and
             the killing fields of the wide boys, where are we now..."*
                   -- Marillion, "The Thieving Magpie (La Gazza Ladra)"
                               Used in concerts as spoken intro by Fish
                               to the 2nd part of "Misplaced Childhood"

Mailing Lists and Bitnet
************************

Internet Mailing Lists
======================

   Usenet is not the only forum on the Net.  Scores of "mailing lists"
represent another way to interact with other Net users.  Unlike Usenet
messages,  which are stored in one central location on your host
system's computer, mailing-list messages are delivered right to your
e-mail box, unlike Usenet messages.

   You have to ask for permission to join a mailing list.  Unlike
Usenet, where your message is distributed to the world, on a mailing
list, you send your messages to a central moderator, who either re-mails
it to the other people on the list or uses it to compile a periodic
"digest" mailed to subscribers.

   Given the number of newsgroups, why would anybody bother with a
mailing list?

   Even on Usenet, there are some topics that just might not generate
enough interest for a newsgroup; for example, the Queen list, which is
all about the late FREDDIE MERCURY's band; or the Marillion & Fish list
called "Freaks."

   And because a moderator decides who can participate, a mailing list
can offer a degree of freedom to speak one's mind (or not worry about
net.weenies) that is not necessarily possible on Usenet.  Several
groups offer anonymous postings - only the moderator knows the real
names of people who contribute. Examples include 12Step, where people
enrolled in such programs as Alcoholics Anonymous can discuss their
experiences, and sappho, a list limited to gay and bisexual women.

   You can find mailing addresses and descriptions of these lists in
the `news.announce.newusers' newsgroup with the subject of "Publicly
Accessible Mailing Lists."  Mailing lists now number in the hundreds,
so this posting is divided into three parts.

   If you find a list to which you want to subscribe, send an e-mail
message to

     list-request@address

   where "list" is the name of the mailing list and "address" is the
moderator's e-mail address, asking to be added to the list.  Include
your full e-mail address just in case something happens to your
message's header along the way, and ask, if you're accepted, for the
address to mail messages to the list.

Bitnet Lists
============

   As if Usenet and mailing lists were not enough, there are Bitnet
"discussion groups" or "lists."

   Bitnet is an international network linking colleges and
universities, but it uses a different set of technical protocols for
distributing information than the Internet or Usenet.  It offers
hundreds of discussion groups, comparable in scope to Usenet newsgroups.

   One of the major differences is the way messages are distributed.
Bitnet messages are sent to your mailbox, just as with a mailing list.
However, where mailing lists are often maintained by a person, all
Bitnet discussion groups are automated - you subscribe to them through
messages to a "listserver" computer.  This is a kind of robot moderator
that controls distribution of messages on the list.  In many cases, it
also maintains indexes and archives of past postings in a given
discussion group, which can be handy if you want to get up to speed
with a discussion or just search for some information related to it.

   Many Bitnet discussion groups are now "translated" into Usenet form
and carried through Usenet in the `bit.listserv.*' hierarchy.  In
general, it's probably better to read messages through Usenet if you
can.  It saves some storage space on your host system's hard drives.

   If 50 people subscribe to the same Bitnet list, that means 50 copies
of each message get stored on the system; whereas if 50 people read a
Usenet message, that's still only one message that needs storage on the
system.  It can also save your sanity if the discussion group generates
large numbers of messages.  Think of opening your e-mailbox one day to
find 200 messages in it - 199 of them from a discussion group and one
of them a "real" e-mail message that's important to you.

   Subscribing and canceling subscriptions is done through an e-mail
message to the listserver computer.  For addressing, all listservers
are known as "listserv" (yep) at some Bitnet address.  This means you
will have to add `.bitnet' to the end of the address, if it's in a form
like this: `listserv@miamiu'. For example, if you have an interest in
environmental issues, you might want to subscribe to the Econet
discussion group.  To subscribe, send an e-mail message to

     listserv@miamiu.bitnet

   Some Bitnet listservers are also connected to the Internet, so if you
see a listserver address ending in `.edu', you can e-mail the
listserver without adding `.bitnet' to the end.

   Always leave the "Subject:" line blank in a message to a listserver.
Inside the message, you tell the listserver what you want, with a
series of simple commands:

`subscribe group *Your Name*'
     To subscribe to a list, where group is the list name and *Your
     Name* is your full name, for example: `subscribe econet Henry
     Fielding'

`unsubscribe group *Your Name*'
     To discontinue a group, for example: `unsubscribe econet Henry
     Fielding'

`list global'
     This sends you a list of all available Bitnet discussion groups.
     But be careful - the list is VERY long!

`get refcard'
     Sends you a list of other commands you can use with a listserver,
     such as commands for retrieving past postings from a discussion
     group.

   Each of these commands goes on a separate line in your message (and
you can use one or all of them).  If you want to get a list of all
Bitnet discussion groups, send e-mail to

     listserv@bitnic.educom.edu

   Leave the "Subject:" line blank and use the list global command.

   When you subscribe to a Bitnet group, there are two important
differences from Usenet.

   First, when you want to post a message for others to read in the
discussion group, you send a message to the group name at its Bitnet
address.  Using Econet as an example, you would mail the message to:

     econet@miamiu.bitnet

   Note that this is different from the listserv address you used to
subscribe to the group to begin with.  Use the listserv address ONLY to
subscribe to or unsubscribe from a discussion group.  If you use the
discussion-group address to try to subscribe or unsubscribe, your
message will go out to every other subscriber, many of whom will think
unkind thoughts, which they may share with you in an e-mail message).

   The second difference relates to sending an e-mail message to the
author of a particular posting.  Usenet newsreaders such as rn and nn
let you do this with one key.  But if you hit your `R' key to respond to
a discussion-group message, your message will go to the listserver, and
from there to everybody else on the list!  This can prove embarrassing
to you and annoying to others. To make sure your message goes just to
the person who wrote the posting, take down his e-mail address from the
posting and then compose a brand-new message.  Remember, also, that if
you see an e-mail address like <IZZY@INDYVMS>, it's a Bitnet address.

   Two Bitnet lists will prove helpful for delving further into the
network.  NEW-LIST tells you the names of new discussion groups. To
subscribe, send a message to <listserv@ndsuvm1.bitnet>:

     sub NEW-LIST Your Name

   INFONETS is the place to go when you have questions about Bitnet.
It is also  first rate for help on questions about all major computer
networks and how to reach them.  To subscribe, send e-mail to
<info-nets-request@think.com>:

     sub INFONETS Your Name

   Both of these lists are also available on Usenet, the former as
`bit.listserv.new-list'; the latter as `bit.listserv.infonets'
(sometimes `bit.listserv.info-nets').

          *"It wasn't long before the invention of the mailing-list, an
     ARPANET broadcasting technique in which an identical message could
          be sent automatically to large number of network subscribers.
Interestingly, one of the first really big mailing-list was "SF-LOVERS",
   for Science Fiction fans. Disscussing science fiction on the network
     was not work-related and was frowned upon by many ARPANET computer
              administrators, but this didn't stop it from happening."*
                   -- Bruce Sterling, F&SF Science Column #5 "Internet"

Telnet (Mining the Net, part I)
*******************************

Mining the Net
==============

   Like any large community, cyberspace has its libraries, places you
can go to look up information or take out a good book.  Telnet is one of
your keys to these libraries.

   *Telnet* is a program that lets you use the power of the Internet to
connect you to databases, library catalogs, and other information
resources around the world.  Want to see what the weather's like in
Vermont? Check on crop conditions in Azerbaijan? Get more information
about somebody whose name you've seen online? Telnet lets you do this,
and more.

   Alas, there's a big "but!"  Unlike the phone system, Internet is not
yet universal;  not everybody can use all of its services.  Almost all
colleges and universities on the Internet provide telnet access.   So do
all of the for-fee public-access systems listed in Ready - Set.
But the Free-Net systems do not give you access to every telnet system.
And if you are using a public-access UUCP or Usenet site, you will not
have access to telnet. The main reason for this is cost.  Connecting to
the Internet can easily cost $1,000 or more for a leased, high-speed
phone line. Some databases and file libraries can be queried by e-mail,
however; we'll show you how to do that later on. In the meantime, the
rest of this chapter assumes you are connected to a site with at least
partial Internet access.

   Most telnet sites are fairly easy to use and have online help
systems.  Most also work best (and in some cases, only) with VT100
emulation.  Let's dive right in and try one.

   At your host system's command line, type

     telnet access.usask.ca

   and hit enter.  That's all you have to do to connect to a telnet
site!  In this case, you'll be connecting to a service known as
Hytelnet, which is a database of computerized library catalogs and
other databases available through telnet.  You should see something
like this:

     Trying 128.233.3.1 ...
     Connected to access.usask.ca.
     Escape character is '^]'.

     Ultrix UNIX (access.usask.ca)

     login:

   Every telnet site has two addresses - one composed of words that are
easier for people to remember; the other a numerical address better
suited for computers.  The "escape character" is good to remember.  When
all else fails, hitting your control key and the `]' key at the same
time will disconnect you and return you to your host system.  At the
login prompt, type

     hytelnet

   and hit enter.  You'll see something like this:

     Welcome to HYTELNET
     version 6.2
     ...................

     What is HYTELNET?         <WHATIS>     .     Up/Down arrows MOVE
     Library catalogs          <SITES1>     .     Left/Right arrows SELECT
     Other resources           <SITES2>     .     ? for HELP anytime
     Help files for catalogs   <OP000>      .
     Catalog interfaces        <SYS000>     .     m returns here
     Internet Glossary         <GLOSSARY>   .     q quits
     Telnet tips               <TELNET>     .
     Telnet/TN3270 escape keys <ESCAPE.KEY> .
     Key-stroke commands       <HELP.TXT>   .

     ........................
     HYTELNET 6.2 was written by Peter Scott,
     U of Saskatchewan Libraries, Saskatoon, Sask, Canada.  1992
     Unix and VMS software by Earl Fogel, Computing Services, U of S 1992

   The first choice, "<WHATIS>" will be highlighted.  Use your down and
up arrows to move the cursor among the choices.  Hit enter when you
decide on one.  You'll get another menu, which in turn will bring up
text files telling you how to connect to sites and giving any special
commands or instructions you might need.  Hytelnet does have one quirk.
To move back to where you started (for example, from a sub-menu to a
main menu), hit the left-arrow key on your computer.

   Play with the system.  You might want to turn on your computer's
screen-capture, or at the very least, get out a pen and paper. You're
bound to run across some interesting telnet services that you'll want to
try - and you'll need their telnet "addresses."

   As you move around Hytelnet, it may seem as if you haven't left your
host system - telnet can work that quickly.  Occasionally, when network
loads are heavy, however, you will notice a delay between the time you
type a command or enter a request and the time the remote service
responds.

   To disconnect from Hytelnet and return to your system, hit your q
key and enter.

   Some telnet computers are set up so that you can only access them
through a specific "port."  In those cases, you'll always see a number
after their name, for example:  `india.colorado.edu 13'. It's important
to include that number, because otherwise, you may not get in.

   In fact, try the above address. Type

     telnet india.colorado.edu 13

   and hit enter.  You should see something like this:

     Trying 128.138.140.44 ...

   Followed very quickly by this:

     telnet india.colorado.edu 13

     Escape character is '^]'.
     Sun Jan 17 14:11:41 1994
     Connection closed by foreign host.

   What we want is the middle line, which tells you the exact Mountain
Standard Time, as determined by a government-run atomic clock in
Boulder, Colo.

Library Catalogs
================

   Several hundred libraries around the world, from the Snohomish
Public Library in Washington State to the Library of Congress are now
available to you through telnet. You can use Hytelnet to find their
names, telnet addresses and use instructions.

   Why would you want to browse a library you can't physically get to?
Many libraries share books, so if yours doesn't have what you're looking
for, you can tell the librarian where he or she can get it.  Or if you
live in an area where the libraries are not yet online, you can use
telnet to do some basic bibliographic research before you head down to
the local branch.

   There are several different database programs in use by online
libraries.  Harvard's is one of the easier ones to use, so let's try it.

   Telnet to `hollis.harvard.edu'.  When you connect, you'll see:

     *****************        H A R V A R D   U N I V E R S I T Y
     *****************         OFFICE FOR INFORMATION TECHNOLOGY
     ***    ***    ***
     *** VE *** RI ***
     ***    ***    ***         HOLLIS    (Harvard OnLine LIbrary System)
      *****     *****
       **** TAS ****           HUBS      (Harvard University Basic Services)
         ***   ***
           *****               IU        (Information Utility)
            ***
                               CMS       (VM/CMS Timesharing Service)

     ** HOLLIS IS AVAILABLE WITHOUT ACCESS RESTRICTIONS **
     Access to other applications is limited to individuals who have been
     granted specific permission by an authorized person.

     To select one of the applications above, type its name on the command
     line followed by your user ID, and press RETURN.
     ** HOLLIS DOES NOT REQUIRE A USERID **

     EXAMPLES:   HOLLIS (press RETURN)  or  HUBS userid (press RETURN)
     ===>

   Type

     hollis

   and hit enter.  You'll see several screens flash by quickly until
finally the system stops and you'll get this:

     WELCOME TO HOLLIS
     (Harvard OnLine Library Information System)

     To begin, type one of the 2-character database codes listed below:

     HU      Union Catalog of the Harvard libraries
     OW      Catalog of Older Widener materials
     LG      Guide to Harvard Libraries and Computing Resources

     AI      Expanded Academic Index (selective 1987-1988, full 1989-  )
     LR      Legal Resource Index (1980-  )
     PA      PAIS International (1985-  )

     To change databases from any place in HOLLIS, type CHOOSE followed by a
     2-character database code, as in:    CHOOSE HU

     For general help in using HOLLIS, type HELP.   For HOLLIS news, type
     HELP NEWS.   For HOLLIS hours of operation, type HELP HOURS.

     ALWAYS PRESS THE ENTER OR RETURN KEY AFTER TYPING YOUR COMMAND

   The first thing to notice is the name of the system: Hollis.
Librarians around the world seem to be inordinately found of cutesy,
anthropomorphized acronyms for their machines (not far from Harvard, the
librarians at Brandeis University came up with Library On-Line User
Information Service, or Louis; MIT has Barton).

   If you want to do some general browsing, probably the best bet on the
Harvard system is to choose HU, which gets you access to their main
holdings, including those of its medical libraries.  Chose that, and
you'll see this:

     THE HARVARD UNIVERSITY LIBRARY UNION CATALOG

     To begin a search, select a search option from the list below and type its
     code on the command line.  Use either upper or lower case.

     AU           Author search
     TI           Title search
     SU           Subject search
     ME           Medical subject search
     KEYWORD      Keyword search options
     CALL         Call number search options
     OTHER        Other search options

     For information on the contents of the Union Catalog, type HELP.
     To exit the Union Catalog, type QUIT.

     A search can be entered on the COMMAND line of any screen.

     ALWAYS PRESS THE ENTER OR RETURN KEY AFTER TYPING YOUR COMMAND.

   Say you want to see if Harvard has shed the starchy legacy of the
Puritans, who founded the school.  Why not see if they have "The Joy of
Sex" somewhere in their stacks? Type

     TI Joy of Sex

   and hit enter. This comes up:

     HU: YOUR SEARCH RETRIEVED NO ITEMS.  Enter new command or HELP.  You typed:
     TI JOY OF SEX
     ***************************************************************************

     ALWAYS PRESS THE ENTER OR RETURN KEY AFTER TYPING YOUR COMMAND.
     ---------------------------------------------------------------------------
     OPTIONS: FIND                          START - search options          HELP
     QUIT - exit database
     COMMAND?

   Oh, well!  Do they have anything that mentions "sex" in the title?
Try another TI search, but this time just: `TI sex'.  You get:

     HU GUIDE: SUMMARY OF SEARCH RESULTS    2086 items retrieved by your search:
     FIND TI SEX
     ---------------------------------------------------------------------------
        1    SEX
        2    SEX A
      823    SEXA
      827    SEXBO
      831    SEXCE
      833    SEXDR
      834    SEXE
      879    SEXIE
      928    SEXJA
      929    SEXLE
      930    SEXO
      965    SEXPI
      968    SEXT
     1280    SEXUA
     2084    SEXWA
     2085    SEXY
     ---------------------------------------------------------------------------
     OPTIONS: INDEX (or I 5 etc) to see list of items         HELP
     START - search options
     REDO - edit search                              QUIT - exit database
     COMMAND?

   If you want to get more information on the first line, type 1 and
hit enter:

     HU INDEX: LIST OF ITEMS RETRIEVED      2086 items retrieved by your search:
     FIND TI SEX
     ---------------------------------------------------------------------------
     SEX
     1 geddes patrick sir 1854 1932/ 1914  bks

     SEX A Z
     2 goldenson robert m/ 1987  bks

     SEX ABUSE HYSTERIA SALEM WITCH TRIALS REVISITED
     3 gardner richard a/ 1991  bks

     SEX AETATES MUNDI ENGLISH AND IRISH
     4 irish sex aetates mundi/ 1983  bks

     SEX AFTER SIXTY A GUIDE FOR MEN AND WOMEN FOR THEIR LATER YEARS
     5 butler robert n 1927/ 1976  bks

     ------------------------------------------------------ (CONTINUES) --------
     OPTIONS: DISPLAY 1 (or D 5 etc) to see a record          HELP
     GUIDE                   MORE - next page        START - search options
     REDO - edit search                              QUIT - exit database
     COMMAND?

   Most library systems give you a way to log off and return to your
host system.  On Hollis, hit escape followed by

     xx

   One particularly interesting system is the one run by the Colorado
Alliance of Research Libraries, which maintains databases for libraries
throughout Colorado, the West and even in Boston.

     Telnet `pac.carl.org'

   Follow the simple log-in instructions. When you get a menu, type `72'
(even though that is not listed), which takes you to the Pikes Peak
Library District, which serves the city of Colorado Springs.

   Several years ago, its librarians realized they could use their
database program not just for books but for cataloging city records and
community information, as well.  Today, if you want to look up municipal
ordinances or city records, you only have to type in the word you're
looking for and you'll get back cites of the relevant laws or decisions.

   Carl will also connect you to the University of Hawaii library,
which, like the one in Colorado Springs, has more than just
bibliographic material online.  One of its features is an online
Hawaiian almanac that can tell you everything you ever wanted to know
about Hawaiians, including the number injured in boogie-board accidents
each year (seven).

Some Interesting Telnet Sites
=============================

Agriculture
-----------

   PENPages, run by Pennsylvania State University's College of
Agricultural Sciences, provides weekly world weather and crop reports
from the U.S. Department of Agriculture. These reports detail
everything from the effect of the weather on palm trees in Malaysia to
the state of the Ukrainian wheat crop. Reports from Pennsylvania
country extension officers offer tips for improving farm life. One
database lists Pennsylvania hay distributors by county - and rates the
quality of their hay!

   The service lets you search for information two different ways. A
menu system gives you quick access to reports that change frequently,
such as the weekly crop/weather reports. An index system lets you
search through several thousand online documents by keyword. At the
main menu, you can either browse through an online manual or choose
"PENPages," which puts you into the agriculture system.

     Telnet: `psupen.psu.edu'
     User name: Your 2-letter state code or WORLD

   California State University's Advanced Technology Information
Network provides similar information as PENPages, only focusing on
California crops. It also maintains lists of upcoming California trade
shows and carries updates on biotechnology.

     Telnet: `caticsuf.cati.csufresno.edu'
     Log in: public

   You will then be asked to register and will be given a user name and
password.  Hit `a' at the main menu for agricultural information.  Hit
`d' to call up a menu that includes a biweekly biotechnology report.

AIDS
----

   The University of Miami maintains a database of AIDS health
providers in southern Florida.

     Telnet: `callcat.med.miami.edu'
     Log in: library

   At the main menu, select `P' (for "AIDS providers") and you'll be
able to search for doctors, hospitals and other providers that care for
patients with AIDS.  You can also search by speciality.

   See also under Conversation Conversation and Health
Health.

Amateur Radio
-------------

   The National Ham Radio Call-Sign Callbook lets you search for
American amateur operators by callsign, city, last name or Zip code. A
successful search will give you the ham's name, address, callsign, age,
type of license and when he or she got it.  Telnet:
`callsign.cs.buffalo.edu 2000' or `ham.njit.edu 2000'.  When you
connect, you tell the system how you want to search and what you're
looking for. For example, if you want to search for hams by city, you
would type

     city city-name

   and hit enter (for example: `city Kankakee').

   Other search choices are "call" (after which you would type a ham's
call sign), "name," and "zip" (which you would follow with a Zip code).
Be careful when searching for hams in a large city; there doesn't seem
to be anyway to shut off the list once it starts except by using
control-]. Otherwise, when done, type

     quit

   and hit enter to disconnect.

Animals
-------

   See under Health Health.

Calculators
-----------

   Hewlett-Packard maintains a free service on which you can seek
advice about their line of calculators.

     Telnet: `hpcvbbs.cv.hp.com'

   No log-in is needed.

Chemistry
---------

   The Electronic Periodic Table of the Elements draws the table on
your screen and then lets you look up various properties of individual
elements.

     Telnet: `camms2.caos.kun.nl'
     No password needed.

Congress
--------

   The Library of Congress Information Service lets you search current
and past legislation (dating to 1982).

     Telnet: `locis.loc.gov'
     Password: none needed.

   When you connect, you'll get a main menu that lets you select from
several databases, including the Library of Congress card catalog (with
book entries dating to 1978) and a database of information on copyright
laws.

   For the congressional database, select the number next to its entry
and hit enter.  You'll then be asked to choose which legislative year
to search. After that, a menu similar to this will come up:

     ***C103- THE LEGISLATIVE INFORMATION FILE FOR THE 103RD CONGRESS,
     which was updated on 05/10/93 and contains 4,044 records,
     is now available for your search.

     CURRENCY: All information is NOT current through the above date, which is
     machine generated when ANY information is added to the file.
     Bill numbers, official titles, sponsors, and status (STEP) added
     within 48 hours.  Indexing terms and digests added later, in
     some cases several weeks after the bill is added to the file.

     TO START   RETRIEVE to find:              EXAMPLES:
     SEARCH:    member name  -------------->   retrieve rep gingrich
                                               retrieve sen kennedy
                bill number  -------------->   retrieve h.r. 1
                subject keywords  --------->   retrieve day care

     FOR HELP:  Type the word HELP and press the ENTER key.

     READY FOR NEW COMMAND:

Conversation
------------

   Communications Canada, a Canadian government agency is developing
Conversational Hypertext Access Technology (CHAT), a system to provide
easy database access to people with little or no computer experience,
using what are known as hypertext links.  Instead of cryptic computer
commands, users type questions in English.

     Telnet: `debra.doc.ca'
     Log in: chat

   You choose one of the three databases now online, one on AIDS, and
then ask questions in English.

   Ask the AIDS database, "When was AIDS first discovered?" and it
answers:

   "The first case of AIDS in North America was diagnosed in 1979.
Before that, it existed in Africa, probably beginning in the 1950's.
AIDS was discovered in North America when a number of young men with a
history of homosexuality developed a rare type of cancer called
Kaposi's sarcoma."

   Sometimes, you do have to rephrase your question. For example, when
asked "What is the link between AIDS and drug use?" the computer
responds:

   "I know two things about drugs: the drugs that are used to treat
people with AIDS, and the risks that drug users have in getting AIDS.
Please ask about treatments or drug users."

Copyright Law
-------------

   See under Congress Congress.

Current Events
--------------

   Every year, the CIA publishes a Fact Book that is essentially an
almanac of all the world's countries and international organizations,
including such information as major products, type of government and
names of its leaders.  It's available for searching through the
University of Maryland Info Database.

     Telnet: `info.umd.edu'

   Chose a terminal type and hit enter (or just hit enter if you are
using VT100).  At the Gopher menu, choose the number next to
"Educational Resources" and hit enter.  Then do the same in the next
menu for "International".  One of your options will then be for
"Factbook."  Chose that one, and you can then search by country or
agency.  This site also maintains copies of the U.S. budget, documents
related to the North American Free Trade Agreement and other government
initiatives. At the "Educational Resources" menu, select the number
next to "United States" and then the one next to "Government."

   The Access Legislative Information Service lets you browse through
and look up bills before the Hawaiian legislature.  Telnet:
`access.uhcc.hawaii.edu'

Dictionary
----------

   Rutgers University's Campus-Wide Information Service has an online
dictionary, thesaurus and database of familiar quotations, as well as
online copies of the Bible, the Koran and the Book of Mormon and the
U.S. Constitution.

     Telnet: `info.rutgers.edu'
     No log-in name is needed.

   At the main menu, type

     reference

   and hit enter.  You'll see a menu like this:

     Online reference material
     Menu Commands...

     Command         Purpose
     -------         -------
     Dictionary      Concise Oxford Dictionary, 8th Ed.
     Thesaurus       Oxford Thesaurus
     Familiar        Oxford Dictionary of Familiar Quotations (and Modern Q.)
     World           CIA World Factbook
     US              US government: Constitution, etc.
     Religion        Bible, Book of Mormon, Koran

     For more information you may look under Libraries in the main menu

     Previous        Return to previous menu
     Find            Search for information
     Source          Age and provider of information.  Where to go for more.
     Quit            Go back to main menu

     Online reference material
     Menu>

   To access any of them, type its name (dictionary, for example) and
hit enter.  You'll then be asked for the word to look for.  If, instead,
you type

     religion

   and hit enter, you'll be able to search for a word or passage from
the Bible, the Koran or the Book of Mormon.

Environment
-----------

   The U.S. Environmental Protection Agency maintains online databases
of materials related to hazardous waste, the Clean Lakes program and
cleanup efforts in New England.  The agency plans to eventually include
cleanup work in other regions, as well.  The database is actually a
computerized card catalog of EPA documents - you can look the documents
up, but you'll still have to visit your regional EPA office to see them.

     Telnet: `epaibm.rtpnc.epa.gov'
     No password or user name is needed.

   At the main menu, type

     public

   and hit enter (there are other listed choices, but they are only for
use by EPA employees).  You'll then see a one-line menu.  Type

     ols

   and hit enter, and you'll see something like this:

     NET-106 Logon to TSO04    in progress.

     DATABASES:
     N     NATIONAL CATALOG         CH    CHEMICAL COLL. SYSTEM
     H     HAZARDOUS WASTE          1     REGION I
     L     CLEAN LAKES

     OTHER OPTIONS:
     ?     HELP
     Q     QUIT

     ENTER SELECTION -->

   Choose one and you'll get a menu that lets you search by document
title, keyword, year of publication or corporation.  After you enter
the search word and hit enter, you'll be told how many matches were
found.  Hit 1 and then enter to see a list of the entries.  To view the
bibliographic record for a specific entry, hit V and enter and then
type the number of the record.

   The University of Michigan maintains a database of newspaper and
magazine articles related to the environment, with the emphasis on
Michigan, dating back to 1980.

     Telnet: `hermes.merit.edu'
     Host: mirlyn
     Log in: meem

   Envirolink is a large database and conference system about the
environment, based in Pittsburgh.

     Telnet: `envirolink.org'
     Log on: gopher

   See under Current Events Current Events and Congress
Congress.

Geography
---------

   The University of Michigan Geographic Name Server can provide basic
information, such as population, latitude and longitude of U.S.  cities
and many mountains, rivers and other geographic features.  Telnet:
`martini.eecs.umich.edu 3000'

   No password or user name is needed. Type in the name of a city, a
Zip code or a geographic feature and hit enter.  The system doesn't like
names with abbreviations in them (for example, Mt. McKinley), so spell
them out (for example, Mount McKinley).

   By typing in a town's name or zip code, you can find out a
community's county, Zip code and longitude and latitude. Not all
geographic features are yet included in the database.

Government
----------

   The National Technical Information Service runs a system that not
only provides huge numbers of federal documents of all sorts - from
environmental factsheets to patent abstract - but serves as a gateway to
dozens of other federal information systems.

     Telnet: `fedworld.gov'
     Log on as: new

   See also under Congress Congress and Current Events
Current Events.

Health
------

   The U.S. Food and Drug Administration runs a database of
health-information.

     Telnet: `fdabbs.fda.gov'
     Log in: bbs

   You'll then be asked for your name and a password you want to use in
the future.  After that, type

     topics

   and hit enter.  You'll see this:

        TOPICS       DESCRIPTION

     *  NEWS         News releases
     *  ENFORCE      Enforcement Report
     *  APPROVALS    Drug and Device Product Approvals list
     *  CDRH         Centers for Devices and Radiological Health Bulletins
     *  BULLETIN     Text from Drug Bulletin
     *  AIDS         Current Information on AIDS
     *  CONSUMER     FDA Consumer magazine index and selected articles
     *  SUBJ-REG     FDA Federal Register Summaries by Subject
     *  ANSWERS      Summaries of FDA information
     *  INDEX        Index of News Releases and Answers
     *  DATE-REG     FDA Federal Register Summaries by Publication Date
     *  CONGRESS     Text of Testimony at FDA Congressional Hearings
     *  SPEECH       Speeches Given by FDA Commissioner and Deputy
     *  VETNEWS      Veterinary Medicine News
     *  MEETINGS     Upcoming FDA Meetings
     *  IMPORT       Import Alerts
     *  MANUAL       On-Line User's Manual

   You'll be able to search these topics by key word or
chronologically. It's probably a good idea, however, to capture a copy
of the manual, first, because the way searching works on the system is a
little odd.  To capture a copy, type

     manual

   and hit enter.  Then type

     scan

   and hit enter.  You'll see this:

     FOR LIST OF AVAILABLE TOPICS TYPE TOPICS
     OR ENTER THE TOPIC YOU DESIRE ==>

        MANUAL
        BBSUSER
        08-OCT-91
     1  BBS User Manual

   At this point, turn on your own computer's screen-capture or logging
function and hit your 1 key and then enter.  The manual will begin to
scroll on your screen, pausing every 24 lines.

Hiring and College Program Information
--------------------------------------

   The Federal Information Exchange in Gaithersburg, MD, runs two
systems at the same address: FEDIX and MOLIS. FEDIX offers research,
scholarship and service information for several federal agencies,
including NASA, the Department of Energy and the Federal Aviation
Administration. Several more federal agencies provide minority hiring
and scholarship information. MOLIS provides information about minority
colleges, their programs and professors.

     Telnet: `fedix.fie.com'
     User name: fedix

   (for the federal hiring database) or "molis" (for the
minority-college system). Both use easy menus to get you to information.

History
-------

   Stanford University maintains a database of documents related to
Martin Luthor King.

     Telnet:  `forsythetn.stanford.edu'
     Account: socrates

   At the main menu, type `select mlk' and hit enter.

Mexico
------

   Jaguar.

   Run by the Universidad de las Americas, Mexico, this system has
Spanish conferences, but English commands, as you can see from this
menu of available conferences:

     List of Boards
      Name                  Title
      Jaguar BBS            Anuncios y comentarios del servicio Jaguar BBS
      Debates               Discusion de Temas Peliagudos
      Internet              Preguntas y respuestas sobre el universo Internet
      CINEscope             Comentarios sobre peliculas y videos
      Libros                Todo lo referente a Libros de cualquier genero
      Politica              Politica
      Inspiracion           Un espacio para ti: expresate!
      BBSports              La pagina deportiva del Jaguar
      Computadoras          Computadoras
      Sound Board           Musica
      English               I wanna I wanna ... Play/Read/wriTe in ENGLISH
      ISC                   Ingenieria en Sistemas Computacionales
      Pensamientos          Citas, pensamientos, refranes y dichos!
      Board Talk            Discusiones y comentarios sobre los boards
      General               Informacion general
      UDLA                  UDLA
      Cantina               Para desahogar sus penas
      Guys                  Solo para mujeres
      Sexualidad            Sexualidad
      Querido BBS           Psicologia
      Chistes               Chistes sanos sin malas palabras
      Heavy Chistes         Chistes de todos colores, lenguaje peligroso
      Games                 Juegos de computadora
      Misterios             Ovnis, Misterios y similares
      Otros Mundos          Universos distintos a la realidad
      Full Contact          FullContact... Ataque directo a otro usuario...

   Ask for an account! Send an e-mail message to
<alfredo@udlapvms.pue.udlap.mx> with: 1) userid, 2) real name, 3)
address, 4) phone number and 5) e-mail.

     Telnet:  `jaguar.pue.udlap.mx'

   At the "userid:" prompt, type 'bbs' and hit enter.  24 hours a day.

Quotations
----------

   See under Dictionary Dictionary.

Religion
--------

   See under Dictionary Dictionary.

Ski Reports
-----------

   See under Weather Weather.

Space
-----

   NASA Spacelink in Huntsville, Ala.,  provides all sorts of reports
and data about NASA, its history and its various missions, past and
present.  You'll find detailed reports on every single probe, satellite
and mission NASA has ever launched along with daily updates and lesson
plans for teachers.

   The system maintains a large file library of GIF-format space
graphics, but  you can't download these through telnet. If you want
them, you have to dial the system directly, at (205) 895-0028.

     Telnet: `spacelink.msfc.nasa.gov'

   When you connect, you'll be given an overview of the system and
asked to register and choose a password.

   The NED-NASA/IPAC Extragalactic Database lists data on more than
100,000 galaxies, quasars and other objects outside the Milky Way.

     Telnet: `ipac.caltech.edu'
     Log in: ned

   You can learn more than you ever wanted to about quasars, novae and
related objects on a system run by the Smithsonian Astrophysical
Observatory in Cambridge, Mass.

     Telnet: `cfa204.harvard.edu'
     Log in: einline

   The physics department at the University of Massachusetts at Amherst
runs a bulletin-board system that provides extensive conferences and
document libraries related to space.

     Telnet: `spacemet.phast.umass.edu'
     Log on with your name and a password.

Supreme Court Decisions
-----------------------

   The University of Maryland Info Database maintains U.S. Supreme
Court decisions from 1991 on.

     Telnet: `info.umd.edu'
     User name: info

   Chose a terminal type and hit enter (or just hit enter if you are
using VT100).  At the main menu, choose the number next to "Educational
Resources"  and hit enter.  One of your options will then be for
"United States."  Select that number and then, at the next menu, choose
the one next to "Supreme Court."

Telnet Addresses
----------------

   Hytelnet, at the University of Saskatchewan, is an online guide to
hundreds of telnet sites around the world.

     Telnet: `access.usask.ca'
     Log in: hytelnet

Thesaurus
---------

   See under Dictionary Dictionary.

Time
----

   To find out the exact time:

     Telnet: `india.colorado.edu 13'

   You'll see something like this:

     Escape character is '^]'.
     Sun Apr  5 14:11:41 1992
     Connection closed by foreign host.

   The middle line tells you the date and exact Mountain Standard Time,
as determined by a federal atomic clock.

   If you want a more philosophical approach to your time, the U.S.
Naval Observatory's Automated Data Service has copies of detailed
papers on such things as "the nature of time."  It also carries
information on how to buy a clock, along with arcana on such things as
"leap seconds."

   UNFORTUNATELY THE UNRESTRICTED TELNET "ADS" ACCOUNT THAT HAS BEEN
INTRODUCED AT THIS PLACE IN PREVIOUS RELEASE OF THIS GUIDE HAS BEEN
RESTRICTED FOR PRIVILEDGED USERS. BUT AN ALTERNATIVE WAY HAS ALSO BEEN
SET UP.

   NOW, ONE HAS TO USE AN E-MAIL QUERY TO GET THE INFORMATION, SO THE
FOLLOWING INFO WOULD HAVE BETTER GONE INTO ANOTHER (*NOTE ADVANCED
E-MAIL::.) SECTION, BUT FOR THE "SAKE OF HISTORY..."

   There is a new experimental mail server called "adsmail" on tycho.
It will send by return mail any of the ADS data files.  You can obtain
a list of available files by sending e-mail to <adsmail@tycho> with
subject: `anything'. For example:

     mail -s anything adsmail@tycho.usno.navy.mil

   To obtain any pariticular ADS file, just send e-mail with the name
of the command associated withe the file:

     mail -s gpssy adsmail@tycho.usno.navy.mil

   and in 10 minutes or less you will receive the requested file. This
service extends ADS access to people who normally cannot telnet to
tycho. Note that no password is required for e-mail service.

Transportation
--------------

   The Subway Navigator in Paris can help you learn how long it will
take to get from point A to point B on subway systems around the world.

   Telnet: `metro.jussieu.fr 10000'

   No log-in is needed.  When you connect, you'll be asked to choose a
language in which to search (you can choose English or French) and then
a city to search.  You'll be asked for the station you plan to leave
from and the station you want to get to.

Weather
-------

   The University of Michigan's Department of Atmospheric, Oceanographic
and Space Sciences supplies weather forecasts for U.S. and foreign
cities, along with skiing and hurricane reports.

     Telnet: `madlab.sprl.umich.edu 3000' (note the 3000)
     No log-in name is needed.

   See Weather (FTP) in the FTP list for information on downloading
satellite and radar weather images.

Telnet Bulletin-Board Systems
=============================

   You might think that Usenet, with its hundreds of newsgroups, would
be enough to satisfy the most dedicated of online communicators.

   But there are a number of "bulletin-board" and other systems that
provide even more conferences or other services, many not found
directly on the Net.  Some are free; others charge for access.  They
include:

Cimarron
--------

   Run by the Instituto Technical in Monterey, Mexico, this system has
Spanish conferences, but English commands, as you can see from this
menu of available conferences:

     List of Boards
     Name                 Title
     General              Board general
     Dudas                Dudas de Cimarron
     Comentarios          Comentarios al SYSOP
     Musica               Para los afinados........
     Libros               El sano arte de leer.....
     Sistemas             Sistemas Operativos en General.
     Virus                Su peor enemigo......
     Cultural             Espacio Cultural de Cimarron
     NeXT                 El Mundo de NeXT
     Ciencias             Solo apto para Nerds.
     Inspiracion          Para los Romanticos e Inspirados.
     Deportes             Discusiones Deportivas

   To be able to write messages and gain access to files, you have to
leave a note to SYSOP with your name, address, occupation and phone
number.  To do this, at any prompt, hit your M key and then enter,
which will bring up the mail system. Hitting H brings up a list of
commands and how to use them.

     Telnet: `bugs.mty.itesm.mx' (8 p.m. to 10 a.m., Eastern time, only).
   At the "login:" prompt, type `bbs' and hit enter.

Cleveland Free-Net
------------------

   The first of a series of Free-nets, this represents an ambitious
attempt to bring the Net to the public.  Originally an in-hospital help
network, it is now sponsored by Case Western Reserve University, the
city of Cleveland, the state of Ohio and IBM. It uses simple menus,
similar to those found on CompuServe, but organized like a city:

     <<< CLEVELAND FREE-NET DIRECTORY >>>

      1 The Administration Building
      2 The Post Office
      3 Public Square
      4 The Courthouse & Government Center
      5 The Arts Building
      6 Science and Technology Center
      7 The Medical Arts Building
      8 The Schoolhouse (Academy One)
      9 The Community Center & Recreation Area
     10 The Business and Industrial Park
     11 The Library
     12 University Circle
     13 The Teleport
     14 The Communications Center
     15 NPTN/USA TODAY HEADLINE NEWS
     ------------------------------------------------
     h=Help, x=Exit Free-Net, "go help"=extended help

     Your Choice ==>

   The system has a vast and growing collection of public documents,
from copies of U.S. and Ohio Supreme Court decisions to the Magna Carta
and the U.S. Constitution.  It links residents to various government
agencies and has daily stories from USA Today. Beyond Usenet (found in
the Teleport area), it has a large collection of local conferences on
everything from pets to politics.  And yes, it's free!

     Telnet: `freenet-in-a.cwru.edu', `freenet-in-b.cwru.edu'
     or `freenet-in-c.cwru.edu'

   When you connect to Free-Net, you can look around the system.
However, if you want to be able to post messages in its conferences or
use e-mail, you will have to apply in writing for an account.
Information on this is available when you connect.

Dialog
------

   This commercial service offers access to a large variety of
databases - for a fairly sizable fee.  You need a Dialog account to use
the system through the Net.

     Telnet: `dialog.com'

DUBBS
-----

   This is a bulletin-board system in Delft in the Netherlands. The
conferences and files are mostly in Dutch, but the help files and the
system commands themselves are in English.
     Telnet: `tudrwa.tudelft.nl'

ISCA BBS
--------

   Run by the Iowa Student Computer Association, it has more than 100
conferences, including several in foreign languages.  After you
register, hit `K' for a list of available conferences and then `J' to
join a particular conference (you have to type in the name of the
conference, not the number next to it).  Hitting H brings up
information about commands.
     Telnet `bbs.isca.uiowa.edu'
   At the "login:" prompt, type `bbs' and hit enter.

Whole Earth 'Lectronic Link (WELL)
----------------------------------

   Itself a major Net access point in the San Francisco area, the WELL
is also a unique online community that maintains dozens of conferences
on every imaginable topic (seven devoted just to the Grateful Dead).
WELL users are intelligent and opinionated; discussions are often fast
and furious.  The Electronic Frontier Foundation was basically started
in a series of online conversations on the WELL. Although it has a
serious San Francisco flavor, it has users from across the country
(enough to support both East Coast and Midwest conferences).

   For its conferences, the WELL uses PicoSpan software, which presents
messages differently than rn or nn.   When you enter a conference, you
can call up a list of "topics."  Enter a topic number, and all of the
messages start scrolling down the screen, sort of like the music on an
old-fashioned player-piano.  There is some online help, but new users
are sent a written manual.  See Electronic Mail for information on
access charges (one advantage to connecting to the WELL through telnet
is that unless you live in the Bay Area, it is likely to be much
cheaper than other access methods).

     Telnet: `well.sf.ca.us'

   See The Well if you're interested in an intimate look on The
WELL.

Youngstown Free-Net
-------------------

   The people who created Cleveland Free-Net sell their software for $1
to anybody willing to set up a similar system. A number of cities now
have their own Free-Nets, including Youngstown, Ohio.
     Telnet: `yfn.ysu.edu'
   At the "login:" prompt, type `visitor' and hit enter.

Putting the Finger on Someone
=============================

   Finger is a handy little program which lets you find out more about
people on the Net - and lets you tell others on the Net more about
yourself.

   Finger uses the same concept as telnet or ftp. But it works with
only one file, called .plan (yes, with a period in front).  This is a
text file an Internet user creates with a text editor in his home
directory.  You can put your phone number in there, tell a little bit
about yourself, or write almost anything at all.

   To finger somebody else's `.plan' file, type this at the command
line:

     finger email-address

   where email-address is the person's e-mail address.  You'll get back
a display that shows the last time the person was online, whether
they've gotten any new mail since that time and what, if anything, is
in their `.plan' file.  Some people and institutions have come up with
creative uses for these `.plan' files, letting you do everything from
checking the weather in Massachusetts to getting the latest baseball
standings.  Try fingering these e-mail addresses:

<coke@cs.cmu.edu>
     See how many cans of each type of soda are left in a particular
     soda machine in the computer-science department of Carnegie-Mellon
     University.

<weather@cirrus.mit.edu>
     Latest National Weather Service weather forecasts for regions in
     Massachusetts.

<quake@geophys.washington.edu>
     Locations and magnitudes of recent earthquakes around the world.

<jtchern@ocf.berkeley.edu>
     Current major-league baseball standings and results of the
     previous day's games.

<nasanews@space.mit.edu>
     The day's events at NASA.

Finding Someone on the Net
==========================

   So you have a friend and you want to find out if he has an Internet
account to which you can write?  The quickest way may be to just pick up
the phone, call him and ask him.  Although there are a variety of "white
pages" services available on the Internet, they are far from complete -
college students, users of commercial services such as CompuServe and
many Internet public-access sites, and many others simply won't be
listed.  Major e-mail providers are working on a universal directory
system, but that could be some time away.

   In the meantime, a couple of "white pages" services might give you
some leads, or even just entertain you as you look up famous people or
long-lost acquaintances.

   The whois directory provides names, e-mail and postal mail address
and often phone numbers for people listed in it.  To use it, telnet to
`internic.net'.  No log-on is needed.  The quickest way to use it is to
type

     whois name

   at the prompt, where "name" is the last name or organization name
you're looking for.

   Another service worth trying, especially since it seems to give
beginners fewer problems, is the Knowbot Information Service reachable
by telnet at `info.cnri.reston.va. us 185'.  Again, no log-on is
needed.  This service actually searches through a variety of other
"white pages" systems, including the user directory for MCIMail.  To
look for somebody, type

     query name

   `name' is the last name of the person you're looking for.  You can
get details of other commands by hitting a question mark at the prompt.

   You can also use the knowbot system by e-mail.  Either send a
message to <kis@cnri.reston. va.us> or try <netaddress@sol.bucknell.edu>
Leave the "subject:" line blank. As your message, write `query name'
for the simplest type of search.  If you want details on more complex
searches, add another line: `man'

   Apart from the previously mentioned methods, there exists a
periodical posting on Usenet entitled "How to find people's E-mail
addresses" that is edited and maintained by JONATHAN I. KAMENS.  It
lists several alternatives in order of success probability, to enable
everybody to find everyone.

   Just get `/pub/usenet/news.answers/finding-addresses' from
`rtfm.mit.edu'. See FTP to find out how to access this server. It's
cross-posted each month to `comp.mail.misc', `soc.net-people',
`news.newusers.questions', and the respective `*.answers' newsgroups.

   The most interesting way described therein is a way to search via
the Usenet name server. This is a system at MIT that keeps track of the
e-mail addresses of everybody who posts a Usenet message that appears
at MIT.  It works by e-mail.  Send a message to
<mail-server@rtfm.mit.edu>.  You can leave the `Subject:' line blank.
As your message, write `send usenet-addresses/lastname' where
"lastname" is the last name of the person you're looking for.

When things go wrong:
=====================

   * Nothing happens when you try to connect to a telnet site.  The
     site could be down for maintenance or problems.

   * You get a "host unavailable" message.  The telnet site is down for
     some reason.

     Try again later.

   * You get a "host unknown" message.

     Check your spelling of the site name.

   * You type in a password on a telnet site that requires one, and you
     get a "login incorrect" message.

     Try logging in again.  If you get the message again, hit your
     control and `]' keys at the same time to disengage and return to
     your host system.

   * You can't seem to disconnect from a telnet site.

     Use control-] to disengage and return to your host system.

FYI:
====

   The Usenet newsgroups `alt.internet.services' and `alt.bbs.internet'
can provide pointers to new telnet systems.  Scott Yanoff periodically
posts his "Updated Internet Services List" in the former; The
`alt.bbs.internet' newsgroup is also where you'll find Aydin Edguer's
compendium of FAQs related to Internet bulletin-board systems.  Peter
Scott, who maintains the Hytelnet database, runs a mailing list about
new telnet services and changes in existing ones.  To get on the list,
send him a note at <scott@sklib.usask.ca>.  Gleason Sackman is a
veteran net.surfer who maintains another mailing list dedicated to new
Internet services and news about the new uses to which the Net is being
put.  To subscribe, send a message to <listserv@internic.net>. Leave
the "Subject:" line blank, and as your message, write: `Sub
net-happenings Your Name'.

                               *"Good literature is about Love and War.
                             Trash fiction is about Sex and Violence."*
                                                      -- Author Unknown

              *"The world's as ugly as sin, and almost as delightful."*
                                            -- Frederick Locker-Lampson

FTP (Mining the Net, part II)
*****************************

Tons of Files
=============

   Hundreds of systems connected to Internet have file libraries, or
archives, accessible to the public. Much of this consists of free or
low- cost shareware programs for virtually every make of computer.  If
you want a different communications program for your IBM, or feel like
playing a new game on your Amiga, you'll be able to get it from the Net.

   But there are also libraries of documents as well.  If you want a
copy of a recent U.S. Supreme Court decision, you can find it on the
Net.  Copies of historical documents, from the Magna Carta to the
Declaration of Independence are also yours for the asking, along with a
translation of a telegram from Lenin ordering the execution of
rebellious peasants.  You can also find song lyrics, poems, even
summaries of every "Lost in Space" episode ever made.  You can also find
extensive files detailing everything you could ever possibly want to
know about the Net itself.  First you'll see how to get these files;
then we'll show you where they're kept.

   The commonest way to get these files is through the file transfer
protocol, or ftp.  As with telnet, not all systems that connect to the
Net have access to ftp.  However, if your system is one of these, you'll
be able to get many of these files through e-mail (see Advanced E-mail.).

   Starting ftp is as easy as using telnet. At your host system's
command line, type

     ftp site.name

   and hit enter, where "site.name" is the address of the ftp site you
want to reach.  One major difference between telnet and ftp is that it
is considered bad form to connect to most ftp sites during their
business hours (generally 6 a.m. to 6 p.m. local time).  This is because
transferring files across the network takes up considerable computing
power, which during the day is likely to be needed for whatever the
computer's main function is.  There are some ftp sites that are
accessible to the public 24 hours a day, though.  You'll find these
noted in the list of ftp sites (see Some Interesting FTP Sites.).

   How do you find a file you want, though?

Your Friend Archie
==================

   Until a few years ago, this could be quite the pain - there was no
master directory to tell you where a given file might be stored on the
Net. Who'd want to slog through hundreds of file libraries looking for
something?

   ALAN EMTAGE, BILL HEELAN and PETER DEUTSCH, students at McGill
University in Montreal, asked the same question.  Unlike the weather,
though, they did something about it.

   They created a database system, called archie, that would
periodically call up file libraries and basically find out what they had
available. In turn, anybody could dial into archie, type in a file
name, and see where on the Net it was available. Archie currently
catalogs close to 1,000 file libraries around the world.

   Today, there are three ways to ask archie to find a file for you:
through telnet, a "client" Archie program on your own host system or
e-mail.  All three methods let you type in a full or partial file name
and will tell you where on the Net it's stored.  If you have access to
telnet, you can telnet to one of the following addresses:
`archie.mcgill.ca'; `archie.sura.net'; `archie.unl.edu';
`archie.ans.net'; or `archie.rutgers.edu'.  If asked for a log-in name,
type

     archie

   and hit enter.

   When you connect, the key command is prog, which you use in this
form:

     prog filename

   followed by enter, where "filename" is the program or file you're
looking for. If you're unsure of a file's complete name, try typing in
part of the name. For example, `PKZIP' will work as well as
`PKZIP204.EXE'.  The system does not support DOS or Unix wildcards.  If
you ask archie to look for `PKZIP*', it will tell you it couldn't find
anything by that name.  One thing to keep in mind is that a file is not
necessarily the same as a program - it could also be a document.  This
means you can use archie to search for, say, everything online related
to the Beatles, as well as computer programs and graphics files.

   A number of Net sites now have their own archie programs that take
your request for information and pass it onto the nearest archie
database - ask your system administrator if s/he has it online. These
"client" programs seem to provide information a lot more quickly than
the actual archie itself!  If it is available, at your host system's
command line, type

     archie -s filename

   where filename is the program or document you're looking for, and hit
enter.  The `-s' tells the program to ignore case in a file name and
lets you search for partial matches. You might actually want to type it
this way:

     archie -s filename |more

   which will stop the output every screen (handy if there are many
sites that carry the file you want).  Or you could open a file on your
computer with your text-logging function.

   The third way, for people without access to either of the above, is
e-mail.

   Send a message to <archie@quiche.cs.mcgill.ca>. You can leave the
subject line blank.  Inside the message, type

     prog filename

   where filename is the file you're looking for.  You can ask archie to
look up several programs by putting their names on the same "prog" line,
like this:

     prog file1 file2 file3

   Within a few hours, archie will write back with a list of the
appropriate sites.

   In all three cases, if there is a system that has your file, you'll
get a response that looks something like this:

     Host sumex-aim.stanford.edu

     Location: /info-mac/comm
     FILE -rw-r--r--     258256  Feb 15 17:07  zterm-09.hqx
     Location: /info-mac/misc
     FILE -rw-r--r--       7490  Sep 12 1991   zterm-sys7-color-icons.hqx

   Chances are, you will get a number of similar looking responses for
each program.  The "Host" is the system that has the file.  The
"Location" tells you which directory to look in when you connect to
that system.  Ignore the funny-looking collections of r's and hyphens
for now.  After them come the size of the file or directory listing in
bytes, the date it was uploaded, and the name of the file.

   Now you want to get that file.

Getting the Files
=================

   Assuming your host site does have ftp, you connect in a similar
fashion to telnet, by typing:

     ftp sumex-aim.stanford.edu

   (or the name of whichever site you want to reach). Hit enter.  If the
connection works, you'll see this:

     Connected to sumex-aim.stanford.edu.
     220 SUMEX-AIM FTP server (Version 4.196 Mon Jan 13 13:52:23 PST 1992) ready.
     Name (sumex-aim.stanford.edu:adamg):

   If nothing happens after a minute or so, hit control-C to return to
your host system's command line.  But if it has worked, type

     anonymous

   and hit enter.  You'll see a lot of references on the Net to
"anonymous ftp." This is how it gets its name - you don't really have
to tell the library site what your name is. The reason is that these
sites are set up so that anybody can gain access to certain public
files, while letting people with accounts on the sites to log on and
access their own personal files.  Next, you'll be asked for your
password.  As a password, use your e-mail address.  This will then come
up:

     230 Guest connection accepted. Restrictions apply.
     Remote system type is UNIX.
     Using binary mode to transfer files.
     ftp>

   Now type

     ls -l

   and hit enter.  You'll see something awful like this:

     200 PORT command successful.
     150 Opening ASCII mode data connection for /bin/ls.
     total 2636
     -rw-rw-r--  1 0        31           4444 Mar  3 11:34 README.POSTING
     dr-xr-xr-x  2 0        1             512 Nov  8 11:06 bin
     -rw-r--r--  1 0        0        11030960 Apr  2 14:06 core
     dr--r--r--  2 0        1             512 Nov  8 11:06 etc
     drwxrwsr-x  5 13       22            512 Mar 19 12:27 imap
     drwxr-xr-x 25 1016     31            512 Apr  4 02:15 info-mac
     drwxr-x---  2 0        31           1024 Apr  5 15:38 pid
     drwxrwsr-x 13 0        20           1024 Mar 27 14:03 pub
     drwxr-xr-x  2 1077     20            512 Feb  6  1989 tmycin
     226 Transfer complete.
     ftp>

   Ack! Let's decipher this Rosetta Stone.

   First, ls is the ftp command for displaying a directory (you can
actually use dir as well, but if you're used to MS-DOS, this could lead
to confusion when you try to use dir on your host system, where it won't
work, so it's probably better to just remember to always use ls for a
directory while online).

   The very first letter on each line tells you whether the listing is
for a directory or a file. If the first letter is a `d', or an `l',
it's a directory. Otherwise, it's a file.

   The rest of that weird set of letters and dashes consist of "flags"
that tell the ftp site who can look at, change or delete the file. You
can safely ignore it. You can also ignore the rest of the line until you
get to the second number, the one just before the date. This tells you
how large the file is, in bytes. If the line is for a directory, the
number gives you a rough indication of how many items are in that
directory  - a directory listing of 512 bytes is relatively small. Next
comes the date the file or directory was uploaded, followed (finally!)
by its name.

   Notice the `README.POSTING' file up at the top of the directory. Most
archive sites have a "read me" document, which usually contains some
basic information about the site, its resources and how to use them.
Let's get this file, both for the information in it and to see how to
transfer files from there to here. At the `ftp>' prompt, type

     get README.POSTING

   and hit enter. Note that ftp sites are no different from Unix sites
in general: they are case-sensitive. You'll see something like this:

     200 PORT command successful.
     150 Opening BINARY mode data connection for README.POSTING (4444 bytes).
     226 Transfer complete. 4444 bytes received in 1.177 seconds (3.8 Kbytes/s)

   And that's it! The file is now located in your home directory on
your host system, from which you can now download it to your own
computer. The simple `get' command is the key to transferring a file
from an archive site to your host system.

   If you want to download more than one file at a time (say a series
of documents), use `mget' instead of `get'; for example:

     mget *.txt

   This will transfer copies of every file ending with `.txt' in the
given directory.  Before each file is copied, you'll be asked if you're
sure you want it.  Despite this, mget could still save you considerable
time - you won't have to type in every single file name. If you want to
save even more time, and are sure you really want *all* of the given
files, type `prompt' before you do the mget command. This will turn off
the prompt, and all the files will be zapped right into your home
directory.

   There is one other command to keep in mind.  If you want to get a
copy of a computer program, type

     bin

   and hit enter.  This tells the ftp site and your host site that you
are sending a binary file, i.e., a program.  Most ftp sites now use
binary format as a default, but it's a good idea to do this in case
you've connected to one of the few that doesn't.

   To switch to a directory, type

     cd directory-name

   (substituting the name of the directory you want to access) and hit
enter. Type

     ls

   and hit enter to get the file listing for that particular directory.
To move back up the directory tree, type

     cd ..

   (note the space between the d and the first period) and hit enter.
Or you could type

     cdup

   and hit enter.  Keep doing this until you get to the directory of
interest.  Alternately, if you already know the directory path of the
file you want (from our friend archie), after you connect, you could
simply type

     get directory/subdirectory/filename

   On many sites, files meant for public consumption are in the pub or
public directory; sometimes you'll see an info directory.

   Almost every site has a bin directory, which at first glance sounds
like a bin in which interesting stuff might be dumped.  But it actually
stands for "binary" and is simply a place for the system administrator
to store the programs that run the ftp system. Lost+found is another
directory that looks interesting but actually never has anything of
public interest in them.

   Before, you saw how to use archie.  From our example, you can see
that some system administrators go a little berserk when naming files.
Fortunately, there's a way for you to rename the file as it's being
transferred. Using our archie example, you'd type

     get zterm-sys7-color-icons.hqx zterm.hqx

   and hit enter.  Instead of having to deal constantly with a file
called `zterm-sys7-color-icons. hqx', you'll now have one called,
simply, `zterm.hqx'.

   Those last three letters bring up something else: Many program files
are compressed to save on space and transmission time.  In order to
actually use them, you'll have to use an un-compress program on them
first.

Odd Letters - Decoding File Endings
===================================

   There are a wide variety of compression methods in use.  You can
tell which method was used by the last one to three letters at the end
of a file. Here are some of the more common ones and what you'll need
to un- compress the files they create (most of these decompression
programs can all be located through archie).

`.txt'
`.TXT'
     By itself, this means the file is a document, rather than a
     program.

`.ps'
`.PS'
     A PostScript document (in Adobe's page description language).  You
     can print this file on any PostScript capable printer, or use a
     previewer, like GNU project's GhostScript.

`.doc'
`.DOC'
     Is another common suffix for documents. No de-compression is
     needed, unless it is followed by

`.z'
     A file compressed by the Unix `pack' utility.  It uses Huffman
     coding (which minimizes redundancy) on each byte.  Type `unpack
     filename.z' or `gunzip filename.z' to decompress it.  This suffix
     was also briefly used to indicate gzip'ed files before `.gz' was
     adopted.  However, some sites *still* use this suffix for gzip'ed
     files, e.g.  the EFF's FTP-server, due to local set-ups.

`.Z'
     This is a Unix compression method.  To uncompress the file, type
     `uncompress filename.Z' or `gunzip filename.Z' and hit enter at
     your host system's command prompt. If it's a text file, you can
     read it online by typing `zcat file.txt.Z |more' at your host
     system's command line. There is a Macintosh `u16.zip' is an MS-DOS
     program that will let you download such a file and uncompress it
     on your own computer. The Macintosh equivalent program is called
     MacCompress (use archie to find these).

`.zip'
`.ZIP'
     These indicate the file has been compressed with a common MS-DOS
     compression program, known as PKZIP (use archie to find
     `PKZIP204.EXE').  Many Unix systems will let you un-ZIP a file
     with a program called, well, unzip.

`.gz'
     The GNU project's compression format. A variant of the PKZIP
     format. Use `gunzip filename.gz' to uncompress.

`.zoo'
`.ZOO'
     A Unix, VAX and MS-DOS format. Requires the use of a program
     called zoo to uncompress.

`.Hqx'
`.hqx'
     A Macintosh format that needs BinHex for de-coding.

`.shar'
`.Shar'
     A Unix format. Use unshar.

`.tar'
     Another Unix format, often used to glue several related files
     and/or complete directory trees into one big file.  Use the `tar'
     command.  Often, a "tarred" file will also be compressed with the
     `.Z'/`.gz' method, so you first have to use `uncompress'/`gunzip'
     and then `tar'.

`.TAZ'
`.TGZ'
     Sometimes used for compressed tar archives `.tar.Z', that are
     stored on "3 letter suffix only systems" (aka MS-DOS).

`.sit'
`.Sit'
     A Macintosh format, requires StuffIt.

`.ARC'
     A DOS format that requires the use of ARC or ARCE.

`.LZH'
     Another DOS compression format; requires the use of LHARC.

`.lz'
`.lha'
     The Amiga variant of LHARC. It's the most common Amiga archiving
     method, and made with the program `lha' or `lz'.

   A few last words of caution: Check the size of a file before you get
it. The Net moves data at phenomenal rates of speed.  But that
500,000-byte file that gets transferred to your host system in a few
seconds could take more than an hour or two to download to your
computer if you're using a 2400-baud modem.  Your host system may also
have limits on the amount of bytes you can store online at any one
time.  Also, although it is really extremely unlikely you will ever get
a file infected with a virus, if you plan to do much downloading over
the Net, you'd be wise to invest in a good anti-viral program, just in
case.

The Keyboard Cabal
==================

   System administrators are like everybody else - they try to make
things easier for themselves.  And when you sit in front of a keyboard
all day, that can mean trying everything possible to reduce the number
of keys you actually have to hit each day.

   Unfortunately, that can make it difficult for the rest of us.

   You've already read about `bin' and `lost+found' directories, `etc'
is another seemingly interesting directory that turns out to be another
place to store files used by the ftp site itself.  Again, nothing of any
real interest.

   Then, once you get into the actual file libraries, you'll find that
in many cases, files will have such non-descriptive names as
`V1.1-AK.TXT'.  The best known example is probably a set of several
hundred files known as RFCs, which provide the basic technical and
organizational information on which much of the Internet is built.
These files can be found on many ftp sites, but always in a form such as
`RFC101.TXT', `RFC102.TXT' and so on, with no clue whatsoever as to
what information they contain.

   Fortunately, almost all ftp sites have a "Rosetta Stone" to help you
decipher these names.  Most will have a file named `README' (or some
variant) that gives basic information about the system.  Then, most
directories will either have a similar `README' file or will have an
index that does give brief descriptions of each file.  These are
usually the first file in a directory and often are in the form
`00INDEX.TXT'.  Use the ftp command to get this file.  You can then
scan it online or download it to see which files you might be
interested in.

   Another file you will frequently see is called `ls-lgR.Z'.  This
contains a listing of every file on the system, but without any
descriptions (the name comes from the Unix command `ls -lgR', which
gives you a listing of all the files in all your directories).  The
`.Z' at the end means the file has been compressed, which means you
will have to use a Unix un-compress command before you can read the
file.

   And finally, we have those system administrators who almost seem to
delight in making things difficult - the ones who take full advantage of
Unix's ability to create absurdly long file names.  On some FTP sites,
you will see file names as long as 80 characters or so, full of capital
letters, underscores and every other orthographic device that will make
it almost impossible for you to type the file name correctly when you
try to get it.  Your secret weapon here is the mget command.  Just type
mget, a space, and the first five or six letters of the file name,
followed by an asterisk, for example:

     mget This_F*

   The FTP site will ask you if you want to get the file that begins
with that name. If there are several files that start that way, you
might have to answer `n' a few times, but it's still easier than trying
to recreate a ludicrously long file name.

Some Interesting FTP Sites
==========================

   What follows is a list of some interesting ftp sites, arranged by
category. With hundreds of ftp sites now on the Net, however, this list
barely scratches the surface of what is available.  Liberal use of
archie will help you find specific files.

   The times listed for each site are in Eastern time and represent the
periods during which it is considered acceptable to connect.

Amiga
-----

   `ftp.uu.net' Has Amiga programs in the `systems/amiga' directory.
Available 24 hours.

   `wuarchive.wustl.edu' Look in the `pub/aminet' directory.  Available
24 hours.

Atari
-----

   `atari.archive.umich.edu' Find almost all the Atari files you'll ever
need, in the `atari' directory.  7 p.m. - 7 a.m.

Books
-----

   `rtfm.mit.edu' The `pub/usenet/rec.arts.books' directory has reading
lists for various authors as well as lists of recommended bookstores in
different cities.  Unfortunately, this site uses incredibly long file
names - so long they may scroll off the end of your screen if you are
using an MS-DOS or certain other computers.  Even if you want just one
of the files, it probably makes more sense to use mget than get.  This
way, you will be asked on each file whether you want to get it;
otherwise you may wind up frustrated because the system will keep
telling you the file you want doesn't exist (since you may miss the end
of its name due to the scrolling problem).  6 p.m. - 6 a.m.

Computer Ethics
---------------

   `ftp.eff.org' The home of the Electronic Frontier Foundation.  Use cd
to get to the pub directory and then look in the EFF, SJG and CPSR
directories for documents on the EFF itself and various issues related
to the Net, ethics and the law.  Available 24 hours.

Consumer
--------

   `rtfm.mit.edu' The `pub/usenet/misc.consumers' directory has
documents related to credit.  The `pub/usenet/rec.travel.air' directory
will tell you how to deal with airline reservation clerks, find the best
prices on seats, etc.  See under Books for a caveat in using this ftp
site. 6 p.m. - 6 a.m.

Cooking
-------

   `wuarchive.wustl.edu' Look for recipes and recipe directories in the
`usenet/rec.food.cooking/ recipes' directory.

   `gatekeeper.dec.com' Recipes are in the `pub/recipes' directory.

Economics
---------

   `neeedc.umesbs.maine.edu' The Federal Reserve Bank of Boston uses
this site (yes, there are three 'e's in "neeedc") to house all sorts of
data on the New England economy.  Many files contain 20 years or more of
information, usually in forms that are easily adaptable to spreadsheet
or database files.  Look in the `frbb' directory.

   `town.hall.org' Look in the edgar directory for the beginnings of a
system to distribute annual reports and other data publicly held
companies are required to file with the Securities and Exchange
Commission.  The `other/fed' directory holds various statistical files
from the Federal Reserve Board.

Esperanto
---------

   `ftp.stack.urc.tue.nl' You'll find text files about the Esperanto
artificial language in the `pub/ esperanto' directory.  6 p.m. - 6 a.m.

Evolutionary Computation
------------------------

   `lumpi.informatik.uni-dortmund.de' If you're interested in one
possible future of computation, and also are interested in global
optimization problems, evolutionary biology and genetics, you might
want to take a look at this server. For an overview on the field, you
should get the file `pub/EA/docs/hhgtec-*.ps.gz', aka "The
Hitch-Hiker's Guide to Evolutionary Computation".  Available 24 hours.

   `alife.santafe.edu' Look at ENCORE, the EvolutioNary COmputation
REpository network.  It's the most comprehensive collection of the
field, and has more online than you ever wanted to know on EC.  Get
`/pub/USER-AREA/EC/CONTENTS' for the complete contents of this
location. "The Hitch-Hiker's Guide to Evolutionary Computation" is
available as `pub/USER-AREA/EC/FAQ/hhgtec.ps.gz'.  An introduction to
ENCORE entitled "The Navigator's Guide to ENCORE" is available in
`/pub/USER-AREA/EC/handbook'.  Mirrors (so-called EClairs) exist in the
USA at the California Institute of Technology (CalTech)
`ftp.krl.caltech.edu' `/pub/EC'; in Asia at the Chinese University of
Hong Kong `ftp.cs.cuhk.hk' `/pub/EC'; and Europe at the University of
Warwick, UK `ftp.dcs.warwick.ac.uk' `/pub/mirrors/EC' and
`ftp.germany.eu.net' `/pub/research/softcomp/EC' Available 24 hours.

FTP Addresses
-------------

   `iraun1.ira.uka.de' Run by the computer-science department of the
University of Karlsruhe in Germany, this site offers lists of
anonymous-FTP sites both internationally (in the `anon.ftp.sites'
directory) and in Germany (in `anon.ftp.sites.de').  12 p.m. to 2 a.m.

   `ftp.netcom.com' The `pub/profiles' directory has lists of ftp sites.

Government
----------

   `ncsuvm.cc.ncsu.edu' The `SENATE' directory contains bibliographic
records of U.S. Senate hearings and documents for the past several
Congresses.  Get the file `README.DOS9111', which will explain the
cryptic file names.  6 p.m. - 6 a.m.

   `info.umd.edu' The `info/Government/US/Whitehouse' directory has
copies of press releases and other documents from the Clinton
administration.  6 p.m. - 6 a.m.

   (see Law.)

   `nptn.org' The General Accounting Office (GAO) is the investigative
wing of Congress.  The `pub/e.texts/gao.reports' directory represents
an experiment by the agency to use ftp to distribute its reports.
Available 24 hours.

History
-------

   `nptn.org' This site has a large, growing collecting of text files.
In the `pub/e.texts/freedom. shrine' directory, you'll find copies of
important historical documents, from the Magna Carta to the Declaration
of Independence and the Emancipation Proclamation.  Available 24 hours.

   `leginfo.public.ca.gov' This is a repository of legislative
calendars, bills and other information related to state government in
California.  Available 24 hours.

   `whitehouse.gov' Look for copies of presidential position papers,
transcripts of press conferences and related information here.
Available 24 hours.

   `ra.msstate.edu' Mississippi State maintains an eclectic database of
historical documents, detailing everything from Attila's battle strategy
to songs of soldiers in Vietnam, in the `docs/history' directory.  6
p.m. - 6 a.m.

   `ftp.loc.gov' The Library of Congress has acquired numerous
documents from the former Soviet government and has translated many of
them into English.  In the `pub/soviet.archive/text. english' directory,
you'll find everything from  telegrams from Lenin ordering the death of
peasants to Khrushchev's response to Kennedy during the Cuban missile
crisis.  The `README' file in the `pub/soviet.archive' directory
provides an index to the documents.  6 p.m. - 6 a.m.

Hong Kong
---------

   `nok.lcs.mit.edu' GIF pictures of Hong Kong pop stars, buildings and
vistas are available in the `pub/hongkong/HKPA' directory.  6 p.m. - 6
a.m.

Internet
--------

   `ftp.eff.org' The `pub/Net_info' directory has a number of
sub-directories containing various Internet resources guides and
information files, including the latest online version of "EFF's Guide
to the Internet".  Available 24 hours.

   `nic.ddn.mil' The `internet-drafts' directory contains information
about the Internet, while the `scc' directory holds network security
bulletins.  6 p.m. - 6 a.m.

Law
---

   `info.umd.edu' U.S. Supreme Court decisions from 1989 to the present
are stored in the `info/Government/US/SupremeCt' directory.  Each term
has a separate directory (for example, `term1992').  Get the `README'
and `Index' files to help decipher the case numbers.  6 p.m. - 6 a.m.

   `ftp.uu.net' Supreme Court decisions are in the court-opinions
directory.  You'll want to get the index file, which tells you which
file numbers go with which file names.  The decisions come in Word
Perfect and Atex format only.  Available 24 hours a day.

Libraries
---------

   `ftp.unt.edu' The library directory contains numerous lists of
libraries with computerized card catalogs accessible through the Net.

Literature
----------

   `mrcnext.cso.uiuc.edu' Project Gutenberg is an effort to translate
paper texts into electronic form.  Already available are more than 100
titles, from works by Lewis Carroll to Mark Twain; from "A Tale of Two
Cities" to "Son of Tarzan".  Look in the `/etext/etext92' and
`/etext/etext93' directories.  6 p.m. - 9 a.m.

   `nptn.org' In the `pub/e.texts/gutenberg/etext91' and `etext92'
directories, you can get copies of Aesop's Fables, works by Lewis
Carroll and other works of literature, as well as the Book of Mormon.
Available 24 hours.

   `world.std.com' The `obi' directory has everything from online fables
to accounts of Hiroshima survivors.  6 p.m. - 6 a.m.

Macintosh
---------

   `sumex-aim.stanford.edu' This is the premier site for Macintosh
software.  After you log in, switch to the info-mac directory, which
will bring up a long series of sub-directories of virtually every free
and shareware Mac program you could ever want.  9 p.m. - 9 a.m.

   `ftp.uu.net' You'll find lots of Macintosh programs in the
`systems/mac/simtel20' directory.  Available 24 hours a day.

Movie Reviews
-------------

   `lcs.mit.edu' Look in the `movie-reviews' directory.  6 p.m. - 6 a.m.

MS-DOS
------

   `wuarchive.wustl.edu' This carries one of the world's largest
collections of MS-DOS software. The files are actually copied, or
"mirrored"  from a computer at the U.S. Army's White Sands Missile Range
(which uses ftp software that is totally incomprehensible).  It also
carries large collections of Macintosh, Windows, Atari, Amiga, Unix,
OS9, CP/M and Apple II software.  Look in the mirrors and systems
directories.  The `gif' directory contains a large number of GIF
graphics images.  Accessible 24 hours.

   `ftp.uu.net' Look for MS-DOS programs and files in the
`systems/msdos/simtel20' directory.  Available 24 hours a day.

Music
-----

   `cs.uwp.edu' The `pub/music' directory has everything from lyrics of
contemporary songs to recommended CDs of baroque music. It's a little
different - and easier to navigate - than other ftp sites.  File and
directory names are on the left, while on the right, you'll find a brief
description of the file or directory, like this:

     SITES        1528  Other music-related FTP archive sites
     classical/      -  (dir) Classical Buying Guide
     database/       -  (dir) Music Database program
     discog/         =  (dir) Discographies
     faqs/           =  (dir) Music Frequently Asked questions files
     folk/           -  (dir) Folk Music Files and pointers
     guitar/         =  (dir) Guitar TAB files from ftp.nevada.edu
     info/           =  (dir) rec.music.info archives
     interviews/     -  (dir) Interviews with musicians/groups
     lists/          =  (dir) Mailing lists archives
     lyrics/         =  (dir) Lyrics Archives
     misc/           -  (dir) Misc files that don't fit anywhere else
     pictures/       =  (dir) GIFS, JPEGs, PBMs and more.
     press/          -  (dir) Press Releases and misc articles
     programs/       -  (dir) Misc music-related programs for various machines
     releases/       =  (dir) Upcoming USA release listings
     sounds/         =  (dir) Short sound samples
     226 Transfer complete.
     ftp>

   When you switch to a directory, don't include the `/'.  7 p.m. - 7
a.m.

   `potemkin.cs.pdx.edu' The Bob Dylan archive.  Interviews, notes,
year-by-year accounts of his life and more, in the `pub/dylan'
directory.  9 p.m. - 9 a.m.

   `ftp.nevada.edu' Guitar chords for contemporary songs are in the
`pub/guitar' directory, in subdirectories organized by group or artist.

Native Americans
----------------

   `pines.hsu.edu' Home of IndianNet, this site contains a variety of
directories and files related to Indians and Eskimos, including federal
census data, research reports and a tribal profiles database.  Look in
the pub and indian directories.

Pets
----

   `rtfm.mit.edu' The `pub/usenet/rec.pets.dogs' and
`pub/usenet.rec.pets.cats' directories have documents on the respective
animals.  See under Books Books for a caveat in using this ftp
site.  6 p.m. - 6 a.m.

Pictures
--------

   `wuarchiv.wustl.edu' The `graphics/gif' directory contains hundreds
of GIF photographic and drawing images, from cartoons to cars, space
images to pop stars.  These are arranged in a long series of
subdirectories.

Photography
-----------

   `ftp.nevada.edu' Photolog is an online digest of photography news, in
the `pub/photo' directory.

Religion
--------

   `nptn.org' In the `pub/e.texts/religion' directory, you'll find
subdirectories for chapters and books of both the Bible and the Koran.
Available 24 hours.

Science Fiction
---------------

   `elbereth.rutgers.edu' In the pub/sfl directory, you'll find plot
summaries for various science-fiction TV shows, including Star Trek (not
only the original and Next Generation shows, but the cartoon version as
well), Lost in Space, Battlestar Galactica, the Twilight Zone, the
Prisoner and Doctor Who.  There are also lists of various things related
to science fiction and an online science-fiction fanzine.  6 p.m. - 6
a.m.

Sex
---

   `rtfm.mit.edu' Look in the `pub/usenet/alt.sex' and
`pub/usenet/alt.sex.wizards' directories for documents related to all
facets of sex.  See under Books Books for a caveat in using
this ftp site. 6 p.m. - 6 a.m.

Shakespeare
-----------

   `atari.archive.umich.edu'  The shakespeare directory contains most of
the Bard's works.  A number of other sites have his works as well, but
generally as one huge mega-file.  This site breaks them down into
various categories (comedies, poetry, histories, etc.) so that you can
download individual plays or sonnets.

Space
-----

   `ames.arc.nasa.gov' Stores text files about space and the history of
the NASA space program in the `pub/SPACE' subdirectory.  In the
`pub/GIF' and `pub/SPACE/GIF' directories, you'll find astronomy- and
NASA-related GIF files, including pictures of planets, satellites and
other celestial objects.  9 p.m. - 9 a.m.

TeX
---

   `ftp.dante.de', `ftp.SHSU.edu', or `ftp.tex.ac.uk' in
`/tex-archive/' or `/pub/tex/' form the CTAN (comprehensive TeX archive
network), that always has the latest TeX version (and everything that
comes with it) available.

TV
--

   `coe.montana.edu' The `pub/TV/Guides' directory has histories and
other information about dozens of TV shows.  Only two anonymous-ftp
log-ins are allowed at a time, so you might have to try more than once
to get in.  8 p.m. - 8 a.m.

   `ftp.cs.widener.edu' The `pub/simpsons' directory has more files than
anybody could possibly need about Bart and family.  The `pub/strek'
directory has files about the original and Next Generation shows as well
as the movies.  See also under Science Fiction Science Fiction.

Travel
------

   `nic.stolaf.edu' Before you take that next overseas trip, you might
want to see whether the State Department has issued any kind of advisory
for the countries on your itinerary.  The advisories, which cover
everything from hurricane damage to civil war, are in the
`pub/travel-advisories/ advisories' directory, arranged by country.  7
p.m. - 7 a.m.

Usenet
------

   `ftp.uu.net' In the usenet directory, you'll find "frequently asked
questions" files, copied from `rtfm.mit.edu'. The communications
directory holds programs that let MS-DOS users connect directly with
UUCP sites. In the info directory, you'll find information about ftp
and ftp sites.  The inet directory contains information about Internet.
Available 24 hours.

   `rtfm.mit.edu' This site contains all available FAQs "frequently
asked questions" files for Usenet newsgroups in the `pub/usenet'
directory. For easy access, get the `index' file.  See under Books
Books for a caveat in using this ftp site.  6 p.m. - 6 a.m.

   `ftp.uni-stuttgart.de' In directory `/pub/doc/faq' resides a mirror
of `rtfm.mit.edu'.  Available 24 hours.

Viruses
-------

   `ftp.unt.edu' The antivirus directory has anti-virus programs for
MS-DOS and Macintosh computers.  7 p.m. - 7 a.m.

Weather
-------

   `wuarchive.wustl.edu' The `/multimedia/images/wx' directory contains
GIF weather images of North America.  Files are updated hourly and take
this general form: `CV100222'.  The first two letters tell the type of
file: CV means it is a visible-light photo taken by a weather
satellite.  CI images are similar, but use infrared light.  Both these
are in black and white.  Files that begin with SA are color radar maps
of the U.S. that show severe weather patterns but also fronts and
temperatures in major cities.  The numbers indicate the date and time
(in GMT - five hours ahead of EST) of the image: the first two numbers
represent the month, the next two the date, the last two the hour. The
file `WXKEY.GIF' explains the various symbols in SA files.

X Windows
---------

   `ftp.x.org' The default server for MIT's X Window System. See under
`/pub'.

   `ftp.germany.eu.net' Germany's backbone site located at the
University of Dortmund, in the European part of the Internet; the
so-called EUnet.  It's also Germany's default server for X window system
releases, and also "mirrors" several important sites; e.g. in
`pub/packages/gnu' the GNU project's default server.  Furthermore
you'll find "mirrors" of `386BSD', `NetBSD', and `Linux'.  Available 24
hours.

ncftp - Now You Tell Me!
========================

   If you're lucky, the people who run your host system or public-
access site have installed a program called ncftp, which takes some of
the edges off the ftp process.

   For starters, when you use ncftp instead of plain old ftp, you no
longer have to worry about misspelling "anonymous" when you connect.
The program does it for you.  And once you're in, instead of getting
line after line filled with dashes, x's, r's and d's, you only get
listings of the files or directories themselves (if you're used to
MS-DOS, the display you get will be very similar to that produced by
the `dir/w' command).  The program even creates a list of the ftp sites
you've used most recently, so you can pick from that list, instead of
trying to remember some incredibly complex ftp site name.

   Launching the program, assuming your site has it, is easy.  At the
command prompt, type

     ncftp sitename

   where "sitename" is the site you want to reach (alternately, you
could type just ncftp and then use its open command).  Once connected,
you can use the same ftp commands you've become used to, such as ls,
get and mget.  Entries that end in a `/' are directories to which you
can switch with `cd'; others are files you can get. A couple of useful
ncftp commands include type, which lets you change the type of file
transfer (from ASCII to binary for example) and size, which lets you
see how large a file is before you get it, for example

     size declaration.txt

   would tell you how large the declaration.txt file is before you get
it.  When you say `bye' to disconnect from a site, ncftp remembers the
last directory you were in, so that the next time you connect to the
site, you are put back into that directory automatically. If you type
`help' you'll get a list of files you can read to extend the power of
the program even further.

Project Gutenberg - Electronic Books
====================================

   Project Gutenberg, coordinated by Michael Hart, has a fairly
ambitious goal: to make more than 10,000 books and other documents
available electronically by the year 2001.  In 1993, the project
uploaded an average of four books a month to its ftp sites; in 1994,
they hope to double the pace.

   Begun in 1991, the project already maintains a "library" of hundreds
of books and stories, from Aesop's Fables to "Through the Looking Glass"
available for the taking.  It also has a growing number of
current-affairs documents, such as the CIA's annual "World Factbook"
almanac.

   Besides `nptn.org', Project Gutenberg texts can be retrieved from
`mrcnext.cso.uiuc.edu' in the etext directory.

When things go wrong:
=====================

   * You get a "host unavailable" message.

     The ftp site is down for some reason.  Try again later.

   * You get a "host unknown" message.

     Check your spelling of the site name.

   * You misspell "anonymous" when logging in and get a message telling
     you a password is required for whatever you typed in.

     Type something in, hit enter, type `bye', hit enter, and try again.
     Alternately, try typing `ftp' instead of `anonymous'.  It will
     work on a surprising number of sites. Or just use ncftp, if your
     site has it, and never worry about this again.

FYI:
====

   Liberal use of archie will help you find specific files or
documents.  For information on new or interesting ftp sites, try the
`comp.archives' newsgroup on Usenet.  You can also look in the
`comp.misc', `comp.sources.wanted' or `news.answers' newsgroups on
Usenet for lists of ftp sites posted every month by TOM CZARNIK and JON
GRANROSE.

   The `comp.archives' newsgroup carries news of new ftp sites and
interesting new files on existing sites.

   In the `comp.virus' newsgroup on Usenet, look for postings that list
ftp sites carrying anti-viral software for Amiga, MS-DOS, Macintosh,
Atari and other computers.

   The `comp.sys.ibm.pc.digest' and `comp.sys.mac.digest' newsgroups
provide information about new MS-DOS and Macintosh programs as well as
answers to questions from users of those computers.

                                        *"Welch ein Ort zum Pluendern!"
                                            (What a place to plunder!)*
                              -- General Gebhard Leberecht von Bluecher

Gophers, WAISs and the World-Wide Web
*************************************

Gophers
=======

   Even with tools like Hytelnet and archie, telnet and ftp can still
be frustrating.  There are all those telnet and ftp addresses to
remember.  Telnet services often have their own unique commands.  And,
oh, those weird directory and file names!

   But now that the Net has become a rich repository of information,
people are developing ways to make it far easier to find and retrieve
information and files. Gophers and Wide-Area Information Servers (WAISs)
are two services that could ultimately make the Internet as easy to
navigate as commercial networks such as CompuServe or Prodigy.

   Both gophers and WAISs essentially take a request for information
and then scan the Net for it, so you don't have to.  Both also work
through menus - instead of typing in some long sequence of characters,
you just move a cursor to your choice and hit enter.  Gophers even let
you select files and programs from ftp sites this way.

   Let's first look at gophers (named for the official mascot of the
University of Minnesota, where the system was developed).

   Many public-access sites now have gophers online.  To use one, type

     gopher

   at the command prompt and hit enter.  If you know your site does not
have a gopher, or if nothing happens when you type that, telnet to

     consultant.micro.umn.edu

   At the log-in prompt, type

     gopher

   and hit enter.  You'll be asked what type of terminal emulation
you're using, after which you'll see something like this:

     Internet Gopher Information Client v1.03

     Root gopher server: gopher.micro.umn.edu

     -->  1.  Information About Gopher/
          2.  Computer Information/
          3.  Discussion Groups/
          4.  Fun & Games/
          5.  Internet file server (ftp) sites/
          6.  Libraries/
          7.  News/
          8.  Other Gopher and Information Servers/
          9.  Phone Books/
          10. Search lots of places at the U of M  <?>
          11. University of Minnesota Campus Information/

     Press ? for Help, q to Quit, u to go up a menu      Page: 1/1

   Assuming you're using VT100 or some other VT emulation, you'll be
able to move among the choices with your up and down arrow keys.  When
you have your cursor on an entry that looks interesting, just hit enter,
and you'll either get a new menu of choices, a database entry form, or a
text file, depending on what the menu entry is linked to (more on how to
tell which you'll get in a moment).

   Gophers are great for exploring the resources of the Net.  Just keep
making choices to see what pops up.  Play with it; see where it takes
you.  Some choices will be documents.  When you read one of these and
either come to the end or hit a lower-case `q' to quit reading it,
you'll be given the choice of saving a copy to your home directory or
e-mailing it to yourself.  Other choices are simple databases that let
you enter a word to look for in a particular database.  To get back to
where you started on a gopher, hit your `u' key at a menu prompt, which
will move you back "up" through the gopher menu structure (much like
"cd .." in ftp).

   Notice that one of your choices above is "Internet file server (ftp)
sites."  Choose this, and you'll be connected to a modified archie
program - an archie with a difference.  When you search for a file
through a gopher archie, you'll get a menu of sites that have the file
you're looking for, just as with the old archie.  Only now, instead of
having to write down or remember an ftp address and directory, all you
have to do is position the cursor next to one of the numbers in the menu
and hit enter.  You'll be connected to the ftp site, from which you can
then choose the file you want.  This time, move the cursor to the file
you want and hit a lower-case `s'.  You'll be asked for a name in your
home directory to use for the file, after which the file will be copied
to your home system.  Unfortunately, this file-transfer process does
not yet work with all public-access sites for computer programs and
compressed files.  If it doesn't work with yours, you'll have to get
the file the old-fashioned way, via anonymous ftp.

   In addition to ftp sites, there are hundreds of databases and
libraries around the world accessible through gophers.  There is not yet
a common gopher interface for library catalogs, so be prepared to follow
the online directions more closely when you use gopher to connect to
one.

   Gopher menu entries that end in a `/' are gateways to another menu of
options.  Entries that end in a period are text, graphics or program
files, which you can retrieve to your home directory (or e-mail to
yourself or to somebody else).  A line that ends in `<?>' or `<CSO>'
represents a request you can make to a database for information.  The
difference is that `<?>' entries call up one-line interfaces in which
you can search for a keyword or words, while `<CSO>' brings up an
electronic form with several fields for you to fill out (you might see
this in online "White Pages" directories at colleges).

   Gophers actually let you perform some relatively sophisticated
Boolean searches.  For example, if you want to search only for files
that contain the words "MS-DOS" and "Macintosh," you'd type

     ms-dos and macintosh

   (gophers are not case-sensitive) in the keyword field.  Alternately,
if you want to get a list of files that mention either "MS-DOS" or
"Macintosh," you'd type

     ms-dos or macintosh

Burrowing Deeper
================

   As fascinating as it can be to explore "gopherspace," you might one
day want to quickly retrieve some information or a file.  Or you might
grow tired of calling up endless menus to get to the one you want.
Fortunately,  there are ways to make even gophers easier to use.

   One is with archie's friend, veronica (it allegedly is an acronym,
but don't believe that for a second), who does for gopherspace what
archie does for ftp sites.

   In most gophers, you'll find veronica by selecting "Other gopher and
information services" at the main menu and then "Searching through
gopherspace using veronica."  Select this and you'll get something like
this:

                   Internet Gopher Information Client v1.1

     -->  1.  Search titles in Gopherspace using veronica.
          2.  FAQ:  Frequently-Asked Questions about veronica  (1993/08/23).
          3.  How to compose  veronica queries (NEW June 24) READ ME!!.
          4.  Search Gopher Directory Titles at PSINet <?>
          5.  Search Gopher Directory Titles at SUNET <?>
          6.  Search Gopher Directory Titles at U. of Manitoba <?>
          7.  Search Gopher Directory Titles at University of Cologne <?>
          8.  Search gopherspace at PSINet <?>
          9.  Search gopherspace at SUNET <?>
          10. Search gopherspace at U. of Manitoba <?>
          11. Search gopherspace at University of Cologne <?>

     Press ? for Help, q to Quit, u to go up a menu                Page: 1/1

   A few choices there!  First, the difference between searching
directory titles and just plain ol' gopherspace.  If you already know
the sort of directory you're looking for (say a directory containing
MS-DOS programs), do a directory-title search.  But if you're not sure
what kind of directory your information might be in, then do a general
gopherspace search. In general, it doesn't matter which of the
particular veronicas you use - they should all be able to produce the
same results.  The reason there is more than one is because the
Internet has become so popular that only one veronica (or one gopher or
one of almost anything) would quickly be overwhelmed by all the
information requests from around the world.

   You can use veronica to search for almost anything.  Want to find
museums that might have online displays from their exhibits?  Try
searching for "museum."  Looking for a copy of the Declaration of
Independence?  Try "declaration."

   In many cases, your search will bring up a new gopher menu of
choices to try.

   Say you want to impress those guests coming over for dinner on
Friday by cooking cherries flambe. If you were to call up veronica and
type in "flambe" after calling up veronica, you would soon get a menu
listing several flambe recipes, including one called "dessert flambe."
Put your cursor on that line of the menu and hit enter, and you'll find
it's a menu for cherries flambe.  Then hit your `q' key to quit, and
gopher will ask you if you want to save the file in your home directory
on your public-access site or whether you want to e-mail it somewhere.

   As you can see, you can use veronica as an alternative to archie,
which, because of the Internet's growing popularity, seems to take
longer and longer to work.

   In addition to archie and veronica, we now also have jugheads (no
bettys yet, though).  These work the same as veronicas, but their
searches are limited to the specific gopher systems on which they
reside.

   If there are particular gopher resources you use frequently, there
are a couple of ways to get to them even more directly.

   One is to use gopher in a manner similar to the way you can use
telnet. If you know a particular gopher's Internet address (often the
same as its telnet or ftp address), you can connect to it directly,
rather than going through menus.  For example, say you want to use the
gopher at `info.umd.edu'.  If your public-access site has a gopher
system installed, type this

     gopher info.umd.edu
   and you'll be connected.

   But even that can get tedious if there are several gophers you use
frequently. That's where bookmarks come in.  Gophers let you create a
list of your favorite gopher sites and even database queries.  Then,
instead of digging ever deeper into the gopher directory structure, you
just call up your bookmark list and select the service you want.

   To create a bookmark for a particular gopher site, first call up
gopher.  Then go through all the gopher menus until you get to the menu
you want.  Type a capital `A'. You'll be given a suggested name for the
bookmark enty, which you can change if you want by backspacing over the
suggestion and typing in your own.  When done, hit enter.  Now, whenever
you're in gopherspace and want to zip back to that particular gopher
service, just hit your `V' key (upper- or lower-case; in this instance,
gopher doesn't care) anywhere within gopher.  This will bring up a list
of your bookmarks. Move to the one you want and hit enter, and you'll be
connected.

   Using a capital `A' is also good for saving particular database or
veronica queries that you use frequently (for example, searching for
news stories on a particular topic if your public-access site maintains
an indexed archive of wire-service news).

   Instead of a capital `A', you can also hit a lower-case `a'.  This
will bring you to the particular line within a menu, rather than show
you the entire menu.

   If you ever want to delete a bookmark, hit `V' within gopher, select
the item you want to get rid of, and then hit your `D' key.  One more
hint: If you want to find the address of a particular gopher service,
hit your `=' key after you've highlighted its entry in a gopher menu.
You'll get back a couple of lines, most of which will be technicalese
of no immediate value to most folks, but some of which will consist of
the site's address.

Gopher Commands
===============

`a'
     Add a line in a gopher menu to your bookmark list.

`A'
     Add an entire gopher menu or a database query to your bookmark
     list.

`d'
     Delete an entry from your bookmark list (you have to hit `v'
     first).

`q'
     Quit, or exit, a gopher.  You'll be asked if you really want to.

`Q'
     Quit, or exit, a gopher without being asked if you're sure.

`s'
     Save a highlighted file to your home directory.

`u'
     Move back up a gopher menu structure

`v'
     View your bookmark list.

`='
     Get information on the originating site of a gopher entry.

`>'
     Move ahead one screen in a gopher menu.

`<'
     Move back one screen in a gopher menu.

Some Interesting Gophers
========================

   There are now hundreds of gopher sites around the world.  What
follows is a list of some of them.  Assuming your site has a gopher
"client" installed, you can reach them by typing

     gopher sitename

   at your command line. Can't find what you're looking for? Remember
to use veronica to look up categories and topics!

Agriculture
-----------

   `cyfer.esusda.gov' More agricultural statistics and regulations than
most people will ever need.

   `usda.mannlib.cornell.edu' More than 140 different types of
agricultural data, most in Lotus 1-2-3 spreadsheet format.

Amimals
-------

   `saimiri.primate.wisc.edu' Information on primates and animal-welfare
laws.

Architecture
------------

   `libra.arch.umich.edu' Maintains online exhibits of a variety of
architectural images.

Art
---

   `marvel.loc.gov' The Library of Congress maintains several online
"galleries" of exhibits on display at the Library itself.  These
pictures, in GIF or JPEG image format, can be "delivered" to your home
directory, from which you can download. Some pictures are *HUGE*, so be
careful what you get first.  Exhibits include works of art from the
Vatican, copies of once secret Soviet government documents and pictures
of artifacts related to Columbus's 1492 voyage. At the main menu,
select 2 and then "Exhibits."

   `galaxy.ucr.edu' The California Musuem of Art maintains its own
online gallery here.  At the main menu, select "Campus Events," then
"California Museum of Photography," then "Network Exhibitions."

Astronomy
---------

   `cast0.ast.cam.ac.uk' A gopher devoted to astronomy, run by the
Institute of Astronomy and the Royal Greenwich Observatory, Cambridge,
England.

Census
------

   `bigcat.missouri.edu' You'll find detailed federal census data for
communities of more than 10,000 people, as well as for states and
counties here.  At the main menu, select "Reference and Information
Center," then "United States and Missouri Census Information" and
"United States Census."

Computers
---------

   `wuarchive.wustl.edu' Dozens of directories with software for all
sorts of computers.  Most programs have to be "un-compressed" before
you can use them.

   `sumex-aim.stanford.edu' A similar type of system, with the emphasis
on Macintosh programs and files.

Disability
----------

   `val-dor.cc.buffalo.edu' The Cornucopia of Disability Information
carries numerous information resources on disability issues and links
to other disability-related services.

Environment
-----------

   `ecosys.drdr.virginia.edu' Copies of Environmental Protection Agency
factsheets on hundreds of chemicals; searchable by keyword.  Select
"Education" and then "Environmental fact sheets."

   `envirolink.org' Dozens of documents and files related to
environmental activism around the world.

Entomology
----------

   `spider.ento.csiro.au' All about creepy-crawly things, both the good
and the bad ones.

Geology
-------

   `gopher.stolaf.edu' Select "Internet resources" and then "Weather
and geography" for information on recent earthquakes.

Government
----------

   `mavel.loc.gov' Run by the Library of Congress, this site provides
numerous informational resources, including access to the Library's
voluminous card catalog and all manner of data about the U.S. Congress.

   `gopher.lib.umich.edu' Another source for a wide variety of
government information, from Congressional committee assignments to
information on NAFTA to economic statistics.

   `ecix.doc.gov' Information on conversion of military installations
to private uses, run by the Department of Commerce.

   `sunsite.unc.edu' Copies of the 1993 and 1994 U.S. federal budgets
can be found by going into "Sunsite archives," then "Politics," then
"Sunsite political science archives."

   `wiretap.spies.com' Various documents related to the government and
constitution of Canada can be found in the "Government docs" area.

   `darcms1.dartmouth.edu' Look for government jobs in the "Jobs" menu.

   `stis.nih.gov' Go into the "Other U.S. government gopher servers"
area for access to numerous other government gophers.

Health
------

   `odie.niaid.nih.gov' National Institutes of Health database on AIDS.
Includes information on the disease, treatments, summaries of related
stories in daily newspapers. Look under "AIDS related information."

   `helix.nih.gov' The National Cancer Institute provides detailed
factsheets on different cancers.  Select "Health and clinical
information" and then "Cancernet information."

   `nysernet.org' Look for information on breast cancer in the "Special
Collections: Breast Cancer" menu.

   `welchlink.welch.jhu.edu' This is Johns Hopkins University's medical
gopher.

History
-------

   See under Art (see Gopher Art.).

Internet
--------

   `gopher.lib.umich.edu' Home to several guides to Internet resources
in specific fields, for example, social sciences.  Select "What's New &
Featured Resources" and then "Clearinghouse."

Israel
------

   `jerusalem1.datasrv.co.il' This Israeli system offers numerous
documents on Israel and Jewish life.

Japan
-----

   `gopher.ncc.go.jp' Look in the "Japan information" menu for
documents related to Japanese life and culture.

Music
-----

   `mtv.com' Run by MTV VJ Adam Curry, this site not only has music
news but Curry's daily Cybersleaze celebrity report.

Nature
------

   `ucmp1.berkeley.edu' The University of California at Berkeley's
Museum of Palentology runs several online exhibits. You can obtain GIF
images of a variety of different plants and birds and other animals in
the "Remote Nature" area. An "Origin of the Species" menu lets you read
Darwin's work or search it by key word.

Sports
------

   `culine.colorado.edu' Look up schedules for teams in various
professional sports leagues here, under "Professional Sports Schedules."

Weather
-------

   `ashpool.micro.umn.edu' Look up weather forecasts for major American
and Canadian cities in the "Weather" area.

   `wx.atmos.uiuc.edu' Look up weather forecasts for North America or
bone up on your weather facts.

More Gophers
------------

   Blake Gumprecht maintains a list of gopher and telnet sites related
to, or run by, the government. He posts it every three weeks to the
`news.answers' and `soc.answers' newsgroups on Usenet. It can also be
obtained via anonymous ftp from `rtfm.mit.edu', as `/pub/usenet/
news.answers/us-govt-net-pointers'.

   Students at the University of Michigan's School of Information and
Library Studies, recently compiled separate lists of Internet resources
in 11 specific areas, from aeronautics to theater.  They can be obtained
via gopher at `gopher.lib.umich.edu', in the "What's New and Featured
Resources" menu.

Wide-Area Information Servers
=============================

   Now you know there are hundreds of databases and library catalogs
you can search through.  But as you look, you begin to realize that each
seems to have its own unique method for searching.  If you connect to
several, this can become a pain.  Gophers reduce this problem somewhat.

   Wide-area information servers promise another way to zero in on
information hidden on the Net. In a WAIS, the user sees only one
interface - the program worries about how to access information on
dozens, even hundreds, of different databases.  You give a WAIS a word
and it scours the net looking for places where it's mentioned.  You get
a menu of documents, each ranked according to how relevant to your
search the WAIS thinks it is.

   Like gophers, WAIS "client" programs can already be found on many
public-access Internet sites. If your system has a WAIS client, type

     swais

   at the command prompt and hit enter (the "s" stands for "simple").
If it doesn't, telnet to bbs.oit.unc.edu, which is run by the
University of North Carolina  At the "login:" prompt, type

     bbs

   and hit enter.  You'll be asked to register and will then get a list
of "bulletins," which are various files explaining how the system works.
When done with those, hit your Q key and you'll get another menu.  Hit 4
for the "simple WAIS client," and you'll see something like this:

     SWAIS                          Source Selection          Sources: 23#
     Server                         Source                             Cost
     001:   [           archie.au]  aarnet-resource-guide              Free
     002:   [    archive.orst.edu]  aeronautics                        Free
     003:   [nostromo.oes.orst.ed]  agricultural-market-news           Free
     004:   [sun-wais.oit.unc.edu]  alt-sys-sun                        Free
     005:   [    archive.orst.edu]  alt.drugs                          Free
     006:   [    wais.oit.unc.edu]  alt.gopher                         Free
     007:   [sun-wais.oit.unc.edu]  alt.sys.sun                        Free
     008:   [    wais.oit.unc.edu]  alt.wais                           Free
     009:   [    archive.orst.edu]  archie-orst.edu                    Free
     010:   [           archie.au]  archie.au-amiga-readmes            Free
     011:   [           archie.au]  archie.au-ls-lRt                   Free
     012:   [           archie.au]  archie.au-mac-readmes              Free
     013:   [           archie.au]  archie.au-pc-readmes               Free
     014:   [ pc2.pc.maricopa.edu]  ascd-education                     Free
     015:   [           archie.au]  au-directory-of-servers            Free
     016:   [   cirm2.univ-mrs.fr]  bib-cirm                           Free
     017:   [  cmns-sun.think.com]  bible                              Free
     018:   [      zenon.inria.fr]  bibs-zenon-inria-fr                Free

     Keywords:

     <space> selects, w for keywords, arrows move, <return> searches, q quits, ?

   Each line represents a different database (the .au at the end of
some of them means they are in Australia; the .fr on the last line
represents a database in France).  And this is just the first page!  If
you type a capital K, you'll go to the next page (there are several
pages).  Hitting a capital J will move you back a page.

   The first thing you want to do is tell the WAIS program which
databases you want searched.  To select a database, move the cursor bar
over the line you want (using your down and up arrow keys) and hit your
space bar.  An asterisk will appear next to the line number.  Repeat
this until you've selected all of the databases you want searched.
Then hit your W key, after which you'll be prompted for the key words
you're looking for.  You can type in an entire line of these words -
separate each with a space, not a comma.

   Hit return, and the search begins.

   Let's say you're utterly fascinated with wheat.  So you might select
agricultural-market-news to find its current world price.  But you also
want to see if it has any religious implications, so you choose the
Bible and the Book of Mormon.  What do you do with the stuff?  Select
recipes and usenet-cookbook. Are there any recent Supreme Court
decisions involving the plant? Chose supreme-court.  How about synonyms?
Try roget-thesaurus and just plain thesaurus.

   Now hit w and type in wheat.  Hit enter, and the WAIS program begins
its search.  As it looks, it tells you whether any of the databases are
offline, and if so, when they might be ready for a search.  In about a
minute, the program tells you how many hits it's found.  Then you get a
new menu, that looks something like this:

     Keywords:

     #    Score  SourceTitleLines
     001: [1000] (roget-thesaurus) #465. [results of comparison. 1] Di 19
     002: [1000] (roget-thesaurus) #609. Choice. -- N. choice, option; 36
     003: [1000] (roget-thesaurus) #465. [results of comparison. 1] Di 19
     004: [1000] (roget-thesaurus) #609. Choice. -- N. choice, option; 36
     005: [1000] (recipes)  aem@mthvax Re: MONTHLY: Rec.Food.Recipes 425
     006: [1000] ( Book_of_Mormon) Mosiah 9:96
     007: [1000] ( Book_of_Mormon) 3 Nephi 18:185
     008: [1000] (agricultural-ma) Re: JO GR115, WEEKLY GRAIN82
     009: [ 822] (agricultural-ma) Re: WA CB351 PROSPECTIVE PLANTINGS 552
     010: [ 800] (        recipes) kms@apss.a Re: REQUEST: Wheat-free, Suga 35
     011: [ 750] (agricultural-ma) Re: WA CB101 CROP PRODUCTION258
     012: [ 643] (agricultural-ma) Re: SJ GR850 DAILY NAT GRN SUM72
     013: [ 400] (        recipes) pat@jaamer Re: VEGAN: Honey Granola63
     014: [ 400] (        recipes) jrtrint@pa Re: OVO-LACTO: Sourdough/Trit 142

   Each of these represents an article or citing that contains the word
wheat, or some related word.  Move the cursor bar (with the down and up
arrow keys) to the one you want to see, hit enter, and it will begin to
appear on your screen.  The "score" is a WAIS attempt to gauge how
closely the citing matches your request.  Doesn't look like the Supreme
Court has had anything to say about the plant of late!

   Now think of how much time you would have spent logging onto various
databases just to find these relatively trivial examples.

World-Wide Web
==============

   Developed by researchers at CERN, the European Particle Physics
Laboratory in Geneva, the World-Wide Web is somewhat similar to a WAIS.
But it's designed on a system known as hypertext.  Words in one document
are "linked" to other documents.  It's sort of like sitting with an
encyclopedia - you're reading an article, see a reference that
intrigues you and so flip the pages to look up that reference.

   To take a walk on The Web try the WWW's (or W3 in the project's own
jargon), default telnet site:

     info.cern.ch

   No log in is needed.  When you connect, you'll see something like:

                                                              Overview of the Web
                            GENERAL OVERVIEW

     There is no "top" to the World-Wide Web. You can look at it from many points
     of view. If you have no other bias, here are some places to start:

     by Subject[1]          A classification by subject of interest. Incomplete
                            but easiest to use.

     by Type[2]             Looking by type of service (access protocol, etc) may
                            allow to find things if you know what you are looking
                            for.

     About WWW[3]           About the World-Wide Web global information sharing
                            project

     Starting somewhere else

     To use a different default page, perhaps one representing your field of
     interest, see  "customizing your home page"[4].

     What happened to CERN?

     1-6, Up, <RETURN> for more, Quit, or Help:

   Ok. Now type `3', and get the following screen:

                                                       The World Wide Web project
                            WORLD WIDE WEB

     The WorldWideWeb (W3) is a wide-area hypermedia[1] information retrieval
     initiative aiming to give universal access to a large universe of documents.

     Everything there is online about W3 is linked directly or indirectly to this
     document, including an executive summary[2] of the project, an illustrated
     talk[3] , Mailing lists[4] , Policy[5] and Conditions[6] , May's W3 news[7]
     , Frequently Asked Questions[8] .

     What's out there?[9]   Pointers to the world's online information,
                            subjects[10] , W3 servers[11] , etc.

     WWW Software Products[12]
                            What there is and how to get it: clients, servers and
                            tools.

     Technical[13]          Details of protocols, formats, program internals etc

     Bibliography[14]       Paper documentation on W3 and references. Also:
                            manuals[15] .

     1-20, Back, Up, <RETURN> for more, Quit, or Help:

   You navigate the web by typing the number next to a given reference.
So if you want to know more about the web, hit 2.  This is another
system that bears playing with.

Clients, or how to snare more on the Web
========================================

   If you are used to plain-vanilla Unix or MS-DOS, then the way these
gophers and WAISs work seems quite straightforward.  But if you're used
to a computer with a graphical interface, such as a Macintosh, an IBM
compatible with Windows or a Next, you'll probably regard their
interfaces as somewhat primitive. And even to a veteran MS-DOS user, the
World-Wide Web interface is rather clunky (and some of the documents and
files on the Web now use special formatting that would confuse your poor
computer).

   There are, however, ways to integrate these services into your
graphical user interface.  In fact, there are now ways to tie into the
Internet directly, rather than relying on whatever interface your
public-access system uses, through what are known as "client" programs.
These programs provide graphical interfaces for everything from ftp to
the World-Wide Web.

   There is now a growing number of these "client" programs for
everything from ftp to gopher.  PSI of Reston, Va., which offers
nationwide Internet access, in fact, requires its customers to use these
programs. Using protocols known as SLIP and PPP, these programs
communicate with the Net using the same basic data packets as much
larger computers online.

   Beyond integration with your own computer's "desktop," client
programs let you do more than one thing at once on the net - while
you're downloading a large file in one window, you can be chatting with
a friend through an Internet chat program in another.

   Unfortunately, using a client program can cost a lot of money.  Some
require you to be connected directly to the Internet through an Ethernet
network for example.  Others work through modem protocols, such as SLIP,
but public-access sites that allow such access may charge anywhere from
$25 to $200 a month extra for the service.

   Your system administrator can give you more information on setting
up one of these connections.

When Things Go Wrong
====================

   As the Internet grows ever more popular, its resources come under
more of a strain.  If you try to use gopher in the middle of the day, at
least on the East Coast of the U.S., you'll sometimes notice that it
takes a very long time for particular menus or database searches to come
up.  Sometimes, you'll even get a message that there are too many people
connected to whichever service you're trying to use and so you can't get
in.  The only alternative is to either try again in 20 minutes or so, or
wait until later in the day, when the load might be lower.  When this
happens in veronica, try one of the other veronica entries.

   When you retrieve a file through gopher, you'll sometimes be asked
if you want to store it under some ludicrously long name (there go our
friends the system administrators again, using 128 characters just
because Unix lets them).  With certain MS-DOS communications programs,
if that name is longer than one line, you won't be able to backspace
all the way back to the first line if you want to give it a simpler
name.  Backspace as far as you can.  Then, when you get ready to
download it to your home computer, remember that the file name will be
truncated on your end, because of MS-DOS's file-naming limitations.
Worse, your computer might even reject the whole thing. What to do?
Instead of saving it to your home directory, mail it to yourself.  It
should show up in your mail by the time you exit gopher.  Then, use
your mail command for saving it to your home directory - at which point
you can name it anything you want.  Now you can download it.

FYI:
====

   David Riggins maintains a list of gophers by type and category. You
can find the most recent one at the ftp site `ftp.einet.net', in the pub
directory.  Look for a file with a name like `gopher-jewels.txt'.
Alternately, you can get on a mailing list to get the latest version
sent to your e-mailbox automatically. Send a mail message to
<gopherjewelslist-request@tpis.cactus .org> (yep, that first part is
all one word).  Leave the "subject:" line blank, and as a message,
write SUBSCRIBE.

   The Interpedia project is an attempt to take gopher one step
further, by creating an online repository of all of the interesting and
useful information availble on the Net and from its users. To get on the
mailing list for the project, send an e-mail message, with a "subject:"
of "subscribe" to <interpedia-request@telerama.lm.com>.  You can get
supporting documentation for the project via anonymous ftp at
`ftp.lm.com' in the `pub/interpedia' directory.

   See also the Usenet newsgroups `comp.infosystems.*':

   `comp.infosystems.gopher', `comp.infosystems.wais', and
`comp.infosystems.www' are places to go for technical discussions about
Gopher, WAISs, and the World-Wide Web project respectively.  Moreover
there are `comp.infosystems' for more general discussion of related
issues.  The group `comp.infosystems.gis' relates to Geographic
Information Systems, and thus is more specialized on this subject.

   At present, there are no veronica clients;  veronica is a gopher
tool.  An informal veronica FAQ is posted regularly in
`comp.infosystems.gopher' and archived on `veronica.scs.unr.edu' as
`veronica/veronica-faq'.

   There even exists a Gopher service to read Usenet news: `gopher
gopher.msu.edu 4320'. But, the lines behind this service are few, and
thus it's likely that you get the following message, when trying to
enter:

     We are sorry, but our Usenet News gateway limits the number of
     simultaneous connections.  If you were attempting to read news and were
     instead directed to this file, all of those connections are in use.  We
     offer this gateway as a "last resort" for people who have no other
     access for reading Usenet.  We do not have the capacity to serve as the
     Usenet gateway for large numbers of users around the Internet.
     Individuals who like this style of access should ask their Internet
     service providers to offer the same sort of gateway on their local
     Gopher server.  Individuals and campuses should consider installing
     local news feeds and local news readers (such as RN, NN, TIN, or
     Trumpet) so that users can read and post to Usenet newsgroups
     conveniently.

     For system administrators: the software we use to implement this gateway
     is the go4gw Gopher gateway software from Roland Schemers of Stanford
     University.  This software should be available by anonymous ftp from
     boombox.micro.umn.edu, somewhere under /pub/gopher.

     -- The Michigan State University Gopher Team

          *"Reliable information is the basis of successful planning."*
                                                  -- Christoph Columbus

                                                             gopher, n.
               1. Any of various short tailed, burrowing mammals of the
      family Geomyidae, of North America.  2. (Amer. colloq.) Native or
     inhabitant of Minnesota: the Gopher State.  3. (Amer. colloq.) One
     who runs errands, does odd-jobs, fetches or delivers documents for
         office staff.  4. (computer tech.) software following a simple
                      protocol for burrowing through a TCP/IP internet.

Advanced E-mail
***************

The File's in the Mail
======================

   E-mail by itself is a powerful tool, and by now you may be sending
e-mail messages all over the place.  You might even be on a mailing
list or two. But there is a lot more to e-mail than just sending
messages.  If your host system does not have access to ftp, or it
doesn't have access to every ftp site on the Net, you can have programs
and files sent right to your mailbox.  And using some simple
techniques, you can use e-mail to send data files such as spreadsheets,
or even whole programs, to friends and colleagues around the world.

   A key to both is a set of programs known as encoders and decoders.
For all its basic power, Net e-mail has a big problem: it can't handle
graphics characters or the control codes found in even the simplest of
computer programs. Encoders however, can translate these into forms
usable in e-mail, while decoders turn them back into a form that you
can actually use. If you are using a Unix-based host system, chances
are it already has an encoder and decoder online that you can use.
These programs will also let you use programs posted in several Usenet
newsgroups, such as `comp.binaries.ibm.pc'.

   If both you and your intended recipient communicate via Unix-based
host systems, then it's pretty easy, because almost all Unix host
systems will have encoder/decoder programs online.

   First, upload the file you want to send to your friend to your host
site.  Ask your system administrator how to upload a file to your name
or "home" directory.  Then type

     uuencode file file >file.uu

   and hit enter. "File" is the name of the file you want to prepare for
mailing, and yes, you have to type the name twice!  The > is a Unix
command that tells the system to call the "encoded" file "file.uu" (you
could actually call it anything you want).

   Now to get it into a mail message.  The quick and dirty way is to
type

     mail friend

   where "friend" is your friend's address.  At the subject line, tell
her the name of the enclosed file.  When you get the blank line, type

     ~r file.uu

   or whatever you called the file, and hit enter. (on some systems,
the `~' may not work; if so, ask your system administrator what to
use).  This inserts the file into your mail message.  Hit control-D,
and your file is on its way!

   On the other end, when your friend goes into his mailbox,  she
should transfer it to her home directory.  Then your friend should type

     uudecode file.name

   and hit enter.  This creates a new file in her name directory with
whatever name you originally gave it.  She can then download it to her
own computer.  Before she can actually use it, though, she'll have to
open it up with a text processor and delete the mail header that has
been "stamped" on it.  If you use a mailer program that automatically
appends a "signature," tell her about that so she can delete that as
well.

Receiving Files
===============

   If somebody sends you a file through the mail, you'll have to go
through a couple of steps to get it into a form you can actually use.
If you are using the simple mail program, go into mail and type

     w # file.name

   where `#' is the number of the message you want to transfer and
`file.name' is what you want to call the resulting file.  In pine, call
up the message and hit your O key and then E.  You'll then be asked for
a file name. In elm, call up the message and hit your S key.  You'll
get something that looks like this:

     =file.request

   Type a new file name and hit enter (if you hit enter without typing
a file name, the message will be saved to another mail folder, not your
home directory).

   In all three cases, exit the mail program to return to your host
system's command line. Because the file has been encoded for mail
delivery, you now have to run a decoder.  At the command line, type

     uudecode file.name

   where `file.name' is the file you created while in mail. Uudecode
will create a new, uncompressed binary file.  In some cases, you may
have to run it through some other programs (for example, if it is in
"tar" form), but generally it should now be ready for you to download
to your own computer (on which you might then have to run a
de-compressor program such as PKXZIP).

Sending Files to Non-Internet Sites
===================================

   What if your friend only connects with a non-Unix system, such as
CompuServe or MCIMail?  There are programs available for MS-DOS, Apple
and Amiga computers that will encode and decode files.  Of course, since
you can't send one of these programs to your friend via e-mail (how
would she un-encode it?), you'll have to mail (the old-fashioned way)
or give her a diskette with the program on it first.   Then, she can
get the file by e-mail and go through the above process (only on her
own computer) to get a usable file.  Remember to give her an encoder
program as well, if she wants to send you files in return.

   For MS-DOS machines, you'll want to get uunecode.com and
uudecode.com.  Both can be found through anonymous ftp at
`wuarchive.wustl.edu' in the `/mirrors/msdos/starter' directory.  The
MS-DOS version is as easy to use as the Unix one: Just type

     uudecode filename.ext

   and hit enter.

   Mac users should get a program called uutool, which can be found in
the `info-mac/util' directory on `sumex-aim.stanford.edu'.

   Think twice before sending somebody a giant file. Although large
sites connected directly to the Internet can probably handle mega-files,
many smaller systems cannot. Some commercial systems, such as CompuServe
and MCIMail, limit the size of mail messages their users can receive.
Fidonet doesn't even allow encoded messages.  In general, a file size of
30,000 or so bytes is a safe upper limit for non-Internet systems.

Getting FTP Files via E-Mail
============================

   To help people without ftp access, a number of ftp sites have set up
mail servers (also known as archive servers) that allow you to get files
via e-mail.  You send a request to one of these machines and they send
back the file you want.  As with ftp, you'll be able to find everything
from historical documents to software (but please note that if you do
have access to ftp, that method is always quicker and ties up fewer
resources than using e-mail).

   Some interesting or useful mail servers include:
<mail-server@rtfm.mit.edu>
     Files of "frequently asked questions" related to Usenet;
     state-by-state lists of U.S. representatives and Senators and
     their addresses and office phone numbers.

<archive-server@eff.org>
     Information about the Electronic Frontier Foundation; documents
     about legal issues on the Net.

<archive-server@cs.widener.edu>
     Back copies of the Computer Underground Digest and every possible
     fact you could want to know about "The Simpsons."

<netlib@uunet.uu.net>
     Programs for many types of personal computers; archives of past
     postings from many Usenet newsgroups.

<archive-server@ames.arc.nasa.gov>
     Space-related text and graphics (GIF-format) files.

<service@nic.ddn.mil>
     Detailed information about Internet.

   Most mail servers work pretty much the same - you send an e-mail
message that tells them what file you want and how you want it sent to
you.  The most important command is "send," which tells the computer you
want it to send you a particular file.

   First, though, you'll need to know where the mail server stores that
file, because you have to tell it which directory or sub-directory it's
in.  There are a couple of ways to do this. You can send an e-mail
message to the archive-server that consists of one line:

     index

   The server will then send you a directory listing of its main, or
root directory.  You'll then have to send a second message to the
archive server with one line:

     index directory/subdirectory

   where that is the directory or directory path for which you want a
listing.  An alternative is to send an e-mail message to our old friend
archie, which should send you back the file's exact location on the
archive-server (along with similar listings for all the other sites
that may have the file, however)

   Once you have the file name and its directory path, compose a
message to the archive server like this:

     send directory/subdirectory/file

   Send off the message and, anywhere from a few minutes to a couple of
days later, you'll find a new message in your mailbox: a copy of the
file you requested.  The exact time it will take a file to get to you
depends on a variety of factors, including how many requests are in line
before yours (mail servers can only process so many requests at a time)
and the state of the connections between the server and you.

   Seems simple enough. It gets a little more complicated when you
request a program rather than a document.  Programs or other files that
contain unusual characters or lines longer than 130 characters (graphics
files, for example) require special processing by both the mail server
to ensure they are transmitted via e-mail.  Then you'll have to run them
through at least one converter program to put them in a form you can
actually use.  To ensure that a program or other "non-mailable" file
actually gets to you, include another line in your e-mail message to the
server:

     encoder

   This converts the file into an encoded form.  To decode it, you'll
first have to transfer the file message into a file in your home
directory.

   One further complication comes when you request a particularly long
file.  Many Net sites can only handle so much mail at a time.  To make
sure you get the entire file, tell the mail server to break it up into
smaller pieces, with another line in your e-mail request like this:

     size 100000

   This gives the mail server the maximum size, in bytes, of each file
segment.  This particular size is good for UUCP sites. Internet and
Bitnet sites can generally go up to 300,000.  When you get all of these
files in mail, transfer them to your home directory.  Exit mail and
call up each file in your host system's text processor and delete each
one's entire header and footer (or "signature" at the end).  When done
with this, at your host system's command line, type

     cat file1 file2 > bigfile

   where file1 is the first file, file2 the second file, and so on.  The
`>' tells your host system to combine them into a new megafile called
bigfile (or whatever you want to call it).  After you save the file to
your home directory (see Receiving Files. above), you can then run
uudecode, tar, etc. One word of caution, though: if the file you want
is long enough that it has to be broken into pieces, think of how much
time it's going to take you to download the whole thing - especially if
you're using a 2400-baud modem!

   There are a number of other mail servers.  To get a list, send an
e-mail message to:

   <mail-server@rtfm.mit.edu>

     send usenet/comp.sources.wanted/How_to_find_sources_(READ_THIS_BEFORE_POSTING)

   You'll have to spell it exactly as listed above.  Some mail servers
use different software, which will require slightly different commands
than the ones listed here.  In general, if you send a message to a mail
server that says only

     help

   you should get back a file detailing all of its commands.

   But what if the file you want is not on one of these mail servers?
That's where ftpmail comes in.  Run by Digital Equipment Corp. in
California, this service can connect to almost any ftp site in the
world, get the file you want and then mail it to you. Using it is
fairly simple - you send an e-mail message to ftpmail that includes a
series of commands telling the system where to find the file you want
and how to format it to mail to you.

   Compose an e-mail message to

     ftpmail@decwrl.dec.com

   Leave the "subject:" line blank.  Inside the message, there are
several commands you can give.  The first line should be

     reply address

   where "address" is your e-mail address. The next line should be

     connect host

   where "host" is the system that has the file you want (for example:
`wuarchive.wustl.edu'). Other commands you should consider using are
"binary" (required for program files); "compress" (reduces the file
size for quicker transmission) and "uuencode" (which encodes the file
so you can do something with it when it arrives).  The last line of
your message should be the word "quit".

   Let's say you want a copy of the U.S. constitution.  Using archie,
you've found a file called, surprise, constitution, at the ftp site
`archive.cis.ohio-state.edu', in the `/pub/firearms/politics/ rkba'
directory. You'd send a message to <ftpmail@decwrl.dec.com> that looks
like this:

     reply adamg@world.std.com
     connect archive.cis.ohio-state.edu
     binary
     compress
     uuencode
     get pub/firearms/politics/rkba/constitution
     quit

   When you get the file in your mailbox, use the above procedure for
copying it to a file.  Run it through uudecode.  Then type

     uncompress file.name

   to make it usable.

   Since this was a text file, you could have changed the "binary" to
"ascii" and then eliminated the "uuencode" file.  For programs, though,
you'll want to keep these lines.  One caveat with ftpmail: it has become
such a popular service that it could take a week or more for your
requested files to arrive.

   We therefore strongly encourage you to "distribute" your requests
over the currently known "ftpmail" sites:

USA:
     <ftpmail@decwrl.dec.com>

     <ftpmail@sunsite.unc.edu>

     <bitftp@pucc.princeton.edu>

Germany:
     <bitftp@dearn> or <bitftp@vm.gmd.de> (Europe only)

     <ftpmail@ftp.uni-stuttgart.de>

     <ftpmail@ftp.inf.tu-dresden.de>

France:
     <ftpmail@grasp.insa-lyon.fr>

Poland:
     <bitftp@plearn.edu.pl> or <bitftp@plearn> (Europe)

United Kingdom:
     <ftpmail@doc.ic.ak.uk>

The all knowing Oracle
======================

   One other thing you can do through e-mail is consult with the Usenet
Oracle.  You can ask the Oracle anything at all and get back an answer
(whether you like the answer is another question).

   First, you'll want to get instructions on how to address the Oracle
(he, or she, or it, is very particular about such things and likes being
addressed in august, solemn and particularly sycophantic tones).  Start
an e-mail message to

     oracle@iuvax.cs.indiana.edu

   In the "Subject:" line, type

     help

   and hit enter.  You don't actually have to say anything in the
message itself - at least not yet.  Hit control-D to send off your
request for help.  Within a few hours, the Oracle will mail you back
detailed instructions.  It's a fairly long file, so before you start
reading it, turn on your communications software's logging function, to
save it to your computer (or save the message to a file on your host
system's home directory and then download the file).  After you've
digested it, you can compose your question to the Oracle.  Mail it to
the above address, only this time with a subject line that describes
your question.  Expect an answer within a couple of days. And don't be
surprised if you also find a question in your mailbox - the Oracle
extracts payment by making seekers of knowledge answer questions as
well!

   *"If just one piece of mail gets lost, well, they'll just think they
forgot to send it.  But if *two* pieces of mail get lost, hell, they'll
   just think the other guy hasn't gotten around to answering his mail.
 And if *fifty* pieces of mail get lost, can you imagine it, if *fifty*
   pieces of mail get lost, why they'll think someone *else* is broken!
And if 1GB of mail gets lost, they'll just *know* that Arpa is down and
think it's a conspiracy to keep them from their God given right to receive Net Mail ..."*
                                                -- Leith `Casey' Leedom

News of the World
*****************

Clarinet: UPI, Dave Barry and Dilbert
=====================================

   Usenet "newsgroups" can be something of a misnomer.  They may be
interesting, informative and educational, but they are often not news,
at least, not the way most people would think of them. But there are
several sources of news and sports on the Net.

   One of the largest is Clarinet, a company in Cupertino, Calf., that
distributes wire-service news and columns, along with a news service
devoted to computers and even the Dilbert comic strip, in Usenet form.

   Distributed in Usenet form, Clarinet stories and columns are
organized into more than 100 newsgroups (in this case, a truly
appropriate name), some of them with an extremely narrow focus, for
example, `clari.news.gov.taxes'.  The general news and sports come from
United Press International; the computer news from the NewsBytes
service; the features from several syndicates.

   Because Clarinet charges for its service, not all host systems carry
its articles. Those that do carry them as Usenet groups starting with
`clari.*'.  As with other Usenet hierarchies, these are named starting
with broad area and ending with more specific categories.  Some of these
include business news (`clari.biz'); general national and foreign news,
politics and the like (`clari.news'), sports (`clari.sports'); columns
by MIKE ROYKO, MISS MANNERS, DAVE BARRY and others (`clari.feature');
and NewsBytes computer and telecommunications reports (`clari.nb').
Because Clarinet started in Canada, there is a separate set of
`clari.canada' newsgroups.  The `clari.nb' newsgroups are divided into
specific computer types (`clari.nb.apple', for example).

   Clari news groups feature stories updated around the clock.  There
are even a couple of "bulletin" newsgroups for breaking stories:
`clari.news.bulletin' and `clari.news.urgent'.  Clarinet also sets up
new newsgroups for breaking stories that become ongoing ones (such as
major natural disasters, coups in large countries and the like).

   Occasionally, you will see stories in clari newsgroups that just
don't seem to belong there.  Stories about former Washington, D.C. mayor
MARION BARRY, for example, often wind interspersed among columns by
DAVE BARRY.

   This happens because of the way wire services work.  UPI uses
three-letter codes to route its stories to the newspapers and radio
stations that make up most of its clientele, and harried editors on
deadline sometimes punch in the wrong code.

Reuters
=======

   This is roughly the British equivalent of UPI or Associated Press.
Msen, a public-access site in Michigan, currently feeds Reuters
dispatches into a series of Usenet-style conferences.  If your site
subscribes to this service, look for newsgroups with names that begin in
`msen.reuters'.

USA Today
=========

   If your host system doesn't carry the clari or `msen.reuters'
newsgroups, you might be able to keep up with the news a different way
over the Net.  USA Today has been something of an online newspaper
pioneer, selling its stories to bulletin-board and online systems across
the country for several years.  Cleveland Free-Net provides the online
version of USA Today (along with all its other services) for free.
Currently, the paper only publishes five days a week, so you'll have to
get your weekend news fix elsewhere.

   Telnet: `freenet-in-a.cwru.edu' or `freenet-in-b.cwru.edu'

   After you connect and log in, look for this menu entry: NPTN/USA
TODAY HEADLINE NEWS.  Type the number next to it and hit enter.  You'll
then get a menu listing a series of broad categories, such as sports and
telecommunications.  Choose one, and you'll get a yet another menu,
listing the ten most recent dates of publication.  Each of these
contains one-paragraph summaries of the day's news in that particular
subject.

The World Today, from Belarus to Brazil
=======================================

   Radio Free Europe and Radio Liberty are American radio stations that
broadcast to the former Communist countries of eastern Europe.  Every
day, their news departments prepare a summary of news in those
countries, which is then disseminated via the Net, through a Bitnet
mailing list and a Usenet newsgroup.

   To have the daily digests sent directly to your e-mailbox, send a
message to

     listserv@ubvm.cc.buffalo.edu

   Leave the subject line blank, and as a message, write:

     subscribe rferl-l Your Name

   Alternately, look for the bulletins in the Usenet newsgroup
`misc.news-east-europe.rferl'.

   Daily Brazilian news updates are available (in Portuguese) from the
University of Sao Paulo.  Use anonymous ftp to connect to

     uspif.if.usp.br

   Use `cd' to switch to the whois directory.  Today's news summary is
stored in `news.new', and in `news.old' you'll fin the previous days'
news.

     get news.new

   Daily summaries of news reports from France (in French) are availble
on the National Capital FreeNet in Ottawa, Ont. Telnet to
`freenet.carleton.ca' and log on as: `guest'.  At the main menu, select
the number for "The Newsstand" and then "La presse de France."

E-Mailing News Organizations
============================

   A number of newspapers, television stations and networks and other
news organizations now encourage readers and viewers to communicate with
them electronically, via Internet e-mail addresses.  They include:
The Middlesex News, Framingham, Mass.
     <sysop@news.ci.net>

The Boston Globe
     <voxbox@globe.com>

WCVB-TV, Boston, Mass.
     <wcvb@aol.com>

NBC News, New York, N.Y.
     <nightly@nbc.com>

The Ottawa Citizen, Ottawa, Ont.
     <ottawa-citizen@freenet.carleton.ca>

CJOH-TV, Ottawa, Ont.
     <ab363@freenet.carleton.ca>

St. Petersburg (Fla.) Times
     <73174.3344@compuserve.com>

Illinois Issues, Springfield, Ill.
     <gherardi@sangamon.edu>

WTVF-TV, Nashville, Tenn.
     <craig.ownsby@nashville.com>

FYI:
====

   The `clari.net.newusers' newsgroup on Usenet provides a number of
articles about Clarinet and ways of finding news stories of interest to
you.

   To discuss the future of newspapers and newsrooms in the new
electronic medium, subscribe to the Computer Assisted Reporting and
Research mailing list on Bitnet.  Send a mail message of

     Subscribe carr-l Your Name

   to <listserv@ulkyvm.bitnet>.

                                *"Be it true or false, so it be news."*
                                  -- Ben Johnson, "News from the World"

                     *"In a medium in which a News piece takes a minute
                             and an `In-Depth' piece takes two minutes,
                               the Simple will drive out the Complex."*
                                                    -- Frank Mankiewicz

IRC, MUDs and other things that are more fun than they sound
************************************************************

   Many Net systems provide access to a series of interactive services
that let you hold live "chats" or play online games with people around
the world.  To find out if your host system offers these, you can ask
your system administrator or just try them - if nothing happens, then
your system does not provide them.  In general, if you can use telnet
and ftp, chances are good you can use these services as well.

Talk
====

   This is the Net equivalent of a telephone conversation and requires
that both you and the person you want to talk to have access to this
function and are online at the same time.  To use it, type

     talk user@site.name

   where `user@site.name' is the e-mail address of the other person.
She will see something like this on her screen:

     talk: connection requested by yourname@site.name
     talk: respond with:  talk yourname@site.name

   To start the conversation, she should then type (at her host system's
command line):

     talk yourname@site.name

   where that is your e-mail address.  Both of you will then get a top
and bottom window on your screen.  She will see everything you type in
one window; you'll see everything she types in the other.  To
disconnect, hit control-C.

   One note: Public-access sites that use Sun computers sometimes have
trouble with the talk program.  If talk does not work, try typing
`otalk' or `ntalk' instead.  However, the party at the other end will
have to have the same program online for the connection to work.

Internet Relay Chat
===================

   IRC is a program that lets you hold live keyboard conversations with
people around the world.  It's a lot like an international CB radio  -
it even uses "channels."  Type something on your computer and it's
instantly echoed around the world to whoever happens to be on the same
channel with you.  You can join in existing public group chats or set
up your own.  You can even create a private channel for yourself and as
few as one or two other people.  And just like on a CB radio, you can
give yourself a unique "handle" or nickname.

   IRC currently links host systems in 20 different countries, from
Australia to Hong Kong to Israel.  Unfortunately, it's like telnet -
either your site has it or it doesn't.  If your host system does have
it, Just type

     irc

   and hit enter.  You'll get something like this:

     *** Connecting to port 6667 of server world.std.com
     *** Welcome to the Internet Relay Network, adamg
     *** Your host is world.std.com, running version 2.7.1e+4
     *** You have new mail.
     *** If you have not already done so, please read the new user
     information with +/HELP NEWUSER
     *** This server was created Sat Apr 18 1992 at 16:27:02 EDT
     *** There are 364 users on 140 servers
     *** 45 users have connection to the twilight zone
     *** There are 124 channels.
     *** I have 1 clients and 3 servers
     MOTD - world.std.com Message of the Day -
     MOTD - Be careful out there...
     MOTD -
     MOTD - ->Spike
     * End of /MOTD command.

     23:13 [1] adamg [Mail: 32] * type /help for help

   You are now in channel 0, the "null" channel, in which you can look
up various help files, but not much else. As you can see, IRC takes over
your entire screen.  The top of the screen is where messages will
appear.  The last line is where you type IRC commands and messages.  All
IRC commands begin with a `/'.  The slash tells the computer you are
about to enter a command, rather than a message. To see what channels
are available, type

     /list

   and hit enter.  You'll get something like this:

     *** Channel    Users  Topic
     *** #Money     1      School CA$H (/msg SOS_AID help)
     *** #Gone      1      ----->> Gone with the wind!!!  ------>>>>>
     *** #mee       1
     *** #eclipse   1
     *** #hiya      2
     *** #saigon    4
     *** #screwed   3
     *** #z         2
     *** #comix     1      LET'S TALK 'BOUT COMIX!!!!!
     *** #Drama     1
     *** #RayTrace  1      Rendering to Reality and Back
     *** #NeXT      1
     *** #wicca     4      Mr. Potato Head, R. I. P.
     *** #dde^mhe`  1      no'ng chay? mo*? ...ba` con o*iiii
     *** #jgm       1
     *** #ucd       1
     *** #Maine     2
     *** #Snuffland 1
     *** #p/g!      4
     *** #DragonSrv 1

   Because IRC allows for a large number of channels, the list might
scroll off your screen, so you might want to turn on your computer's
screen capture to capture the entire list.  Note that the channels
always have names, instead of numbers.  Each line in the listing tells
you the channel name, the number of people currently in it, and whether
there's a specific topic for it.  To switch to a particular channel,
type

     /join #channel

   where `#channel' is the channel name and hit enter.  Some "public"
channels actually require an invitation from somebody already on it.  To
request an invitation, type

     /who #channel-name

   where `channel-name' is the name of the channel, and hit enter.
Then ask someone with an @ next to their name if you can join in.  Note
that whenever you enter a channel, you have to include the `#'.  Choose
one with a number of users, so you can see IRC in action.

   If it's a busy channel, as soon as you join it, the top of your
screen will quickly be filled with messages.  Each will start with a
person's IRC nickname, followed by his message.

   It may seem awfully confusing at first.  There could be two or three
conversations going on at the same time and sometimes the messages will
come in so fast you'll wonder how you can read them all.

   Eventually, though, you'll get into the rhythm of the channel and
things will begin to make more sense.  You might even want to add your
two cents (in fact, don't be surprised if a message to you shows up on
your screen right away; on some channels, newcomers are welcomed
immediately).  To enter a public message, simply type it on that bottom
line (the computer knows it's a message because you haven't started the
line with a slash) and hit enter.

   Public messages have a user's nickname in brackets, like this:

     <tomg>

   If you receive a private message from somebody, his name will be
between asterisks, like this:

     *tomg*

   For more information on using IRC, see the IRC command box.  You can
find discussions about IRC in the `alt.irc' newsgroup.

IRC Commands
============

   Note: Hit enter after each command.

`/away'
     When you're called away to put out a grease fire in the kitchen,
     issue this command to let others know you're still connected but
     just away from your terminal or computer for awhile.

`/help'
     Brings up a list of commands for which there is a help file. You
     will get a "topic:" prompt.  Type in the subject for which you
     want information and hit enter.  Hit enter by itself to exit help.

`/invite'
     Asks another IRC to join you in a conversation.

`/invite fleepo #hottub'
     would send a message to fleepo asking him to join you on the
     #hottub channel.  The channel name is optional.

`/join'
     Use this to switch to or create a particular channel, like this:
     `/join #hottub'

     If one of these channels exists and is not a private one, you will
     enter it.  Otherwise, you have just created it. Note you have to
     use a `#' as the first character.

`/list'
     This will give you a list of all available public channels, their
     topics (if any) and the number of users currently on them.  Hidden
     and private channels are not shown.

`/m name'
     Send a private message to that user.

`/mode'
     This lets you determine who can join a channel you've created.

`/mode #channel +s'
     creates a secret channel.

`/mode #channel +p'
     makes the channel private

`/nick'
     This lets you change the name by which others see you.

     `/nick fleepo' would change your name for the present session to
     fleepo. People can still use /whois to find your e-mail address.
     If you try to enter a channel where somebody else is already using
     that nickname, IRC will ask you to select another name.

`/query'
     This sets up a private conversation between you and another IRC
     user.  To do this, type `/query nickname'

     Every message you type after that will go only to that person.  If
     she then types `/query nickname' where nickname is yours, then you
     have established a private conversation.  To exit this mode, type
     `/query' by itself.  While in query mode, you and the other person
     can continue to "listen" to the discussion on whatever public
     channels you were on, although neither of you will be able to
     respond to any of the messages there.

`/quit'
     Exit IRC.

`/signoff'
     Exit IRC.

`/summon'
     Asks somebody connected to a host system with IRC to join you on
     IRC. You must use the person's entire e-mail address.

     `/summon fleepo@foo.bar.com' would send a message to fleepo asking
     him to start IRC.  Usually not a good idea to just summon people
     unless you know they're already amenable to the idea; otherwise you
     may wind up annoying them no end. This command does not work on
     all sites.

`/topic'
     When you've started a new channel, use this command to let others
     know what it's about.

     `/topic #Amiga' would tell people who use /list that your channel
     is meant for discussing Amiga computers.

`/who <chan>'
     Shows you the e-mail address of people on a particular channel.

     `/who #foo' would show you the addresses of everybody on channel
     foo.

     `/who' by itself shows you every e-mail address for every person
     on IRC at the time, although be careful: on a busy night you might
     get a list of 500 names!

`/whois'
     Use this to get some information about a specific IRC user or to
     see who is online.

     `/whois nickname' will give you the e-mail address for the person
     using that nickname.

     `/whois *' will list everybody on every channel.

`/whowas'
     Similar to `/whois'; gives information for people who recently
     signed off IRC.

IRC in Times of Crisis
======================

   IRC has become a new medium for staying on top of really big
breaking news.  In 1993, when Russian lawmakers barricaded themselves
inside the parliament building, some enterprising Muscovites and a
couple of Americans set up a "news channel" on IRC to relay first-person
accounts direct from Moscow. The channel was set up to provide a
continuous loop of information, much like all-news radio stations that
cycle through the day's news every 20 minutes.  In 1994, Los Angeles
residents set up a similar channel to relay information related to the
Northridge earthquake.  In both cases, logs of the channels were
archived somewhere on the Net, for those unable to "tune in" live.

   How would you find such channels in the future?  Use the `/list'
command to scroll through the available channels.  If one has been set
up to discuss a particular breaking event, chances are you'll see a
brief description next to the channel name that will tell you that's
the place to tune.

MUDs
====

   Multiple-User Dimensions or Dungeons (MUDs) take IRC into the DUM
realm of fantasy.  MUDs are live, role-playing games in which you enter
assume a new identity and enter an alternate reality through your
keyboard.  As you explore this other world, through a series of simple
commands (such as "look," "go" and "take"), you'll run across other
users, who may engage you in a friendly discussion, enlist your aid in
some quest or try to kill you for no apparent reason.

   Each MUD has its own personality and creator (or God) who was
willing to put in the long hours required to establish the particular
MUD's rules, laws of nature and information databases.  Some MUDs
stress the social aspects of online communications - users frequently
gather online to chat and join together to build new structures or even
entire realms.  Others are closer to "Dungeons and Dragons" and are
filled with sorcerers, dragons and evil people out to keep you from
completing your quest - through murder if necessary.

   Many MUDs (there are also related games known as MUCKs and MUSEs)
require you to apply in advance, through e-mail, for a character name
and password.  One that lets you look around first, though, is HoloMuck
at McGill University in Montreal.  The premise of this game is that you
arrive in the middle of Tanstaafl, a city on the planet Holo.  You have
to find a place to live (else you get thrown into the homeless shelter)
and then you can begin exploring.  Magic is allowed on this world, but
only outside the city limits.  Get bored with the city and you can roam
the rest of the world or even take a trip into orbit (of course, all
this takes money; you can either wait for your weekly salary or take a
trip to the city casino).  Once you become familiar with the city and
get your own character, you can even begin erecting your own building
(or subway line, or almost anything else).

   To connect, telnet to `hobbes.cs.mcgill.ca 5757'

   When you connect, type

     connect guest guest

   and hit enter.  This connects you to the "guest" account, which has
a password of "guest." You'll see this:

     The Homeless Shelter(#22Rna)
     You wake up in the town's Homeless Shelter, where vagrants are put for
     protective holding.
     Please don't sleep in public places-- there are plenty of
     open apartments available.  Type 'apartments' to see how to get to an
     apartment building with open vacancies.
     There is a small sign on the wall here, with helpful information.
     Type 'look sign' to read it.
     The door is standing open for your return to respectable society.
     Simply walk 'out' to the center.

   Of course, you want to join respectable society, but first you want
to see what that sign says.  So you type

     look sign

   and hit enter, which brings up a list of some basic commands.  Then
you type

     out

   followed by enter, which brings up this:

     You slip out the door, and head southeast...
     Tanstaafl Center
     This is the center of the beautiful town of Tanstaafl.
     High Street runs north and south into residential areas, while
     Main Street runs east and west into business districts.
     SW: is Tanstaafl Towers.
     Please claim an apartment... no sleeping in public!
     SE: the Public Library offers both information and entertainment.
     NW: is the Homeless Shelter, formerly the Town Jail.
     NE: is Town Hall, site of several important services, including: Public
     Message Board, Bureau of Land Management (with maps and regulations), and
     other governmental/ bureaucratic help.
     Down: Below a sign marked with both red and blue large letter 'U's, a
     staircase leads into an underground subway passage.
     (Feel free to 'look' in any direction for more information.)
     [Obvious exits: launch, d, nw, se, w, e, n, s, ne, sw]
     Contents:
     Instructions for newcomers
     Directional signpost
     Founders' statue

   To see "Instructions for newcomers", type

     look Instructions for newcomers

   and hit enter.  You could do the same for "Directional signpost" and
"Founders' statue."  Then type

     SW

   and enter to get to Tanstaafl Towers, the city housing complex, where
you have to claim an apartment (you may have to look around; many will
already be occupied).  And now it's off to explore Holo!  One command
you'll want to keep in mind is "take." Periodically, you'll come across
items that, when you take them will confer certain abilities or powers
on you.  If you type

     help

   and enter, you'll get a list of files you can read to learn more
about the MUD's commands.

   The "say" command lets you talk to other players publicly. For
example,

     say Hey, I'm here!

   would be broadcast to everybody else in the room with you.  If you
want to talk to just one particular person, use "whisper" instead of
"say."

     whisper agora=Hey, I'm here!

   would be heard only by agora.  Another way to communicate with
somebody regardless of where on the world they are is through your
pager.  If you suddenly see yours go off while visiting, chances are
it's a wizard checking to see if you need any help.  To read his
message, type

     page

   To send him a message, type

     page name=message

   where name is the wizard's name (it'll be in the original message).

   Other MUDs and MUCKs may have different commands, but generally use
the same basic idea of letting you navigate through relatively simple
English commands.

   When you connect to a MUD, choose your password as carefully as you
would one for your host system; alas, there are MUD crackers who enjoy
trying to break into other people's MUD accounts.  And never, never use
the same password as the one you use on your host system!

   MUDs can prove highly addicting.  "The jury is still out on whether
MUDding is 'just a game'  or 'an extension of real life with gamelike
qualities'," says JENNIFER SMITH, an active MUD player who wrote an FAQ
on the subject.

   She adds one caution: "You shouldn't do anything that you wouldn't
do in real life, even if the world is a fantasy world.  The important
thing to remember is that it's the fantasy world of possibly hundreds
of people, and not just yours in  particular.  There's a human being on
the other side of each and every wire!  Always remember that you may
meet these other people some day,  and they may break your nose.
People who treat others badly gradually build up bad reputations and
eventually receive the NO FUN Stamp of Disapproval."

Go, Go, Go (and Chess, too)!
============================

   Fancy a good game of go or chess?  You no longer have to head for
the nearest park with a board in hand.  The Internet has a couple of
machines that let you engage people from around the world in your
favorite board games.  Or, if you prefer, you can watch matches in
progress.

   To play go,

     telnet hellspark.wharton.upenn.edu 6969

   log on as: `guest'

   You'll find prompts to various online help files to get you started.
For a chess match,

     telnet news.panix.com 5000

   log on as: `guest'

   You'll find prompts for online help files on the system, which lets
you choose your skill level.

The other Side of the Coin
==========================

   All is not fun and games on the Net.  Like any community, the Net
has its share of obnoxious characters who seem to exist only to make
your life miserable (you've already met some of them in Global Watering Hole).
There are people who seem to spend a bit more time
on the Net than many would find healthy.  It also has its criminals.
CLIFFORD STOLL writes in "The Cuckoo's Egg" how he tracked a team of
German hackers who were breaking into U.S. computers and selling the
information they found to the Soviets.  ROBERT MORRIS, a Cornell
University student, was convicted of unleashing a "worm" program that
effectively disabled several thousand computers connected to the
Internet.

   Of more immediate concern to the average Net user are crackers who
seek to find other's passwords to break into Net systems and people who
infect programs on ftp sites with viruses.

   There is a widely available program known as "Crack" that can
decipher user passwords composed of words that might be found in a
dictionary (this is why you shouldn't use such passwords).  Short of
that, there are the annoying types who take a special thrill in trying
to make you miserable.  The best advice in dealing with them is to
count to 10 and then ignore them - like juveniles everywhere, most of
their fun comes in seeing how upset you can get.

   Meanwhile, two Cornell University students pleaded guilty in 1992 to
uploading virus-infected Macintosh programs to ftp sites.  If you plan
to try out large amounts of software from ftp sites, it might be wise to
download or buy a good anti-viral program.

   But can law enforcement go too far in seeking out the criminals?
The Electronic Frontier Foundation was founded in large part in
response to a series of government raids against an alleged gang of
hackers.  The raids resulted in the near bankruptcy of one game company
never alleged to have had anything to do with the hackers, when the
government seized its computers and refused to give them back.  The
case against another alleged participant collapsed in court when his
attorney showed the "proprietary" and supposedly hacked information he
printed in an electronic newsletter was actually available via an 800
number for about $13 - from the phone company from which that data was
taken.

FYI:
====

   You can find discussions about IRC in the `alt.irc' newsgroup.  "A
Discussion on Computer Network Conferencing", by Darren Reed (May,
1992), provides a theoretical background on why conferencing systems
such as IRC are a Good Thing.  It's available through ftp at
`nic.ddn.mil' as file `rfc/rfc1324.txt'.

   Every Friday, Scott Goehring posts a new list of  MUDs and related
games and their telnet addresses in the newsgroup
`rec.games.mud.announce'.  There are several other mud newsgroups
related to specific types of MUDs, including `rec.games.mud.social',
`rec.games.mud.adventure', `rec.games.mud.tiny', `rec.games.mud.diku'
and `rec.games.mud.lp'.

   For a good overview of the impact on the Internet of the Morris
Worm, read "Virus Highlights Need for Improved Internet Management", by
the U.S. General Accounting Office (June, 1989).  You can get a copy via
ftp from `cert.sei.cmu.edu' in the `pub/virus-l/docs' directory.  It's
listed as `gao_rpt'.

   Clifford Stoll describes how the Internet works and how he tracked a
group of KGB-paid German hackers through it, in "The Cuckoo's Egg:
Tracking a Spy through the Maze of Computer Espionage", Doubleday
(1989).

   See also Bruce Sterling's essay (see Statement of Principle).

                                      *"F: When into a room I plunge, I
                                      Sometimes find some VIOLET FUNGI.
                                         Then I linger, darkly brooding
                                         On the poison they're exuding.

                                     H: If a 'GOBLIN (HOB) waylays you,
                                      Slice him up before he slays you.
                                          Nothing makes you look a slob
                                     Like running from a HOB'LIN (GOB).

                                   K: Cobalt's metal, hard and shining;
                                           Cobol's wordy and confining;
                                   KOBOLDS topple when you strike them;
                                Don't feel bad, it's hard to like them.

                                   T: One big monster, he called TROLL.
                                      He don't rock, and he don't roll;
                                   Drink no wine, and smoke no stogies.
                                      He just Love To Eat Them Roguies.

                                            U: There's a U - a Unicorn!
                                         Run right up and rub its horn.
                                Look at all those points you're losing!
                                        UMBER HULKS are so confusing."*
                                                  -- The Roguelet's ABC

Education and the Net
*********************

The Net in the Classroom
========================

   If you're a teacher, you've probably already begun to see the
potential the Net has for use in the class.  Usenet, ftp and telnet have
tremendous educational potential, from keeping up with world events to
arranging international science experiments.

   Because the Net now reaches so many countries and often stays online
even when the phones go down, you and your students can  "tune in" to
first-hand accounts during international conflicts.  Look at your
system's list of Usenet `soc.culture.*' groups to see if there is one
about the country or region you're interested in.  Even in peacetime,
these newsgroups can be great places to find people from countries you
might be studying.

   The biggest problem may be getting accounts for your students, if
you're not lucky enough to live within the local calling area of a
Free-Net system. Many colleges and universities, however, are willing
to discuss providing accounts for secondary students at little or no
cost.  Several states, including California and Texas, have
Internet-linked networks for teachers and students.

   In addition, there are a number of resources on the Internet aimed
specifically at elementary and secondary students and teachers.  You
can use these to set up science experiments with classes in another
country, learn how to use computers in the classroom or keep up with the
latest advances in teaching everything from physics to physical
education.

   Some of these resources are listed in the follwoing.

Some Specific Resources for Students and Teachers
=================================================

K12Net
------

   Begun on the Fidonet hobbyist network, K12Net is now also carried on
many Usenet systems and provides a host of interesting and valuable
services.  These include international chat for students,
foreign-language discussions (for example, there are French and
German-only conference where American students can practice those
languages with students from Quebec and German).  There are also
conferences aimed at teachers of specific subjects, from physical
education to physics.  The K12 network still has limited distribution,
so ask your system administrator if your system carries it.

AskERIC
-------

   Run by the Educational Resource and Information Center, AskERIC
provides a way for educators, librarians and others interested in K-12
education to get more information about virtually everything.  The
center maintains an e-mail address (<askeric@ericir.syr.edu>) for
questions and promises answers within 48 hours.  It also maintains a
gopher site that contains digests of questions and answers, lesson
plans in a variety of fields and other educationally related
information.  The gopher address is `ericir.syr.edu'.

SpaceMet
--------

   If your system doesn't carry K12, but has access to telnet, you can
reach it through SpaceMet Forum, a bulletin-board system aimed at
teachers and students that is run by the physics and astronomy
department at the University of Massachusetts at Amherst.  The address
is `spacemet.phast.umass.edu'.  When you connect, hit escape once.
Like K12, SpaceMet Forum began as a Fidonet system, but has since grown
much larger.  Mort and Helen Sternheim, professors at the university,
started SpaceMet as a one-line bulletin-board system several years ago
to help bolster middle-school science education in nearby towns.

   Today, there is a whole series of satellite SpaceMet BBSs in western
Massachusetts and SpaceMet itself is now linked to Fidonet and Internet.

   In addition to the K12 conferences, SpaceMet carries numerous
educationally oriented conferences.  It also has a large file library of
interest to educators and students, but be aware that getting files to
your site could be difficult and maybe even impossible.  Unlike most
other Internet sites, Spacemet does not use an ftp interface. The
Sternheims say ZMODEM sometimes works over the network, but don't count
on it.

Kidsphere
---------

   Kidsphere is a mailing list for elementary and secondary teachers,
who use it to arrange joint projects and discuss educational
telecommunications.  You will find news of new software, lists of sites
from which you can get computer-graphics pictures from various NASA
satellites and probes and other news of interest to modem-using
teachers.

   To subscribe, send a request by e-mail to
<kidsphere-request@vms.cis.pitt.edu> or try <joinkids@vms.cis.pitt.edu>
and you will start receiving messages within a couple of days.  To
contribute to the discussion, send messages to
<kidsphere@vms.cis.pitt.edu>.

   KIDS is a spin-off of KIDSPHERE just for students who want to
contact students.  To subscribe, send a request to
<joinkids@vms.cis.pitt.edu>, as above.  To contribute, send messages to
<kids@vms.cist.pitt.edu>.

Health-Ed:
----------

   A mailing list for health educators.  Send a request to
<health-ed-request@stjhmc.fidonet. org>.

Knoxville News-Sentinel Online
------------------------------

   Using the newspaper in the electronic classroom.  This gopher site
lets students and teachers connect to the newspaper, and provides
resources for them derived from the newsroom.  Use gopher to connect to
`gopher.opup.org'.

Hemingway
---------

   PAPA is a mailing list about Hemingway and his work.  To get on the
list, send a request to <dgross@polyslo.calpoly.edu>.

MicroMUSE
---------

   This is an online, futuristic city, built entirely by participants
(see chapter 11 for information on MUSEs and MUDs in general).
Hundreds of students from all over have participated in this
educational exercise, coordinated by MIT. Telnet to
`michael.ai.mit.edu'.  Log on as `guest' and then follow the prompts
for more information.

NASA Spacelink
--------------

   This system, run by NASA in Huntsville, Ala., provides all sorts of
reports and data about NASA, its history and its various missions, past
and present.  Telnet `spacelink.msfc.nasa.gov' or 128.158.13.250.

   When you connect, you'll be given an overview of the system and
asked to register. The system maintains a large file library of
GIF-format space graphics, but note that you can't download these
through telnet. If you want to, you have to dial the system directly,
at (205) 895-0028.  Many can be obtained through ftp from
`ames.arc.nasa.gov', however.

Newton
------

   Run by the Argonne National Laboratory.  It offers conferences for
teachers and students, including one called "Ask a Scientist." Telnet:
`newton.dep.anl.gov'.  Log in as: cocotext

   You'll be asked to provide your name and address.  When you get the
main menu, hit `4' for the various conferences.  The "Ask a Scientist"
category lets you ask questions of scientists in fields from biology to
earth science.  Other categories let you discuss teaching, sports and
computer networks.

OERI
----

   The U.S. Department of Education's Office of Educational Resources
and Improvement runs a gopher system that provides numerous educational
resources, information and statistics for teachers.  Use gopher to
connect to `gopher.ed.gov'.

More Educational Resources
--------------------------

   To get a list of ftp sites that carry astronomical images in the GIF
graphics format, use ftp to connect to `nic.funet.fi'. Switch to the
`/pub/astro/general' directory and get the file `astroftp.txt'.  Among
the sites listed is `ames.arc.nasa.gov', which carries images taken by
the Voyager and Galileo probes, among other pictures.

Usenet and Bitnet in the Classroom
==================================

   There are numerous Usenet newsgroups of potential interest to
teachers and students (see Global Watering Hole.).

   As you might expect, many are of a scientific bent. You can find
these by typing `l sci.' in rn or using `nngrep sci.' for nn.  There
are now close to 40, with subjects ranging from archaeology to
economics (the "dismal science," remember?) to astronomy to
nanotechnology (the construction of microscopically small machines).

   One thing students will quickly learn from many of these groups:
science is not just dull, boring facts.  Science is argument and
standing your ground and making your case.  The Usenet `sci.*' groups
encourage critical thinking.

   Beyond science, social-studies and history classes can keep busy
learning about other countries, through the `soc.culture.*' newsgroups.

   Most of these newsgroups originated as ways for expatriates of a
given country to keep in touch with their homeland and its culture.  In
times of crisis, however, these groups often become places to
disseminate information from or into the country and to discuss what is
happening.  From Afghanistan to Yugoslavia, close to 50 countries are
now represented on Usenet.  To see which groups are available, use `l
soc.culture.' in rn or `nngrep soc.culture.' for nn.

   One caveat:  Teachers might want to peruse particular newsgroups
before setting their students loose in them.  Some have higher levels of
flaming and blather than others.

   Several "talk" newsgroups provide additional topical discussions,
but teachers should screen them first before recommending them to
students.  They range from `talk.abortion', via `talk.politics. guns' to
`talk.politics.space', and `talk.environment'.

   There are also a number of Bitnet discussion groups of potential
interest to students and teachers.  See Mailing Lists for
information on finding and subscribing to Bitnet discussion groups.
Some with an educational orientation include:

     biopi-l     ksuvm.bitnet        Secondary biology education
     chemed-l    uwf.bitnet          Chemistry education
     dts-l       iubvm.bitnet        The Dead Teacher's Society list
     phys-l      uwf.bitnet          Discussions for physics teachers
     physhare    psuvm.bitnet        Where physics teachers share resources
     scimath-l   psuvm.bitnet        Science and math education

FYI:
====

   Carl Erickson <erickson@oak.mcs.gvsu.edu> has written an interesting
paper, entitled "USENET as a Teaching Tool", published in the
Proceedings of 24th, ACM Conference on Science and Education
(CSE-2/93-IN).

   The August '93 issue of "Communications of the ACM" was wholly
devoted to the Internet and featured several interesting articles on
the topics discussed in the previous chapter (see Journal Articles and Papers
for a list of all articles in the "Journal
Articles & Papers" section).

           *"A fool's brain digests philosophy into folly, science into
    superstition, and art into pedantry.  Hence University education."*
                                                -- George Bernhard Shaw

*"Education is the process of casting false pearls before real swine."*
                                                         -- Irsin Edman

*"It is against the grain of modern education to teach children to program.
What fun is there in making plans, acquiring discipline in organizing thoughts,
      devoting attention to detail, and learning to be self-critical?"*
                                                         -- Alan Perlis

Business on the Net
*******************

Setting Up Shop
===============

   Back in olden days, oh, before 1990 or so, there were no markets in
the virtual community - if you wanted to buy a book, you still had to
jump in your car and drive to the nearest bookstore.

   This was because in those days, the Net consisted mainly of a series
of government-funded networks on which explicit commercial activity was
forbidden.  Today, much of the Net is run by private companies, which
generally have no such restrictions, and a number of companies have
begun experimenting with online "shops" or other services.  Many of
these shops are run by booksellers, while the services range from
delivery of indexed copies of federal documents to an online newsstand
that hopes to entice you to subscribe to any of several publications
(of the printed on paper variety).  A number of companies also use
Usenet newsgroups (in the biz hierarchy) to distribute press releases
and product information.

   Still, commercial activity on the remains far below that found on
other networks, such as CompuServe, with its Electronic Mall, or
Prodigy, with its advertisements on almost every screen.  In part
that's because of the newness and complexity of the Internet as a
commercial medium.  In part, however, that is because of security
concerns.  Companies worry about such issues as crackers getting into
their system over the network, and many people do not like the idea of
sending a credit-card number via the Internet (an e-mail message could
be routed through several sites to get to its destination).  These
concerns could disappear as Net users turn to such means as message
encryption and "digital signatures." In the meantime, however,
businesses on the Net can still consider themselves something of
Internet pioneers.

   A couple of public-access sites and a regional network have set up
"marketplaces" for online businesses.

   The World in Brookline, Mass., currently rents "space" to several
bookstores and computer-programming firms, as well as an "adult toy
shop."  To browse their offerings, use gopher to connect to

     world.std.com

   At the main menu, select "Shops on the World."

   Msen in Ann Arbor provides its "Msen Marketplace," where you'll find
a travel agency and an "Online Career Center" offering help-wanted ads
from across the country.  Msen also provides an "Internet Business
Pages," an online directory of companies seeking to reach the Internet
community.  You can reach Msen through gopher at

     gopher.msen.com

   At the main menu, select "Msen Marketplace."

   The Nova Scotia Technology Network runs a "Cybermarket" on its
gopher service at

     nstn.ns.ca

   There, you'll find an online bookstore that lets you order books
through e-mail (to which you'll have to trust your credit-card number)
and a similar "virtual record store." Both let you search their wares by
keyword or by browsing through catalogs.

   Other online businesses include:
AnyWare Associates
     This Boston company runs an Internet-to-fax gateway that lets you
     send fax message anywhere in the world via the Internet (for a
     fee, of course).  For more information, write <sales@awa.com>

Bookstacks Unlimited
     This Cleveland bookstore offers a keyword-searchable database of
     thousands of books for sale.  Telnet: `books.com'

Counterpoint Publishing
     Based in Cambridge, Mass., this company's main Internet product is
     indexed versions of federal journals, including the Federal
     Register (a daily compendium of government contracts, proposed
     regulations and the like).  Internet users can browse through
     recent copies, but complete access will run several thousand
     dollars a year.  Use gopher to connect to `enews.com' and select
     "Counterpoint Publishing"

Dialog
     The national database company can be reached through telnet at
     `dialog.com'.  To log on, however, you will have first had to set
     up a Dialog account.

Dow Jones News Retrieval
     A wire service run by the information company that owns the Wall
     Street Journal.  Available via telnet at `djnr.dowjones.com'.  As
     with Dialog, you need an account to log on.

Infinity Link
     Browse book, music, software, video-cassette and laser-disk
     catalogs through this system based in Malvern, Penn.  Use gopher
     to connect to `columbia.ilc.com'. Log on as: `cas'

The Internet Company
     Sort of a service bureau, this company, based in Cambridge, Mass.,
     is working with several publishers on Internet-related products.
     Its Electronic Newsstand offers snippets and special subscription
     rates to a number of national magazines, from the New Republic to
     the New Yorker.  Use gopher to connect to `enews.com'

MarketBase
     You can try the classified-ads system developed by this company in
     Santa Barbara, Calif., by gopher to connect to `mb.com'.

O'Reilly and Associates
     Best known for its "Nutshell" books on Unix, O'Reilly runs three
     Internet services.  The gopher server, at `ora.com' provides
     information about the company and its books.  It posts similar
     information in the `biz.oreilly.announce' Usenet newsgroup.  Its
     Global Network Navigator, accessible through the World-Wide Web,
     is a sort of online magazine that lets users browse through
     interesting services and catalogs.

FYI
===

   The com-priv mailing list is the place to discuss issues surrounding
the commercialization and the privatization of the Internet.  To
subscribe (or un-subscribe), send an e-mail request to
<com-priv-request@psi.com>.

   Mary Cronin's book, "Doing Business on the Internet" (1994, Van
Nostrand Reinhold), takes a more in-depth look at the subject.

   Kent State University in Ohio maintains a repository of "Business
Sources on the Net".  Use gopher to connect to `refmac.kent.edu'.

"Conclusion: the End?" by Adam Gaffin
*************************************

   *The revolution is just beginning.*

   New communications systems and digital technologies have already
meant dramatic changes in the way we live.  Think of what is already
routine that would have been considered impossible just ten years ago.
You can browse through the holdings of your local library - or of
libraries halfway around the world - do your banking and see if your
neighbor has gone bankrupt, all through a computer and modem.

   Imploding costs coupled with exploding power are bringing ever more
powerful computer and digital systems to ever growing numbers of
people.  The Net, with its rapidly expanding collection of databases
and other information sources, is no longer limited to the
industrialized nations of the West; today the web extends into once
remote areas from Siberia to Zimbabwe. The cost of computers and modems
used to plug into the Net, meanwhile, continue to plummet, making them
ever more affordable.

   Cyberspace has become a vital part of millions of people's daily
lives. People form relationships online, they fall in love, they get
married, all because of initial contacts in cyberspace, that ephemeral
"place" that transcends national and state boundaries. Business deals
are transacted entirely in ASCII.  Political and social movements begin
online, coordinated by people who could be thousands of miles apart.

   *Yet this is only the beginning.*

   We live in an age of communication, yet, the various media we use to
talk to one another remain largely separate systems. One day, however,
your telephone, TV, fax machine and personal computer will be replaced
by a single "information processor" linked to the worldwide Net by
strands of optical fiber.

   Beyond databases and file libraries, power will be at your
fingertips. Linked to thousands, even millions of like-minded people,
you'll be able to participate in social and political movements across
the country and around the world.

   How does this happen? In part, it will come about through new
technologies. High-definition television will require the development
of inexpensive computers that can process as much information as
today's workstations.  Telephone and cable companies will compete to
see who can bring those fiber-optic cables into your home first.
High-speed data networks, such as the Internet, will be replaced by
even more powerful systems.

   The Clinton administration, arguably the first led by people who
know how to use not only computer networks but computers, is pushing for
creation of a series of "information superhighways" comparable in scope
to the Interstate highway system of the 1950s (one of whose champions in
the Senate has a son elected vice president in 1992).

   Right now, we are in the network equivalent of the early 1950s, just
before the creation of that massive highway network. Sure, there are
plenty of interesting things out there, but you have to meander along
two-lane roads, and have a good map, to get to them.

   Creation of this new Net will also require a new communications
paradigm: the Net as information utility.  The Net remains a somewhat
complicated and mysterious place.  To get something out of the Net
today, you have to spend a fair amount of time with a Net veteran or a
manual like this.  You have to learn such arcana as the vagaries of the
Unix cd command.

   Contrast this with the telephone, which now also provides access to
large amounts of information through push buttons, or a computer network
such as Prodigy, which one navigates through simple commands and mouse
clicks.

   Internet system administrators have begun to realize that not all
people want to learn the intricacies of Unix, and that that fact does
not make them bad people.  We are already seeing the development of
simple interfaces that will put the Net's power to use by millions of
people.  You can already see their influence in the menus of gophers and
the World-Wide Web, which require no complex computing skills but which
open the gates to thousands of information resources.  Mail programs and
text editors such as Pico and Pine promise much of the power of older
programs such as emacs at a fraction of the complexity.

   Some software engineers are looking at taking this even further, by
creating graphical interfaces that will let somebody navigate the
Internet just by clicking on the screen with a mouse or by calling up an
easy text editor, sort of the way one can now navigate a Macintosh
computer - or a commercial online service such as Prodigy.

   *Then there are the Internet services themselves.*

   For every database now available through the Internet, there are
probably three or four that are not.  Government agencies are only
slowly beginning to connect their storehouses of information to the
Net. Several commercial vendors, from database services to booksellers,
have made their services available through the Net.

   Few people now use one of the Net's more interesting applications.
A standard known as MIME lets one send audio and graphics files in a
message.  Imagine opening your e-mail one day to hear your
granddaughter's first words, or a "photo" of your friend's new house.
Eventually, this standard could allow for distribution of even small
video displays over the Net.

   All of this will require vast new amounts of Net power, to handle
both the millions of new people who will jump onto the Net and the new
applications they want.  Replicating a moving image on a computer screen
alone takes a phenomenal amount of computer bits, and computing power to
arrange them.

   All of this combines into a National Information Infrastructure able
to move billions of bits of information in one second - the kind of
power needed to hook information "hoses" into every business and house.

   As these "superhighways" grow, so will the "on ramps," for a
high-speed road does you little good if you can't get to it.   The
costs of modems seem to fall as fast as those of computers.  High-speed
modems (9600 baud and up) are becoming increasingly affordable.  At
9600 baud, you can download a satellite weather image of North America
in less than two minutes, a file that, with a slower modem could take
up to 20 minutes to download.  Eventually, homes could be connected
directly to a national digital network.  Most long-distance phone
traffic is already carried in digital form, through high-volume optical
fibers.  Phone companies are ever so slowly working to extend these
fibers the "final mile" to the home.  The Electronic Frontier
Foundation is working to ensure these links are affordable.

   Beyond the technical questions are increasingly thorny social,
political and economic issues. Who is to have access to these services,
and at what cost?  If we live in an information age, are we laying the
seeds for a new information under class, unable to compete with those
fortunate enough to have the money and skills needed to manipulate new
communications channels? Who, in fact, decides who has access to what?
As more companies realize the potential profits to be made in the new
information infrastructure, what happens to such systems as Usenet,
possibly the world's first successful anarchistic system, where
everybody can say whatever they want?

   What are the laws of the electronic frontier?  When national and
state boundaries lose their meaning in cyberspace,  the question might
even be: WHO is the law?  What if a practice that is legal in one
country is "committed" in another country where it is illegal, over a
computer network that crosses through a third country? Who goes after
computer crackers?

   *What role will you play in the revolution?*

          *"The first duty of a revolutionary is to get away with it."*
                                                       -- Abbie Hoffman

                                      *"The only act of revolution left
                     in a collective world, is thinking for yourself."*
                                           -- Bob Geldof, "Is that it?"

                                                                      *
                                            HAMLET: "O, I die, Horatio;
                          The potent poison quite o'er-crows my spirit:
                           I cannot live to hear the news from England;
                                  But I do prophesy the election lights
                                  On Fortinbras: he has my dying voice;
                       So tell him, with the occurrents, more and less,
                           Which have solicited. The rest is silence."*
                              -- Shakespeare, "Hamlet, Act V, Scene II"
                        (text ftp'd from `terminator.rs.itd.umich.edu')

"A Slice of Life in my Virtual Community" by Howard Rheingold
*************************************************************

   By *Howard Rheingold* (1) <hlr@well.sf.ca.us>
Editor, "The Whole Earth Review", 27 Gate Five Road, Sausalito, CA
94965.

     NOTE: In 1988, "Whole Earth Review" published my article, "Virtual
     Communities." Four years later, I reread it and realized that I had
     learned a few things, and that the world I was observing had
     changed.  So I rewrote it. The original version is available on
     the WELL as `/uh/72/hlr/virtual_communities88'.

     Portions of this will appear in "Globalizing Networks: Computers
     and International Communication", edited by *Linda Harasim* and
     *Jan Walls* for MIT press. Portions of this will appear in
     "Virtual Communities," by Howard Rheingold, Addison-Wesley.
     Portions of this may find their way into Whole Earth Review.

     This is a world-readable file, and I think these are important
     issues; encourage distribution, but I do ask for fair use: Don't
     remove my name from my words when you quote or reproduce them,
     don't change them, and don't impair my ability to make a living
     with them.

   I'm a writer, so I spend a lot of time alone in a room with my words
and my thoughts. On occasion, I venture outside to interview people or
to find information. After work, I reenter the human community, via my
family, my neighborhood, my circle of acquaintances. But that regime
left me feeling isolated and lonely during the working day, with few
opportunities to expand my circle of friends. For the past seven years,
however, I have participated in a wide-ranging, intellectually
stimulating, professionally rewarding, sometimes painful, and often
intensely emotional ongoing interchange with dozens of new friends,
hundreds of colleagues, thousands of acquaintances. And I still spend
many of my days in a room, physically isolated. My mind, however, is
linked with a worldwide collection of like-minded (and not so
like-minded) souls: My virtual community.

   Virtual communities emerged from a surprising intersection of
humanity and technology. When the ubiquity of the world
telecommunications network is combined with the information-structuring
and storing capabilities of computers, a new communication medium
becomes possible. As we've learned from the history of the telephone,
radio, television, people can adopt new communication media and redesign
their way of life with surprising rapidity. Computers, modems, and
communication networks furnish the technological infrastructure of
computer-mediated communication (CMC); cyberspace is the conceptual
space where words and human relationships, data and wealth and power are
manifested by people using CMC technology; virtual communities are
cultural aggregations that emerge when enough people bump into each
other often enough in cyberspace.

   A virtual community as they exist today is a group of people who may
or may not meet one another face to face, and who exchange words and
ideas through the mediation of computer bulletin boards and networks. In
cyberspace, we chat and argue, engage in intellectual intercourse,
perform acts of commerce, exchange knowledge, share emotional support,
make plans, brainstorm, gossip, feud, fall in love, find friends and
lose them, play games and metagames, flirt, create a little high art and
a lot of idle talk. We do everything people do when people get together,
but we do it with words on computer screens, leaving our bodies behind.
Millions of us have already built communities where our identities
commingle and interact electronically, independent of local time or
location. The way a few of us live now might be the way a larger
population will live, decades hence.

   The pioneers are still out there exploring the frontier, the borders
of the domain have yet to be determined, or even the shape of it, or the
best way to find one's way in it. But people are using the technology of
computer-mediated communications CMC technology to do things with each
other that weren't possible before. Human behavior in cyberspace, as we
can observe it and participate in it today, is going to be a crucially
important factor. The ways in which people use CMC always will be rooted
in human needs, not hardware or software.

   If the use of virtual communities turns out to answer a deep and
compelling need in people, and not just snag onto a human foible like
pinball or pac-man, today's small online enclaves may grow into much
larger networks over the next twenty years. The potential for social
change is a side-effect of the trajectory of telecommunications and
computer industries, as it can be forecast for the next ten years. This
odd social revolution - communities of people who may never or rarely
meet face to face - might piggyback on the technologies that the
biggest telecommunication companies already are planning to install over
the next ten years.

   It is possible that the hardware and software of a new global
telecommunications infrastructure, orders of magnitude more powerful
than today's state of the art, now moving from the laboratories to the
market, will expand the reach of this spaceless place throughout the
1990s to a much wider population than today's hackers, technologists,
scholars, students, and enthusiasts. The age of the online pioneers will
end soon, and the cyberspace settlers will come en-masse. Telecommuters
who might have thought they were just working from home and avoiding one
day of gridlock on the freeway will find themselves drawn into a whole
new society. Students and scientists are already there, artists have
made significant inroads, librarians and educators have their own
pioneers as well, and political activists of all stripes have just begun
to discover the power of plugging a computer into a telephone. When
today's millions become tens and hundreds of millions, perhaps billions,
what kind of place, and what kind of model for human behavior will they
find?

   Today's bedroom electronic bulletin boards, regional computer
conferencing systems, global computer networks offer clues to what might
happen when more powerful enabling technology comes along. The hardware
for amplifying the computing and communication capacity of every home on
the world-grid is in the pipeline, although the ultimate applications
are not yet clear. We'll be able to transfer the Library of Congress
from any point on the globe to any another point in seconds, upload and
download full-motion digital video at will. But is that really what
people are likely to do with all that bandwidth and computing power?
Some of the answers have to come from the behavioral rather than the
technological part of the system. How will people actually use the
desktop supercomputers and multimedia telephones that the engineers tell
us we'll have in the near future.

   One possibility is that people are going to do what people always do
with a new communication technology: use it in ways never intended or
foreseen by its inventors, to turn old social codes inside out and make
new kinds of communities possible. CMC will change us, and change our
culture, the way telephones and televisions and cheap video cameras
changed us - by altering the way we perceive and communicate. Virtual
communities transformed my life profoundly, years ago, and continue to
do so.

   ---------- Footnotes ----------

   (1)  Copyright (C) 1992 by Howard Rheingold.  All rights reserved.

A Cybernaut's Eye View
======================

   The most important clues to the shape of the future at this point
might not be found in looking more closely at the properties of silicon,
but in paying attention to the ways people need to, fail to, and try to
communicate with one another. Right now, some people are convinced that
spending hours a day in front of a screen, typing on a keyboard,
fulfills in some way our need for a community of peers. Whether we have
discovered something wonderful or stumbled into something insidiously
unwonderful, or both, the fact that people want to use CMC to meet other
people and experiment with identity are valuable signposts to possible
futures. Human behavior in cyberspace, as we can observe it today on the
nets and in the BBSs, gives rise to important questions about the
effects of communication technology on human values. What kinds of
humans are we becoming in an increasingly computer-mediated world, and
do we have any control over that transformation? How have our
definitions of "human" and "community" been under pressure to change to
fit the specifications of a technology-guided civilization?

   Fortunately, questions about the nature of virtual communities are
not purely theoretical, for there is a readily accessible example of the
phenomenon at hand to study. Millions of people now inhabit the social
spaces that have grown up on the world's computer networks, and this
previously invisible global subculture has been growing at a monstrous
rate recently (e.g., the Internet growing by 25% per month).

   I've lived here myself for seven years; the WELL and the net have
been a regular part of my routine, like gardening on Sunday, for one
sixth of my life thus far. My wife and daughter long ago grew accustomed
to the fact that I sit in front of my computer early in the morning and
late at night, chuckling and cursing, sometimes crying, about something
I am reading on the computer screen. The questions I raise here are not
those of a scientist, or of a polemicist who has found an answer to
something, but as a user - a nearly obsessive user - of CMC and a deep
mucker-about in virtual communities. What kind of people are my friends
and I becoming? What does that portend for others?

   If CMC has a potential, it is in the way people in so many parts of
the net fiercely defend the use of the term "community" to describe the
relationships we have built online. But fierceness of belief is not
sufficient evidence that the belief is sound. Is the aura of community
an illusion? The question has not been answered, and is worth asking.
I've seen people hurt by interactions in virtual communities. Is
telecommunication culture capable of becoming something more than what
Scott Peck calls a "pseudo-community," where people lack the genuine
personal commitments to one another that form the bedrock of genuine
community? Or is our notion of "genuine" changing in an age where more
people every day live their lives in increasingly artificial
environments? New technologies tend to change old ways of doing things.
Is the human need for community going to be the next technology
commodity?

   I can attest that I and thousands of other cybernauts know that what
we are looking for, and finding in some surprising ways, is not just
information, but instant access to ongoing relationships with a large
number of other people. Individuals find friends and groups find shared
identities online, through the aggregated networks of relationships and
commitments that make any community possible. But are relationships and
commitments as we know them even possible in a place where identities
are fluid? The physical world, known variously as "IRL" ("In Real
Life"), or "offline," is a place where the identity and position of the
people you communicate with are well known, fixed, and highly visual. In
cyberspace, everybody is in the dark. We can only exchange words with
each other - no glances or shrugs or ironic smiles. Even the nuances of
voice and intonation are stripped away. On top of the technology-imposed
constraints, we who populate cyberspace deliberately experiment with
fracturing traditional notions of identity by living as multiple
simultaneous personae in different virtual neighborhoods.

   We reduce and encode our identities as words on a screen, decode and
unpack the identities of others. The way we use these words, the stories
(true and false) we tell about ourselves (or about the identity we want
people to believe us to be) is what determines our identities in
cyberspace. The aggregation of personae, interacting with each other,
determines the nature of the collective culture. Our personae,
constructed from our stories of who we are, use the overt topics of
discussion in a BBS or network for a more fundamental purpose, as means
of interacting with each other. And all this takes place on both public
and private levels, in many-to-many open discussions and one-to-one
private electronic mail, front stage role-playing and backstage
behavior.

   When I'm online, I cruise through my conferences, reading and
replying in topics that I've been following, starting my own topics when
the inspiration or need strikes me. Every few minutes, I get a notice on
my screen that I have incoming mail. I might decide to wait to read the
mail until I'm finished doing something else, or drop from the
conference into the mailer, to see who it is from. At the same time that
I am participating in open discussion in conferences and private
discourse in electronic mail, people I know well use "sends" - a means
of sending one or two quick sentences to my screen without the
intervention of an electronic mail message. This can be irritating
before you get used to it, since you are either reading or writing
something else when it happens, but eventually it becomes a kind of
rhythm: different degrees of thoughtfulness and formality happen
simultaneously, along with the simultaneous multiple personae. Then
there are public and private conferences that have partially overlapping
memberships. CMC offers tools for facilitating all the various ways
people have discovered to divide and communicate, group and subgroup and
regroup, include and exclude, select and elect.

   When a group of people remain in communication with one another for
extended periods of time, the question of whether it is a community
arises. Virtual communities might be real communities, they might be
pseudocommunities, or they might be something entirely new in the realm
of social contracts, but I believe they are in part a response to the
hunger for community that has followed the disintegration of traditional
communities around the world.

   Social norms and shared mental models have not emerged yet, so
everyone's sense of what kind of place cyberspace is can vary widely,
which makes it hard to tell whether the person you are communicating
with shares the same model of the system within which you are
communicating. Indeed, the online acronym YMMV ("Your Mileage May Vary")
has become shorthand for this kind of indeterminacy of shared context.
For example, I know people who use vicious online verbal combat as a way
of blowing off steam from the pressures of their real life - "sport
hassling" - and others who use it voyeuristically, as a text-based form
of real-life soap-opera. To some people, it's a game. And I know people
who feel as passionately committed to our virtual community and the
people in it (or at least some of the people in it) as our nation,
occupation, or neighborhood. Whether we like it or not, the
communitarians and the venters, the builders and the vandals, the
egalitarians and the passive-aggressives, are all in this place
together. The diversity of the communicating population is one of the
defining characteristics of the new medium, one of its chief
attractions, the source of many of its most vexing problems.

   Is the prospect of moving en-masse into cyberspace in the near
future, when the world's communication network undergoes explosive
expansion of bandwidth, a beneficial thing for entire populations to do?
In which ways might the growth of virtual communities promote
alienation? How might virtual communities facilitate conviviality? Which
social structures will dissolve, which political forces will arise, and
which will lose power? These are questions worth asking now, while there
is still time to shape the future of the medium. In the sense that we
are traveling blind into a technology-shaped future that might be very
different from today's culture, direct reports from life in different
corners of the world's online cultures today might furnish valuable
signposts to the territory ahead.

   Since the summer of 1985, I've spent an average of two hours a day,
seven days a week, often when I travel, plugged into the WELL (Whole
Earth 'Lectronic Link) via a computer and a telephone line, exchanging
information and playing with attention, becoming entangled In Real Life,
with a growing network of similarly wired-in strangers I met in
cyberspace. I remember the first time I walked into a room full of
people (IRL) whose faces were completely unknown to me, but who knew
many intimate details of my history, and whose own stories I knew very
well. I had contended with these people, shot the breeze around the
electronic water cooler, shared alliances and formed bonds, fallen off
my chair laughing with them, become livid with anger at these people,
but I had not before seen their faces.

   I found this digital watering hole for information-age hunters and
gatherers the same way most people find such places - I was lonely,
hungry for intellectual and emotional companionship, although I didn't
know it. While many commuters dream of working at home, telecommuting, I
happen to know what it's like to work that way. I never could stand to
commute or even get out of my pajamas if I didn't want to, so I've
always worked at home. It has its advantages and its disadvantages.
Others like myself also have been drawn into the online world because
they shared with me the occupational hazard of the self-employed,
home-based symbolic analyst of the 1990s - isolation. The kind of people
that Robert Reich calls "symbolic analysts" are natural matches for
online communities: programmers, writers, freelance artists and
designers, independent radio and television producers, editors,
researchers, librarians. People who know what to do with symbols,
abstractions, and representations, but who sometimes find themselves
spending more time with keyboards and screens than human companions.

   I've learned that virtual communities are very much like other
communities in some ways, deceptively so to those who assume that people
who communicate via words on a screen are in some way aberrant in their
communication skills and human needs. And I've learned that virtual
communities are very much not like communities in some other ways,
deceptively so to those who assume that people who communicate via words
on a screen necessarily share the same level of commitment to each other
in real life as more traditional communities. Communities can emerge
from and exist within computer-linked groups, but that technical linkage
of electronic personae is not sufficient to create a community.

Social Contracts, Reciprocity, and Gift Economies in Cyberspace
===============================================================

   The network of communications that constitutes a virtual community
can include the exchange of information as a kind of commodity, and the
economic implications of this phenomenon are significant; the ultimate
social potential of the network, however, lies not solely in its utility
as an information market, but in the individual and group relationships
that can happen over time. When such a group accumulates a sufficient
number of friendships and rivalries, and witnesses the births,
marriages, and deaths that bond any other kind of community, it takes on
a definite and profound sense of place in people's minds. Virtual
communities usually have a geographically local focus, and often have a
connection to a much wider domain. The local focus of my virtual
community, the WELL, is the San Francisco Bay Area; the wider locus
consists of hundreds of thousands of other sites around the world, and
millions of other communitarians, linked via exchanges of messages into
a meta-community known as "the net."

   The existence of computer-linked communities was predicted twenty
years ago by J.C.R. LICKLIDER and ROBERT TAYLOR, who as research
directors for the Department of Defense, set in motion the research that
resulted in the creation of the first such community, the ARPAnet: "What
will on-line interactive communities be like?" Licklider and Taylor
wrote, in 1968: "In most fields they will consist of geographically
separated members, sometimes grouped in small clusters and sometimes
working individually. They will be communities not of common location,
but of common interest..."

   My friends and I sometimes believe we are part of the future that
Licklider dreamed about, and we often can attest to the truth of his
prediction that "life will be happier for the on-line individual because
the people with whom one interacts most strongly will be selected more
by commonality of interests and goals than by accidents of proximity." I
still believe that, but I also know that life also has turned out to be
unhappy at times, intensely so in some circumstances, because of words
on a screen. Events in cyberspace can have concrete effects in real
life, of both the pleasant and less pleasant varieties. Participating in
a virtual community has not solved all of life's problems for me, but it
has served as an aid, a comfort and an inspiration at times; at other
times, it has been like an endless, ugly, long-simmering family brawl.

   I've changed my mind about a lot of aspects of the WELL over the
years, but the "sense of place" is still as strong as ever. As Ray
Oldenburg revealed in "The Great Good Place," there are three essential
places in every person's life: the place they live, the place they work,
and the place they gather for conviviality. Although the casual
conversation that takes place in cafes, beauty shops, pubs, town squares
is universally considered to be trivial, "idle talk," Oldenburg makes
the case that such places are where communities can arise and hold
together. When the automobile-centric, suburban, high-rise, fast food,
shopping mall way of life eliminated many of these "third places," the
social fabric of existing communities shredded. It might not be the same
kind of place that Oldenburg had in mind, but so many of his
descriptions of "third places" could also describe the WELL.

   The feeling of logging into the WELL for just a minute or two,
dozens of times a day is very similar to the feeling of peeking into the
cafe, the pub, the common room, to see who's there, and whether you want
to stay around for a chat. Indeed, in all the hundreds of thousands of
computer systems around the world that use the UNIX operating system, as
does the WELL, the most widely used command is the one that shows you
who is online. Another widely used command is the one that shows you a
particular user's biography.

   I visit the WELL both for the sheer pleasure of communicating with
my newfound friends, and for its value as a practical instrument for
gathering information on subjects that are of momentary or enduring
importance, from child care to neuroscience, technical questions on
telecommunications to arguments on philosophical, political, or
spiritual subjects. It's a bit like a neighborhood pub or coffee shop.
It's a little like a salon, where I can participate in a hundred ongoing
conversations with people who don't care what I look like or sound like,
but who do care how I think and communicate. There are seminars and word
fights in different corners. And it's all a little like a groupmind,
where questions are answered, support is given, inspiration is provided,
by people I may have never heard from before, and whom I may never meet
face to face.

   Because we cannot see one another, we are unable to form prejudices
about others before we read what they have to say: Race, gender, age,
national origin and physical appearance are not apparent unless a person
wants to make such characteristics public. People who are thoughtful but
who are not quick to formulate a reply often do better in CMC than face
to face or over the telephone. People whose physical handicaps make it
difficult to form new friendships find that virtual communities treat
them as they always wanted to be treated - as thinkers and transmitters
of ideas and feeling beings, not carnal vessels with a certain
appearance and way of walking and talking (or not walking and not
talking). Don't mistake this filtration of appearances for
dehumanization: Words on a screen are quite capable of moving one to
laughter or tears, of evoking anger or compassion, of creating a
community from a collection of strangers.

   From my informal research into virtual communities around the world,
I have found that enthusiastic members of virtual communities in Japan,
England, and the US agree that "increasing the diversity of their circle
of friends" was one of the most important advantages of computer
conferencing. CMC is a way to meet people, whether or not you feel the
need to affiliate with them on a community level, but the way you meet
them has an interesting twist: In traditional kinds of communities, we
are accustomed to meeting people, then getting to know them; in virtual
communities, you can get to know people and then choose to meet them. In
some cases, you can get to know people who you might never meet on the
physical plane.

   How does anybody find friends? In the traditional community, we
search through our pool of neighbors and professional colleagues, of
acquaintances and acquaintances of acquaintances, in order to find
people who share our values and interests. We then exchange information
about one another, disclose and discuss our mutual interests, and
sometimes we become friends. In a virtual community we can go directly
to the place where our favorite subjects are being discussed, then get
acquainted with those who share our passions, or who use words in a way
we find attractive. In this sense, the topic is the address: You can't
simply pick up a phone and ask to be connected with someone who wants to
talk about Islamic art or California wine, or someone with a three year
old daughter or a 30 year old Hudson; you can, however, join a computer
conference on any of those topics, then open a public or private
correspondence with the previously-unknown people you find in that
conference. You will find that your chances of making friends are
magnified by orders of magnitude over the old methods of finding a peer
group.

   You can be fooled about people in cyberspace, behind the cloak of
words. But that can be said about telephones or face to face
communications, as well; computer-mediated communications provide new
ways to fool people, and the most obvious identity-swindles will die out
only when enough people learn to use the medium critically. Sara Kiesler
noted that the word "phony" is an artifact of the early years of the
telephone, when media-naive people were conned by slick talkers in ways
that wouldn't deceive an eight-year old with a cellular phone today.

   There is both an intellectual and an emotional component to CMC.
Since so many members of virtual communities are the kind of
knowledge-based professionals whose professional standing can be
enhanced by what they know, virtual communities can be practical,
cold-blooded instruments. Virtual communities can help their members
cope with information overload. The problem with the information age,
especially for students and knowledge workers who spend their time
immersed in the info-flow, is that there is too much information
available and no effective filters for sifting the key data that are
useful and interesting to us as individuals. Programmers are trying to
design better and better "software agents" that can seek and sift,
filter and find, and save us from the awful feeling one gets when it
turns out that the specific knowledge one needs is buried in 15,000
pages of related information.

   The first software agents are now becoming available (e.g., WAIS,
Rosebud), but we already have far more sophisticated, if informal,
social contracts among groups of people that allow us to act as software
agents for one another. If, in my wanderings through information space,
I come across items that don't interest me but which I know one of my
worldwide loose-knit affinity group of online friends would appreciate,
I send the appropriate friend a pointer, or simply forward the entire
text (one of the new powers of CMC is the ability to publish and
converse with the same medium). In some cases, I can put the information
in exactly the right place for 10,000 people I don't know, but who are
intensely interested in that specific topic, to find it when they need
it. And sometimes, 10,000 people I don't know do the same thing for me.

   This unwritten, unspoken social contract, a blend of strong-tie and
weak-tie relationships among people who have a mixture of motives,
requires one to give something, and enables one to receive something. I
have to keep my friends in mind and send them pointers instead of
throwing my informational discards into the virtual scrap-heap. It
doesn't take a great deal of energy to do that, since I have to sift
that information anyway in order to find the knowledge I seek for my own
purposes; it takes two keystrokes to delete the information, three
keystrokes to forward it to someone else. And with scores of other
people who have an eye out for my interests while they explore sectors
of the information space that I normally wouldn't frequent, I find that
the help I receive far outweighs the energy I expend helping others: A
marriage of altruism and self-interest.

   The first time I learned about that particular cyberspace power was
early in the history of the WELL, when I was invited to join a panel of
experts who advise the U.S. Congress Office of Technology Assessment
(OTA). The subject of the assessment was "Communication Systems for an
Information Age." I'm not an expert in telecommunication technology or
policy, but I do know where to find a group of such experts, and how to
get them to tell me what they know. Before I went to Washington for my
first panel meeting, I opened a conference in the WELL and invited
assorted information-freaks, technophiles, and communication experts to
help me come up with something to say. An amazing collection of minds
flocked to that topic, and some of them created whole new communities
when they collided.

   By the time I sat down with the captains of industry, government
advisers, and academic experts at the panel table, I had over 200 pages
of expert advice from my own panel. I wouldn't have been able to
integrate that much knowledge of my subject in an entire academic or
industrial career, and it only took me (and my virtual community) a few
minutes a day for six weeks. I have found the WELL to be an outright
magical resource, professionally. An editor or producer or client can
call and ask me if I know much about the Constitution, or fiber optics,
or intellectual property. "Let me get back to you in twenty minutes," I
say, reaching for the modem. In terms of the way I learned to use the
WELL to get the right piece of information at the right time, I'd say
that the hours I've spent putting information into the WELL turned out
to be the most lucrative professional investments I've ever made.

   The same strategy of nurturing and making use of loose
information-sharing affiliations across the net can be applied to an
infinite domain of problem areas, from literary criticism to software
evaluation. It's a neat way for a sufficiently large, sufficiently
diverse group of people to multiply their individual degree of
expertise, and I think it could be done even if the people aren't
involved in a community other than their company or their research
specialty. I think it works better when the community's conceptual
model of itself is more like barn-raising than horse-trading, though.
Reciprocity is a key element of any market-based culture, but the
arrangement I'm describing feels to me more like a kind of gift economy
where people do things for one another out of a spirit of building
something between them, rather than a spreadsheet-calculated quid pro
quo. When that spirit exists, everybody gets a little extra something,
a little sparkle, from their more practical transactions; different
kinds of things become possible when this mindset pervades. Conversely,
people who have valuable things to add to the mix tend to keep their
heads down and their ideas to themselves when a mercenary or hostile
zeitgeist dominates an online community.

   I think one key difference between straightforward workaday
reciprocity is that in the virtual community I know best, one valuable
currency is knowledge, elegantly presented. Wit and use of language are
rewarded in this medium, which is biased toward those who learn how to
manipulate attention and emotion with the written word. Sometimes, you
give one person more information than you would give another person in
response to the same query, simply because you recognize one of them to
be more generous or funny or to-the-point or agreeable to your political
convictions than the other one.

   If you give useful information freely, without demanding
tightly-coupled reciprocity, your requests for information are met more
swiftly, in greater detail, than they would have been otherwise. The
person  you help might never be in a position to help you, but someone
else might be. That's why it is hard to distinguish idle talk from
serious context-setting. In a virtual community, idle talk is
context-setting. Idle talk is where people learn what kind of person
you are, why you should be trusted or mistrusted, what interests you.
An agora is more than the site of transactions; it is also a place
where people meet and size up one another.

   A market depends on the quality of knowledge held by the
participants, the buyers and sellers, about price and availability and a
thousand other things that influence business; a market that has a forum
for informal and back-channel communications is a better-informed
market. The London Stock Exchange grew out of the informal transactions
in a coffee-house; when it became the London International Stock
Exchange a few years ago, and abolished the trading-room floor, the
enterprise lost something vital in the transition from an old room where
all the old boys met and cut their deals to the screens of thousands of
workstations scattered around the world.

   The context of the informal community of knowledge sharers grew to
include years of both professional and personal relationships. It is not
news that the right network of people can serve as an inquiry research
system: You throw out the question, and somebody on the net knows the
answer. You can make a game out of it, where you gain symbolic prestige
among your virtual peers by knowing the answer. And you can make a game
out of it among a group of people who have dropped out of their orthodox
professional lives, where some of them sell these information services
for exorbitant rates, in order to participate voluntarily in the virtual
community game.

   When the WELL was young and growing more slowly than it is now, such
knowledge-potlatching had a kind of naively enthusiastic energy. When
you extend the conversation - several dozen different characters,
well-known to one another from four or five years of virtual
hanging-out, several hours a day - it gets richer, but not necessarily
"happier."

   Virtual communities have several drawbacks in comparison to
face-to-face communication, disadvantages that must be kept in mind if
you are to make use of the power of these computer-mediated discussion
groups.  The filtration factor that prevents one from knowing the race
or age of another participant also prevents people from communicating
the facial expressions, body language, and tone of voice that
constitute the inaudible but vital component of most face to face
communications.  Irony, sarcasm, compassion, and other subtle but
all-important nuances that aren't conveyed in words alone are lost when
all you can see of a person are words on a screen.

   It's amazing how the ambiguity of words in the absence of body
language inevitably leads to online misunderstandings. And since the
physical absence of other people also seems to loosen some of the social
bonds that prevent people from insulting one another in person,
misunderstandings can grow into truly nasty stuff before anybody has a
chance to untangle the original miscommunication. Heated diatribes and
interpersonal incivility that wouldn't crop up often in face to face or
even telephone discourse seem to appear with relative frequency in
computer conferences. The only presently available antidote to this flaw
of CMC as a human communication medium is widespread knowledge of this
flaw - aka "netiquette."

   Online civility and how to deal with breaches of it is a topic unto
itself, and has been much-argued on the WELL. Degrees of outright
incivility constitute entire universes such as alt.flame, the Usenet
newsgroup where people go specifically to spend their days hurling vile
imprecations at one another. I am beginning to suspect that the most
powerful and effective defense an online community has in the face of
those who are bent on disruption might be norms and agreements about
withdrawing attention from those who can't abide by even loose rules of
verbal behavior. "If you continue doing that," I remember someone saying
to a particularly persistent would-be disrupter, "we will stop paying
attention to you." This is technically easy to do on Usenet, where
putting the name of a person or topic header in a "kill file" (aka "bozo
filter") means you will never see future contributions from that person
or about that topic. You can simply choose to not see any postings from
Rich Rosen, or that feature the word "abortion" in the title. A society
in which people can remove one another, or even entire topics of
discussion, from visibility. The WELL does not have a bozo filter,
although the need for one is a topic of frequent discussion.

Who Is The WELL?
================

   One way to know what the WELL is like is to know something about the
kind of people who use it. It has roots in the San Francisco Bay Area,
and in two separate cultural revolutions that took place there in past
decades. The Whole Earth Catalog originally emerged from the
counterculture as Stewart Brand's way of providing access to tools and
ideas to all the communes who were exploring alternate ways of life in
the forests of Mendocino or the high deserts outside Santa Fe. The Whole
Earth Catalogs and the magazines they spawned, Co-Evolution Quarterly
and Whole Earth Review, have outlived the counterculture itself, since
they are still alive and raising hell after nearly 25 years. For many
years, the people who have been exploring alternatives and are open to
ideas that you don't find in the mass media have found themselves in
cities instead of rural communes, where their need for new tools and
ideas didn't go away.

   The Whole Earth Catalog crew received a large advance in the
mid-1980s to produce an updated version, a project involving many
geographically-separated authors and editors, many of whom were using
computers. They bought a minicomputer and the license to Picospan, a
computer conferencing program, leased an office next to the magazine's
office, leased incoming telephone lines, set up modems, and the WELL was
born in 1985. The idea from the beginning was that the founders weren't
sure what the WELL would become, but they would provide tools for people
to build it into something useful. It was consciously a cultural
experiment, and the business was designed to succeed or fail on the
basis of the results of the experiment. The person Stewart Brand chose
to be the WELL's first director - technician, manager, innkeeper, and
bouncer - was Matthew McClure, not-coincidentally a computer-savvy
veteran of The Farm, one of the most successful of the communes that
started in the sixties. Brand and McClure started a low-rules, high-tone
discussion, where savvy networkers, futurists, misfits who had learned
how to make our outsiderness work for us, could take the technology of
CMC to its cultural limits.

   The Whole Earth network - the granola-eating utopians, the
solar-power enthusiasts, serious ecologists and the space-station crowd,
immortalists, Biospherians, environmentalists, social activists - was
part of the core population from the beginning. But there were a couple
of other key elements. One was the subculture that happened ten years
after the counterculture era - the personal computer revolution.
Personal computers and the PC industry were created by young iconoclasts
who wanted to have whizzy tools and change the world. Whole Earth had
honored them, including the outlaws among them, with the early Hacker's
Conferences. The young computer wizards, and the grizzled old hands who
were still messing with mainframes, showed up early at the WELL because
the guts of the system itself - the UNIX operating system and "C"
language programming code - were available for tinkering by responsible
craftsmen.

   A third cultural element that made up the initial mix of the WELL,
which has drifted from its counterculture origins in many ways, were the
deadheads. Books and theses have been written about the subculture that
have grown up around the band, the Grateful Dead. The deadheads have a
strong feeling of community, but they can only manifest it en masse when
the band has concerts. They were a community looking for a place to
happen when several technology-savvy deadheads started a "Grateful Dead
Conference" on the WELL. GD was so phenomenally successful that for the
first several years, deadheads were by far the single largest source of
income for the enterprise.

   Along with the other elements came the first marathon swimmers in
the new currents of the information streams, the futurists and writers
and journalists. The New York Times, Business Week, the San Francisco
Chronicle, Time, Rolling Stone, Byte, the Wall Street Journal all have
journalists that I know personally who drop into the WELL as a listening
post. People in Silicon Valley lurk to hear loose talk among the pros.
Journalists tend to attract other journalists, and the purpose of
journalists is to attract everybody else: most people have to use an old
medium to hear news about the arrival of a new medium.

   Things changed, both rapidly and slowly, in the WELL. There were
about 600 members of the WELL when I joined, in the summer of 1985. It
seemed that then, as now, the usual ten percent of the members did 80%
of the talking. Now there are about 6000 people, with a net gain of
about a hundred a month. There do seem to be more women than other parts
of cyberspace. Most of the people I meet seem to be white or Asian;
African-Americans aren't missing, but they aren't conspicuous or even
visible. If you can fake it, gender and age are invisible, too. I'd
guess the WELL consists of about 80% men, 20% women. I don't know
whether formal demographics would be the kind of thing that most WELL
users would want to contribute to. It's certainly something we'd
discuss, argue, debate, joke about.

   One important social rule was built into Picospan, the software that
the WELL lives inside: Nobody is anonymous. Everybody is required to
attach their real "userid" to their postings. It is possible to use
pseudonyms to create alternate identities, or to carry metamessages, but
the pseudonyms are always linked in every posting to the real userid. So
individual personae - whether or not they correspond closely to the
real person who owns the account - are responsible for the words they
post. In fact, the first several years, the screen that you saw when you
reached the WELL said "You own your own words." Stewart Brand, the
WELL's co-founder likes epigrams: "Whole Earth," "Information wants to
be free." "You own your own words." Like the best epigrams, "You own
your own words" is open to multiple interpretations. The matter of
responsibility and ownership of words is one of the topics WELLbeings
argue about endlessly, so much that the phrase has been abbreviated to
"YOYOW," As in, "Oh no, another YOYOW debate."

   Who are the WELL members, and what do they talk about? I can tell
you about the individuals I have come to know over six years, but the
WELL has long since been something larger than the sum of everybody's
friends. The characteristics of the pool of people who tune into this
electronic listening post, whether or not they every post a word in
public, is a strong determinant of the flavor of the "place." There's a
cross-sectional feeling of "who are we?" that transcends the
intersecting and non-intersecting rings of friends and acquaintances
each individual develops.

My Neighborhood On The WELL
===========================

   Every CMC system gives users tools for creating their own sense of
place, by customizing the way they navigate through the database of
conferences, topics, and responses. A conference or newsgroup is like a
place you go. If you go to several different places in a fixed order, it
seems to reinforce the feeling of place by creating a customized
neighborhood that is also shared by others. You see some of the same
users in different parts of the same neighborhood. Some faces, you see
only in one context - the parents conference, the Grateful Dead tours
conference, the politics or sex conference.

   My home neighborhood on the WELL is reflected in my ".cflist," the
file that records my preferences about the order of conferences I visit.
It is always possible to go to any conference with a command, but with a
`.cflist' you structure your online time by going from conference to
specified conference at regular intervals, reading and perhaps
responding in several ongoing threads in several different places.
That's the part of the art of discourse where I have found that the
computer adds value to the intellectual activity of discussing formally
distinct subjects asynchronously, from different parts of the world,
over extending periods, by enabling groups to structure conversations by
topic, over time.

   My `.cflist' starts, for sentimental reasons, with the Mind
conference, the first one I hosted on the WELL, since 1985. I've changed
my `.cflist' hundreds of times over the years, to add or delete
conferences from my regular neighborhood, but I've always kept Mind in
the lead. The entry banner screen for the Mind conference used to
display to each user the exact phase of the moon in numbers and ASCII
graphics every time they logged in to the conference. But the volunteer
programmer who had created the "phoon" program had decided to withdraw
it, years later, in a dispute with WELL management. There is often a
technological fix to a social problem within this particular universe.
Because the WELL seems to be an intersection of many different cultures,
there have been many experiments with software tools to ameliorate
problems that seemed to crop up between people, whether because of the
nature of the medium or the nature of the people. A frighteningly
expensive pool of talent was donated by volunteer programmers to create
tools and even weapons for WELL users to deal with each other. People
keep giving things to the WELL, and taking them away. Offline readers
and online tools by volunteer programmers gave others increased power to
communicate.

   The News conference is what's next. This is the commons, the place
where the most people visit the most often, where the most outrageous
off-topic proliferation is least pernicious, where the important
announcements about the system or social events or major disputes or new
conferences are announced. When an earthquake or fire happens, News is
where you want to go. Immediately after the 1989 earthquake and during
the Oakland fire of 1991, the WELL was a place to check the damage to
the local geographic community, lend help to those who need it, and get
first-hand reports. During Tienamen square, the Gulf War, the Soviet
Coup, the WELL was a media-funnel, with snippets of email from Tel-Aviv
and entire newsgroups fed by fax machines in China, erupting in News
conference topics that grew into fast-moving conferences of their own.
During any major crisis in the real world, the routine at our house is
to turn on CNN and log into the WELL.

   After News is Hosts, where the hottest stuff usually happens. The
hosts community is a story in itself. The success of the WELL in its
first five years, all would agree, rested heavily on the efforts of the
conference hosts - online characters who had created the character of
the first neighborhoods and kept the juice flowing between one another
all over the WELL, but most pointedly in the Hosts conference. Some
spicy reading in the Archives conference originated from old hosts'
disputes - and substantial arguments about the implications of CMC for
civil rights, intellectual property, censorship, by a lot of people who
know what they are talking about, mixed liberally with a lot of other
people who don't know what they are talking about, but love to talk
anyway, via keyboard and screen, for years on end.

   In this virtual place, the pillars of the community and the worst
offenders of public sensibilities are in the same group - the hosts. At
their best and their worst, this ten percent of the online population
put out the words that the other ninety percent keep paying to read.
Like good hosts at any social gathering, they make newcomers welcome,
keep the conversation flowing, mediate disputes, clean up messes, and
throw out miscreants, if need be. A WELL host is part salon keeper, part
saloon keeper, part talk-show host, part publisher. The only power to
censor or to ban a user is the hosts' power. Policy varies from host to
host, and that's the only policy. The only justice for those who misuse
that power is the forced participation in weeks of debilitating and
vituperative post-mortem.

   The hosts community is part long-running soap opera, part town
meeting, bar-room brawl, anarchic debating society, creative groupmind,
bloody arena, union hall, playpen, encounter group. The Hosts conference
is extremely general, from technical questions to personal attacks. The
Policy conference is supposed to be restricted to matters of what WELL
policy is, or ought to be. The part-delusion, part-accurate perception
that the hosts and other users have strong influence over WELL policy is
part of what feeds debate here, and a strong element in the libertarian
reputation of the stereotypical WELLite. After fighting my way through a
day's or hour's worth of the Hot New Dispute in News, Hosts, and Policy,
I check on the conferences I host - Info, Virtual Communities, Virtual
Reality. After that my `.cflist' directs me, at the press of the return
key, to the first new topic or response in the Parenting, Writers',
Grateful Dead tours, Telecommunication, Macintosh, Weird, Electronic
Frontier Foundation, Whole Earth, Books, Media, Men on the WELL,
Miscellaneous, and Unclear conferences.

   The social dynamics of the WELL spawn new conferences in response to
different kinds of pressures. Whenever a hot interpersonal or doctrinal
issue breaks out, for example, people want to stage the brawl or make a
dramatic farewell speech or shocking disclosure or serious accusation in
the most heavily-visited area of the WELL, which is usually the place
that others want to be a Commons - a place where people from different
sub-communities can come to find out what is going on around the WELL,
outside the WELL, where they can pose questions to the committee of the
whole. When too many discussions of what the WELL's official policy
ought to be, about censorship or intellectual property or the way people
treat each other, break out, they tended to clutter the place people
went to get a quick sense of what is happening outside their
neighborhoods. So the Policy conference was born.

   But then the WELL grew larger and it wasn't just policy but
governance and social issues like political correctness or the right of
users to determine the social rules of the system. Several years and six
thousand more users after the fission of the News and Policy
conferences, another conference split off News - "MetaWELL,"  a
conference was created strictly to discussions about the WELL itself,
its nature, its situation (often dire), its future.

   Grabbing attention in the Commons is a powerful act. Some people
seem drawn to performing there; others burst out there in acts of
desperation, after one history of frustration or another. Dealing with
people who are so consistently off-topic or apparently deeply grooved
into incoherence, long-windedness, scatology, is one of the events that
challenges a community to decide what its values really are, or ought to
be.

   Something is happening here. I'm not sure anybody understands it
yet. I know that the WELL and the net is an important part of my life
and I have to decide for myself whether this is a new way to make
genuine commitments to other human beings, or a silicon-induced illusion
of community. I urge others to help pursue that question in a variety of
ways, while we have the time. The political dimensions of CMC might lead
to situations that would pre-empt questions of other social effects;
responses to the need for understanding the power-relationships inherent
in CMC are well represented by the Electronic Frontier Foundation and
others. We need to learn a lot more, very quickly, about what kind of
place our minds are homesteading.

   The future of virtual communities is connected to the future of
everything else, starting with the most precious thing people have to
gain or lose - political freedom. The part played by communication
technologies in the disintegration of communism, the way broadcast
television pre-empted the American electoral process, the power of fax
and CMC networks during times of political repression like Tienamen
Square and the Soviet Coup attempt, the power of citizen electronic
journalism, the power-maneuvering of law enforcement and intelligence
agencies to restrict rights of citizen access and expression in
cyberspace, all point to the future of CMC as a close correlate of
future political scenarios. More important than civilizing cyberspace is
ensuring its freedom as a citizen-to-citizen communication and
publication medium; laws that infringe equity of access to and freedom
of expression in cyberspace could transform today's populist empowerment
into yet another instrument of manipulation. Will "electronic democracy"
be an accurate description of political empowerment that grows out of
the screen of a computer? Or will it become a brilliant piece of
disinfotainment, another means of manipulating emotions and
manufacturing public opinion in the service of power.

   Who controls what kinds of information is communicated in the
international networks where virtual communities live? Who censors, and
what is censored? Who safeguards the privacy of individuals in the face
of technologies that make it possible to amass and retrieve detailed
personal information about every member of a large population? The
answers to these political questions might make moot any more abstract
questions about cultures in cyberspace. Democracy itself depends on the
relatively free flow of communications. The following words by James
Madison are carved in marble at the United States Library of Congress:
"A popular government without popular information, or the means of
acquiring it, is but a prologue to a farce or a tragedy, or perhaps
both. Knowledge will forever govern ignorance, and a people who mean to
be their own governors must arm themselves with the power which
knowledge gives." It is time for people to arm themselves with power
about the future of CMC technology.

   Who controls the market for relationships? Will the world's
increasingly interlinked, increasingly powerful, decreasingly costly
communications infrastructure be controlled by a small number of very
large companies? Will cyberspace be privatized and parceled out to those
who can afford to buy into the auction? If political forces do not seize
the high ground and end today's freewheeling exchange of ideas, it is
still possible for a more benevolent form of economic control to stunt
the evolution of virtual communities, if a small number of companies
gain the power to put up toll-roads in the information networks, and
smaller companies are not able to compete with them.

   Or will there be an open market, in which newcomers like Apple or
Microsoft can become industry leaders? The playing field in the global
telecommunications industry will never be level, but the degree of
individual freedom available through telecommunication technologies in
the future may depend upon whether the market for goods and services in
cyberspace remains open for new companies to create new uses for CMC.

   I present these observations as a set of questions, not as answers.
I believe that we need to try to understand the nature of CMC,
cyberspace, and virtual communities in every important context -
politically, economically, socially, culturally, cognitively. Each
different perspective reveals something that the other perspectives do
not reveal. Each different discipline fails to see something that
another discipline sees very well. We need to think as teams here,
across boundaries of academic discipline, industrial affiliation,
nation, to understand, and thus perhaps regain control of, the way human
communities are being transformed by communication technologies. We
can't do this solely as dispassionate observers, although there is
certainly a huge need for the detached assessment of social science. But
community is a matter of the heart and the gut as well as the head. Some
of the most important learning will always have to be done by jumping
into one corner or another of cyberspace, living there, and getting up
to your elbows in the problems that virtual communities face.

FYI:
====

   Howard Rheingold (1985) "Tools for Thought" New York, NY.

   Howard Reingold (1991) "Virtual Reality" New York, NY: Simon &
Schuster.

   Howard Rheingold (1993) "The Virtual Community: Homesteading On The
Electronic Frontier" Addison-Wesley, Reading, MA.

                          *"Everybody's got somewhere they call home."*
                                                        -- Roger Waters

                                         *"All's WELL that ends WELL."*
                                                         -- Shakespeare

"A Statement of Principle" by Bruce Sterling
********************************************

   By *Bruce Sterling* (1) <bruces@well.sf.ca.us>
(Reprinted from SCIENCE FICTION EYE #10 with permission of the author.)

   I just wrote my first nonfiction book. It's called THE HACKER
CRACKDOWN: LAW AND DISORDER ON THE ELECTRONIC FRONTIER. Writing this
book has required me to spend much of the past year and a half in the
company of hackers, cops, and civil libertarians.

   I've spent much time listening to arguments over what's legal, what's
illegal, what's right and wrong, what's decent and what's despicable,
what's moral and immoral, in the world of computers and civil liberties.
My various informants were knowledgeable people who cared passionately
about these issues, and most of them seemed well-intentioned.
Considered as a whole, however, their opinions were a baffling mess of
contradictions.

   When I started this project, my ignorance of the issues involved was
genuine and profound. I'd never knowingly met anyone from the computer
underground. I'd never logged-on to an underground bulletin-board or
read a semi-legal hacker magazine. Although I did care a great deal
about the issue of freedom of expression, I knew sadly little about the
history of civil rights in America or the legal doctrines that surround
freedom of the press, freedom of speech, and freedom of association. My
relations with the police were firmly based on the stratagem of avoiding
personal contact with police to the greatest extent possible.

   I didn't go looking for this project. This project came looking for
me.  I became inextricably involved when agents of the United States
Secret Service, acting under the guidance of federal attorneys from
Chicago, came to my home town of Austin on March 1, 1990, and
confiscated the computers of a local science fiction gaming publisher.
STEVE JACKSON Games, Inc., of Austin, was about to publish a
gaming-book called GURPS Cyberpunk.

   When the federal law-enforcement agents discovered the electronic
manuscript of CYBERPUNK on the computers they had seized from Mr.
Jackson's offices, they expressed grave shock and alarm. They declared
that CYBERPUNK was "a manual for computer crime."

   It's not my intention to reprise the story of the Jackson case in
this column. I've done that to the best of my ability in THE HACKER
CRACKDOWN; and in any case the ramifications of March 1 are far from
over. Mr. Jackson was never charged with any crime. His civil suit
against the raiders is still in federal court as I write this.

   I don't want to repeat here what some cops believe, what some hackers
believe, or what some civil libertarians believe. Instead, I want to
discuss my own moral beliefs as a science fiction writer - such as they
are. As an SF writer, I want to attempt a personal statement of
principle.

   It has not escaped my attention that there are many people who
believe that anyone called a "cyberpunk" must be, almost by definition,
entirely devoid of principle. I offer as evidence an excerpt from BUCK
BLOOMBECKER's 1990 book, SPECTACULAR COMPUTER CRIMES. On page 53, in a
chapter titled "Who Are The Computer Criminals?", Mr. BloomBecker
introduces the formal classification of "cyberpunk" criminality.

   "In the last few years, a new genre of science fiction has arisen
under the evocative name of 'cyberpunk.' Introduced in the work of
WILLIAM GIBSON, particularly in his prize-winning novel NEUROMANCER,
cyberpunk takes an apocalyptic view of the technological future. In
NEUROMANCER, the protagonist is a futuristic hacker who must use the
most sophisticated computer strategies to commit crimes for people who
offer him enough money to buy the biological creations he needs to
survive.  His life is one of cynical despair, fueled by the desire to
avoid death.  Though none of the virus cases actually seen so far have
been so devastating, this book certainly represents an attitude that
should be watched for when we find new cases of computer virus and try
to understand the motivations behind them."

   "The New York Times's JOHN MARKOFF, one of the more perceptive and
accomplished writers in the field, has written that a number of computer
criminals demonstrate new levels of meanness. He characterizes them, as
do I, as cyberpunks."

   Those of us who have read Gibson's NEUROMANCER closely will be aware
of certain factual inaccuracies in Mr. BloomBecker's brief review.
NEUROMANCER is not "apocalyptic." The chief conspirator in NEUROMANCER
forces Case's loyalty, not by buying his services, but by planting
poison-sacs in his brain. Case is "fueled" not by his greed for money or
"biological creations," or even by the cynical "desire to avoid death,"
but rather by his burning desire to hack cyberspace. And so forth.

   However, I don't think this misreading of NEUROMANCER is based on
carelessness or malice. The rest of Mr. BloomBecker's book generally is
informative, well-organized, and thoughtful. Instead, I feel that Mr.
BloomBecker manfully absorbed as much of NEUROMANCER as he could without
suffering a mental toxic reaction. This report of his is what he
actually *saw* when reading the novel.

   NEUROMANCER has won quite a following in the world of computer crime
investigation. A prominent law enforcement official once told me that
police unfailingly conclude the worst when they find a teenager with a
computer and a copy of NEUROMANCER. When I declared that I too was a
"cyberpunk" writer, she asked me if I would print the recipe for a
pipe-bomb in my works. I was astonished by this question, which struck
me as bizarre rhetorical excess at the time. That was before I had
actually examined bulletin-boards in the computer underground, which I
found to be chock-a-block with recipes for pipe-bombs, and worse. (I
didn't have the heart to tell her that my friend and colleague WALTER
JON WILLIAMS had once written and published an SF story closely
describing explosives derived from simple household chemicals.)

   Cyberpunk SF (along with SF in general) has, in fact, permeated the
computer underground. I have met young underground hackers who use the
aliases "Neuromancer," "Wintermute" and "Count Zero." The Legion of
Doom, the absolute bete noire of computer law-enforcement, used to
congregate on a bulletin-board called "Black Ice."

   In the past, I didn't know much about anyone in the underground, but
they certainly knew about me. Since that time, I've had people express
sincere admiration for my novels, and then, in almost the same breath,
brag to me about breaking into hospital computers to chortle over
confidential medical reports about herpes victims.

   The single most stinging example of this syndrome is "PENGO," a
member of the German hacker-group that broke into Internet computers
while in the pay of the KGB. He told German police, and the judge at
the trial of his co-conspirators, that he was inspired by NEUROMANCER
and JOHN BRUNNER's SHOCKWAVE RIDER.

   I didn't write NEUROMANCER. I did, however, read it in manuscript and
offered many purportedly helpful comments. I praised the book publicly
and repeatedly and at length. I've done everything I can to get people
to read this book.

   I don't recall cautioning Gibson that his novel might lead to
anarchist hackers selling their expertise to the ferocious and
repulsive apparat that gave the world the Lubyanka and the Gulag
Archipelago. I don't think I could have issued any such caution, even
if I'd felt the danger of such a possibility, which I didn't. I still
don't know in what fashion Gibson might have changed his book to avoid
inciting evildoers, while still retaining the integrity of his vision -
the very quality about the book that makes it compelling and worthwhile.

   *This leads me to my first statements of moral principle.*

   As a "cyberpunk" SF writer, I am not responsible for every act
committed by a Bohemian with a computer. I don't own the word
"cyberpunk" and cannot help where it is bestowed, or who uses it, or to
what ends.

   As a science fiction writer, it is not my business to make people
behave. It is my business to make people imagine. I cannot control other
people's imaginations - any more than I would allow them to control
mine.

   I am, however, morally obliged to speak out when acts of evil are
committed that use my ideas or my rhetoric, however distantly, as a
justification.

   Pengo and his friends committed a grave crime that was worthy of
condemnation and punishment. They were clever, but treacherously clever.
They were imaginative, but it was imagination in a bad cause.  They were
technically accomplished, but they abused their expertise for illicit
profit and to feed their egos. They may be "cyberpunks" - according to
many, they may deserve that title far more than I do - but they're no
friends of mine.

   What is "crime"? What is a moral offense? What actions are evil and
dishonorable? I find these extraordinarily difficult questions. I have
no special status that should allow me to speak with authority on such
subjects. Quite the contrary. As a writer in a scorned popular
literature and a self-professed eccentric Bohemian, I have next to no
authority of any kind. I'm not a moralist, philosopher, or prophet.
I've always considered my "moral role," such as it is, to be that of a
court jester - a person sometimes allowed to speak the unspeakable, to
explore ideas and issues in a format where they can be treated as games,
thought-experiments, or metaphors, not as prescriptions, laws, or
sermons.

   I have no religion, no sacred scripture to guide my actions and
provide an infallible moral bedrock. I'm not seeking political
responsibilities or the power of public office. I habitually question
any pronouncement of authority, and entertain the liveliest skepticism
about the processes of law and justice. I feel no urge to conform to
the behavior of the majority of my fellow citizens. I'm a pain in the
neck.

   My behavior is far from flawless. I lived and thrived in Austin,
Texas in the 1970s and 1980s, in a festering milieu of arty
crypto-intellectual hippies. I've committed countless "crimes," like
millions of other people in my generation. These crimes were of the
glamorous "victimless" variety, but they would surely have served to
put me in prison had I done them, say, in front of the State
Legislature.

   Had I lived a hundred years ago as I live today, I would probably
have been lynched by outraged fellow Texans as a moral abomination. If I
lived in Iran today and wrote and thought as I do, I would probably be
tried and executed.

   As far as I can tell, moral relativism is a fact of life. I think it
might be possible to outwardly conform to every jot and tittle of the
taboos of one's society, while feeling no emotional or intellectual
commitment to them. I understand that certain philosophers have argued
that this is morally proper behavior for a good citizen. But I can't
live that life. I feel, sincerely, that my society is engaged in many
actions which are foolish and shortsighted and likely to lead to our
destruction. I feel that our society must change, and change radically,
in a process that will cause great damage to our present system of
values. This doesn't excuse my own failings, which I regret, but it does
explain, I hope, why my lifestyle and my actions are not likely to make
authority feel entirely comfortable.

   Knowledge is power. The rise of computer networking, of the
Information Society, is doing strange and disruptive things to the
processes by which power and knowledge are currently distributed.
Knowledge and information, supplied through these new conduits, are
highly corrosive to the status quo. People living in the midst of
technological revolution are living outside the law: not necessarily
because they mean to break laws, but because the laws are vague,
obsolete, overbroad, draconian, or unenforceable. Hackers break laws as
a matter of course, and some have been punished unduly for relatively
minor infractions not motivated by malice. Even computer police,
seeking earnestly to apprehend and punish wrongdoers, have been accused
of abuse of their offices, and of violation of the Constitution and the
civil statutes.  These police may indeed have committed these "crimes."
Some officials have already suffered grave damage to their reputations
and careers - all the time convinced that they were morally in the
right; and, like the hackers they pursued, never feeling any genuine
sense of shame, remorse, or guilt.

   I have lived, and still live, in a counterculture, with its own
system of values. Counterculture - Bohemia - is never far from
criminality.  "To live outside the law you must be honest" was Bob
Dylan's classic hippie motto. A Bohemian finds romance in the notion
that "his clothes are dirty but his hands are clean." But there's
danger in setting aside the strictures of the law to linchpin one's
honor on one's personal integrity. If you throw away the rulebook to
rely on your individual conscience you will be put in the way of
temptation.

   And temptation is a burden. It hurts. It is grotesquely easy to
justify, to rationalize, an action of which one should properly be
ashamed. In investigating the milieu of computer-crime I have come into
contact with a world of temptation formerly closed to me.  Nowadays, it
would take no great effort on my part to break into computers, to steal
long-distance telephone service, to ingratiate myself with people who
would merrily supply me with huge amounts of illicitly copied software.
I could even build pipe-bombs. I haven't done these things, and
disapprove of them; in fact, having come to know these practices better
than I cared to, I feel sincere revulsion for them now. But this
knowledge is a kind of power, and power is tempting. Journalistic
objectivity, or the urge to play with ideas, cannot entirely protect
you. Temptation clings to the mind like a series of small but nagging
weights. Carrying these weights may make you stronger. Or they may drag
you down.

   "His clothes are dirty but his hands are clean." It's a fine ideal,
when you can live up to it. Like a lot of Bohemians, I've gazed with a
fine disdain on certain people in power whose clothes were clean but
their hands conspicuously dirty. But I've also met a few people eager
to pat me on the back, whose clothes were dirty and their hands as well.
They're not pleasant company.

   Somehow one must draw a line. I'm not very good at drawing lines.
When other people have drawn me a line, I've generally been quite
anxious to have a good long contemplative look at the other side. I
don't feel much confidence in my ability to draw these lines. But I
feel that I should.  The world won't wait. It only took a few guys with
pool cues and switchblades to turn Woodstock Nation into Altamont.
Haight-Ashbury was once full of people who could trust anyone they'd
smoked grass with and love anyone they'd dropped acid with - for about
six months. Soon the place was aswarm with speed-freaks and junkies,
and heaven help us if they didn't look just like the love-bead dudes
from the League of Spiritual Discovery. Corruption exists, temptation
exists. Some people fall. And the temptation is there for all of us,
all the time.

   I've come to draw a line at money. It's not a good line, but it's
something. There are certain activities that are unorthodox, dubious,
illegal or quasi-legal, but they might perhaps be justified by an honest
person with unconventional standards. But in my opinion, when you're
making a commercial living from breaking the law, you're beyond the
pale. I find it hard to accept your countercultural sincerity when
you're grinning and pocketing the cash, compadre.

   I can understand a kid swiping phone service when he's broke,
powerless, and dying to explore the new world of the networks. I don't
approve of this, but I can understand it. I scorn to do this myself,
and I never have; but I don't find it so heinous that it deserves
pitiless repression. But if you're stealing phone service and selling
it - if you've made yourself a miniature phone company and you're
pimping off the energy of others just to line your own pockets - you're
a thief.  When the heat comes to put you away, don't come crying
"brother" to me.

   If you're creating software and giving it away, you're a fine human
being. If you're writing software and letting other people copy it and
try it out as shareware, I appreciate your sense of trust, and if I like
your work, I'll pay you. If you're copying other people's software and
giving it away, you're damaging other people's interests, and should be
ashamed, even if you're posing as a glamorous info-liberating
subversive. But if you're copying other people's software and selling
it, you're a crook and I despise you.

   Writing and spreading viruses is a vile, hurtful, and shameful
activity that I unreservedly condemn.

   There's something wrong with the Information Society. There's
something wrong with the idea that "information" is a commodity like a
desk or a chair. There's something wrong with patenting software
algorithms.  There's something direly mean spirited and ungenerous
about inventing a language and then renting it out to other people to
speak. There's something unprecedented and sinister in this process of
creeping commodification of data and knowledge. A computer is something
too close to the human brain for me to rest entirely content with
someone patenting or copyrighting the process of its thought.  There's
something sick and unworkable about an economic system which has
already spewed forth such a vast black market. I don't think democracy
will thrive in a milieu where vast empires of data are encrypted,
restricted, proprietary, confidential, top secret, and sensitive. I
fear for the stability of a society that builds sand castles out of
databits and tries to stop a real-world tide with royal commands.

   Whole societies can fall. In Eastern Europe we have seen whole
nations collapse in a slough of corruption. In pursuit of their
unworkable economic doctrine, the Marxists doubled and redoubled their
efforts at social control, while losing all sight of the values that
make life worth living. At last the entire power structure was so
discredited that the last remaining shred of moral integrity could only
be found in Bohemia: in dissidents and dramatists and their illegal
samizdat underground fanzines. Their clothes were dirty but their hands
were clean. The only agitprop poster Vaclav Havel needed was a sign
saying *Vaclav Havel Guarantees Free Elections.* He'd never held power,
but people believed him, and they believed his Velvet Revolution
friends.

   I wish there were people in the Computer Revolution who could
inspire, and deserved to inspire, that level of trust. I wish there
were people in the Electronic Frontier whose moral integrity
unquestionably matched the unleashed power of those digital machines. A
society is in dire straits when it puts its Bohemia in power. I tremble
for my country when I contemplate this prospect. And yet it's possible.
If dire straits come, it can even be the last best hope.

   The issues that enmeshed me in 1990 are not going to go away. I
became involved as a writer and journalist, because I felt it was right.
Having made that decision, I intend to stand by my commitment. I expect
to stay involved in these issues, in this debate, for the rest of my
life. These are timeless issues: civil rights, knowledge, power, freedom
and privacy, the necessary steps that a civilized society must take to
protect itself from criminals. There is no finality in politics; it
creates itself anew, it must be dealt with every day.

   The future is a dark road and our speed is headlong. I didn't ask for
power or responsibility. I'm a science fiction writer, I only wanted to
play with Big Ideas in my cheerfully lunatic sandbox. What little
benefit I myself can contribute to society would likely be best employed
in writing better SF novels. I intend to write those better novels, if I
can. But in the meantime I seem to have accumulated a few odd shreds of
influence. It's a very minor kind of power, and doubtless more than I
deserve; but power without responsibility is a monstrous thing.

   In writing HACKER CRACKDOWN, I tried to describe the truth as other
people saw it. I see it too, with my own eyes, but I can't yet pretend
to understand what I'm seeing. The best I can do, it seems to me, is to
try to approach the situation as an open-minded person of goodwill.  I
therefore offer the following final set of principles, which I hope will
guide me in the days to come.

   * I'll listen to anybody, and I'll try to imagine myself in their
     situation.

   * I'll assume goodwill on the part of others until they fully earn my
     distrust.

   * I won't cherish grudges. I'll forgive those who change their minds
     and actions, just as I reserve the right to change my own mind and
     actions.

   * I'll look hard for the disadvantages to others, in the things that
     give me advantage. I won't assume that the way I live today is the
     natural order of the universe, just because I happen to be
     benefiting from it at the moment.

   And while I don't plan to give up making money from my ethically
dubious cyberpunk activities, I hope to temper my impropriety by giving
more work away for no money at all.

   ---------- Footnotes ----------

   (1)  Copyright (C) 1992 by Bruce Sterling.  All rights reserved.

FYI:
====

   Bruce Sterling (1992) "Free as Air, Free as Water, Free as Knowledge"
Speech to the Library Information Technology Association, June 1992.
San Francisco, CA.

   Bruce Sterling (1992) "The Hacker Crackdown: Law and Disorder at the
Electronic Frontier", Bantam Books, NY: New York.

   Bruce Sterling & William Gibson (1993) "Literary Freeware -- Not for
Commercial Use" Speeches to National Academy of Sciences Convocation on
Technology and Education, May 10, 1993, Washington, D.C.: Computer
Underground Digest #5.54.

   Bruce Sterling (1992-1993) "Agitprop disk: Literary Freeware -- Not
for Commercial Use" Contains various SF magazine columns, texts of
speeches, etc.  Available via anonymous FTP from `ftp.eff.org' in
directory `/pub/agitprop'.  Or use Gopher at `gopher.well.sf.ca.us'
(alternatively `tic.com') and see under `Bruce Sterling/'.

   Bruce Sterling (1994) "The Hacker Crackdown: Law and Disorder at the
Electronic Frontier (electronical issue)" New on the "Agitprop" disk,
and all archives it is available from (cf above).

                             *"...and the silicon chip inside her head,
                                              has turned to overload."*
                                  -- Bob Geldof, "I don't like Mondays"

Preserving and Promoting the "Internet Culture" by Peter Deutsch
****************************************************************

   By *Peter Deutsch* (1) <peterd@bunyip.com>
(Reprinted from "Internet World" (March 1994), with kind permission of
the author.)

   There's something special about the Internet. Anyone with even a
passing exposure to this eighth wonder of the world will vouch for the
accuracy of this claim, but explaining exactly what the fuss is all
about to someone who has not yet experienced its delights first hand
can be a real challenge.

   Now, we can be sure it's not the nifty technology. The fact is,
although there *is* a certain sense of magic in logging onto a machine
in another country for the first time there are other technologies that
offer a similar sense of wonder or power. Besides, the majority of
Internet users don't really care what all those acronyms stand for. At
this point, even the majority of us involved in creating the stuff
would probably admit that in our hearts we know that this is just the
glue that holds everything together. The real excitement lies elsewhere.

   Nor is the magic to be found in the mountains of information that
the Internet makes available to its users. Let's face it, despite the
fact that there is quite a lot of useful stuff out there, in reality
the "Information Age" promise of the Internet is still more potential
than reality. At this point, content is best measured in quantity, not
quality.

   No, if there is one thing that seems to captivate people more than
anything else from the moment they first make contact with the
Internet, it is that inexplicable sense of civic pride and community
spirit that bonds each of us to every other user on the net. When you
find another Internaut at a traditional social function and end up
swapping email addresses, you're affirming your membership in a group
with its own rituals, rites and secret handshakes. You're affirming
your membership in a semi-secret society that appears to be well on the
way to changing the world.

   It seems to me that "knowing the secret Internet handshake" is the
real thrill here. It leads to a form of communal bonding that makes
swapping email addresses the cyberspace equivalent of inviting someone
into your house for dinner. This sharing of your secret name is an act
of faith, a demonstration that your new-found friend can be trusted to
fit in with your current set of friends and neighbors, that a newcomer
has in fact shown that they know the secret handshake and are worthy of
your acceptance and support.

   Part of this sense of community is probably fueled by our simple but
compelling need for help if we are to survive those lonely nights in
the Internet wilderness, for the Internet is still a land where user
interfaces are "red in tooth and claw" and loners don't last long.
Without a guiding hand in those early stages few of us would have
avoided fairly prompt Darwinian selection and thus there's lots of
incentive to learn to "play nicely with the other kids" if you really
want to get any work done.

   But there's more to it than that. This sense of community is surely
sustained by the ease with which such help is sought and given. Most
users readily admit that they need the extra eyes and ears of their
"extended family" to bring them news of new offerings and found
treasures. Newcomers seem to rapidly and naturally find the appropriate
mailing lists, newsgroups, archives or gopher servers that cater to
their own particular needs and in the process they cluster together
with others who share similar interests in various "virtual villages".
That's where the real excitment of the Internet is to be found, in
joining and building the cyberspace frontier.

   I've been incredibly fortunate over the past couple of years to be
able to travel and meet Internet users from around the world. In the
process, I've been amazed at how similar we are all under the skin.

   Here's just a sampling of some of the interesting people I share my
net with:

        Naswa, an Arab woman responsible for the first Internet link
     into her    country, who once told me tales of pulling cable under
     false floors in the    middle of the night and eating sandwiches
     over the terminal while struggling    to get the routing tables in
     place before the first users showed up for work    in the morning.
     It turns out we'd shared exactly the same experiences in
     bringing the Internet into our respective institutions.
     Daniel, a Frenchman who gave up a lucrative job at IBM to help
     bring    networking into the Caribbean. He told me tales of his
     efforts to develop    email software that could function across
     the region's atrocious phone links    while also providing its
     user help facility in four languages. The package is    made
     available by aid workers and given away at development conferences.
       Anders, a psychologist turned gopher expert in Scandinavia who
     works to bring    together the librarians and computer operations
     people while never forgetting    that we're really supposed to be
     doing all of this for the users. With a    background far removed
     from the arcane world of computing, Anders is able to
     constantly remind me that technology is not the point, only a
     point of    departure.

   What appears to tie together this disparate group of connectivity
providers, developers, operators and users is the shared conviction
that we're all working on something important. Although as far as I
know none of these people have actually met, I'm sure that if brought
together they'd all recognize each other instantly. I certainly felt a
kinship when I met each one of them in my travels.  It was clear that
we are all from the same small village and it was nice to come home.

   I can't help but see this spontaneous creation of online communities
as a natural response to those cold winter nights, when the new version
of Mosaic refuses to install and the howling of distant UNIX hackers
can be heard far off across the tundra.

   But there is also the shared joy of a communal feast, held perhaps
after the virtual community's hunters have subdued a fat new gopher
server for the group to enjoy. After a brief struggle to isolate its
port number and bring it to its knees with multiple queries, the
information monster is conquered once again and there is joyous
feasting around the campfires as we all gorge ourselves on this latest
net offering and bask in the warm glow of communal friendship.

   If you (and my editor) will forgive me this brief flight of literary
fantasy, I think there is actually a point in here somewhere. If you
are ever called upon to explain the magic of the Internet to those who
have yet to learn the secret handshake (whether it be a recalcitrant
boss or a puzzled life partner) then I'd definitely forgo the tutorial
on TCP/IP's ability to survive a nuclear war or the rapturous
recitation of the list of anonymous FTP servers currently carrying
XMosaic. What really matters here is that people help each other out,
they do it with warmth and friendship, there's a great feeling of
communal spirit and everything seems to work, more or less.

   Although as a newcomer to the Internet you might sometimes feel like
you've wandered onto a construction site, what with all the
half-finished software and the half-baked and incomplete services
you're confronted with on a daily basis, the happy campers living here
have somehow managed to make the place livable and welcome you into
their little world with open arms, asking only that you learn the
rules, do your share of the housework and don't trample on the
flowerbeds.  It's not a bad life, really.

   And the Internet does tend to take care of its own. Whenever someone
announces a new service people look it over and run it through their
collective "cultural filter". Woe betide those who would bring forth a
new service that doesn't appear to respect the cultural norms or
provide for the required nod towards altruism or shared sacrifice. If
your nifty new plan to make a million off the Internet doesn't seem to
have at least some small component of sharing as part of its mandate,
then you risk a flood of email, angry Usenet postings and maybe even,
if the crowd is angry enough, actual phone calls of complaint.

   Of course, this is not to say that we're facing the dawning of the
Age of Aquarius (if I may be permitted to date myself just a bit). In
fact, numerous large commercial entities have come to play in the
Internet sandbox, with many more coming online every day. This raises
real questions about whether we're going to be able to preserve the
potlatch culture in this new age of Mammon.  I've even seen postings
which refer to the current Internet culture as a "hothouse flower", as
if it is something precious yet fragile that must be preserved against
the interlopers who would do it harm.

   For what it's worth, I firmly believe that the current Internet
culture is actually far tougher than it appears at first glance. In
some measure I think this is due to fact that our need for help when
getting started leads us naturally to cooperation as a form of
enlightened self-interest. But I also think this is true because
cooperation has so obviously worked to date that its benefits quickly
makes a convert out of each new-comer who shows up.

   I hope I'm right about this, since if the new commercialism does
fulfill its promise and actually provide us with better quality
interfaces and sources of information it would appear to lessen that
driving need for help which I think helps bind us all together. If
new-comers can avoid the painful rites of passage will they still be as
cooperative with their neighbors? Will it be the same Internet when we
don't all share the same scars under our clothes and tell the same
horrors stories to our children? I hope so.

   Of course, for those worrying about a flood of nouveau riche Internet
entrepreneurs carrying off the tribe's birthright there's still some
time yet before we all have to pack up and head off into the sunset. I
don't yet see lots of millionaires pulling up to the IETF in big cars
(although the flood of well-dressed sales people at Interop is starting
to become a bit intimidating to those of us whose primary sartorial
decision-making revolve around the choice between dark or light
T-shirts each morning).

   In fact, as one of the principals in a small startup, I report with
somewhat mixed feelings that a slightly bemused venture capitalist once
said to me not too long ago "I see lots of money changing hands around
the Internet, I just don't see anybody making lots of money". Of
course, he was only looking at connectivity, since there's not many
other places yet where the money is moving in quantity.

   In any event, I suspect that this lack of real "get rich quick"
success stories is helping to keep some of the more onerous fast buck
artists out of town. This is just as well, since probably the last
thing we need right now is for some Internet prospector to come down
out of the hills waving around a couple of fist-sized nuggets, shouting
"Gold!". We still need a bit of time to get the sidewalks in before
that particular rush begins.

   Of course, if you're not quite as complacent as I am you want to
help out on picket duty while the rest of us are sleeping. Here are a
few things you might want to keep an eye out for in the next little
while.

        When we start to see people really shutting down the volunteer
     services    because of exploding demand, it might be time to start
     worrying (but the mere    sighting of a posting which predicts
     their demise doesn't count. I've been    seeing those for years).
       When we start to see newly arrived commercial services flaunt
     local customs    and get away with it, it might be time to start
     worrying (For example, if a    commercial site were to send out a
     pile of unsolicited email for their wares,    and nobody bothers
     to flame them, then I'd be nervous).     Most importantly, if you
     suddenly found yourself signing off the Internet    early one day
     just so you can go find something just a bit more interesting
     to do, then I think it would be time to really start wondering
     where we all    went wrong!

   So, can the Internet culture survive? I don't know. I do know that
it has proved a remarkably hardy creature so far. I trust that with
just a little bit of care and feeding it can carry on for a good while
yet. If each Internet traveller who meets it on the road will do their
bit to keep it going for a while longer we can perhaps enjoy its
presence for a good while to come.

                                                          Peter Deutsch
                                                    <peterd@bunyip.com>
                                        Bunyip Information Systems Inc.

   ---------- Footnotes ----------

   (1)  Copyright (C) 1993 by Peter Deutsch, Bunyip Information Systems
Inc.  All rights reserved.

Subject: "TIME Article on Internet" by Philip Elmer-Dewitt
**********************************************************

   By *Philip Elmer-Dewitt* (1)
(Reprinted from article posted to <interesting-people@eff.org>, and
originally in TIME magazine)

                              TECHNOLOGY

                      FIRST NATION IN CYBERSPACE

     *Twenty million strong and adding a million new users a month, the
     Internet is suddenly the place to be.*

   Back in the mid-1960s, at the height of the cold war, the Department
of Defense faced a tough question: How could orders be issued to the
armed forces if the U.S. were ravaged by a nuclear assault? The
communication hubs in place at the time - the telephone switching
offices and the radio and TV broadcast stations - were not only
vulnerable to attack, they would also probably be the first to go. The
Pentagon needed a military command-and-control system that would
continue to operate even if most of the phone lines were in tatters and
the switches had melted down.

   In 1964 a researcher at the Rand Corp. named Paul Baran came up with
a bizarre solution to this Strangelovian puzzle. He designed a
computer-communications network that had no hub, no central switching
station, no governing authority, and that assumed that the links
connecting any city to any other were totally unreliable. Baran's system
was the antithesis of the orderly, efficient phone network; it was more
like an electronic post office designed by a madman. In Baran's scheme,
each message was cut into tiny strips and stuffed into electronic
envelopes, called packets, each marked with the address of the sender
and the intended receiver. The packets were then released like so much
confetti into the web of interconnected computers, where they were
tossed back and forth over high-speed wires in the general direction of
their destination and reassembled when they finally got there. If any
packets were missing or mangled (and it was assumed that some would
be), it was no big deal; they were simply re-sent.

   Baran's packet-switching network, as it came to be called, might have
been a minor footnote in cold war history were it not for one
contingency: it took root in the computers that began showing up in
universities and government research laboratories in the late 1960s and
early 1970s and became, by a path as circuitous as one taken by those
wayward packets, the technological underpinning of the Internet.

   The Internet, for those who haven't been hanging out in cyberspace,
reading the business pages or following Doonesbury, is the mother of all
computer networks - an anarchistic electronic freeway that has spread
uncontrollably and now circles the globe. It is at once the shining
archetype and the nightmare vision of the information highway that the
Clinton Administration has been touting and that the telephone and
cable-TV companies are racing to build. Much of what Bell Atlantic and
Time Warner are planning to sell - interactivity, two-way
communications, multimedia info on demand - the Internet already
provides for free. And because of its cold war roots, the Internet has
one quality that makes it a formidable competitor: you couldn't destroy
it if you tried.

   Nobody owns the Internet, and no single organization controls its
use. In the mid-1980s the National Science Foundation built the
high-speed, long-distance data lines that form Internet's U.S.
backbone. But the major costs of running the network are shared in a
cooperative arrangement by its primary users: universities, national
labs, high-tech corporations and foreign governments. Two years ago,
the NSF lifted restrictions against commercial use of the Internet, and
in September the White House announced a plan to make it the starting
point for an even grander concept called the National Information
Infrastructure.

   Suddenly the Internet is the place to be. College students are
queuing up outside computing centers to get online. Executives are
ordering new business cards that show off their Internet addresses.
Millions of people around the world are logging on to tap into
libraries, call up satellite weather photos, download free computer
programs and participate in discussion groups with everyone from
lawyers to physicists to sadomasochists. Even the President and Vice
President have their own Internet accounts (although they aren't very
good at answering their mail). "It's the Internet boom," says network
activist Mitch Kapor, who thinks the true sign that popular interest
has reached critical mass came this summer when the New Yorker printed
a cartoon showing two computer-savvy canines with the caption, "On the
Internet, nobody knows you're a dog."

   But the Internet is not ready for prime time. There are no TV Guides
to sort through the 5,000 discussion groups or the 2,500 electronic
newsletters or the tens of thousands of computers with files to share.
Instead of feeling surrounded by information, first-timers ("newbies" in
the jargon of the Net) are likely to find themselves adrift in a
borderless sea. Old-timers say the first wave of dizziness doesn't last
long. "It's like driving a car with a clutch," says Thomas Lunzer, a
network designer at SRI International, a California consulting firm.
"Once you figure it out, you can drive all over the place."

   But you must learn new languages (like UNIX), new forms of address
(like <president@white house.gov>) and new ways of expressing feeling
(like those ubiquitous sideways smiley faces), and you must master a
whole set of rules for how to behave, called netiquette. Rule No. 1:
Don't ask dumb questions. In fact, don't ask any questions at all
before you've read the FAQ (frequently asked questions) files.
Otherwise you risk annoying a few hundred thousand people who may
either yell at you (IN ALL CAPS!) or, worse still, ignore you.

   All that is starting to change, however, as successive waves of
netters demand, and eventually get, more user-friendly tools for
navigating the Internet. In fact, anyone with a desktop computer and a
modem connecting it to a phone line can now find ways into and around
the network. "The Internet isn't just computer scientists talking to
one another anymore," says Glee Willis, the engineering librarian at
the University of Nevada at Reno and one of nearly 20,000 (mostly
female) academic librarians who have joined the Internet in the past
five years. "It's a family place. It's a place for perverts. It's
everything rolled into one."

   As traffic swells, the Internet is beginning to suffer the problems
of any heavily traveled highway, including vandalism, break-ins and
traffic jams. "It's like an amusement park that's so successful that
there are long waits for the most popular rides," says David Farber, a
professor of information science at the University of Pennsylvania and
one of the network's original architects. And while most users wait
patiently for the access and information they need, rogue hackers use
stolen passwords to roam the network, exploring forbidden computers and
reading other people's mail.

   How big is the Internet? Part of its mystique is that nobody knows
for sure. The only fact that can be measured precisely is the number of
computers directly connected to it by high-speed links - a figure that
is updated periodically by sending a computer program crawling around
like a Roto-Rooter, tallying the number of connections (last count:
roughly 2 million). But that figure does not include military computers
that for security reasons are invisible to other users, or the hundreds
of people who may share a single Internet host. Nor does it include
millions more who dial into the Internet through the growing number of
commercial gateways, such as Panix and Netcom, which offer indirect
telephone access for $10 to $20 a month. When all these users are taken
into account, the total number of people around the world who can get
into the Internet one way or another may be 20 million. "It's a large
country," says Farber of the Internet population. "We ought to apply to
the U.N. as the first nation in cyberspace."

   That nation is about to get even bigger as the major commercial
computer networks - Prodigy, CompuServe, America Online, GEnie and
Delphi Internet Service - begin to dismantle the walls that have
separated their private operations from the public Internet. The
success of the Internet is a matter of frustration to the owners of the
commercial networks, who have tried all sorts of marketing tricks and
still count fewer than 5 million subscribers among them. Most
commercial networks now allow electronic mail to pass between their
services and the Internet. Delphi, which was purchased by Rupert
Murdoch's News Corp. in September, began providing its customers full
Internet access last summer. America Online (which publishes an
electronic version of Time) is scheduled to begin offering limited
Internet services later this month.

   People who use these new entry points into the Net may be in for a
shock.  Unlike the family-oriented commercial services, which censor
messages they find offensive, the Internet imposes no restrictions.
Anybody can start a discussion on any topic and say anything. There
have been sporadic attempts by local network managers to crack down on
the raunchier discussion groups, but as Internet pioneer JOHN GILMORE
puts it, "The Net interprets censorship as damage and routes around it."

   The casual visitor to the newsgroups on the Usenet (a bulletin-board
system that began as a competitor to the Internet but has been largely
subsumed by it) will discover discussion groups labeled, according to
the Net's idiosyncratic cataloging system, alt.sex.masturbation,
alt.sex.bondage and alt.sex.fetish.feet. On Internet Relay Chat, a
global 24-hour-a-day message board, one can stumble upon imaginary
orgies played out with one-line typed commands ("Now I'm taking off
your shirt..."). In `alt.binaries.pictures.erotica', a user can peek at
snapshots that would make a sailor blush.

   But those who focus on the Internet's sexual content risk missing the
point. For every sexually oriented discussion group there are hundreds
on tamer and often more substantial topics ranging from bungee jumping
to particle physics. Last week Virginia college student CHRIS GLOVER
responded to a distressed message from a suicidal undergraduate in
Denver.  After two hours of messages back and forth, Glover was able to
pinpoint the woman's location and call for help.

   With all this variety, Internet users are unimpressed by television's
promise of a 500-channel future. The Internet already delivers 10,000
channels, and the only obstacle that prevents it from carrying live TV
pictures is the bandwidth (or carrying capacity) of the data lines. Some
video clips - and at least one full-length video movie - are already
available on the network. And last spring, writer Carl Malamud began
using the Internet to distribute a weekly "radio" interview show called
Geek of the Week. Malamud is undeterred by the fact that it takes a
computer about an hour over a high-speed modem to capture the 30
minutes of sound that a $10 radio can pick up instantly for free. But
bandwidth capacity has nowhere to go but up, says Malamud, and its cost
will only go down.

   The Internet, however, will have to go through some radical changes
before it can join the world of commerce. Subsidized for so long by the
Federal Government, its culture is not geared to normal business
activities. It does not take kindly to unsolicited advertisements; use
electronic mail to promote your product and you are likely to be
inundated with hate mail directed not only at you personally but also
at your supervisor, your suppliers and your customers as well. "It's a
perfect Marxist state, where almost nobody does any business," says
Farber. "But at some point that will have to change."

   The change has already begun. NSF's contribution now represents
about 10% of the total cost of the network, and the agency is scheduled
to start phasing out its support next April, removing at the same time
what few restrictions still remain against commercial activity.
According to Tim O'Reilly, president of O'Reilly & Associates, a
publisher experimenting with advertiser-supported Internet magazines,
the system could evolve in one of two ways: either entrepreneurs will
manage to set up shop on a free-market version of the Internet, or some
consortium will take the whole thing over and turn it into a giant
CompuServe. "That's an outcome," O'Reilly says, "that would effectively
destroy the Internet as we know it."

   As the traffic builds and the billboards go up, some Internet
veterans are mourning the old electronic freeway. "I feel kind of sad
about it," says Denise Caruso, editorial director of Friday Holdings, a
publisher specializing in new media. "It was such a dynamic, pulsing
thing. I wonder whether we shouldn't have left it alone." Others see
the period of uncertainty ahead as a rare opportunity for citizens to
shape their own technological destiny. "We need... a firm idea of the
kind of media environment we would like to see in the future," warns
Howard Rheingold in his new book, The Virtual Community. While it may
be difficult for communities as diverse as those on the Internet to set
their own agenda, it seems increasingly likely that if they don't,
someone else will do it for them.

   With reporting by DAVID S. JACKSON/San Francisco and WENDY
KING/Washington.

   ---------- Footnotes ----------

   (1)  Copyright (C) 1993 by Philip Elmer-Dewitt.  All rights reserved.

Subject: "A Perspective on NREN" by Greg Chartrand
**************************************************

   By *Greg Chartrand* (1) <Greg_Chartrand@qmail.ssc.gov>

     National Science Foundation Develops a National Super Highway

                            GREG CHARTRAND

                                3/11/93

     "I just returned from a network meeting in San Diego today and
     thought you would be interested in my interpretation of what NSF
     proposes for the National Education and Research Network (NREN).
     Rather than comment specifically, I decided it would be
     interesting to write a *parody* which relates the NREN to the
     construction of a national super highway. Doing so removes the
     highly technical aspects of the overall planned functions the NREN.
     Please excuse this style, but I think its the only way to explain
     my understanding of their plan in a way that does not immediately
     get very technical. It may be flawed, but the information is based
     upon Hans-Werner Braun's presentation.... as I understood it."

   The National Science Foundation is in the process of developing
plans to build a national super highway that will advance
transportation technology in our country. The super highway proposed
will replace the existing interstate highway system and allow speeds of
at least 240 MPH. the following interview with NSF developers explores
their current plans.

                                   *

   ME: I understand you are building a new Super national highway(2) to
serve the purposes of advancing ground transportation throughout our
county.

   NSF: Yes we are, as a part of an earlier initiative sponsored by the
then Senator Gore. We are very excited about the technology that will
allow transportation speeds of 240 MPH(3) across the country.

   ME: That sounds exciting, how will it be built?

   NSF: Well, we will have this super highway designed to allow the
high speed travel(4) and it will have six entrance/exit ramps.(5)

   ME: Ahh.... that doesn't sound like very many ramps, where will they
be located?

   NSF: Well, several years ago we funded the establishment of six
gourmet restaurants(6) scattered across the country, we are going to
fund the building of the super highway and access ramps at the
restaurant locations. We are however allowing the ramp contractor(7) to
build as many ramps as he wishes, at his own expense.

   ME: I assume then the contractor for the highway(8) builds ramps
where ever it makes sense to optimize access.

   NSF: Well, not exactly. We are separating the contracts for the
ramps and the highway so the bidders can be very competitive.

   ME: I see. How to you plan to connect the rest of the interstate
highway system(9) to your super national highway?

   NSF: Well actually, its not part of our plan. We are having the
highway and access ramps built for us, its up to the states or other
government agencies to provide the highways to the access ramps. We
will however fund a few temporary roads(10) to connect parts of the
existing interstate highway system, but don't intend to make them
permanent. Did I forget to mention that we will be shutting down the
existing interstate highway system?(11)

   ME: You mean I will no longer be able to drive across the existing
interstate highway system?

   NSF: Yes, it will be destroyed.

   ME: OK, lets see If I understand. I have a state highway system for
example, and I put in a connecting highway to your super highway, and I
can now travel on it, right?

   NSF: Well, no you can't. The super highway will only be used for
vehicles that can run 240 MPH(12) and we must approve every vehicle,
destination, and trip the vehicle takes.(13) We don't want our super
highway clogged with vehicles which can only travel 70 MPH!(14)

   ME: I'm confused. You mean you want my state for example, to build
an access road to a super highway it can't generally use?

   NSF: Well, yes and no. You see we also want to encourage development
of toll roads in our country.(15) Our six high speed access ramps are
wide enough to allow parallel toll roads to be accessed as well as our
super highway. Private road builders will be able to put in toll roads
between our access ramps, for a fee.

   ME: So there will no longer be a "free" interstate highway system?

   NSF: Right!

   ME: Lets see if I got this straight. You build a national super
highway that has six access ramps located where you once established
gourmet restaurants and you destroy the interstate highway system.
There are no plans to replicate the functionality of the interstate
highway systems, but you will allow private toll road builders to use
your wide access ramps and develop parallel toll roads to your super
highway. My state or the government has to build the roads that lead to
the super highway, but once there, cannot travel on it unless the
specific vehicle can run at 240 MPH and has specific permission from
you to travel on it.

   NSF: You've got it!

   ME: Well then you must have a very interesting reason to put this
highway and the access ramps at these restaurant locations.

   NSF: Well, you see, the gourmet food business isn't what it used to
be. Fast food has really taken over in our country, we really need to
preserve the gourmet food business.(16) High quality restaurants should
be located right off of classy high speed highways. We really would
like to encourage restaurant patrons to use the super highway so they
can have breakfast in San Diego and dinner in Champaign Illinois. We
will be looking for patrons who can afford to eat at multiple
restaurants and we will let them ride the highway for free! Of course
they must have a vehicle that can go 240 MPH.(17)

   ME: I'm even more confused. How will I get across the country?

   NSF: Well, if your state puts in an access road to one of our access
ramps you take it, and then exit-off on to one of the toll roads that
will be built parallel to our super highway.

   ME: How fast will I be able to go?(18)

   NSF: What ever the speed limit is on the toll road.

   ME: What will it cost me to ride on it?

   NSF: What ever the toll is. You see, we expect that several toll
roads will be developed. Competition! It should keep the price down.

   ME: When the super highway is empty, how will it be used?

   NSF: Well, we are telling the gourmet restaurants that they should
work together even though they will be competing with each other for
customers.(19) You know, they could develop plans to send trash to each
other so they can demonstrate how fast the transportation is on the
super highway, it would be in their best interest.(20)

   ME: Aren't there plans for development of high speed toll roads
already in progress by several toll road builders? What makes you think
they will put their roads in-between your access ramps?(21)

   NSF: F.O.D.

   ME: What?

   NSF: Field Of Dreams. If we build it they will come.

   ME: So again, tell me who pays for what?

   NSF: The government funds the super highway and six access ramps.
The toll road providers build their own roads and pays an access fee
for the ramps. The states and other government agencies pay for any
roads necessary to get to the access ramps. When you get on a toll road
and pay what ever the price is.

   ME: And the only one's allowed to ride on the super highway are
those persons who have special vehicles that can go 240 MPH with your
specific permission, or those who can afford to frequent the gourmet
restaurants and travel at 240 MPH. Everyone else takes the toll roads.

   NSF: Right, but don't forget the trash runs between restaurants!

   ME: Oh, how silly of me! Hmmmm. I wonder if this is really what
Senator Gore had in mind?

            *"If we do not succeed, then we face the risk of failure."*
                                           -- Vice President Dan Quayle

                       *"What a terrible thing to have lost one's mind.
                      Or not to have a mind at all. How true that is."*
                                           -- Vice President Dan Quayle
      (winning friends while speaking to the United Negro College Fund)

   ---------- Footnotes ----------

   (1)  Copyright (C) 1993 by Greg Chartrand.  All rights reserved.

   (2)  NSFnet backbone project

   (3)  155 megabit/s

   (4)  high speed data transfer

   (5)  Network Access Points (NAP's)

   (6)  NSF sponsored super computer centers

   (7)  The contractor providing the NAP's.

   (8)  The contractor to provide the backbone telecommunications
services

   (9)  The Existing internet, regional, state, and other networks

   (10)  NSF plans to provide interim funding for NSF regionals to
connect to the NAP's. State networks and other government agencies are
on their own.

   (11)  The existing NSFnet will be turned off at some point after the
new "arrangement" is in place.

   (12)  The Very High Speed Backbone Service (VBNS) is reserved for
applications and purposes where a demonstrated need for high
speed/capacity transmission is needed.

   (13)  NSF will require approval.

   (14)  NSF does not wish to clog the VBNS with low speed aggregate
traffic unless additions are made to the network. 70 MPH = 45 MBS.

   (15)  The NSF expects commercial providers like AT&T, MCI to put
networking between NAP's. Most of the existing NSFnet traffic would go
over these commercial networks which would have to be paid for by the
users.

   (16)  The usefulness of super computer systems has been grossly
reduced by the technological advances associated with very powerful
Unix work stations. Super computers fill a diminishing niche in science
and industry.

   (17)  NSF is looking for potential users that can use more than one
super computer center and use the VBNS to make the application work.
Applications of this nature are a bit obscure.

   (18)  There are no specifications for commercial providers.

   (19)  NSF super computer centers are no longer funded by NSF so they
compete for commercial and non-commercial business.

   (20)  NSF is asking the NSF super computer centers to develop
demonstration applications which show how the network might be used.
These applications would demonstrate, and not necessarly do anything
useful.

   (21)  The major telecommunications suppliers will be selling similar
services this year without the complications of the NAP's. The NAP's
primary function would allow communications between commercial vendors
which would be very useful, but it is unclear if the telecommunications
suppliers will "buy"  into this concept.

The Lingo
*********

   This glossary is only a tiny subset of net.speak, all the various
terms and phrases that people regularly use on Internet.  For a more
complete (and more entertaining) reference, get a copy of "The New
Hacker's Dictionary", which is based on a VERY large text file called
the Jargon File, edited by Eric Raymond <eric@snark.thyrsus.com>.

   The 2nd edition just came out in December 1993, and is available from
the MIT Press, Cambridge, Massachusetts, 02142.  The up-to-date version
of the Jargon File "The on-line hacker Jargon File, version 3.0, 29
July 1993", is kept on various FTP servers (e.g. from
`ftp.gnu.ai.mit.edu' as file `/pub/gnu/jarg300.txt.gz').

   `:-)': This odd symbol is one of the ways a person can portray
"mood" in the very flat medium of computers--by using "smilies."  This
is "metacommunication," and there are literally hundreds of them, from
the obvious to the obscure (see Smiley Dictionary.).  This
particular example expresses "happiness."  Don't see it?  Tilt your
head to the left 90 degrees. Smilies, or smileys are also used to
denote sarcasm.

   ASCII: Has two meanings.  ASCII is a universal computer code for
English letters and characters.  Computers store all information as
binary numbers. In ASCII, the letter "A" is stored as 01000001, whether
the computer is made by IBM, Apple or Commodore.  ASCII also refers to
a method, or protocol, for copying files from one computer to another
over a network, in which neither computer checks for any errors that
might have been caused by static or other problems.

   ANSI: Computers use several different methods for deciding how to
put information on your screen and how your keyboard interacts with the
screen.  ANSI is one of these "terminal emulation" methods.  Although
most popular on PC-based bulletin-board systems, it can also be found
on some Net sites.  To use it properly, you will first have to turn it
on, or enable it, in your communications software.

   ARPANet: A predecessor of the Internet.  Started in 1969 with funds
from the Defense Department's Advanced Projects Research Agency.

   Backbone: A high-speed network that connects several powerful
computers.  In the U.S., the backbone of the Internet is often
considered the NSFNet, a government funded link between a handful of
supercomputer sites across the country.

   Baud: The speed at which modems transfer data.  One baud is roughly
equal to one bit per second.  It takes eight bits to make up one letter
or character.  Modems rarely transfer data at exactly the same speed as
their listed baud rate because of static or computer problems. More
expensive modems use systems, such as Microcom Network Protocol (MNP),
which can correct for these errors or which "compress" data to speed up
transmission.

   BITNet: Another, academically oriented, international computer
network, which uses a different set of computer instructions to move
data.  It is easily accessible to Internet users through e-mail, and
provides a large number of conferences and databases.  Its name comes
from "Because It's Time."

   Bounce: What your e-mail does when it cannot get to its recipient -
it bounces back to you - unless it goes off into the ether, never to be
found again.

   Command line: On Unix host systems, this is where you tell the
machine what you want it to do, by entering commands.

   Communications software: A program that tells a modem how to work.

   Daemon: An otherwise harmless Unix program that normally works out
of sight of the user. On the Internet, you'll most likely encounter it
only when your e-mail is not delivered to your recipient - you'll get
back your original message plus an ugly message from a "mailer daemon."

   Distribution: A way to limit where your Usenet postings go.  Handy
for such things as "for sale" messages or discussions of regional
politics.

   Domain: The last part of an Internet address, such as "news.com."

   Dot: When you want to impress the net veterans you meet at parties,
say "dot" instead of "period," for example: "My address is john at site
dot domain dot com."

   Dot file: A file on a Unix public-access system that alters the way
you or your messages interact with that system.  For example, your
.login file contains various parameters for such things as the text
editor you get when you send a message.   When you do an ls command,
these files do not appear in the directory listing; do `ls -a' to list
them.

   Down: When a public-access site runs into technical trouble, and you
can no longer gain access to it, it's down.

   Download: Copy a file from a host system to your computer.  There
are several different methods, or protocols, for downloading files,
most of which periodically check the file as it is being copied to
ensure no information is inadvertently destroyed or damaged during the
process.  Some, such as XMODEM, only let you download one file at a
time.  Others, such as batch-YMODEM and ZMODEM, let you type in the
names of several files at once, which are then automatically downloaded.

   EMACS: From Editing MACroS.  A standard Unix text editor preferred
by Unix types that beginners tend to hate.

   E-mail: Electronic mail - a way to send a private message to
somebody else on the Net. Used as both noun and verb.

   Emoticon: A smiley. See `:-)'.

   F2F: Face to Face.  When you actually meet those people you been
corresponding with/flaming.

   FAQ: Frequently Asked Questions.  A compilation of answers to these.
Many Usenet newsgroups have these files, which are posted once a month
or so for beginners.

   FYI: For Your Interest.

   Film at 11: One reaction to an overwrought argument: "Imminent death
of the Net predicted. Film at 11."

   Finger: An Internet program that lets you get some bit of
information about another user, provided they have first created a
`.plan' file.

   Flame: Online yelling and/or ranting directed at somebody else.
Often results in flame wars, which occasionally turn into holy wars
(see Flame Wars to Killfiles).

   Followup: A Usenet posting that is a response to an earlier message.

   Foo/foobar: A sort of online algebraic place holder, for example: "If
you want to know when another site is run by a for-profit company, look
for an address in the form of <foo@foobar.com>."

   Fortune cookie: An inane/witty/profund comment that can be found
around the net.

   Freeware: Software that doesn't cost anything.

   FTP: File-transfer Protocol.  A system for transferring files across
the Net.

   Get a life: What to say to somebody who has, perhaps, been spending a
wee bit too much time in front of a computer.

   GIF: Graphics Interchange Format.  A format developed in the
mid-1980s by CompuServe for use in photo-quality graphics images.  Now
commonly used everywhere online.

   GNU: Gnu's Not Unix.  A project of the Free Software Foundation to
write a free version of the Unix operating system.

   Hacker: On the Net, unlike among the general public, this is not a
bad person; it is simply somebody who enjoys stretching hardware and
software to their limits, seeing just what they can get their computers
to do.  What many people call hackers, net.denizens refer to as
crackers.

   Handshake: Two modems trying to connect first do this to agree on
how to transfer data.

   Hang: When a modem fails to hang up.

   Holy war: Arguments that involve certain basic tenets of faith,
about which one cannot disagree without setting one of these off.  For
example: IBM PCs are inherently superior to Macintoshes.

   Host system: A public-access site; provides Net access to people
outside the research and government community.

   IMHO: In My Humble Opinion.

   Internet: A worldwide system for linking smaller computer networks
together.  Networks connected through the Internet use a particular set
of communications standards to communicate, known as TCP/IP.

   Killfile: A file that lets you filter Usenet postings to some
extent, by excluding messages on certain topics or from certain people.

   Log on/log in: Connect to a host system or public-access site.

   Log off: Disconnect from a host system.

   Lurk: Read messages in a Usenet newsgroup without ever saying
anything.

   Mailing list: Essentially a conference in which messages are
delivered right to your mailbox, instead of to a Usenet newsgroup.  You
get on these by sending a message to a specific e-mail address, which
is often that of a computer that automates the process.

   MIME: Multi-purpose Internet Mail Extensions. A currently (1993)
heavily developing extension of the Internet mail protocol, that
enables sending of 8 bit e-mail messages, e.g. to support extended
character sets, voice mail, FAX images, etc. Read `comp.mail.mime' if
you want to keep up with new developments.

   MOTSS: Members of the Same Sex.  Gays and Lesbians online.
Originally an acronym used in the 1980 federal census.

   Net.god: One who has been online since the beginning, who knows all
and who has done it all.

   Net.personality: Somebody sufficiently opinionated/flaky/with plenty
of time on his hands to regularly post in dozens of different Usenet
newsgroups, whose presence is known to thousands of people.

   Net.police: Derogatory term for those who would impose their
standards on other users of the Net.  Often used in vigorous flame wars
(in which it occasionally mutates to Net.nazis).

   Netiquette: A set of common-sense guidelines for not annoying others.

   Network: A communications system that links two or more computers.
It can be as simple as a cable strung between two computers a few feet
apart or as complex as hundreds of thousands of computers around the
world linked through fiber optic cables, phone lines and satellites.

   Newbie: Somebody new to the Net.  Sometimes used derogatorily by
net.veterans who have forgotten that they, too, were once newbies who
did not innately know the answer to everything. "Clueless newbie" is
always derogatory.

   Newsgroup: A Usenet conference.

   NIC: Network Information Center.  As close as an Internet- style
network gets to a hub; it's usually where you'll find information about
that particular network.

   NREN: National Research and Education Network. The future of the
U.S. part of the Internet. Said to be 50 times faster than currently
(1993).

   NSA line eater: The more aware/paranoid Net users believe that the
National Security Agency has a super-powerful computer assigned to
reading everything posted on the Net.   They will jokingly (?) refer to
this line eater in their postings. Goes back to the early days of the
Net when the bottom lines of messages would sometimes disappear for no
apparent reason.

   NSF: National Science Foundation.  Funds the NSFNet, a high-speed
network that once formed the backbone of the Internet in the U.S.

   Offline: When your computer is not connected to a host system or the
Net, you are offline.

   Online: When your computer is connected to an online service,
bulletin-board system or public-access site.

   Ping: A program that can trace the route a message takes from your
site to another site.

   .plan file: A file that lists anything you want others on the Net to
know about you.  You place it in your home directory on your
public-access site.  Then, anybody who fingers (see Finger)
you, will get to see this file.

   Post: To compose a message for a Usenet newsgroup and then send it
out for others to see.

   Postmaster: The person to contact at a particular site to ask for
information about the site or complain about one of his/her user's
behavior.

   Protocol: The method used to transfer a file between a host system
and your computer. There are several types, such as Kermit,  YMODEM and
ZMODEM.

   Prompt: When the host system asks you to do something and waits for
you to respond.  For example, if you see "login:" it means type your
user name.

   README: Files found on FTP sites that explain what is in a given FTP
directory or which provide other useful information (such as how to use
FTP).

   Real Soon Now: A vague term used to describe when something will
actually happen.

   RFC: Request for Comments.  A series of documents that describe
various technical aspects of the Internet.

   ROTFL: Rolling on the Floor Laughing.  How to respond to a
particularly funny comment.

   ROT13: A simple way to encode bad jokes, movie reviews that give
away the ending, pornography, etc.  Essentially, each letter in a
message is replace by the letter 13 spaces away from it in the
alphabet.  There are online decoders to read these; nn and rn have them
built in.

   RTFM: Read the, uh, you know, Manual.  Often used in flames against
people who ask computer-related questions that could be easily answered
with a few minutes with a manual. More politely: RTM.

   Screen capture: A part of your communications software that opens a
file on your computer and saves to it whatever scrolls past on the
screen while connected to a host system.

   Server: A computer that can distribute information or files
automatically in response to specifically worded e-mail requests.

   Shareware: Software that is freely available on the Net.  If you
like and use the software, you should send in the fee requested by the
author, whose name and address will be found in a file distributed with
the software.

   .sig file: Sometimes, `.signature' file.  A file that, when placed in
your home directory on your public-access site, will automatically be
appended to every Usenet posting you write.

   .sig quote: A profound/witty/quizzical/whatever quote that you
include in your `.sig' file.

   Signal-to-noise ratio: The amount of useful information to be found
in a given Usenet newsgroup.  Often used derogatorily, for example:
"the signal-to-noise ratio in this newsgroup is pretty low."

   SIMTEL20: The White Sands Missile Range used to maintain a giant
collection of free and low-cost software of all kinds, which was
"mirrored" to numerous other ftp sites on the Net.  In the fall of
1993, the Air Force decided it had better things to do than maintain a
free software library and shut it down.  But you'll still see
references to the collection, known as SIMTEL20, around the Net.

   Smiley: A way to describe emotion online.  Look at this with your
head tilted to the left `:-)'.  There are scores of these smileys, from
grumpy to quizzical.

   Snail mail: Mail that comes through a slot in your front door or a
box mounted outside your house.

   Sysadmin: The system administrator; the person who runs a host
system or public-access site.

   Sysop: A system operator.  Somebody who runs a bulletin-board system.

   TANSTAAFL: There Ain't No Such Thing as a Free Lunch.

   TLA: Three Letter Acronym, such as IBM, DEC, etc.

   TCP/IP: Transmission Control Protocol/Internet Protocol. The
particular system for transferring information over a computer network
that is at the heart of the Internet.

   Telnet: A program that lets you connect to other computers on the
Internet.

   Terminal emulation: There are several methods for determining how
your keystrokes and screen interact with a public-access site's
operating system.  Most communications programs offer a  choice of
"emulations" that let you mimic the keyboard that would normally be
attached directly to the host-system computer.

   UUCP: Unix-to-Unix CoPy.  A method for transferring Usenet postings
and e-mail that requires far fewer net resources than TCP/IP, but which
can result in considerably slower transfer times.

   Upload: Copy a file from your computer to a host system.

   User name: On most host systems, the first time you connect you are
asked to supply a one-word user name.  This can be any combination of
letters and numbers.

   VT100: Another terminal-emulation system.  Supported by many
communications program, it is the most common one in use on the Net.
VT102 is a newer version.

*"It's is not, it isn't ain't, and it's it's, not its, if you mean it is.
         If you don't, it's its.  Then too, it's hers.  It isn't her's.
    It isn't our's either.  It's ours, and likewise yours and theirs."*
                             -- Oxford University Press, "Edpress News"

Dear Emily Postnews
*******************

   By *Brad Templeton* (1) <brad@clarinet.com>

   The following is available as file
`/pub/usenet/news.answers/emily-postnews/part1' on `rtfm.mit.edu'.  The
last changes were made on 30 Nov 91 by Brad Templeton.

   NOTE: this is intended to be satirical.  If you do not recognize it
as such, consult a doctor or professional comedian.  The
recommendations in this article should recognized for what they are -
admonitions about what NOT to do.

                         "Dear Emily Postnews"

   *Ms Emily Postnews*, foremost authority on proper net behaviour,
gives her advice on how to act on the net.

                                   *

   Dear Miss Postnews: How long should my signature be?  -
<verbose@noisy>

   A: Dear Verbose: Please try and make your signature as long as you
can.  It's much more important than your article, of course, so try to
have more lines of signature than actual text.

   Try to include a large graphic made of ASCII characters, plus lots of
cute quotes and slogans.  People will never tire of reading these
pearls of wisdom again and again, and you will soon become personally
associated with the joy each reader feels at seeing yet another
delightful repeat of your signature.

   Be sure as well to include a complete map of USENET with each
signature, to show how anybody can get mail to you from any site in the
world.  Be sure to include Internet gateways as well.  Also tell people
on your own site how to mail to you.  Give independent addresses for
Internet, UUCP, and BITNET, even if they're all the same.

   Aside from your reply address, include your full name, company and
organization.  It's just common courtesy - after all, in some
newsreaders people have to type an *entire* keystroke to go back to the
top of your article to see this information in the header.

   By all means include your phone number and street address in every
single article.  People are always responding to usenet articles with
phone calls and letters.  It would be silly to go to the extra trouble
of including this information only in articles that need a response by
conventional channels!

                                   *

   Dear Emily: Today I posted an article and forgot to include my
signature.  What should I do?  - <forgetful@myvax>

   A: Dear Forgetful: Rush to your terminal right away and post an
article that says, "Oops, I forgot to post my signature with that last
article.  Here it is."

   Since most people will have forgotten your earlier article,
(particularly since it dared to be so boring as to not have a nice,
juicy signature) this will remind them of it.  Besides, people care
much more about the signature anyway.  See the previous letter for more
important details.

   Also, be sure to include your signature TWICE in each article.  That
way you're sure people will read it.

                                   *

   Dear Ms. Postnews: I couldn't get mail through to somebody on
another site.  What should I do?  - <eager@beaver.dam>

   A: Dear Eager: No problem, just post your message to a group that a
lot of people read.  Say, "This is for John Smith.  I couldn't get mail
through so I'm posting it.  All others please ignore."

   This way tens of thousands of people will spend a few seconds
scanning over and ignoring your article, using up over 16 man-hours
their collective time, but you will be saved the terrible trouble of
checking through Usenet maps or looking for alternate routes.  Just
think, if you couldn't distribute your message to 30,000 other
computers, you might actually have to (gasp) call directory assistance
for 60 cents, or even phone the person.  This can cost as much as a few
DOLLARS (!) for a 5 minute call!

   And certainly it's better to spend 10 to 20 dollars of other people's
money distributing the message then for you to have to waste $9 on an
overnight letter, or even 29 cents on a stamp!

   Don't forget.  The world will end if your message doesn't get
through, so post it as many places as you can.

                                   *

   Q: What about a test message?

   A: It is important, when testing, to test the entire net.  Never test
merely a subnet distribution when the whole net can be done.  Also put
"please ignore" on your test messages, since we all know that everybody
always skips a message with a line like that.  Don't use a subject like
"My sex is female but I demand to be addressed as male." because such
articles are read in depth by all USEnauts.

                                   *

   Q: Somebody just posted that Roman Polanski directed Star Wars.  What
should I do?

   A: Post the correct answer at once!  We can't have people go on
believing that!  Very good of you to spot this.  You'll probably be the
only one to make the correction, so post as soon as you can.  No time
to lose, so certainly don't wait a day, or check to see if somebody
else has made the correction.

   And it's not good enough to send the message by mail.  Since you're
the only one who really knows that it was Francis Coppola, you have to
inform the whole net right away!

                                   *

   Q: I read an article that said, "reply by mail, I'll summarize."
What should I do?

   A: Post your response to the whole net.  That request applies only to
dumb people who don't have something interesting to say.  Your postings
are much more worthwhile than other people's, so it would be a waste to
reply by mail.

                                   *

   Q: I collected replies to an article I wrote, and now it's time to
summarize.  What should I do?

   A: Simply concatenate all the articles together into a big file and
post that.  On USENET, this is known as a summary.  It lets people read
all the replies without annoying newsreaders getting in the way.  Do
the same when summarizing a vote.

                                   *

   Q: I saw a long article that I wish to rebut carefully, what should
I do?

   A: Include the entire text with your article, particularly the
signature, and include your comments closely packed between the lines.
Be sure to post, and not mail, even though your article looks like a
reply to the original.  Everybody *loves* to read those long
point-by-point debates, especially when they evolve into name-calling
and lots of "Is too!" - "Is not!" - "Is too, twizot!" exchanges.

   Be sure to follow-up everything, and never let another person get in
the last word on a net debate.  Why, if people let other people have
the last word, then discussions would actually stop!  Remember, other
net readers aren't nearly as clever as you, and if somebody posts
something wrong, the readers can't possibly realize that on their own
without your elucidations.  If somebody gets insulting in their net
postings, the best response is to get right down to their level and
fire a return salvo.  When I read one net person make an insulting
attack on another, I always immediately take it as gospel unless a
rebuttal is posted.  It never makes me think less of the insulter, so
it's your duty to respond.

                                   *

   Q: How can I choose what groups to post in?

   A: Pick as many as you can, so that you get the widest audience.
After all, the net exists to give you an audience.  Ignore those who
suggest you should only use groups where you think the article is
highly appropriate.  Pick all groups where anybody might even be
slightly interested.

   Always make sure followups go to all the groups.  In the rare event
that you post a followup which contains something original, make sure
you expand the list of groups.  Never include a "Followup-to:" line in
the header, since some people might miss part of the valuable
discussion in the fringe groups.

                                   *

   Q: How about an example?

   A: Ok.  Let's say you want to report that Gretzky has been traded
from the Oilers to the Kings.  Now right away you might think
`rec.sport.hockey' would be enough.  WRONG.  Many more people might be
interested.  This is a big trade!  Since it's a NEWS article, it
belongs in the `news.*' hierarchy as well.  If you are a news admin, or
there is one on your machine, try `news.admin'.  If not, use
`news.misc'.

   The Oilers are probably interested in geology, so try
`sci.geo.fluids'.  He is a big star, so post to `sci.astro', and
`sci.space' because they are also interested in stars.  And of course
`comp.dcom.telecom' because he was born in the birthplace of the
telephone.  And because he's Canadian, post to
`soc.culture.Ontario.southwestern'.  But that group doesn't exist, so
cross-post to `news.groups' suggesting it should be created.  With this
many groups of interest, your article will be quite bizarre, so post to
`talk.bizarre' as well.  (And post to `comp.std.mumps', since they
hardly get any articles there, and a "comp" group will propagate your
article further.)

   You may also find it is more fun to post the article once in each
group.  If you list all the newsgroups in the same article, some
newsreaders will only show the the article to the reader once!  Don't
tolerate this.

                                   *

   Q: How do I create a newsgroup?

   A: The easiest way goes something like `inews -C newgroup ...', and
while that will stir up lots of conversation about your new newsgroup,
it might not be enough.

   First post a message in news.groups describing the group.  This is a
"call for discussion."  (If you see a call for discussion, immediately
post a one line message saying that you like or dislike the group.)
When proposing the group, pick a name with a TLA (three-letter acronym)
that will be understood only by "in" readers of the group.

   After the call for discussion, post the call for flames, followed by
a call for arguments about the name and a call for run-on puns.
Eventually make a call for "votes." USENET is a democracy, so voters
can now all post their votes to ensure they get to all 30,000 machines
instead of just the person counting. Every few days post a long summary
of all the votes so that people can complain about bad mailers and
double votes.  It means you'll be more popular and get lots of mail.
At the end of 21 days you can post the vote results so that people can
argue about all the technical violations of the guidelines you made.
Blame them on the moderator-of-the-week for news.announce.newgroups.
Then your group might be created.

   To liven up discussion, choose a good cross-match for your hierarchy
and group.  For example, comp.race.formula1 or soc.vlsi.design would be
good group names.  If you want your group created quickly, include an
interesting word like "sex" or "activism."  To avoid limiting
discussion, make the name as broad as possible, and don't forget that
TLA.

   If possible, count votes from a leaf site with a once-a-week polled
connection to botswanavax.  Schedule the vote during your relay site's
head crash if possible.

   Under no circumstances use the trial group method, because it
eliminates the discussion, flame, pun, voting and guideline-violation
accusation phases, thus taking all the fun out of it.  To create an ALT
group, simply issue the creation command.  Then issue an rmgroup and
some more newgroup messages to save other netters the trouble of doing
that part.

                                   *

   Q: I cant spell worth a dam.  I hope your going too tell me what to
do?

   A: Don't worry about how your articles look.  Remember it's the
message that counts, not the way it's presented.  Ignore the fact that
sloppy spelling in a purely written forum sends out the same silent
messages that soiled clothing would when addressing an audience.

   Q: How should I pick a subject for my articles?

   A: Keep it short and meaningless.  That way people will be forced to
actually read your article to find out what's in it.  This means a
bigger audience for you, and we all know that's what the net is for.
If you do a followup, be sure and keep the same subject, even if it's
totally meaningless and not part of the same discussion.  If you don't,
you won't catch all the people who are looking for stuff on the
original topic, and that means less audience for you.

                                   *

   Q: What sort of tone should I take in my article?

   A: Be as outrageous as possible.  If you don't say outlandish things,
and fill your article with libelous insults of net people, you may not
stick out enough in the flood of articles to get a response.  The more
insane your posting looks, the more likely it is that you'll get lots
of followups.  The net is here, after all, so that you can get lots of
attention.

   If your article is polite, reasoned and to the point, you may only
get mailed replies.  Yuck!

                                   *

   Q: The posting software suggested I had too long a signature and too
many lines of included text in my article.  What's the best course?

   A: Such restrictions were put in the software for no reason at all,
so don't even try to figure out why they might apply to your article.
Turns out most people search the net to find nice articles that consist
of the complete text of an earlier article plus a few lines.

   In order to help these people, fill your article with dummy original
lines to get past the restrictions.  Everybody will thank you for it.

   For your signature, I know it's tough, but you will have to read it
in with the editor.  Do this twice to make sure it's firmly in there.
By the way, to show your support for the free distribution of
information, be sure to include a copyright message forbidding
transmission of your article to sites whose USENET politics you don't
like.

   Also, if you do have a lot of free time and want to trim down the
text in your article, be sure to delete some of the attribution lines so
that it looks like the original author of - say - a plea for world
peace actually wrote the followup calling for the nuking of Bermuda.

                                   *

   Q: They just announced on the radio that the United States has
invaded Iraq.  Should I post?

   A: Of course.  The net can reach people in as few as 3 to 5 days.
It's the perfect way to inform people about such news events long after
the broadcast networks have covered them.  As you are probably the only
person to have heard the news on the radio, be sure to post as soon as
you can.

                                   *

   Q: I have this great joke.  You see, these three strings walk into a
bar...

   A: Oh dear.  Don't spoil it for me.  Submit it to rec.humor, and post
it to the moderator of `rec.humor.funny' at the same time.  I'm sure
he's never seen that joke.

                                   *

   Q: What computer should I buy?  An Atari ST or an Amiga?

   A: Cross post that question to the Atari and Amiga groups.  It's an
interesting and novel question that I am sure they would love to
investigate in those groups.  There is no need to read the groups in
advance or examine the "frequently asked question" lists to see if the
topic has already been dealt with.  In fact, you don't need to read the
group at all, and you can tell people that in your query.

                                   *

   Q: What about other important questions?  How should I know when to
post?

   A: Always post them.  It would be a big waste of your time to find a
knowledgeable user in one of the groups and ask through private mail if
the topic has already come up.  Much easier to bother thousands of
people with the same question.

                                   *

   Q: Somebody just posted a query to the net, and I want to get the
answer too.  What should I do?

   A: Immediately post a following, including the complete text of the
query.  At the bottom add, "Me too!"  If somebody else has done this,
follow up their article and add "Me three," or whatever number is
appropriate.  Don't forget your full signature.  After all, if you just
mail the original poster and ask for a copy of the answers, you will
simply clutter the poster's mailbox, and save people who do answer the
question the joyful duty of noting all the "me (n)s" and sending off
all the multiple copies.

                                   *

   Q: What is the measure of a worthwhile group?

   A: Why, it's Volume, Volume, Volume.  Any group that has lots of
noise in it must be good.  Remember, the higher the volume of material
in a group, the higher percentage of useful, factual and insightful
articles you will find.  In fact, if a group can't demonstrate a high
enough volume, it should be deleted from the net.

                                   *

   Q: Emily, I'm having a serious disagreement with somebody on the net.
I tried complaints to his sysadmin, organizing mail campaigns, called
for his removal from the net and phoning his employer to get him fired.
Everybody laughed at me.  What can I do?

   A: Go to the daily papers.  Most modern reporters are top-notch
computer experts who will understand the net, and your problems,
perfectly.  They will print careful, reasoned stories without any
errors at all, and surely represent the situation properly to the
public.  The public will also all act wisely, as they are also fully
cognizant of the subtle nature of net society.

   Papers never sensationalize or distort, so be sure to point out
things like racism and sexism wherever they might exist.  Be sure as
well that they understand that all things on the net, particularly
insults, are meant literally.  Link what transpires on the net to the
causes of the Holocaust, if possible.  If regular papers won't take the
story, go to a tabloid paper - they are always interested in good
stories.

   By arranging all this free publicity for the net, you'll become very
well known.  People on the net will wait in eager anticipation for your
every posting, and refer to you constantly.  You'll get more mail than
you ever dreamed possible - the ultimate in net success.

                                   *

   Q: What does foobar stand for?

   A: It stands for you, dear.

     *"News articles are separated into divisions called newsgroups.
     Each division is supposed to limit itself to a single topic, and
     the name of the group is supposed to give you some idea as to the
     content of the group. These groups are then organized into
     hierarchies of related topics. Usenet Network News started out with
     just two hierarchies, mod and net. The mod hierarchy had those
     groups that had a person as the moderator to edit and control the
     information. The net hierarchy handled all other groups. With the
     release of B News and its ability to have any single group be
     moderated or open, the great renaming was undertaken."* --
     Weinstein (1992)

   ---------- Footnotes ----------

   (1)  Copyright (C) 1991 by Brad Templeton. All rights reserved.

EFF Information
***************

General Information About the EFF
=================================

   *The Electronic Frontier Foundation (EFF)* was founded in July of
1990 to ensure that the principles embodied in the Constitution and the
Bill of Rights are protected as new communications technologies emerge.

   From the beginning, EFF has worked to shape our nation's
communications infrastructure and the policies that govern it in order
to maintain and enhance First Amendment, privacy and other democratic
values. We believe that our overriding public goal must be the creation
of Electronic Democracy, so our work focuses on the establishment of:

   * new laws that protect citizens' basic Constitutional rights as they
     use new communications technologies,

   * a policy of common carriage requirements for all network providers
     so that all speech, no matter how controversial, will be carried
     without discrimination,

   * a National Public Network where voice, data and video services are
     accessible to all citizens on an equitable and affordable basis,
     and

   * a diversity of communities that enable all citizens to have a voice
     in the information age.

Information Infrastructure
--------------------------

   EFF's Open Platform Proposal advocates that the nation's
telecommunications infrastructure providers offer affordable, widely
available transmission of voice, data and video information.  The
telecommunications infrastructure must promote broad access and enable
citizens to receive and publish a diversity of information.  In
addition, a competitive environment must be ensured to preserve the
core principles of common carriage, universal service and open
standards.

   In the near term, EFF supports the implementation of services such
as ISDN and ADSL, currently available digital technologies, for sending
voice, data and video at reasonable cost to consumers.

   EFF supports federal funding to promote the development of network
tools and applications that will make the Internet and the NREN easier
to use.  Although the NREN will be made up of services from commercial
providers, government also has a vital role to play in making grants to
institutions that cannot afford to pay for Internet connectivity.

Civil Liberties
---------------

   EFF has been working to ensure that common carrier principles are
upheld in the information age.  Common carrier principles require that
network providers carry all speech, regardless of its controversial
content.  Common carriers must also provide all speakers and
information providers with equal, nondiscriminatory access to the
network.

   EFF chairs the Digital Security and Privacy Working Group, a
coalition of over 50 organizations-from computer software and hardware
firms, telecommunications and energy companies to civil liberties
advocates-that work on sound privacy policies in telecommunications.
For example, the group has worked to oppose the FBI's Digital Telephony
proposal and government-mandated encryption policies.

   EFF is working to convince Congress that all measures supporting
broader public access to information should be enacted into law.  EFF
supports an Electronic Freedom of Information Act and other legislation
to make information more accessible to citizens in electronic formats.

   EFF supports both legal and technical means to enhance privacy in
communications.  We, therefore, advocate all measures that ensure the
public's right to use the most effective encryption technologies
available.

Legal Services
--------------

   EFF sponsors legal cases where users' online civil liberties have
been violated.  The Steve Jackson Games case, decided in March of 1993,
established privacy protections for electronic publishers and users of
electronic mail.  We continue to monitor the online community for legal
actions that merit EFF support.

   EFF provides a free telephone hotline for members of the online
community who have questions regarding their legal rights.

   Members of EFF's staff and board speak to law enforcement
organizations, state attorney bar associations and university classes
on the work that we do and how these groups can get involved.

Community Building
------------------

   EFF, in conjunction with the Consumer Federation of America and the
American Civil Liberties Union, coordinates and sponsors the
Communications Policy Forum (CPF).  CPF enables nonprofit
organizations, computer and communications firms, and government
policymakers to come together in a nonpartisan setting to discuss
communications policy goals and strategies.

   EFF works with local organizations that support online communications
issues.  In September of 1993, EFF will cosponsor a cryptography
conference with a group in Austin, Texas.  Earlier this year, EFF
sponsored a summit of groups from around the country to discuss common
goals.  We also participate in an online mailing list for organizations
that share our interests.

   EFF is a funder and organizer of the annual Computers, Freedom and
Privacy conference, where academics, civil libertarians, law
enforcement officials and computer users all meet to discuss the
privacy implications of communicating online.  Each year at the
conference, EFF presents its Pioneer awards to individuals who have
made significant contributions to computer communications.

   EFF maintains several communications forums online.  We have our own
Internet node, eff.org, which houses our FTP and Gopher sites and our
discussion areas, `comp.org.eff.talk' and `comp.org.eff.news'.  EFF
also maintains conferences on the *Whole Earth 'Lectronic Link (WELL)*,
*CompuServe* and *America Online*.

How to connect to EFF?
======================

Internet and USENET
-------------------

   General information requests, including requests to be added to the
EFFector Online mailing list, can be sent to <eff@eff.org>.  Other
Internet contact addresses are as follows:

<membership@eff.org>
     Membership & donations.

<ssteele@eff.org>
     Legal services.

<pubs@eff.org>
     Hardcopy publications.

<mech@eff.org>
     Online publications, conferences, & other resources.

<ask@eff.org>
     General EFF, legal, or policy questions.

   If you receive any USENET newsgroups, your site may carry the
newsgroups `comp.org.eff.news' and `comp.org.eff.talk'. The former is a
moderated newsgroup for announcements, newsletters, and other
information; the latter is an unmoderated discussion group for
discussing EFF and issues relating to the electronic frontier.

   For those unable to read the newsgroups, there are redistributions
via electronic mail. Send requests to be added to or dropped from the
`comp.org.eff.news' mailing list to <eff-request @eff.org>.  For the
`comp.org.eff.talk' mailing list, send a note to
<eff-talk-request@eff.org>.  Please note that eff-talk can be extremely
high-volume at times.

   A document library containing all EFF news releases and other
publications of interest, including John Perry Barlow's history of EFF,
"Crime and Puzzlement", is available via anonymous FTP from
`ftp.eff.org'.  Send a note to <ftphelp@eff.org> if you have questions
or are unable to use FTP.  This archive is also accessible via Gopher.
Try `gopher gopher.eff.org'.

The WELL
--------

   The WELL is host to an active EFF conference, as well as many other
related conferences of interest to EFF supporters. Access to the WELL
is $15/month plus $2/hour. Telecom access is available through the
CompuServe Packet Network for an additional $4.50/hour. If you have an
Internet connection, you can reach the WELL via telnet at
`well.sf.ca.us'; otherwise, dial +1 415 332 6106 (data). The WELL's
voice number is +1 415 332 4335.

CompuServe
----------

   Our forum on CompuServe is also open. `GO EFFSIG' to join.  Many of
the files on `ftp.eff.org', as well as other items of interest, are
mirrored in the EFFSIG Libraries.

America Online
--------------

   EFF hosts a Special Interest Group on America Online as part of the
*Macintosh Communications Forum (MCM)*. `GOTO Keyword EFF' to join.
Many of the files on `ftp.eff.org', as well as other items of interest,
are mirrored in this forum. In addition, EFF sponsors an interactive
discussion on this forum the second Saturday night of each month at
9:00 p.m. ET.

Membership in the Electronic Frontier Foundation
================================================

   I wish to become a member of the Electronic Frontier Foundation.  I
enclose:

   $__________  Regular membership - $40 $__________  Student
membership - $20

   Special Contribution

   I wish to make a tax-deductible donation in the amount of
$__________ to further support the activities of EFF and to broaden
participation in the organization.

   Documents Available in Hard Copy Form

   The following documents are available free of charge from the
Electronic Frontier Foundation.  Please indicate any of the documents
you wish to receive.

   ___  Open Platform Proposal - EFF's proposal for a national
telecommunications infrastructure.  12 pages.  July, 1992

   ___  An Analysis of the FBI Digital Telephony Proposal - Response of
EFF-organized coalition to the FBI's digital telephony proposal of Fall,
1992.  8 pages.  September, 1992.

   ___  Building the Open Road:  The NREN and the National Public
Network - A discussion of the National Research and Education Network
as a prototype for a National Public Network.  20 pages.  May, 1992.

   ___  Innovative Services Delivered Now:  ISDN Applications at Home,
School, the Workplace and Beyond - A compilation of ISDN applications
currently in use.  29 pages.  January, 1993.

   ___  Decrypting the Puzzle Palace - John Perry Barlow's argument for
strong encryption and the need for an end to U.S. policies preventing
its development and use. 13 pages.  May, 1992.

   ___  Crime and Puzzlement - John Perry Barlow's piece on the
founding of the Electronic Frontier Foundation and the world of
hackers, crackers and those accused of computer crimes. 24 pages.
June, 1990.

   ___  Networks & Policy - A quarterly newsletter detailing EFF's
activities and achievements.

   Your Contact Information:

   Name:
___________________________________________________________________

   Organization:
___________________________________________________________

   Address:
________________________________________________________________

   ___________________________________________________________

   Phone:  (____)  _______________  FAX:  (____)  _______________
(optional)

   E-mail address:
_________________________________________________________

   Payment Method

   ___ Enclosed is a check payable to the Electronic Frontier
Foundation.

   ___ Please charge my:  ___ MasterCard  ___ Visa  ___ American Express

   Card Number:  ____________________________________________

   Expiration Date:  ________________________________________

   Signature:  ______________________________________________

   Privacy Policy

   EFF occasionally shares our mailing list with other organizations
promoting similar goals.  However, we respect an individual's right to
privacy and will not distribute your name without explicit permission.

   ___ I grant permission for the EFF to distribute my name and contact
information to organizations sharing similar goals.

   Print out and mail to:

                        Membership Coordinator

                    Electronic Frontier Foundation

                          1001 G Street, N.W.

                            Suite 950 East

                         Washington, DC 20001

                         (202) 347-5400 voice

                          (202) 393-5509 fax

   The Electronic Frontier Foundation is a nonprofit, 501(c)(3)
organization supported by contributions from individual members,
corporations and private foundations.  Donations are tax-deductible.

                                 Get GUMMed

     *"The Gurus of Unix Meeting of Minds (GUMM) takes place Wednesday,
April 1, 2076 (check THAT in your perpetual calendar program), 14 feet
above the ground directly in front of the Milpitas Gumps.  Members will
grep each other by the hand (after intro), yacc a lot, smoke filtered
chroots in pipes, chown with forks, use the wc (unless uuclean), fseek
nice zombie processes, strip, and sleep, but not, we hope, od.  Three
days will be devoted to discussion of the ramifications of whodo.  Two
seconds have been allotted for a complete rundown of all the user-
friendly features of Unix.  Seminars include "Everything You Know is
Wrong," led by Tom Kempson, "Batman or Cat:man?" led by Richie Dennis
"cc C?  Si!  Si!" led by Kerwin Bernighan, and "Document Unix, Are You
Kidding?" led by Jan Yeats.  No Reader Service No. is necessary because
all GUGUs (Gurus of Unix Group of Users) already know everything we
could tell them."*

                                        -- Dr. Dobb's Journal, June '84

Internet Connectivity
*********************

   Version 11 - July 11, 1994(1)

   Thanks to the many people from around the world  who  have  provided
information. This version (postscript, ditroff, text forms, maps in
postscript) and earlier versions may also be obtained by anonymous ftp
from `ftp.cs.wisc.edu' in the `connectivity_table' directory.

   In the following, "BITNET" is used generically to  refer  to  BITNET
plus  similar networks around the world (e.g., EARN, NETNORTH, GULFNET,
etc.).

   SUMMARY

   NUMBER OF ENTITIES WITH INTERNATIONAL NETWORK CONNECTIVITY = 152
NUMBER OF ENTITIES WITHOUT INTERNATIONAL NETWORK CONNECTIVITY = 86

   BITNET Col. 2 (Entities with international BITNET links.) b:
minimal, one to five domestic BITNET sites, 18 entities B: widespread,
more than five domestic BITNET sites, 34 entities

   IP INTERNET Col. 3 (Entities with international IP Internet links.)
I: = operational, accessible from entire open IP Internet, 75 entities

   UUCP Col. 4 (Entities with domestic UUCP sites which  are  connected
to the Global Multiprotocol Open Internet.) u: minimal, one to five
domestic UUCP sites, 59 entities U: widespread, more than five domestic
UUCP sites, 70 entities

   FIDONET Col. 5 (Entities with domestic FIDONET  sites  which  are
connected to the Global Multiprotocol Open Internet) f: minimal, one to
five domestic FIDONET sites, 27 entities F: widespread, more than five
domestic FIDONET sites, 62 entities

   OSI Col. 6 (Entities with international  X.400  links  to  domestic
sites  which  are  connected  to  the Global Multiprotocol Open
Internet).  o: minimal, one to five domestic X.400 sites, 8 entities O:
widespread, more than five domestic X.400 sites, 23 entities

   An entity is a geographical area that has an ISO two letter country
code (ISO 3166). These country codes are included in the Table below
for each entity (Cols 8-9). Note that the ISO codes do not always agree
with the top level DNS (Domain Name) code(s) used for a particular
entity.

   Network connections have been reported, but not confirmed, to
Bangladesh, Jordon, and Mongolia and so are omitted from the table.
Activity is underway to connect Lebanon, Guyana, and St. Vincent and
the Grenadines but no definitive information has been received. Haiti
has an email link but it does not fit into any of the categories of the
table.

     ----- AF       Afghanistan (Islamic Republic of)
     ----- AL       Albania (Republic of)
     -I--- DZ       Algeria (People's Democratic Republic of)
     ----- AS       American Samoa
     ----- AD       Andorra (Principality of)
     ----- AO       Angola (People's Republic of)
     ----- AI       Anguilla
     -I--- AQ       Antarctica
     --u-- AG       Antigua and Barbuda
     BIUF- AR       Argentina (Argentine Republic)
     --U-- AM       Armenia
     ---f- AW       Aruba
     -IUFo AU       Australia
     BIUFO AT       Austria (Republic of)
     b-U-- AZ       Azerbaijan
     --u-- BS       Bahamas (Commonwealth of the)
     b---- BH       Bahrain (State of)
     ----- BD       Bangladesh (People's Republic of)
     --u-- BB       Barbados
     b-UF- BY       Belarus
     BIUFO BE       Belgium (Kingdom of)
     --U-- BZ       Belize
     ----- BJ       Benin (People's Republic of)
     --Uf- BM       Bermuda
     ----- BT       Bhutan (Kingdom of)
     --Uf- BO       Bolivia (Republic of)
     --u-- BA       Bosnia-Herzegovina
     --uf- BW       Botswana (Republic of)
     ----- BV       Bouvet Island
     BIUFO BR       Brazil (Federative Republic of)
     ----- IO       British Indian Ocean Territory
     ----- BN       Brunei Darussalam
     bIUF- BG       Bulgaria (Republic of)
     --U-- BF       Burkina Faso (formerly Upper Volta)
     ----- BI       Burundi (Republic of)
     ----- KH       Cambodia
     --u-- CM       Cameroon (Republic of)
     BIUFO CA       Canada
     ----- CV       Cape Verde (Republic of)
     ----- KY       Cayman Islands
     ----- CF       Central African Republic
     ----- TD       Chad (Republic of)
     BIUF- CL       Chile (Republic of)
     -Iu-O CN       China (People's Republic of)
     ----- CX       Christmas Island (Indian Ocean)
     ----- CC       Cocos (Keeling) Islands
     BIu-- CO       Colombia (Republic of)
     ----- KM       Comoros (Islamic Federal Republic of the)
     --u-- CG       Congo (Republic of the)
     --u-- CK       Cook Islands
     bIuf- CR       Costa Rica (Republic of)
     --uf- CI       Cote d'Ivoire (Republic of)
     -IuFo HR       Croatia
     --U-- CU       Cuba (Republic of)
     bI--- CY       Cyprus (Republic of)
     BIUF- CZ       Czech Republic
     BIUFO DK       Denmark (Kingdom of)
     ----- DJ       Djibouti (Republic of)
     ----- DM       Dominica (Commonwealth of)
     --Uf- DO       Dominican Republic
     ----- TP       East Timor
     -Iu-- EC       Ecuador (Republic of)
     bIU-- EG       Egypt (Arab Republic of)
     ----- SV       El Salvador (Republic of)
     ----- GQ       Equatorial Guinea (Republic of)
     ----- ER       Eritrea
     -IUF- EE       Estonia (Republic of)
     ---f- ET       Ethiopia (People's Democratic Republic of)
     ----- FK       Falkland Islands (Malvinas)
     --u-- FO       Faroe Islands
     -Iu-- FJ       Fiji (Republic of)
     BIUFO FI       Finland (Republic of)
     BIUFO FR       France (French Republic)
     --u-- GF       French Guiana
     --u-- PF       French Polynesia
     ----- TF       French Southern Territories
     ----- GA       Gabon (Gabonese Republic)
     ----- GM       Gambia (Republic of the)
     --UF- GE       Georgia (Republic of)
     BIUFO DE       Germany (Federal Republic of)
     --uF- GH       Ghana (Republic of )
     ----- GI       Gibraltar
     BIUFO GR       Greece (Hellenic Republic)
     -I-f- GL       Greenland
     --u-- GD       Grenada
     b-uf- GP       Guadeloupe (French Department of)
     -I-F- GU       Guam
     --u-- GT       Guatemala (Republic of)
     ----- GN       Guinea (Republic of)
     ----- GW       Guinea-Bissau (Republic of)
     ----- GY       Guyana (Republic of)
     ----- HT       Haiti (Republic of)
     ----- HM       Heard and McDonald Islands
     ----- HN       Honduras (Republic of)
     BI-F- HK       Hong Kong
     BIUFo HU       Hungary (Republic of)
     -IUFo IS       Iceland (Republic of)
     bIUfO IN       India (Republic of)
     -IuF- ID       Indonesia (Republic of)
     b---- IR       Iran (Islamic Republic of)
     ----- IQ       Iraq (Republic of)
     BIUFO IE       Ireland
     BIUF- IL       Israel (State of)
     BIUFO IT       Italy (Italian Republic)
     --u-- JM       Jamaica
     BIUF- JP       Japan
     ----- JO       Jordan (Hashemite Kingdom of)
     --UF- KZ       Kazakhstan
     ---f- KE       Kenya (Republic of)
     --u-- KI       Kiribati (Republic of)
     ----- KP       Korea (Democratic People's Republic of)
     BIUFO KR       Korea (Republic of )
     -I--- KW       Kuwait (State of)
     --U-- KG       Kyrgyz Republic
     ----- LA       Lao People's Democratic Republic
     -IUF- LV       Latvia (Republic of)
     ----- LB       Lebanon (Lebanese Republic)
     --u-- LS       Lesotho (Kingdom of)
     ----- LR       Liberia (Republic of)
     ----- LY       Libyan Arab Jamahiriya
     -I-f- LI       Liechtenstein (Principality of)
     -IUFo LT       Lithuania
     bIUFo LU       Luxembourg (Grand Duchy of)
     -I-F- MO       Macau (Ao-me'n)
     --u-- MK       Macedonia (Former Yugoslav Republic of)
     --u-- MG       Madagascar (Democratic Republic of)
     ---f- MW       Malawi (Republic of)
     bIUF- MY       Malaysia
     ----- MV       Maldives (Republic of)
     --U-- ML       Mali (Republic of)
     --u-- MT       Malta (Republic of)
     ----- MH       Marshall Islands (Republic of the)
     ----- MQ       Martinique (French Department of)
     ----- MR       Mauritania (Islamic Republic of)
     --uf- MU       Mauritius
     ----- YT       Mayotte
     BIuF- MX       Mexico (United Mexican States)
     ----- FM       Micronesia (Federated States of)
     --uF- MD       Moldova (Republic of)
     ----- MC       Monaco (Principality of)
     ----- MN       Mongolia
     ----- MS       Montserrat
     ----- MA       Morocco (Kingdom of)
     --Uf- MZ       Mozambique (People's Republic of)
     ----- MM       Myanmar (Union of)
     --Uf- NA       Namibia (Republic of)
     ----- NR       Nauru (Republic of)
     --u-- NP       Nepal (Kingdom of)
     BIUFO NL       Netherlands (Kingdom of the)
     --u-- AN       Netherlands Antilles
     ----- NT       Neutral Zone (between Saudi Arabia and Iraq)
     --U-- NC       New Caledonia
     -IUF- NZ       New Zealand
     -Iu-- NI       Nicaragua (Republic of)
     --u-- NE       Niger (Republic of the)
     ---f- NG       Nigeria (Federal Republic of)
     --u-- NU       Niue
     ----- NF       Norfolk Island
     ----- MP       Northern Mariana Islands (Commonwealth of the)
     BIUFO NO       Norway (Kingdom of)
     ----- OM       Oman (Sultanate of)
     --U-- PK       Pakistan (Islamic Republic of)
     ----- PW       Palau (Republic of)
     bIuF- PA       Panama (Republic of)
     --u-- PG       Papua New Guinea
     --u-- PY       Paraguay (Republic of)
     -IUf- PE       Peru (Republic of)
     -IuF- PH       Philippines (Republic of the)
     ----- PN       Pitcairn
     BIUF- PL       Poland (Republic of)
     bIUFO PT       Portugal (Portuguese Republic)
     bIUF- PR       Puerto Rico
     ----- QA       Qatar (State of)
     -Iu-- RE       Re'union (French Department of)
     BIuf- RO       Romania
     BIUF- RU       Russian Federation
     ----- RW       Rwanda (Rwandese Republic)
     ----- SH       Saint Helena
     ----- KN       Saint Kitts and Nevis
     --u-- LC       Saint Lucia
     ----- PM       Saint Pierre and Miquelon (French Department of)
     ----- VC       Saint Vincent and the Grenadines
     --u-- WS       Samoa (Independent State of)
     ----- SM       San Marino (Republic of)
     ----- ST       Sao Tome and Principe (Democratic Republic of)
     B---- SA       Saudi Arabia (Kingdom of)
     --Uf- SN       Senegal (Republic of)
     --u-- SC       Seychelles (Republic of)
     ----- SL       Sierra Leone (Republic of)
     BIuF- SG       Singapore (Republic of)
     bIUF- SK       Slovakia
     -IUFO SI       Slovenia
     --u-- SB       Solomon Islands
     ----- SO       Somalia (Somali Democratic Republic)
     -IUFO ZA       South Africa (Republic of)
     BIUFO ES       Spain (Kingdom of)
     --U-- LK       Sri Lanka (Democratic Socialist Republic of)
     ----- SD       Sudan (Democratic Republic of the)
     --u-- SR       Suriname (Republic of)
     -I--- SJ       Svalbard and Jan Mayen Islands
     --u-- SZ       Swaziland (Kingdom of)
     BIUFo SE       Sweden (Kingdom of)
     BIUFO CH       Switzerland (Swiss Confederation)
     ----- SY       Syria (Syrian Arab Republic)
     BIuF- TW       Taiwan, Province of China
     --u-- TJ       Tajikistan
     ---f- TZ       Tanzania (United Republic of)
     -IUF- TH       Thailand (Kingdom of)
     --u-- TG       Togo (Togolese Republic)
     ----- TK       Tokelau
     --u-- TO       Tonga (Kingdom of)
     --u-- TT       Trinidad and Tobago (Republic of)
     bIUfo TN       Tunisia
     BI-F- TR       Turkey (Republic of)
     --u-- TM       Turkmenistan
     ----- TC       Turks and Caicos Islands
     ----- TV       Tuvalu
     ---F- UG       Uganda (Republic of)
     -IUF- UA       Ukraine
     ----- AE       United Arab Emirates
     bIUFO GB       United Kingdom
     BIUFO US       United States (United States of America)
     ----- UM       United States Minor Outlying Islands
     -IUF- UY       Uruguay (Eastern Republic of)
     --UF- UZ       Uzbekistan
     --u-- VU       Vanuatu (Republic of, formerly New Hebrides)
     ----- VA       Vatican City State (Holy See)
     -IU-- VE       Venezuela (Republic of)
     --U-- VN       Vietnam (Socialist Republic of)
     ----- VG       Virgin Islands (British)
     ---f- VI       Virgin Islands (U.S.)
     ----- WF       Wallis and Futuna Islands
     ----- EH       Western Sahara
     ----- YE       Yemen (Republic of)
     --uf- YU       Yugoslavia (Socialist Federal Republic of)
     ----- ZR       Zaire (Republic of)
     ---f- ZM       Zambia (Republic of)
     --uf- ZW       Zimbabwe (Republic of)

   Please send corrections, information and/or comments (include
details, e.g., on connections, sites,  contacts,  protocols, etc.) to:

                                                        Larry Landweber
                                                Computer Sciences Dept.
                                      University of Wisconsin - Madison
                                  1210 W. Dayton St., Madison, WI 53706
                                                      <lhl@cs.wisc.edu>
                                                     FAX 1-608-265-2635

   ---------- Footnotes ----------

   (1)  Copyright (C) 1994 Lawrence H. Landweber and the Internet
Society. Unlimited permission to copy or use is hereby granted subject
to inclusion of this copyright notice.

The Unofficial Smiley Dictionary
********************************

   This "Unofficial Smiley Dictionary" is only one of many different
collections by various "editors" you'll come across at many places on
the Net, e.g. you can get "The-Smiley-File" from `gopher.world.std.com';
and even a complete booklet has been written on smileys and is
available as:

     David W. Sanderson (ed.), "Smileys", O'Reilly & Associates,
     Sebastopol, CA. 93 pages. ISBN 1-56592-041-4. Price $5.95 (US).

Basic Smileys
=============

   `:-)': Your basic smiley. This smiley is used to inflect a sarcastic
or joking statement since we can't hear voice inflection over e-mail.

   `;-)': Winky smiley. User just made a flirtatious and/or sarcastic
remark.  More of a "don't hit me for what I just said" smiley.

   `:-(': Frowning smiley. User did not like that last statement or is
upset or depressed about something.

   `:-I': Indifferent smiley. Better than a `:-(' but not quite as good
as a `:-)'.

   `:->': User just made a really biting sarcastic remark. Worse than a
`;-)'.

   `>:->': User just made a really devilish remark.

   `>;->': Winky and devil combined. A very lewd remark was just made.

Widely used Smileys
===================

   `(-:': User is left handed.

   `%-)': User has been staring at a green screen for 15 hours straight.

   `:*)': User is drunk.

   `[:]': User is a robot.

   `8-)': User is wearing sunglasses.

   `B:-)': Sunglasses on head.

   `::-)': User wears normal glasses.

   `B-)': User wears horn-rimmed glasses.

   `8:-)': User is a little girl.

   `:-)-8': User is a Big girl.

   `:-{)': User has a mustache.

   `:-{}': User wears lipstick.

   `{:-)': User wears a toupee.

   `}:-(': Toupee in an updraft.

   `:-[': User is a vampire.

   `:-E': Bucktoothed vampire.

   `:-F': Bucktoothed vampire with one tooth missing.

   `:-7': User juust made a wry statement.

   `:-*': User just ate something sour.

   `:-)~': User drools.

   `:-~)': User has a cold.

   `:'-(': User is crying.

   `:'-)': User is so happy, s/he is crying.

   `:-@': User is screaming.

   `:-#': User wears braces.

   `:^)': User has a broken nose.

   `:v)': User has a broken nose, but it's the other way.

   `:_)': User's nose is sliding off of his face.

   `:<)': User is from an Ivy League School.

   `:-&': User is tongue tied.

   `=:-)': User is a hosehead.

   `-:-)': User is a punk rocker.

   `-:-(': Real punk rockers don't smile.

   `:=)': User has two noses.

   `+-:-)': User is the Pope or holds some other religious office.

   ``:-)': User shaved one of his eyebrows off this morning.

   `,:-)': Same thing...other side.

   `|-I': User is asleep.

   `|-O': User is yawning/snoring.

   `:-Q': User is a smoker.

   `:-?': User smokes a pipe.

   `O-)': Megaton Man On Patrol!  (or else, user is a scuba diver)

   `O :-)': User is an angel (at heart, at least).

   `:-`': User spitting out its chewing tobacco.

   `:-S': User just made an incoherent statement.

   `:-D': User is laughing (at you!)

   `:-X': User's lips are sealed.

   `:-C': User is really bummed.

   `<|-)': User is Chinese.

   `<|-(': User is Chinese and doesn't like these kind of jokes.

   `:-/': User is skeptical.

   `C=:-)': User is a chef.

   `@=': User is pro-nuclear war.

   `*<:-)': User is wearing a Santa Claus Hat.

   `:-o': Uh oh!

   `(8-o': It's Mr. Bill!

   `*:o)': And Bozo the Clown!

   `3:]': Pet smiley.

   `3:[': Mean Pet smiley.

   `d8=': Your pet beaver is wearing goggles and a hard hat.

   `E-:-)': User is a Ham radio operator.

   `:-9': User is licking his/her lips.

   `%-6': User is braindead.

   `[:-)': User is wearing a walkman.

   `(:I': User is an egghead.

   `<:-I': User is a dunce.

   `K:P': User is a little kid with a propeller beenie.

   `@:-)': User is wearing a turban.

   `:-0': No Yelling!  (Quiet Lab)

   `:-:': Mutant smiley; the invisible smiley.

   `.-)': User only has one eye.

   `,-)': Ditto...but he's winking.

   `X-(': User just died.

   `8 :-)': User is a wizard.

   `-=* :-)': User is a TeX wizard.

Midget Smileys
==============

   A lot of these can be typed without noses to make midget smileys.

   `:)': Midget smiley.

   `:]': Gleep...a friendly midget smiley who will gladly be your
friend.

   `=)': Variation on a theme...

   `:}': What should we call these? (what?)

   `:)': Happy.

   `:>': What?

   `:@': What?

   `:D': Laughter.

   `:I': Hmmm...

   `:(': Sad.

   `:[': Real Downer.

   `:<': What?

   `:{': What?

   `:O': Yelling.

   `:C': What?

   `:Q': What?

   `:,(': Crying.

   `[]': Hugs and ...

   `:*': Kisses.

   `|I': Asleep.

   `^o': Snoring.

Mega Smileys
============

   `C=}>;*{))': A drunk, devilish chef with a toupee in an updraft, a
mustache, and a double chin.

   `}:^#})': Updrafted bushy-mustached pointy nosed smiley with a
double-chin.

Usenet Smileys
==============

   In some Usenet articles you might also find these smileys which form
a certain "dialect" developed and used in this most creative
environment.

   `~~:-(': Net.flame

   `O |-)': Net.religion

   `8 :-I': Net.unix-wizards

   `X-(': Net.suicide

   `E-:-I': Net.ham-radio

Emotional Smileys
=================

   `:-)': ha ha

   `|-)': hee hee

   `|-D': ho ho

   `:->': hey hey

   `:-(': boo hoo

   `:-I': hmmm

   `:-O': oops

   `:-P': nyahhhh!

                  *"The man who smiles when things go wrong has thought
                                           of someone to blame it on."*
                                                          -- Jone's Law

                               *"Standing on head makes smile of frown,
                                   but rest of face also upside down."*
                                                      -- Fortune cookie

Paperware on the Net
********************

   The following is a compendium of sources that have information that
will be of use to anyone reading this guide.  Some of them were used in
the writing of this guide, while others are simply noted because they
are a must for any good net.citizen's bookshelf.

   It might also be useful for those, who are interested in the history
of the Internet. Thanks for the better part of this compilation to
HENRY EDWARD HARDY. It has been stripped from his Master's Thesis "The
History of the Net" at the School of Communications, Grand Valley State
University, Allendale, MI 49401.  Version 7.2 was posted to
`comp.org.eff.talk' on August 28, 1993.

     Version 8.5 of "The History of the Net" is now available.  This is
     exactly the same as the final, archival copy submitted to the
     Grand Valley State University Library.  Work will continue to
     produce an article, and perhaps also a book, from this material.
     I invite continued responses, particularly with reference to the
     history of non-American networks.  Corrections or general
     discussion are also welcome.

     Please note that this is a draft of an unpublished work, here
     presented for purposes of peer review and comment.  Please email
     comments, questions and errata to <seraphim@umcc.umich.edu>.

     Current copies of this work are be available via `gopher
     umcc.umich.edu 1.14.3' and by anon ftp from `umcc.umich.edu'
     `/pub/seraphim/doc/nethist8.txt'.

     I put a Mac Word and a postscript version of the text in the anon
     FTP directory if you would like a pretty version.  A printed and
     bound (in one of those $3 hard 2-hole report binders) edition,
     numbered and signed by the author, is also available for $.  Email
     me for details.

     Thanks, -HH <seraphim@umcc.umich.edu>

   The most recent additions to this resource were stripped from a
bi-weekly posting by KEVIN M. SAVETZ <savetz@northcoast.com> entitled
"The Unofficial Internet Book List", which is truly the most extensive
bibliography of books about the Internet.

   It's available from a bulk of newsgroups including, what else?,
`news.answers'. Here's the precise:

     This file is posted twice monthly (on the 5th and 19th of each
     month) to the Usenet newsgroups `alt.internet.services',
     `alt.online-service', `alt.books.technical',
     `misc.books.technical', `alt.bbs.internet', `misc.answers',
     `alt.answers' and `news.answers'.

   Note that some publishers might also be contacted by e-mail, e.g.:

   Addison-Wesley. E-mail: <74230.3622@compuserve.com>.  Orders:
800-822-6339.

   Albion Books. E-mail: <info@albion.com>.  415-572-7666. Fax
415-752-5417

   O'Reilly & Associates: <info@ora.com>.  707-829-0515, Fax
707-829-0104. 103A Morris Street, Sebastopol CA 95472.

   Prentice-Hall. E-mail: <info@prenhall.com> or gopher:
`gopher.prenhall.com'.  515-284-6751. Fax: 515-284-2607. Route 9W,
Englewood Cliffs, NJ 07632.

Hardcover & Softcover Publications
==================================

   Bamford, James (1982) "The Puzzle Palace: a report on NSA, America's
most secret agency" Boston: Houghton Mifflin.

   Barnouw, Erik (1968a) "A Tower in Babel" Oxford: Oxford University
Press.

   Barnouw, Erik (1968b) "The Golden Web" Oxford: Oxford University
Press.

   Brand, Stewart (1974) "Two Cybernetic Frontiers" Random House, New
York, NY.

   Brand, Stewart (1988) "The Media Lab: Inventing the Future at MIT"
New York, NY: Penguin.

   Brunner, John (1975) "The Shockwave Rider"

   Cathcart, Robert & Gumpert, Gary (1986) "Intermedia: Interpersonal
Communication in a Media World" (2nd ed) New York, NY: Oxford
University Press.

   Cerf, Vincent G. (1990) "Requiem for the ARPANET" Poem, reprinted in
LaQuey (1990), 202-204.

   Comer, Douglas E. (1991) "Internetworking With TCP/IP, 2nd ed., 2v"
Prentice Hall, Englewood Cliffs, NJ.

   Davidson, John (1988) "An Introduction to TCP/IP" Springer-Verlag,
Berlin.

   Frey, Donnalyn, and Adams, Rick (1989) "!@%:: A Directory of
Electronic Mail Addressing and Networks" O'Reilly & Associates, Newton,
MA.

   Garfinkel, Simson and Spafford, Gene (1992) "Practical UNIX Security"
O'Reilly & Associates, Sebastopol, CA.

   Gibson, William (1984) "Neuromancer" Ace, New York, NY.

   Gibson, William (1987) "Count Zero" Ace, New York, NY.

   Gibson, William (1993) "Virtual Light" Bantam Books, New York, NY.

   Gilster, Paul (1993) "The Internet Navigator: The Essential Guide to
Network exploration for the Indivudual Dial-Up User" Wiley & Sons, New
York, NY.

   Hahn, Harley (1993) "A Student's Guide to UNIX" Osborne McGraw-Hill.

   Hahn, Harley (1993) "The Internet Complete Reference" Osborne
McGraw-Hill. ISBN: 0-07-881980-6.  The MOST comprehensive book on
Internet.  800 pages of information for just $29.95.

   Hunt, Craig (1992) "TCP/IP Network Administration" O'Reilly &
Associates, Sebastopol, CA.

   Innis, Harold Adams (1949) "Minerva's Owl; presidential address
reprinted from the Procedings of the Royal Society of Canada" Toronto:
University of Toronto Press.

   Jones, Paul (1992) "What is the Internet?" Chapel Hill, NC: Office
for Information Technology.  University of North Carolina.

   Kehoe, Brendan P. (1992) "Zen and the Art of the Internet: A
Beginner's Guide to the Internet. 2nd ed." Prentice-Hall, Englewood
Cliffs, NJ.

   Kidder, Tracy (1981) "The Soul of a new Machine" Little, Brown &
Company, Boston, MA.

   Kochmer, Jonathan (1993) "The Internet Passport: NorthWestNet's
Guide to Our World Online" NorthWestNet, Bellevue, WA.  (Contact:
<passport@nwnet.net>)

   Krol, Ed (1992) "The Whole Internet: Catalog & User's Guide"
O'Reilly & Associates, Sebastopol, CA.

   LaQuey, Tracy (1990) "Users' Directory of Computer Networks" Digital
Press, Bedford, MA.

   LaQuey, T. and Ryer, J.C. (1992) "The Internet Companion: A
Beginner's Guide to Global Networking" Addison-Wesley, Reading, MA.

   Laver, Murray (1975) "Computers, Communications, and Society"
Oxford: Oxford University Press.

   Levy, Stephen (1984) "Hackers: Heroes of the Computer Revolution"
Anchor Press/Doubleday, Garden City, NY.

   McLuhan, Marshall (1967) "Understanding Media: the Extensions of Man"
London: Sphere Books.

   McLuhan, Marshall (1989) "The Global Village: transformations in
world life and media in the 21st Century" New York, NY: Oxford
University Press.

   Mosco, Vincent (1982) "Pushbutton Fantasies: critical perspectives
on videotext and information technology" Norwood, NJ: Ablex.

   Mulgan, Geoff J. (1991) "Communication and Control: networks and the
new economics of communication" New York: Guilford Press.

   Office of Technology Assessment (1981) "Computer-Based National
Information Systems" Technology and Public Policy Issues.  Washington,
DC: U.S. Government Printing Office.

   O'Reilly Tim and Todino, Grace (1992) "Managing UUCP and USENET: A
Nutshell Handbook, 10th ed." O'Reilly & Associates, Sebastopol, CA.

   Partridge, Craig (1988) "Innovations in Internetworking" ARTECH
House, Norwood, MA.

   Quarterman, John S. (1989) "The Matrix: Computer Networks and
Conferencing Systems Worldwide" Digital Press, Bedford, MA.

   Raymond, Eric (ed) (1993) "The New Hacker's Dictionary" 2nd Edition,
MIT Press, Cambridge, MA.

   Rheingold, Howard (1985) "Tools for Thought" New York, NY.

   Reingold, Howard (1991) "Virtual Reality" New York, NY: Simon &
Schuster.

   Rheingold, Howard (1993) "The Virtual Community: Homesteading On The
Electronic Frontier" Addison-Wesley, Reading, MA.

   Reinhart, Robert B. (1993) "An Architectural Overview of Unix
Security" Annapolis, MD: ARINC Research Corporation.

   Rubin, R. B., Rubin, A. M., & Piele, L. J. (1990) "Communications
research: Strategies and sources (2nd ed.)" Belmont, CA: Wadsworth.

   Russel, Deborah and Gangemi Sr., G.T. (1992) "Computer Security
Basics" O'Reilly & Associates, Sebastopol, CA.

   Sterling, Bruce (1992) "The Hacker Crackdown: Law and Disorder at
the Electronic Frontier" Bantam Books, NY: New York.

   Sterling, Bruce (1994) "The Hacker Crackdown: Law and Disorder at
the Electronic Frontier (electronical edition)" Available on the
"Agitprop" disk, and all it's electronic archives (see Others.).

   Stanford Research Institute (SRI) (1973) "Computer Abuse" Prepared
for National Science Foundation (Publication Number PB-231 320).
Springfield, VA: Reproduced by National Technical Information Service,
U.S. Department of Commerce.

   Stoll, Clifford (1989) "The Cuckoo's Egg" Doubleday, New York, NY.

   Tanenbaum, Andrew S. (1988) "Computer Networks, 2nd ed."
Prentice-Hall, Englewood Cliffs, NJ.

   Todinao, Grace (1986) "Using UUCP and USENET: A Nutshell Handbook"
O'Reilly & Associates, Newton, MA.

   The Waite Group (1991) "Unix Communications, 2nd ed." Howard W. Sams
& Company, Indianapolis.

   U.S. House of Representatives, Subcommittee on Courts, Civil
Liberties, and the Administration of Justice (1985) "1984" Civil
Liberties and the National Security State. Committee Serial No.  103.
Hearings to assess the threat to civil liberties posed by Government
national security secrecy and surveillance activities, including
restrictions on disclosure of certain types of information and use of
electronic surveillance and other information-gathering practices.
Washington, D.C., U.S.  Government Printing Office.

Journal Articles and Papers
===========================

   Alexander, Michael (1991) "Hacker probe bogged down; Operation
Sundevil case going nowhere" Computerworld, February 11, 1.

   Anderson, Christopher (1993) "The Rocky Road to a Data Highway"
Science, 260(21), 1064-1065.

   Anonymous (1992) "Merit Network Signs Agreement to Pass Commercial
Data Traffic" Information Technology Digest, 1(10), 3.

   Anonymous (1991) "National research network driven by differing
goals and visions" Common Carrier Week, 8(23), 4.

   Anonymous (1992) "Portal Communications" UNIX Review, 8(11), 141.

   Anonymous (1990) "SOVIET UNIX USERS GROUP TO JOIN Usenet  NETWORK"
Computergram International.

   Anonymous (1992) "Usenet AND LISTSERVS: ELECTRONIC NEWS AND
CONFERENCING" Online Libraries & Microcomputers, 10(5), 1.

   Anonymous (1988) "Usenet/Eunet machen Btx zum Info-Center"
Computerwoche, 14.

   Anonymous (1992) "Using uucp and Usenet" UNIX Review, 10(8), 54.

   Anonymous (1989) "Farewell to the free Minitel?" Data
Communications, March, 73.

   Barlow, J. (1990) "Beeing in Nothingness" NONDO 2000, Number 2,
Summer 1990.

   Barlow, J. (1991) "Coming Into The Country" Communications of the
ACM 34:3, March 1991, 2.  (Addresses "Cyberspace" -John Barlow was a
co-founder of the EFF.)

   Barlow, John Perry (1993) "Bill 'O Rights" Communications of the ACM
36(3), 21-23.

   Basch, Reva (1991) "Books online: visions, plans and perspectives
for electronic text" Online v. 15, July, 13.

   Beishon, M (1984) "Usenet's Pranks and Pragmatism" Hardcopy, 13(8),
20-28.

   Bjerklie, David "Email, the boss is watching" Technology Review,
v.96, 29.

   Bricken, W.  "Cyberspace 1999" NONDO 2000, Number 2, Summer 1990.

   Buerger, David J. (1988) "AT&T's shutdown of Usenet backbone nodes
need not spell doom to users" InfoWorld. 10(28), 14.

   Buerger, David J. (1988) "Long-term stability and prosperity of
Usenet rests on fee-based trunk feeds" InfoWorld. 10(30), 16.

   Bush, R.  "FidoNet: technology, Tools, and History" Communications
of the ACM 36:8, August 1993, 31-35.

   Campbell, A.  "E-mail Beyond Unix" UnixWorld, November 1991, 77-80.

   Carl-Mitchell, S. and Quarterman, J.S.  "Building Internet Firewalls"
UnixWorld, February 1992, 93-103.

   Cathcart, Robert & Gumpert, Gary (1983) "Mediated Interpersonal
Communication: Toward a New Typology" Quarterly Journal of Speech, v.
69, 267-277.

   Cerf, Vincent G. (1991) "Networks" Scientific American, v. 265, 72.

   Clark, Paul C. and Hoffman, Lance J.  "Imminent policy
considerations in the design and management of national and
international computer networks" IEEE Communications Magazine, 68-74.

   Collyer, G., and Spencer, H.  "News Need Not Be Slow" Proceedings of
the 1987 Winter USENIX Conference, USENIX Association, Berkeley, CA,
January 1988, 181-90.

   Comer, Douglas (1983) "The Computer Science Research Network CSNET:
A history and status report" Communicaitons of the ACM (26)10, 747-753.

   DeLoughry, Thomas J. (1993) "Regional Networks Prepare for Change in
the Internet: New company seeks to provide continuity for college
customers" Chronicle of Higher Education, June 9, 1993, A16.

   Denning, Dorothy E. (1993) "To tap or not to tap" Communications of
the ACM, 36(3), 25-33.  (Pages 34-44 feature pesonal statements
concerning the contents of this article from the creme de la creme in
computer privacy discussion.)

   Denning, P. (1989) "The ARPANET after twenty years" American
Scientist 77:530.

   Denning, P.  "The Internet Worm" American Scientist, March-April
1989, 126-128.

   Denning, P.  "The Science of Computing: Computer Networks" American
Scientist, March-April 1985, 127-129.

   Dern, D.P.  "Plugging Into the Internet" BYTE, October 1992, 140-156.

   Duncanson, J. and Chew, J.  "The Ultimate Link? ISDN -- a new
communications technology that could change the way we use our
computers and telephones" BYTE, July 1988, 278-286.

   Emerson, Sandra L. (1983) "Usenet: A Bulletin Board for Unix Users"
BYTE, 8(10), 219-220.

   Erickson, C.  "USENET as a Teaching Tool" Proceedings of the 24th
ACM Conference on Science and Education, ACM-24thCSE-2/93-IN, USA,
February 1993, 43-47.

   Farrow, Rik (1991a) "Commercial Links to the Internet" UNIX World,
82.

   Farrow, Rik (1991b) "How the Internet Grew" UNIX World, 80.

   Farrow, Rik (1991c) "Who Pays for All This Great Stuff?" UNIX World,
84.

   Farrow, Rik (1991d) "Will Success Spoil the Internet?" UNIX World,
79-86.

   Fair, E.  "Usenet: Spanning the Globe" UNIX World, 1(7), 46-49.

   Fiedler, David "PROWLING THE NETWORKS: Getting on the Usenet
network, and what to do when you've gotten there" BYTE, 15(5), 83.

   Frey, D., and Adams, R.  "USENET: Death by Success?" UNIX Review,
August 1987, 55-60.

   Gifford, W.S.  "ISDN User-Network Interfaces" IEEE Journal on
Selected Areas in Communications, May 1986, 343-348.

   Ginsberg, K.  "Getting from Here to There" UNIX Review, January
1986, 45.

   Godwin, Mike (1991) "The Electronic Frontier Foundation and virtual
communities" Whole Earth Review, Summer, 1991, 40.

   Godwin, Mike (1993) "New Frontiers: a visitor's guide -- Computers
are creating new-style communities that could be commonplace by 2001"
Index on Censorship 22(2), 11-13.

   Hardy, Henry E. (1992b) "The Usenet System" International
Teleconferencing Association (ITCA) Yearbook 1993, 140-151.

   Heim, Judy (1991) "The information edge" PC World, 9(4), 213.

   Hiltz, S.R "The Human Element in Computerized Conferencing Systems"
Computer Networks, December 1978, 421-428

   Hiramatsu, T.  "Protecting Telecommunications Privacy in Japan"
Communications of the ACM 36:8, August 1993, 74-77.

   Hold, David F., Sloan, Michael B., et. al. (1991) "First Amendment
rights for electronic media" Viewtext, 12(6), 3.

   Horton, M.  "What is a Domain?" Proceedings of the Summer 1984
USENIX Conference, USENIX Association, Berkeley, CA, June 1984, 368-372.

   Horvitz, Robert (1989) "The Usenet underground" Whole Earth Review,
n. 4, 112.

   Ishida, H. & Landweber, L.H.  "Internetworking Introduction"
Communications of the ACM 36:8, August 1993, 28-30.

   Jacobsen, Ole J.  "Information on TCP/IP" ConneXions--The
Interoperability Report, July 1988, 14-15.

   Jennings, D., et al.  "Computer Networking for Scientists" Science,
28 February 1986, 943-950.

   Karracker, Roger (1991) "Highways of the Mind" Whole Earth Review,
Spring, 1991, 8.

   Kent, S.T.  "Internet Privacy Enhanced Mail" Communications of the
ACM 36:8, August 1993, 48-60.

   Laulicht, Murray J. & Lindsay, Eileen L. (1991) "First Amendment
Protections don't extend to genocide" New Jersey Law Journal, 129(5),
15.

   Law Reform Commission of Australia (1991) "Censorship Procedure"
Sydney: Law Reform Commission of Australia

   Leslie, Jaques (1993) "Technology: MUDroom" Atlantic 272(3), 28-34.

   Levy, Steven "Crypto Rebels: the battle is engaged. Its the FBI's,
NSA's and Equifaxes of the world versus a swelling movement of
cypherpunks, civil libertarians and millionaire hackers. At stake:
whether privacy will exist in the 21st century" Wired 1.2, 54-61.

   Licklider, J. C. R. & Vezza, Albert (1978) "Applications of
Information Technology" Proceedings of the IEEE 66(11), 1330-1346.

   Livingston, James W. (1988a) "Y'know I heard it through the Usenet"
Digital Review, 5(14), 79.

   Livingston, James W. (1988b) "No shortage of topics on the Usenet"
Digital Review, 5(16), 73.

   Livingston, James W. (1988c) "Take Your Pick with Netnews *Readers*"
Digital Review. 5(15), 97.

   Lunin, Louis F. (1991) "Wanted, civil liberties for the network:
forum at ASIS explores roles and responsibilities of nets in public
interest" Information Today, 8(1), 12.

   Madsen, Wayne (1992) "THE CHANGING THREAT -- Information security
and intelligence" Computer Fraud & Security Bulletin, February.

   Markoff, J.  "Author of computer `virus' is son of U.S. electronic
security expert." New York Times, Nov. 5, 1988, A1.

   Markoff, J.  "Computer snarl: A `back door' ajar." New York Times,
Nov. 7, 1988, B10.

   Markoff, John and Shapiro, Ezra (1984) "Fidonet, Sidekick, Apple,
Get Organized!, and Handle: Homebrew electronic mail, some integrated
software, and other tidbits" BYTE, 9(11), 357.

   McQuillan, J.M., and Walden, D.C. (1977) "The ARPA Network Design
Decisions" Computer Networks, 243-289.

   Metcalfe, Bob (1993) "On the wild side of computer networking"
InfoWorld 15(13), 54.

   Miller, Philip H. (1993) "New technology, old problem: determining
the First Amendment status of electronic information services" Fordham
Law Review 61(5), 1147-1201.

   Monge, Peter R. (1977) "The Systems Perspective as a Theoretical
Basis for the Study of Human Communication" Communication Quarterly,
Winter, 19-29.

   Mueller, Milton (1993) "Universal service in telephone history: A
reconstruction" Telecommunications Policy, July, 352-369.

   Murray, J.  "K12 Network: Global Education through
Telecommunications" Communications of the ACM 36:8, August 1993, 36-41.

   Nance, Barry (1992) "On-the-fly disk compression: managing your
Apple menu: navigating through Usenet News" BYTE, 17(6), 357.

   Nickerson, Gord (1992a) "Effective use of Usenet" Computers in
Libraries, 12(5), 38.

   Nickerson, Gord (1992b) "Free Software on Usenet" Computers in
Libraries, 12(6), 51.

   Nickerson, Gord (1992c) "Networked Resources: Usenet" Computers in
Libraries. 12(4), 31-34.

   Ornstein, S.M. (1989) "A letter concerning the Internet worm"
Communications of the ACM 32:6, June.

   Pacanowsky, Michael E. & O'Donnell-Trujillo, Nick (1982)
"Communication and Organizational Cultures" The Western Journal of
Speech Communication, v. 46, 115-130.

   Padovano, Michael (1990) "Need help with your Unix system? Here's a
whole network of it" Systems Integration. 23(12), 17.

   Partridge, C. (1986) "Mail Routing Using Domain Names: An Informal
Tour" Proceedings of the 1986 Summer USENIX Conference USENIX
Association, Berkeley, CA, June.  366-76.

   Perlman, G. (1985) "Usenet: Doing Research on the Network" UNIX
World, 2(11), 75-78.

   Quarterman, J.  "Etiquette and Ethics" ConneXions--The
Interoperability Report, March 1989, 12-16.

   Quarterman, J.  "Notable Computer Networks" Communications of the
ACM 29:10, October 1986.  (This was the predecessor to "The Matrix".)

   Raeder, A.W., and Andrews, K.L.  "Searching Library Catalogs on the
Internet: A Survey" Database Searcher 6, September 1990, 16-31.

   Reid, B. K. (1989) "The Usenet cookbook---an experiment in
electronic [publishing]" Electronic Publishing Review, 1(1), 55-76.

   Reisler, Kurt (1990) "Usenet: a loosely organized, but binding
network" Digital Review, 7(6), 28.

   Richard, Jack (1993) "Home-grown BBS" Wired 1.4, 120.

   Rotenberg, M.  "Communications Privacy: Implications for Network
Design" Communications of the ACM 36:8, August 1993, 61-68.

   Sadowsky, W.  "Network Connectivity for Developing Countries"
Communications of the ACM 36:8, August 1993, 42-47.

   Schatz, Willie (1993) "DARPA's Industrial Policy Overkill" Upside
5(5), 35-48.

   Schultz, B.  "The Evolution of ARPANET" DATAMATION, August 1, 1988,
71-74.

   Seeley, D.  "A tour of the worm" Proceedings of the 1989 Winter
USENIX Conference, USENIX Association, Berkeley, CA, February 1989,
287-304.

   Shelly, Dale (1986) "Globally speaking" Digital Review. 3(9), 150.

   Shulman, G.  "Legal Research on USENET Liability Issues" ;login: The
USENIX Association Newsletter, December 1984, 11-17.

   Smith, Norris Parker (1993) "Jockeying for Position on the Data
Highway" Upside 5(5), 50-60.

   Smith, K.  "E-Mail to Anywhere" PC World, March 1988, 220-223.

   Sproull, Lee & Kiesler, Sara (1991) "Computers, networks and work"
Scientific American, 265(3), 116.

   Smith, Ben (1992) "UNIX: Navigating Through Usenet News" BYTE,
17(6), 357.

   Smith, Ben (1989) "The Unix Connection: Usenet, UUCP, and NetNews
give Unix worldwide communications power" BYTE 14(5), 245.

   Stoll, C.  "Stalking the Wily Hacker" Communications of the ACM
31:5, May 1988, 14.  (This article grew into the book "The Cuckoo's
Egg".)

   Taylor, D.  "The Postman Always Rings Twice: Electronic Mail in a
Highly Distributed Environment" Proceedings of the 1988 Winter USENIX
Conference, USENIX Association, Berkeley, CA, December 1988, 145-153.

   Tillman, Hope N. & Ladner, Sharyn J. (1992) "Special librarians and
the INTERNET" Special Libraries, 83(2), 127.

   Tribe, Lawrence H. (1991) "The Constitution in Cyberspace" Keynote
address at the first conference on Computers, Freedom, and Privacy.
Woodside, CA: Computer Professionals for Social Responsibility.

   Tuerkheimer, F.M.  "The Underpinnings of Privacy Protection"
Communications of the ACM 36:8, August 1993, 69-73.

   Ubois, Jeff (1992) "TECH ANALYSIS: What is acceptable Internet use?"
MacWeek, 30.

   U.S. Gen'l Accounting Ofc.  "Computer Security: Virus Highlights
Need for Improved Internet Management" GAO/IMTEC-89-57, 1989.
(Addresses the Internet worm.)

   Wagner, Mitch (1991) "PSI's Policy Change Irks Usenet Readers" UNIX
Today, 5.

   Wagner, Mitch (1991) "Update For Usenet" UNIX Today, 22.

   Wagner, Mitch (1991) "Usenet: Information At Users' Fingertips" UNIX
Today, 12.

   Weinstein, Sydney S. (1991) "comp.sources.reviewed" C Users Journal
9(6), 127.

   Weinstein, Sydney S. (1992) "Where to get the sources" C Users
Journal. 10(2), 115.

Cyberspace-related News bits
============================

   Anonymous (1992) "Computers and Privacy: the eye of the beholder;
through new laws on privacy, piracy and censorship; governments are
writing a rulebook for the computer age" Economist 319, 21-23, London.

   Anonymous (1993) "Excerpts from Senate Hearings on Ginzburg Supreme
Court Nomination" New York Times, July 23, A 16.

   Anonymous (1992) "The fruitful, tangled trees of knowledge" The
Economist, 323, 85.

   Anonymous (1993) "Interactive: What it means to you" Newsweek,
121(22), 38-51.

   Anonymous (1991) "National research network driven by differing
goals and visions; OTA concerns outlined; private control questioned;
ANS advocates open policy" Communications Daily, 11(108), 2.

   Anonymous (1992) "Secret Service undercover hacker investigation
goes awry" Communications Daily 12(218), 2.

   Anonymous (1993) "NTIA warned of regulating 'hate' speech"
Communications Daily, 13(84), 3.

   Blankenhorn, Dana (1990) "Dalai Lama starts his own online network"
Newsbytes, January 11.

   Buckler, Grant (1990) "Canada Remote expanding mail networks"
Newsbytes.

   Buckler, Grant (1992) "Canada Remote announces UNIX-based services"
Newsbytes, January 14.

   Bulkeley, William M. (1993) "Censorship fights heat up on academic
networks" Wall Street Journal, B1.

   Gold, Steve (1990) "CIX increases online charges; intros Usenet mail"
Newsbytes, January 4.

   Gold, Steve (1991) "UK: Direct Connection offers Usenet news service"
Newsbytes, March 25.

   Huston, John (1993) "Virtual Journalism" Detroit Metro Times,
13(38), 24-28.

   McCormick, John (1990) "Stoned virus source code published"
Newsbytes, Sept. 7.

   McMullen, Barbara E. & McMullen, John F. (1990a) "Electronic
frontiersmen launch online newsletter" Newsbytes, Dec. 12.

   McMullen, Barbara E. & McMullen, John F. (1990b) "Review: the User's
Directory of Computer Networks, a book edited by Tracy L. LaQuey"
Newsbytes, August 8, 20.

   McMullen, Barbara E. & McMullen, John F. (1992) "EFF examining
arrest of 5 hackers" Newsbytes, July 15.

   McMullen, Barbara E. & McMullen, John F. (1993) "EFF's Godwin --
Don't self-censor" Newsbytes, April 26, 1993.

   McMullen, Barbara E. & McMullen, John F. (1991) "Well suspends
international connect charge" Newsbytes, January 9.

   Powers, Rebecca (1993) "Gizmo gadgets: New generation of technology"
Detroit News, July 19, 1E, 2E.

   Rohrbaugh, Linda (1992) "New T4 Mac viruses spread on Internet via
Gomoku game" Newsbytes, July 8.

   Siverstein, Stewart (1990) "Getting the message by computer.  Home
users attracted to electronic mail and other networks" Los Angeles
Times, v. 109, Oct. 12, A1.

   Templeton, Brad (1992) "CFP-2:  computer crime session focuses on
FBI wiretap bill" Newsbytes, March 25.

   Woods, Wendy (1990) "Update -- new electronic newspaper available
for Unix community" Newsbytes, May 8.

Electronically published Texts
==============================

   Botz, Jurgen (1992) "Re: Commercialization of the Nets?" Usenet
Newsgroups: `news.misc', `alt.activism'.

   December, John (1992) "Information Sources: the Internet and
Computer-Mediated Communication" WAIS database query:
<wais@quake.think.com>.

   Desbiens, Jean Yves (1992) "Famous flame wars, examples please?"
Usenet Newsgroup: `alt.folklore.computers', Nov. 28.

   Detweiler, L. (1993) "Identity, Privacy, and Anonymity on the
Internet" Usenet newsgroup `alt.answers', May 7 1993.

   Farley, Laine (ed) (1992) "Library Resources on the Internet:
Strategies for Selection and Use" Database query to
<wais@quake.think.com>.

   Foulston, Catherine Anne (1992) "Re: Commercialization of the Nets?"
Usenet Newsgroups `news.misc', `alt.activism', Oct. 6.

   Frost, Jim (1992) "Re: Famous flame wars, examples please?" Usenet
Newsgroup: `alt. folklore.computers', December 1.

   Hardy, Henry E. (1993) "National Information Systems and the US Bill
of Rights" Anonymous FTP - `umcc.umich.edu',
`/pub/seraphim/doc/nisbor17.txt'.

   Hardy, Henry E. (1992a) "The Future of Text-Oriented Virtual Reality"
Anonymous FTP - `umcc.umich.edu', `/pub/seraphim/doc/FutTVR2.txt'.

   Hauben, Jay Robert (1992) "Commercialization of the Nets?" Usenet
Newsgroups: `news.misc', `alt.activism', October 6.

   Hauben, Michael (1992a) "The Social Forces Behind the Development of
`the Largest Machine that man has ever constructed -- the global
telecommunications network' (or Usenet News)" Usenet Newsgroup:
`alt.amateur-comp'.

   Hauben, Michael (1992b) "The Social Forces Behind the Development of
Usenet News" Usenet Newsgroups: `comp.misc', `news.misc', etc, December
9.

   Hauben, Ronda (1993) "The Town Meeting of the World: Usenet News,
uucp, and the Internet" Dearborn, MI: `wuarchive.wustl.edu',
`/doc/misc/acn'.

   Kadie, Carl M. (1992) "File 4--Hacker Crackdown Review" Usenet
Newsgroups: `alt.comp.acad-freedom.talk', `comp.org.eff.talk', December
1.

   Kadie, Carl M., et al. (ed) (ND) "Computers and Academic Freedom
News abstracts" Database query response via <wais@quake.think.com>.

   Krol, Ed (1988) "The Hitchhiker's Guide to the Internet" RFC-1118.

   Lewis, Chris (1992) "Re: Famous flame wars, examples please?" Usenet
Newsgroups: `alt. folklore.computers', `news.admin.misc', December 4.

   Mehl, Nathan J. (1992) "Re: Famous flame wars, examples please?"
Usenet Newsgroup: `alt.folklore.computers', Dec. 4.

   MERIT Inc (1993b) "History.hosts" Anonymous FTP - `nic.merit.edu'
`/nsfnet/statistics/ history.hosts', June 1993.

   MERIT Inc (1993b) "Internet Monthly Report January 1993" Anonymous
FTP - `nic.merit.edu'
`/internet/newsletters/internet.monthly.report/imr93-01.txt'.

   MERIT Inc (1993c) "Internet Monthly Report February 1993" Anonymous
FTP - `nic.merit.edu'
`/internet/newsletters/internet.monthly.report/imr93-02.txt'.

   MERIT Inc (1993d) "Internet Monthly Report March 1993" Anonymous FTP
- `nic.merit.edu'
`/internet/newsletters/internet.monthly.report/imr93-03.txt'.

   MERIT Inc (1993e) "Internet Monthly Report April 1993" Anonymous FTP
- `nic.merit.edu'
`/internet/newsletters/internet.monthly.report/imr93-04.txt'.

   MERIT Inc (1993f) "Internet Monthly Report May 1993" Anonymous FTP -
`nic.merit.edu'
`/internet/newsletters/internet.monthly.report/imr93-05.txt'.

   MERIT Inc (1993g) "Internet Monthly Report June 1993" Anonymous FTP
- `nic.merit.edu'
`/internet/newsletters/internet.monthly.report/imr93-06.txt'.

   Presno, Odd de (1993) "The Online World" Saltrod, Norway: On-line
book - anonymous FTP from `ftp.eunet.no' `/pub/text/online.txt'.

   Sterling, Bruce (1992) "Free as Air, Free as Water, Free as
Knowledge" Speech to the Library Information Technology Association,
June 1992. San Francisco, CA.

   Sterling, Bruce (1992, 1993) "Agitprop disk: Literary Freeware --
Not for Commercial Use" Contains various SF magazine columns, texts of
speeches, etc.  Available via anonymous FTP from `ftp.eff.org' in
directory `/pub/agitprop'. Or use Gopher at `gopher.well.sf.ca.us', and
see under `Bruce Sterling/'.

   Sterling, Bruce & Gibson, William (1993) "Literary Freeware -- Not
for Commercial Use" Speeches to National Academy of Sciences
Convocation on Technology and Education, May 10, 1993, Washington,
D.C.: Computer Underground Digest #5.54.

   Tomblin, Paul (1992) "Re: Famous flame wars, examples please?"
Usenet Newsgroup: `alt.folklore.computers', Dec. 4.

   Woodbury, G. Wolfe (1992) "Re: Famous flame wars, examples please?"
Usenet Newsgroups: `alt.folklore.computers', `alt.culture.usenet',
`news.admin.misc', Nov. 30.

FYI:
====

   The following lists a selection of addresses you might find helpful,
when you want to hook into cyberspace.

Snail Mail Addresses
--------------------

   Whole Earth 'Lectronic Link  (WELL), 27 Gate Five Rd, Sausalito CA
94966, $15/mo; $2/hr, (415) 332-4335.

   WHOLE EARTH REVIEW, P.O. Box 38, Sausalito, CA 94966-9932, $20/yr;
four issues.

   MONDO 2000 (Cyberpunk Magazine), P.O. Box 10171, Berkeley, CA
94709-5171, $24 five issues more or less quarterly.

   bOING bOING (World's Greatest Neurozine), 11288 Ventura Blvd #818,
Studio City CA 91604, $14/ 4 issues kind of quarterly.

   SCIENCE FICTION EYE, P.O. Box 18539, Asheville, NC  28814, $10 three
issues;  two a year, more or less.

   THE MAGAZINE OF FANTASY AND SCIENCE FICTION, P.O. Box 56, Cornwall,
CT  06753, $26 twelve issues a year.

E-Mail and List server Addresses
--------------------------------

   Computers and Academic Freedom: To subscribe send `add
comp-academic-freedom-news' to <listserv@eff.org>.

   Computer Underground Digest: <tk0jut2@niu.bitnet>

   Phrack: <phracksub@stormking.com>

   RISKS Digest: <risks-request@csl.sri.com>

FTP'able & Gopher'able Addresses
--------------------------------

   `ftp.eff.org' In directory `/pub/agitprop' you'll find the contents
of a disk containing "Literacy Freeware" by Bruce Sterling.

   In directory `/pub/cud' you'll find the "Computer underground Digest"
archives.

   `gopher.well.sf.ca.us' Gopher this site and browse through the
index. It's full of e-text publications.

   `tic.com' In directory `Bruce Sterling's agitprop/' you'll find the
contents of the "Literacy Freeware" disk by Bruce Sterling.

                                        *"And all else is literature."*
                                    -- Paul Verlaine, The Sun, New York
                                 While he was city editor in 1873-1890.

E-mail Addresses
****************

Internet Sites
**************

   The following sites can be reached using Telnet.  See Telnet for
an introduction to this service.  The general syntax is: `telnet <site>
[port#]'.

General Index
*************

                           *"In short, N is Richardian if, and only if,
                                                 N is not Richardian."*
                                                           -- Anonymous

                    *"I have made this letter longer than usual because
                                  I lack the time to make it shorter."*
                             -- Blaise Pascal, "Provincial Letters XVI"

                                       *"The world is coming to an end.
                                                      Please log off."*
                                                           -- Anonymous

                                               *" `It's dark,' he said.
                              `Yes,' said Ford Prefect, `it's dark.' "*
              -- Douglas Adams, "The Hitch Hiker's Guide to the Galaxy"